GNU bug report logs - #70385
Crash in note_fringe_highlight

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; merged with #70419, #70420, #70427; dated Sun, 14 Apr 2024 16:18:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 18 Apr 2024 18:56:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 18 14:56:18 2024
Received: from localhost ([127.0.0.1]:54059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rxWvi-0001dK-0A
	for submit <at> debbugs.gnu.org; Thu, 18 Apr 2024 14:56:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rxWvg-0001cD-5A
 for 70385 <at> debbugs.gnu.org; Thu, 18 Apr 2024 14:56:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rxWvM-0001q3-VB; Thu, 18 Apr 2024 14:55:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=fqZs+TXuotmGjNqR0wO9/zW+iPNxms2ScA2ExyKh4f0=; b=kfQ/L/L5sY0U
 B8otiwDIsAOWiO+ZBsGG84+iz4jGZHJM1v9x6yfki0Pn5+WG+Br6Qs4xbhf/75izO+DwzXoSbfDkI
 xOtmSTiPoB0DqSYj9+x31kUM3wxssLeckTTd++A3K6ZJ5NbVBaO4lLB7v7RTNTeQTx8hMRsBjGEkf
 HbKfcTCMqhCTlCAH+jEYvFcMaL6/Hl8NPRrlqOVpn+06weBNhD7p5I4yd+Kkzbe3KagIteMI4g11d
 TB1dWarLMwfwiY4htH614RG+Y1Ql8qznP7TqSEsMuoNPdIlrtMPS+DnYNeXmLdnxwN7t8MsolFqb/
 Xya3B10ZD79R3ii4y838LA==;
Date: Thu, 18 Apr 2024 21:55:52 +0300
Message-Id: <86cyqmcxfr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: agrm@HIDDEN
In-Reply-To: <NvmWocv--3-9@HIDDEN> (agrm@HIDDEN)
Subject: Re: bug#70420: Segfault when resizing window
References: <NvaTPYT--3-9@HIDDEN> <NvaUmYA--3-9@HIDDEN>
 <86sezli8hz.fsf@HIDDEN> <NvmWocv--3-9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: 70385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 18 Apr 2024 20:45:36 +0200 (CEST)
> From: agrm@HIDDEN
> Cc: 70385 <70385 <at> debbugs.gnu.org>
> 
> I also couldn't make it crash

Great, thanks for telling us.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 18 Apr 2024 17:56:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 18 13:56:03 2024
Received: from localhost ([127.0.0.1]:53741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rxVzO-0000Ar-0I
	for submit <at> debbugs.gnu.org; Thu, 18 Apr 2024 13:56:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rxVzK-00009W-W0
 for 70385 <at> debbugs.gnu.org; Thu, 18 Apr 2024 13:55:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rxVz0-0008Ta-SE; Thu, 18 Apr 2024 13:55:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=LGUe6+LvNGDTvs669aoQg78OwXHQehdPJn19r+tSaPs=; b=XSHokHYf3d77
 LTNYaBiwNmWmBXOvrggvjZhY0/2hD0xyI39jiaIloRvoa9M1r1i1j7M9vmCfYx7oPSdZ95Jo3JApb
 xWTljY+6KzlybJJ1996pdCjFlL6dufLUIqasfCvi1+qbdBKCMa0pnt5bfE1xhQDRUMZZD3MZh8y2n
 SuNhcMdMGvEhGzoCXjN0b1TQDQKCpoRQuIkmP05pvGkKRLq79Cb8H1+z1Xj3RLnRsI/pu1t0+lQmV
 Dxfu+rQb2EIE/AxOiF9ERm18dv+S5nQDRaVJwhaXhPpfnMpMnrDwSm0FWZURpet6PGQnyALu/apjI
 oULYHqbuDg/WoOW7MlHjVw==;
Date: Thu, 18 Apr 2024 20:55:26 +0300
Message-Id: <86il0ed08h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86v84esjbe.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 18 Apr 2024 20:10:13 +0300)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN> <86a5lvnbiy.fsf@HIDDEN>
 <864jc2mvgo.fsf@HIDDEN> <86jzkvdj2m.fsf@HIDDEN>
 <86v84esjbe.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: vekazanov@HIDDEN,  70385 <at> debbugs.gnu.org
> Date: Thu, 18 Apr 2024 20:10:13 +0300
> 
> > Does the current master branch still crash in note_fringe_highlight?
> 
> No more crashes so far.

Thanks, let's hope we have finally solved this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 18 Apr 2024 17:35:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 18 13:35:06 2024
Received: from localhost ([127.0.0.1]:53647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rxVf8-0005v8-2b
	for submit <at> debbugs.gnu.org; Thu, 18 Apr 2024 13:35:06 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:57125)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1rxVf6-0005uV-GY
 for 70385 <at> debbugs.gnu.org; Thu, 18 Apr 2024 13:35:04 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id D0334240003;
 Thu, 18 Apr 2024 17:34:43 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <86jzkvdj2m.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 18 Apr
 2024 14:08:33 +0300")
Organization: LINKOV.NET
References: <86h6g49cdv.fsf@HIDDEN> <86a5lvnbiy.fsf@HIDDEN>
 <864jc2mvgo.fsf@HIDDEN> <86jzkvdj2m.fsf@HIDDEN>
Date: Thu, 18 Apr 2024 20:10:13 +0300
Message-ID: <86v84esjbe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 70385
Cc: vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> > Can you reproduce at will?
>>
>> It's not reproducible at will,
>> and now I got a new crash.
>>
>> > If so, what does the below show in GDB,
>> > when Emacs segfaults and GDB kicks in?
>> >
>> >   (gdb) p w->current_matrix
>> >   (gdb) p w->current_matrix->rows
>> >   (gdb) p w->current_matrix->nrows
>> >   (gdb) p w->window_end_valid
>> >   (gdb) p window_outdated (w)
>>
>> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
>> 0x0000555555612343 in note_fringe_highlight (part=<optimized out>,
>> y=<optimized out>, x=<optimized out>, window=XIL(0x55555641d7cd),
>> f=0x55555641d338) at xdisp.c:35774
>> 35774	  if (window_outdated (w)
>> (gdb) p w->current_matrix
>> $6 = (struct glyph_matrix *) 0x55555a95b6f0
>> (gdb) p w->current_matrix->rows
>> $7 = (struct glyph_row *) 0x555556c14310
>> (gdb) p w->current_matrix->nrows
>> $8 = 7
>> (gdb) p w->window_end_valid
>> $9 = false
>> (gdb) p window_outdated (w)
>> $10 = false
>
> Does the current master branch still crash in note_fringe_highlight?

No more crashes so far.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 18 Apr 2024 14:49:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 18 10:49:19 2024
Received: from localhost ([127.0.0.1]:52856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rxT4h-0003Cq-6I
	for submit <at> debbugs.gnu.org; Thu, 18 Apr 2024 10:49:19 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rxT4f-0003Bz-2V
 for 70385 <at> debbugs.gnu.org; Thu, 18 Apr 2024 10:49:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rxT4K-0006TY-FM; Thu, 18 Apr 2024 10:48:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=OTvgIcxuDf/wJllj6gU3f8bbGAxB2y75ScXBKfaLl3k=; b=AkzE2qg+tdta7L9u5UKL
 mvtCLXtUFgO7HyssDzN6xqKMBTDEGpi1kqH7mwDkgFhD3cG8ei5NEH3ZzBm94VHLumgZifSKPxI/w
 zIVrY9U2uCqxXPaCXDjgQ/wT4gxDu0TL5Wxfq2Hxrkgy+WSBghqFOKDiBiAX2urPqMpFTx1TbPXun
 BRLO8BXmYCOCTl8uTbL5/5YSqd275lzbqziXQd2QBQeE+NXp/NIztFPfY+fCrSEsu+q0VMKN2qKTD
 dmkRXuPsnvEGOnB8npeyzmzIL/70J1c2wLwdmCak01NXorA/+Jus9+I4BtluF1GIfp39siVJHswbJ
 UQMxnbopKvxfPw==;
Date: Thu, 18 Apr 2024 17:48:51 +0300
Message-Id: <861q72enfw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
In-Reply-To: <87edb2buyu.fsf@> (message from =?utf-8?Q?Bj=C3=B6rn?= Bidar on
 Thu, 18 Apr 2024 17:34:33 +0300)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <87frvn15p6.fsf@HIDDEN>
 <86le5bdj62.fsf@HIDDEN> <87edb2buyu.fsf@>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: luangruo@HIDDEN, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Björn Bidar <bjorn.bidar@HIDDEN>
> Cc: 70385 <at> debbugs.gnu.org,  luangruo@HIDDEN,  juri@HIDDEN
> Date: Thu, 18 Apr 2024 17:34:33 +0300
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> Cc: luangruo@HIDDEN, juri@HIDDEN
> >> Date: Mon, 15 Apr 2024 14:06:10 +0300
> >> From:  Björn Bidar via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> >> 
> >> Sorry I called of to early. I still get crashes :/
> >
> > Does it still crash with the current master HEAD?
> 
> So far I have not, with my latest built against
> 3cdd86b8affa6d58de8f6d07b4e117676fedd58c.
> 
> I had a crash with the patch Po Lu suggested last[1]
> but the slightly different patch that was committed
> (d39f0a165a7f87336990e3304f1a8fa455a61600 ) was enough.

OK, thanks.  If you ever have a similar crash in
note_fringe_highlight, please report it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 18 Apr 2024 14:34:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 18 10:34:59 2024
Received: from localhost ([127.0.0.1]:52792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rxSqo-0001Zk-02
	for submit <at> debbugs.gnu.org; Thu, 18 Apr 2024 10:34:59 -0400
Received: from thaodan.de ([185.216.177.71]:59768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rxSql-0001Yc-Cm
 for 70385 <at> debbugs.gnu.org; Thu, 18 Apr 2024 10:34:56 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id 647CBD0002A;
 Thu, 18 Apr 2024 17:34:35 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713450875; bh=sy4/JEZIgdnQI8Aqc2p74FEvWH246vceGHZRnblDiQE=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=SyClWQgms7/Vv0w67wptn27MLBCdAS4MafhswyP3KcZ4DeRoByenNI+7ZNln/anQk
 UQGKHNffFrtppyancEUWBtHpR9+dtdU2IuBlqlairQFKz9ckk5aI27TUYpqayMAk7L
 160oj2AiDUe0UlNkdq5G9JMub8xVrz5hslTtL4BAQuxFUcHGfpIafo/D/t+P4D50+U
 m9Qg3eDj/6xe+Wv6A3FCY4KjS4/TlUQeJ3XVr2iu1ESl6oWT4N1hwxpomdtFbW9GkP
 DAxl/PWQmdUol/sD+VsPYAO5Y3NBXqKiM0ZTuG9bvknr/+do0l3ljpY6qILWCOp7Yz
 1ztKfvVEzx7nUSkpXNDfVSGvUe09NpPNGate5pUa13ilnq00SIj9w88RJwz6wTpbxU
 l/BIfqE0T+NxGcjE4YqcgIEomaXe17BwBu6ivqnuKndoy3YMC1HCIVt5+EW+9TU4Bx
 djPDhwyHcovujfnwN4w304HoFM3JnBOi/TWgI9egE+v8RqiBfJ0nAPo5A33yyx0OmY
 GMHJNzjNr8xS703lCxl5MrFzmIaHAo5pi5UW5dS0bgnLIHFDgDPmptwDKRjqVOIexN
 N+TOGTGTLNutFaDLN3R2FduT6irVdRzvfhVeN6oIIo4H39iYvasgh+UEfo2918mlpe
 OVjJz5Fo4pRebelv/lH93CKg=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <86le5bdj62.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 18 Apr
 2024 14:06:29 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <87frvn15p6.fsf@HIDDEN>
 <86le5bdj62.fsf@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Thu, 18 Apr 2024 17:34:33 +0300
Message-ID: <87edb2buyu.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> Cc: luangruo@HIDDEN,
    juri@HIDDEN >> Date: Mon, 15 Apr 2024 14:06:10 +0300 >> From: Björn
   Bidar via "Bug reports for GNU Emacs, >> the Swiss army knife of text editors"
    <bug-gnu-emacs@HIDDEN [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: 70385
Cc: luangruo@HIDDEN, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Cc: luangruo@HIDDEN, juri@HIDDEN
>> Date: Mon, 15 Apr 2024 14:06:10 +0300
>> From:  Bj=C3=B6rn Bidar via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>>=20
>> Sorry I called of to early. I still get crashes :/
>
> Does it still crash with the current master HEAD?

So far I have not, with my latest built against
3cdd86b8affa6d58de8f6d07b4e117676fedd58c.

I had a crash with the patch Po Lu suggested last[1]
but the slightly different patch that was committed
(d39f0a165a7f87336990e3304f1a8fa455a61600 ) was enough.

--=20
[1] https://lists.gnu.org/archive/html/bug-gnu-emacs/2024-04/msg00906.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 18 Apr 2024 11:09:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 18 07:09:12 2024
Received: from localhost ([127.0.0.1]:51785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rxPdY-0004Lt-Vu
	for submit <at> debbugs.gnu.org; Thu, 18 Apr 2024 07:09:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rxPdO-0004JV-TR
 for 70385 <at> debbugs.gnu.org; Thu, 18 Apr 2024 07:09:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rxPd5-0006W2-V6; Thu, 18 Apr 2024 07:08:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=y7ZS85v4F0mA11E45tGDiIBrjKbL8fqe48QJTGxk2T0=; b=fopidB/76WaT
 LDymyvnG0wIWtC0LSKRysYQHMnKwrOriSokWfPg/res+g7TCllBlQ9wAMzZhqt5BjtBPxtJOISyc6
 pILOJQNvLfy0pz9MjGYpoj0r408170rKMqNAPF3l4TPHcSiXrq9Yvo21I4ysS+nGklskWRGH/k/7y
 GehO9/KWh2IWhR4mBjB+UGbwmYyBCSLaJCrquTm/VARsxVtqEdedz2SS7OM83qtvToyHcn1NN97NY
 ko3XPnGnfHZV0TS2ylGenFYcLnnORxtT8u9AJ6+Tu3vDqvgEPTchJdqAXmR10XbL2PSlx7NlTEIRT
 CbZ1nTDXDxAok26SubCmQw==;
Date: Thu, 18 Apr 2024 14:08:33 +0300
Message-Id: <86jzkvdj2m.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <864jc2mvgo.fsf@HIDDEN> (message from Juri Linkov on
 Mon, 15 Apr 2024 19:39:19 +0300)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN> <86a5lvnbiy.fsf@HIDDEN>
 <864jc2mvgo.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Vladimir Kazanov <vekazanov@HIDDEN>,  70385 <at> debbugs.gnu.org
> Date: Mon, 15 Apr 2024 19:39:19 +0300
> 
> > Can you reproduce at will?
> 
> It's not reproducible at will,
> and now I got a new crash.
> 
> > If so, what does the below show in GDB,
> > when Emacs segfaults and GDB kicks in?
> >
> >   (gdb) p w->current_matrix
> >   (gdb) p w->current_matrix->rows
> >   (gdb) p w->current_matrix->nrows
> >   (gdb) p w->window_end_valid
> >   (gdb) p window_outdated (w)
> 
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x0000555555612343 in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x55555641d7cd), f=0x55555641d338) at xdisp.c:35774
> 35774	  if (window_outdated (w)
> (gdb) p w->current_matrix
> $6 = (struct glyph_matrix *) 0x55555a95b6f0
> (gdb) p w->current_matrix->rows
> $7 = (struct glyph_row *) 0x555556c14310
> (gdb) p w->current_matrix->nrows
> $8 = 7
> (gdb) p w->window_end_valid
> $9 = false
> (gdb) p window_outdated (w)
> $10 = false

Does the current master branch still crash in note_fringe_highlight?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 18 Apr 2024 11:07:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 18 07:07:06 2024
Received: from localhost ([127.0.0.1]:51773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rxPbZ-00045D-9a
	for submit <at> debbugs.gnu.org; Thu, 18 Apr 2024 07:07:05 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rxPbP-00043f-I6
 for 70385 <at> debbugs.gnu.org; Thu, 18 Apr 2024 07:06:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rxPb6-0006Fq-6v; Thu, 18 Apr 2024 07:06:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=V7FB44zTbLGSLS/sDO04Hdj0z9ZIZgCnWTnkFAJAidw=; b=Vwu2/ycK5kUYHkYMSsmr
 GZUWZrzXu1FuS7iRbhZp+/jceuGOTFjV5o0GgABsg7UZXNmdomRcOBNhdXeBKheb0CHfVnouMz9ZD
 jyKu9qQ7y9jp016RNAfoQvE+edF0s0YZx4x5hP376YAlrd7ghuZ38GupFIJcpkHtbN8El7wbes/5F
 icFdMzjckKNfQm7+IJC6TGoX/nsdAxoNxKJWxNh8KN1uqHvTwoEp1Pc9zv/twIohhdxuwC3wvU4gE
 rGwCnOXGFp7j8I66BpU2H50BktCtRvRPOW/1L4NtAMzBCNqlFsVuWAZ1lec9alFv/ELdr0/dd2W0p
 OsDPNTGwm0J1pA==;
Date: Thu, 18 Apr 2024 14:06:29 +0300
Message-Id: <86le5bdj62.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?iso-8859-1?Q?Bj=F6rn?= Bidar <bjorn.bidar@HIDDEN>
In-Reply-To: <875xwiubq5.fsf@> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <87frvn15p6.fsf@HIDDEN> <875xwiubq5.fsf@>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: luangruo@HIDDEN, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: luangruo@HIDDEN, juri@HIDDEN
> Date: Mon, 15 Apr 2024 14:06:10 +0300
> From:  Bjrn Bidar via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Sorry I called of to early. I still get crashes :/

Does it still crash with the current master HEAD?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.
Forcibly Merged 70385 70419 70420 70427. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 70385 70419 70420. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 16 Apr 2024 10:57:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 06:57:13 2024
Received: from localhost ([127.0.0.1]:43185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwgUz-0002TY-9B
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2024 06:57:13 -0400
Received: from thaodan.de ([185.216.177.71]:52578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rwgUu-0002Rc-0d
 for 70385 <at> debbugs.gnu.org; Tue, 16 Apr 2024 06:57:11 -0400
Received: from NordStern (unknown [185.252.118.71])
 by thaodan.de (Postfix) with ESMTPSA id 8DC2FD00066;
 Tue, 16 Apr 2024 13:56:49 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713265009; bh=EwMFIwlj8nawE5PxyC+/qJ3H2VbntmE4mwQJn+3JIYk=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=kmEh+GNHixi8aiy/ijyjSaMQ41hetQ3+e2tO6jEmndMEbtV2dLK6K6+ojFC5RnHC0
 QhGdEOCOCy4gx8uuVD48lgAzt30G2VTFux3tMNjB2GFgwAMgDuJOtYhb/T+LCNII+J
 nLIBcn6CCoRbGh/YnSJhaHSfvVimktzyqaxgCOfIky48EPBLN6bGCbrcKsoNSrQo8f
 HTgbJMSJdBUdjHomp3Z/gufo1xIHvGkN8dcNoY2StAktJ+eZw5272+y5JxF4014WOM
 HQvSVqkWpwl5kzY9nfyczNoac7n2XEUdPLJ0DcYusRnO0a8h9upcgCw4cGvLJySemG
 q8C6QS9u97GP59FnfjKL8Y4s6MNlDgE719VKmN3w4+FbN97uUzYHPiaPyMt9c0v+Fr
 emSh+Hsee6CEbA/FpPp0/H0XZyw1YYd5zAVNk8mYyCmVrz+ycCPkd/0FcsMttoK61/
 rg1Uw48Tyh0h2NWlj9Mbz+DKXXXOWakJ7W5jVUMY8hVTk56ehh+cSkSXj3bGV4LWAJ
 uMGRRYzv0ozYlGKYNHfhVOA9DAU+D4M3LkDI4ykyhfUZz6oXcY1op6gIm1lou0V/xv
 rifrZLQCvnLAxNtnC2ceax8iOhPHETgL+KB956xlgShZqHa1tC85UQVLxyRo6W+zYa
 NG7gs7U6xWlw/ZmX7rMkILc0=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87ttk1ztmi.fsf@HIDDEN> (Po Lu's message of "Tue, 16 Apr 2024
 14:52:53 +0800")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN>
 <8734rm25zb.fsf@HIDDEN> <86edb6lqw0.fsf@HIDDEN>
 <87y19ezq14.fsf@HIDDEN> <86ttk2jxhk.fsf@HIDDEN>
 <87ttk1ztmi.fsf@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Tue, 16 Apr 2024 13:56:47 +0300
Message-ID: <87msptinio.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: vekazanov@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 70385 <at> debbugs.gnu.org,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

>> $3 = 678
>
> [...]
>
>>   rows_allocated = 996,
>>   nrows = 678,
>
> Unless I'm greatly mistaken, you did not install the last patch in this
> thread, correct?  The conditional there should have tested true and
> prevented this row from being dereferenced to begin with.

That was before the patch. Right now I'm testing with the patch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 16 Apr 2024 06:53:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 02:53:34 2024
Received: from localhost ([127.0.0.1]:42022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwchA-0005Nq-Ce
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2024 02:53:34 -0400
Received: from sonic311-25.consmr.mail.ne1.yahoo.com ([66.163.188.206]:43121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1rwch3-0005Lz-Vr
 for 70385 <at> debbugs.gnu.org; Tue, 16 Apr 2024 02:53:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713250388; bh=eN769jVVDvPR93uspaXGo7YtBvpPNI08BDcVWkwmy2M=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=B4SB3p7Ixaqd/vfua13HiAP8Ge/ABDAvta3JF2c0L29DBgZh3KTYPi29hjISXfucBxjhRqWQszfReyyCUrWFxDQhsbC01W2SbCDxBifBN0moKYyYz70/scL+pItTDM4ju5q14+xJJflp0dFQfqp1gkEstRpQU4NQwjXkbNg7HhX+efGUG1VzeR382lSvCKy9lca6efEduw3Qs7LfZWp0ESbGoX0sfG5xYHy9V/Yny3G+UpnJBKj3paqeYEQfalZ5NNfxVKLnfvBnlx+7alNO7v5gePaEzP8fUtdRuMr+piNbNKamZ4vgqWgRjMlHdE9zct7eDm92EeXneZtXDin4Pw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713250388; bh=aFvH+TnowEfgzpGfQCmQ6Ckw5GjuRbM86gyN2towyWt=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=TatPcNQHk6J34+R6oo6DFoIpjwMs+yHbUISGXaZ+RUk+IHGm64P2wYj1IuGqEUCR9WkkD1+I78ZhcXKUKemV0EkiNTWFkKPUDXfM/GQdMzlHRKnuLsU6BgJdQmQIqWljU3MzadUK+/z+Eh/Jag54KXn4C1oJNL3oSpr2pFuiC24/j5+LzNF2SmvfT63lZQGC16cFMw7PWrA4LrAgfXFMq/11WQHDcLzpg7B52yErbn4xt/eWzTuIfm+xIfXYx5CwNoizEldIG1w2h8w9yqxClFPdtgiU1hxvq0IZRrcGtGd0JyYDG1UfsmvL1BvkMdlIm/X3DuZ7ifOdnwUeFA+nvw==
X-YMail-OSG: YGxBL_sVM1msy9EGsTrCMvJYQjfJUKCcBHd27x6CpKmyxqa9J4uRvIvCrbEfsRn
 ifUKXqVCnfUaEzoCCQN6dGp37bJX9_cRiC7lp5SBcCemRHSRXptbKUdohAcvPBg7ZEWXAqvxnKau
 QltdA7C_QpD7.aidMak9nhvqcIxAusj6NMWGRvfU0wXEjaH6KV8gyYZZX1tfAVkKlxz.kefBccBa
 Y722wQCpxcWvj4TTrnNPJD7mwSwhgJgibusOhsNxDqzb4Cgtaht9luOktY6j9FBy0klXE5dUfiA6
 bt.SSBeQBgzjVd5CY9ln9wpgX4lohRLMLlWah43rsLsII5rxDu75Gqs0vO_yvMXlvY0olIqR28Zg
 I.uYppu1jtVjoPhDL8Hed5s5oohZveraB53.q0IX9_Rr9Tagy6onnUVGfLJh0O2BWpH23iWFV9w3
 H5ZdO.BX2fOrsdjHsnB5EeOm9oyzei25i6PoQjfP0dwI7EBuXzSvkuuQrS9ZcA_zlEkUhMngbJqJ
 gnD7MKnRSsXkbAp9kBX33vxbbhQBIW.fIIEfJ485C29WWhIcRyyByjNBGJRcZBLwD9t_Pfa9_bkV
 v0zTr8WoPoQTCPBP9aaDHbzQ4JF58rYDXm368oHMt5PL8gyT2VIQUUxUA7rcT1E9ZTedp9O_Y8Vy
 afjWHKdYhbS5lCJoFmkxByNj8ysdImKH6LmJXQaZFw1b4dq1pFHqv_OTBskDdH3O.qkIF6iiOvgG
 eA8AZ3pTPBZFUuan7QLN8UTCZNT6HQyq0jqiQSxEztRH0FbSJTAyjOur3CA2aesQ579arXtu2FTk
 eHD5TIAqWKxCpQxDC850yOGyHKRaLKaA7etGiD2xys69biejusWSmxL3PK_mYS3Qrw5_qyDWv_B4
 M29OpMvIPvaAYDwOtwlbrbaAL.75J9D_RcKEb.h4nsV0jzTx8P4dFoTi8Ck4nKV.OJUt7MAJImZ1
 3vmK_VziD60tujk6EGrTnFI5U77Wz._I.BXaFKa84dItskBscfIU_0bxAxSZcsSDez9kiaK57jnt
 m8.g0qUMAE0g2Mqeku8wBrrJm3Q4C2S9Oj6oC9wEGo47MuW.SogNZFM3PauZsskjPNGkMcAMKym4
 8fy4lc63PPF9hqalteYQ2mnmfQjOpObe2y_smVFhjen9hZqxZJ57xQfrmNdNpbd0MJT5U_rzf3df
 QU9qCh7Hg6yRWLSSBwX2XDZvdJUik8eiQ2MQhweLE4l7.AoSPLlxaULS73r1P5MPPqHQ0slE1Kth
 2.hLZGlAEyVJggicNenDItWaJbAerQgSLwyV1QNNwSqQYF6kmyf_eFk8pi7nA7fUTzJOeTFvIUJB
 q6CNNK1qIsj19V6aEKgeMowbF2twMopNbqxleRU4QMCWHNlV5MZt4qNHUtmTFXCRmHeXSB.h.55C
 vozG6CPs6KwZtRc6V8YY9bnbHfx6D1I8kDQoW9GPUPvLWuO_yqlg4g7n6LkqoMusfkHnXXO01zyg
 RcfI5Ma90MlKY7MyTXqmU3ZZBGPBUs50F8mOAxjSvMZcuv53IDTChPjH5mjZH9CtQ.bB4E4.eyat
 akyaYkCjV9YfhKS9hz0L75wpm2.fN_Q7yojVqEk6DjdotyvRyKUCo8mnq3COi7byzU1jGh2kg7lP
 aE2BeAqpJ1WtXmSzMIElqFH10YXiC5Ztc1InK_beIzXVfhgf_geMhO8IiathY4r.kUEzjeHL82HD
 56xFL.3_mvXiuXtVHzDcmuYjNURFVUaGv34TezxSWQbZo8dbQOc39MgGnxcvlKy9j5uex70Z6cps
 2FFVXthl4AY44Jjxlz_Bt91tksavwPSpQKtqX8OYo6X_EeTBpIb8too3pAofGksvwfTmd0sKBpYE
 ZagdeD5Ks_HHo0SYk02tF6dlbkJRZuT4M3Uwh12QAFY2bexLC9VSz9LS8rRoZtYuTT1srWDzSz5k
 dt6uK4oClKXKwIGFlpJkupCUyKqWX3LrICswpppDpnfNJy3eNrKdGTsx2VmKGmNX6Zwbs1V8RK_.
 fP2Hwk6gtF5uPgVMPNk_9NCZwkfDrKhCOofCaa15Kfuo49TuKbcyIWA2rQXQeJkhfFf3rAnHyfEc
 6iEVtlTk8feoZRYtDvfvkvOsLWE79NSFh58AgAXK1uVstJEwjjgU783rhiXq1BJT_YyvJB6P5N4k
 F.zAPafFshpMzyyT9MmhepxLrHczEcNGU5IRdCHX4nAnmqXEjJnGcin1kpHcPkamN5EbcLnXH2p3
 ETQ3N4DuXsraGH.Sy4P6n2T4WRABL3vgvG2WWXiM__qNIvHd7JA51ERPupyXlogLZ
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: f926909f-5f1f-491c-b455-628e2cee8444
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ne1.yahoo.com with HTTP; Tue, 16 Apr 2024 06:53:08 +0000
Received: by hermes--production-sg3-6f9f87bd85-sgvbv (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID c5964f588d8a97ceb059cf2e92e28718; 
 Tue, 16 Apr 2024 06:53:03 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87mspuph44.fsf@> (=?utf-8?Q?=22Bj=C3=B6rn?= Bidar"'s message
 of "Mon, 15 Apr 2024 22:20:59 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN>
 <8734rm25zb.fsf@HIDDEN> <86edb6lqw0.fsf@HIDDEN>
 <87y19ezq14.fsf@HIDDEN> <86ttk2jxhk.fsf@HIDDEN>
Date: Tue, 16 Apr 2024 14:52:53 +0800
Message-ID: <87ttk1ztmi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22205
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 318
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: vekazanov@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 70385 <at> debbugs.gnu.org,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Bj=C3=B6rn Bidar <bjorn.bidar@HIDDEN> writes:

> $3 =3D 678

[...]

>   rows_allocated =3D 996,
>   nrows =3D 678,

Unless I'm greatly mistaken, you did not install the last patch in this
thread, correct?  The conditional there should have tested true and
prevented this row from being dereferenced to begin with.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 19:21:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 15:21:20 2024
Received: from localhost ([127.0.0.1]:39111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwRtI-0004qj-Ff
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 15:21:20 -0400
Received: from thaodan.de ([185.216.177.71]:54492)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rwRtG-0004q8-N4
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 15:21:19 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id 2D93DD00060;
 Mon, 15 Apr 2024 22:21:00 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713208860; bh=1ab5FmF5z28lNACEeQVCCqb04Xnv3YHoplvx2oR5mm4=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=DtxBzLO0gF95SfXkKRXtZjI6V6/9lPZwffd52+Et0Z2WVJa8xclucN66sQIqVM6S+
 2aylkcRj2/4ShUo7F57euknjNGIy+LoA9ZLSCb4ROsj3nJJKYgm45Lajm2PdYq5JhF
 k4Vcmn8V4qwu8kWc0hBwrhRABBX2Oqlv0KvcxIBvB8GDsPQcHU1DRxzSbheLfBm4en
 pJvca7vkEW7h1//r2Fr9lyU1zc5rlAT21Ibk4wc6PB3xauZ0sXDVsurL0gGcVe6X3h
 fSyRqiIOFpBDPwLt1nZ8KtAyzmpB8hVaYHJGN2BOh7qIvG8xx2LXJ2fASQ28dpVYWJ
 3fWGslw5mf17KFnSORjgfzvqta3CechkSiI9N6UWintLpuCptXXMplgtD5ybAl0iLM
 yvIBlrTyPbLo3lDZYo/S08Av803LYxaLh5zTR3QonxJb+jCrLuLSIM5C1DFtve/Muj
 b8wFV1oEyToZjm23nVEvrVl/hNwtUp/e9I5TNUI7bAOOS/C/Dt/mVeGrpsZzlifIVo
 i4qJHZF7G0pBM3bfTg+kpTq4ZgrkKdhnT+4AgmioAPApCO6Z1DCUwWgdkAibF9lYeN
 IGcU2NM3c0j9ZRqfDBCoq+P8kFPgbCOFSvBKzIBBwMOGPjKyvAOJCDzXNGzx6ZTe4q
 VoHS9Wu4urbxMqzOjmcCyVdA=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <86ttk2jxhk.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 15 Apr
 2024 21:23:51 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN>
 <8734rm25zb.fsf@HIDDEN> <86edb6lqw0.fsf@HIDDEN>
 <87y19ezq14.fsf@HIDDEN> <86ttk2jxhk.fsf@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Mon, 15 Apr 2024 22:20:59 +0300
Message-ID: <87mspuph44.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 70385
Cc: luangruo@HIDDEN, vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Bj=C3=B6rn Bidar <bjorn.bidar@HIDDEN>
>> Cc: Eli Zaretskii <eliz@HIDDEN>,  Po Lu <luangruo@HIDDEN>,
>>   juri@HIDDEN,  70385 <at> debbugs.gnu.org,  vekazanov@HIDDEN
>> Date: Mon, 15 Apr 2024 20:04:02 +0300
>>=20
>> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
>> editors" <bug-gnu-emacs@HIDDEN> writes:
>>=20
>> > Eli Zaretskii <eliz@HIDDEN> writes:
>> >
>> >> I think this should be
>> >>
>> >>   if ((window_outdated (w)
>> >>        || !w->window_end_valid
>> >>        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
>> >> 						   vpos)))
>> >
>> > Yes, sorry.
>> >
>> >> I'm not sure it will help, because it seems the segfault happens in
>> >> the MATRIX_ROW_DISPLAYS_TEXT_P macro.  So I think we are somehow
>> >> dealing with w->current_matrix whose 'nrows' is too small.  The
>> >> mouse-highlight code detects that case in x_y_to_hpos_vpos.
>> >
>> > Right.  What about this?
>> >
>> > diff --git a/src/xdisp.c b/src/xdisp.c
>> > index d984c12d1aa..dcecc2b09d4 100644
>> > --- a/src/xdisp.c
>> > +++ b/src/xdisp.c
>> > @@ -35772,6 +35772,7 @@ note_fringe_highlight (struct frame *f, Lisp_O=
bject window, int x, int y,
>> >    /* Don't access the TEXT_AREA of a row that does not display text, =
or
>> >       when the window is outdated.  (bug#70385) */
>> >    if (window_outdated (w)
>> > +      || (vpos >=3D w->current_matrix->nrows)
>> >        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
>> >  						  vpos)))
>> >      return;
>> >
>> > It's the same test x_y_to_hpos_vpos applies to decide whether to punt
>> > and return NULL.
>>=20
>> Tried the change but it wasn't enough:
>
> OK, but can you please collect the data I asked for?  It's important
> for figuring out the solution.

Sorry I wasn't running Emacs with gdb attached, I only posthumously
inspected the core dump.

Now I ran gdb again with the commands you requested.
It took quite some time to actually hit the window that causes a crash,
before Emacs ran normal.


--=-=-=
Content-Type: text/x-log
Content-Disposition: inline; filename=emacs.note_fringe.gdb.4th.log

Program not restarted.
Continuing.
[Detaching after vfork from child process 44196]
[New Thread 0x7fffe20006c0 (LWP 44225)]
[New Thread 0x7fffe16006c0 (LWP 44226)]
[New Thread 0x7fffe0c006c0 (LWP 44227)]
[New Thread 0x7fffdbe006c0 (LWP 44228)]
[New Thread 0x7fffdb4006c0 (LWP 44229)]
[New Thread 0x7fffdaa006c0 (LWP 44230)]
warning: Corrupted shared library list: 0x555563587e70 != 0x55555c188b40
[New Thread 0x7fffda0006c0 (LWP 44236)]
[Detaching after vfork from child process 44237]
warning: Corrupted shared library list: 0x55556812d420 != 0x555568458d40
[Detaching after vfork from child process 44242]
[Detaching after vfork from child process 44243]
[Detaching after vfork from child process 44244]
[Detaching after vfork from child process 44245]
[Detaching after vfork from child process 44246]
[Detaching after vfork from child process 44247]
[Detaching after vfork from child process 44248]
[Detaching after vfork from child process 44249]
[Detaching after vfork from child process 44250]
[Detaching after vfork from child process 44251]
[Detaching after vfork from child process 44252]
[Detaching after vfork from child process 44253]
[Detaching after vfork from child process 44254]
[Detaching after vfork from child process 44255]
[Detaching after vfork from child process 44256]
[Detaching after vfork from child process 44257]
[Detaching after vfork from child process 44258]
[Detaching after vfork from child process 44259]
[Detaching after vfork from child process 44260]
[Detaching after vfork from child process 44261]
[Detaching after vfork from child process 44262]
[Detaching after vfork from child process 44263]
[Detaching after vfork from child process 44264]
[Detaching after vfork from child process 44265]
[Detaching after vfork from child process 44266]
[Detaching after vfork from child process 44267]
[Detaching after vfork from child process 44268]
[Detaching after vfork from child process 44269]
[Detaching after vfork from child process 44270]
[Detaching after vfork from child process 44271]
[Detaching after vfork from child process 44272]
[Detaching after vfork from child process 44273]
[Detaching after vfork from child process 44274]
[Detaching after vfork from child process 44275]
[Detaching after vfork from child process 44276]
[Detaching after vfork from child process 44277]
[Detaching after vfork from child process 44278]
[Detaching after vfork from child process 44279]
[Detaching after vfork from child process 44280]
[Detaching after vfork from child process 44281]
[Detaching after vfork from child process 44282]
[Detaching after vfork from child process 44283]
[Detaching after vfork from child process 44284]
[Detaching after vfork from child process 44285]
[Detaching after vfork from child process 44286]
[Detaching after vfork from child process 44287]
[Detaching after vfork from child process 44288]
[Detaching after vfork from child process 44289]
[Detaching after vfork from child process 44290]
[Detaching after vfork from child process 44291]
[Detaching after vfork from child process 44292]
[Detaching after vfork from child process 44293]
[Detaching after vfork from child process 44294]
[Detaching after vfork from child process 44295]
[Detaching after vfork from child process 44296]
[Detaching after vfork from child process 44297]
[Detaching after vfork from child process 44298]
[Detaching after vfork from child process 44299]
[Detaching after vfork from child process 44300]
[Detaching after vfork from child process 44301]
[Detaching after vfork from child process 44302]
[Detaching after vfork from child process 44303]
[Detaching after vfork from child process 44304]
[Detaching after vfork from child process 44305]
[Detaching after vfork from child process 44306]
[Detaching after vfork from child process 44307]
[Detaching after vfork from child process 44308]
[Detaching after vfork from child process 44309]
[Detaching after vfork from child process 44310]
[Detaching after vfork from child process 44311]
[Detaching after vfork from child process 44312]
[Detaching after vfork from child process 44323]
[Detaching after vfork from child process 44324]
[Detaching after vfork from child process 44326]
[Detaching after vfork from child process 44327]
[Detaching after vfork from child process 44328]
[Detaching after vfork from child process 44329]
[Detaching after vfork from child process 44330]
[Detaching after vfork from child process 44331]
[Detaching after vfork from child process 44332]
[Detaching after vfork from child process 44333]
[Detaching after vfork from child process 44334]
[Detaching after vfork from child process 44335]
[Detaching after vfork from child process 44336]
[Detaching after vfork from child process 44337]
[Detaching after vfork from child process 44338]
[Detaching after vfork from child process 44339]
[Detaching after vfork from child process 44340]
[Detaching after vfork from child process 44341]
[Detaching after vfork from child process 44342]
[Detaching after vfork from child process 44343]
[Detaching after vfork from child process 44344]
[Detaching after vfork from child process 44345]
[Detaching after vfork from child process 44346]
[Detaching after vfork from child process 44347]
[Detaching after vfork from child process 44348]
[Detaching after vfork from child process 44349]
[Detaching after vfork from child process 44350]
[Detaching after vfork from child process 44351]
[Detaching after vfork from child process 44362]
[Detaching after vfork from child process 44363]
[Detaching after vfork from child process 44364]
[Detaching after vfork from child process 44365]
[Detaching after vfork from child process 44366]
[Detaching after vfork from child process 44367]
[Detaching after vfork from child process 44437]
[Detaching after vfork from child process 44438]
[Detaching after vfork from child process 44439]
[Detaching after vfork from child process 44440]
[Detaching after vfork from child process 44441]
[Detaching after vfork from child process 44442]
[Detaching after vfork from child process 44443]
[Detaching after vfork from child process 44444]
[Detaching after vfork from child process 44445]
[Detaching after vfork from child process 44446]
[Detaching after vfork from child process 44447]
[Detaching after vfork from child process 44448]
[Detaching after vfork from child process 44449]
[Detaching after vfork from child process 44450]
[Detaching after vfork from child process 44451]
[Detaching after vfork from child process 44452]
[Detaching after vfork from child process 44453]
[Detaching after vfork from child process 44454]
[Detaching after vfork from child process 44455]
[Detaching after vfork from child process 44456]
[Detaching after vfork from child process 44457]
[Detaching after vfork from child process 44458]
[Detaching after vfork from child process 44459]
[Detaching after vfork from child process 44460]
[Detaching after vfork from child process 44461]
[Detaching after vfork from child process 44462]
[Detaching after vfork from child process 44463]
[Detaching after vfork from child process 44464]
[Detaching after vfork from child process 44465]
[Detaching after vfork from child process 44466]
[Detaching after vfork from child process 44467]
[Detaching after vfork from child process 44468]
[Detaching after vfork from child process 44469]
[Detaching after vfork from child process 44477]
[Detaching after vfork from child process 44478]
[Thread 0x7fffdb4006c0 (LWP 44229) exited]
[New Thread 0x7fffd9453300 (LWP 44591)]
[New Thread 0x7fffd943b300 (LWP 44592)]
[New Thread 0x7fffd9423300 (LWP 44593)]
[New Thread 0x7fffd940b300 (LWP 44594)]
[New Thread 0x7fffd89ff300 (LWP 44595)]
[New Thread 0x7fffd89e7300 (LWP 44596)]
[Thread 0x7fffd89ff300 (LWP 44595) exited]
[Thread 0x7fffd9453300 (LWP 44591) exited]
[Thread 0x7fffd89e7300 (LWP 44596) exited]
[New Thread 0x7fffdb4006c0 (LWP 44597)]
[Thread 0x7fffd943b300 (LWP 44592) exited]
[Thread 0x7fffd9423300 (LWP 44593) exited]
[New Thread 0x7fffd9423300 (LWP 44598)]
[Thread 0x7fffdb4006c0 (LWP 44597) exited]
[Thread 0x7fffd940b300 (LWP 44594) exited]
[New Thread 0x7fffd940b300 (LWP 44601)]
[New Thread 0x7fffd943b300 (LWP 44602)]
[Thread 0x7fffd9423300 (LWP 44598) exited]
[Thread 0x7fffd943b300 (LWP 44602) exited]
[New Thread 0x7fffd943b300 (LWP 44603)]
[New Thread 0x7fffd9423300 (LWP 44604)]
[New Thread 0x7fffd89e7300 (LWP 44605)]
[Thread 0x7fffd943b300 (LWP 44603) exited]
[Thread 0x7fffd940b300 (LWP 44601) exited]
[Thread 0x7fffd9423300 (LWP 44604) exited]
[New Thread 0x7fffd9423300 (LWP 44606)]
[New Thread 0x7fffdb4006c0 (LWP 44607)]
[Thread 0x7fffd89e7300 (LWP 44605) exited]
[New Thread 0x7fffc3e006c0 (LWP 44608)]
[New Thread 0x7fffc34006c0 (LWP 44609)]
[New Thread 0x7fffc2a006c0 (LWP 44610)]
[New Thread 0x7fffc20006c0 (LWP 44611)]
[New Thread 0x7fffc16006c0 (LWP 44612)]
[Thread 0x7fffc2a006c0 (LWP 44610) exited]
[Thread 0x7fffc3e006c0 (LWP 44608) exited]
[Thread 0x7fffdb4006c0 (LWP 44607) exited]
[Thread 0x7fffc20006c0 (LWP 44611) exited]
[Thread 0x7fffc34006c0 (LWP 44609) exited]
[Thread 0x7fffc16006c0 (LWP 44612) exited]
[New Thread 0x7fffd9453300 (LWP 44613)]
[New Thread 0x7fffc16006c0 (LWP 44614)]
[Thread 0x7fffd9453300 (LWP 44613) exited]
[Thread 0x7fffd9423300 (LWP 44606) exited]
[Thread 0x7fffc16006c0 (LWP 44614) exited]
[New Thread 0x7fffd9423300 (LWP 44621)]
[New Thread 0x7fffd9453300 (LWP 44622)]
[New Thread 0x7fffd943b300 (LWP 44623)]
[Thread 0x7fffd943b300 (LWP 44623) exited]
[Thread 0x7fffd9453300 (LWP 44622) exited]
[Thread 0x7fffd9423300 (LWP 44621) exited]
[Detaching after vfork from child process 44999]
[New Thread 0x7fffd9423300 (LWP 46649)]
[New Thread 0x7fffd943b300 (LWP 46650)]
[New Thread 0x7fffd9453300 (LWP 46651)]
[New Thread 0x7fffdbfde300 (LWP 46652)]
[New Thread 0x7fffdbfc6300 (LWP 46653)]
[Thread 0x7fffd943b300 (LWP 46650) exited]
[Thread 0x7fffd9423300 (LWP 46649) exited]
[New Thread 0x7fffc16006c0 (LWP 46654)]
[Thread 0x7fffc16006c0 (LWP 46654) exited]
[Thread 0x7fffdbfde300 (LWP 46652) exited]
[Thread 0x7fffdbfc6300 (LWP 46653) exited]
[New Thread 0x7fffdbfc6300 (LWP 46655)]
[New Thread 0x7fffc16006c0 (LWP 46656)]
[Thread 0x7fffd9453300 (LWP 46651) exited]
[New Thread 0x7fffc34006c0 (LWP 46657)]
[New Thread 0x7fffc20006c0 (LWP 46658)]
[New Thread 0x7fffdb4006c0 (LWP 46659)]
[Thread 0x7fffdbfc6300 (LWP 46655) exited]
[Thread 0x7fffc16006c0 (LWP 46656) exited]
[New Thread 0x7fffc16006c0 (LWP 46660)]
[New Thread 0x7fffc2a006c0 (LWP 46661)]
[Thread 0x7fffc2a006c0 (LWP 46661) exited]
[Thread 0x7fffdb4006c0 (LWP 46659) exited]
[Thread 0x7fffc34006c0 (LWP 46657) exited]
[Thread 0x7fffc20006c0 (LWP 46658) exited]
[Thread 0x7fffc16006c0 (LWP 46660) exited]
[Detaching after vfork from child process 46912]
[Detaching after vfork from child process 47331]
[Detaching after vfork from child process 50193]
[Detaching after vfork from child process 50194]
[Detaching after vfork from child process 50195]
[Detaching after vfork from child process 50196]
[Detaching after vfork from child process 50198]
[Detaching after vfork from child process 50350]
[Detaching after vfork from child process 50351]
[Detaching after vfork from child process 50352]
[Detaching after vfork from child process 50353]
[Detaching after vfork from child process 50354]
[Detaching after vfork from child process 50355]
[Detaching after vfork from child process 50356]
[Detaching after vfork from child process 50357]
[Detaching after vfork from child process 50358]
[Detaching after vfork from child process 50359]
[Detaching after vfork from child process 50360]
[Detaching after vfork from child process 50361]
[Detaching after vfork from child process 50362]
[Detaching after vfork from child process 50363]
[Detaching after vfork from child process 50379]
[Detaching after vfork from child process 50380]
[Detaching after vfork from child process 50387]
[Detaching after vfork from child process 50388]
[Detaching after vfork from child process 50389]
[Detaching after vfork from child process 50390]
[Detaching after vfork from child process 50391]
[Detaching after vfork from child process 50392]
[Detaching after vfork from child process 50393]
[Detaching after vfork from child process 50394]
[Detaching after vfork from child process 50395]
[Detaching after vfork from child process 50396]
[Detaching after vfork from child process 50397]
[Detaching after vfork from child process 50398]
[Detaching after vfork from child process 50399]
[Detaching after vfork from child process 50400]
[Detaching after vfork from child process 50401]
[Detaching after vfork from child process 50402]
[Detaching after vfork from child process 50403]
[Detaching after vfork from child process 50404]
[Detaching after vfork from child process 50405]
[Detaching after vfork from child process 50406]
[Detaching after vfork from child process 50407]
[Detaching after vfork from child process 50408]
[Detaching after vfork from child process 50409]
[Detaching after vfork from child process 50410]
[Detaching after vfork from child process 50411]
[Detaching after vfork from child process 50412]
[Detaching after vfork from child process 50413]
[Detaching after vfork from child process 50414]
[Detaching after vfork from child process 50415]
[Detaching after vfork from child process 50416]
[Detaching after vfork from child process 50417]
[Detaching after vfork from child process 50418]
[Detaching after vfork from child process 50419]
[Detaching after vfork from child process 50420]
[Detaching after vfork from child process 50421]
[Detaching after vfork from child process 50422]
[Detaching after vfork from child process 50423]
[Detaching after vfork from child process 50424]
[Detaching after vfork from child process 50425]
[Detaching after vfork from child process 50426]
[Detaching after vfork from child process 50427]
[Detaching after vfork from child process 50428]
[Detaching after vfork from child process 50429]
[Detaching after vfork from child process 50430]
[Detaching after vfork from child process 50431]
[Detaching after vfork from child process 50432]
[Detaching after vfork from child process 50433]
[Detaching after vfork from child process 50434]
[Detaching after vfork from child process 50435]
[Detaching after vfork from child process 50436]
[Detaching after vfork from child process 50437]
[Detaching after vfork from child process 50438]
[Detaching after vfork from child process 50439]
[Detaching after vfork from child process 50440]
[Detaching after vfork from child process 50441]
[Detaching after vfork from child process 50442]
[Detaching after vfork from child process 50443]
[Detaching after vfork from child process 50444]
[Detaching after vfork from child process 50445]
[Detaching after vfork from child process 50446]
[Detaching after vfork from child process 50447]
[Detaching after vfork from child process 50448]
[Detaching after vfork from child process 50449]
[Detaching after vfork from child process 50450]
[Detaching after vfork from child process 50451]
[Detaching after vfork from child process 50452]
[Detaching after vfork from child process 50453]
[Detaching after vfork from child process 50454]
[Detaching after vfork from child process 50455]
[Detaching after vfork from child process 50456]
[Detaching after vfork from child process 50457]
[Detaching after vfork from child process 50458]
[Detaching after vfork from child process 50459]
[Detaching after vfork from child process 50460]
[Detaching after vfork from child process 50461]
[Detaching after vfork from child process 50462]
[Detaching after vfork from child process 50463]
[Detaching after vfork from child process 50464]
[Detaching after vfork from child process 50465]
[Detaching after vfork from child process 50466]
[Detaching after vfork from child process 50467]
[Detaching after vfork from child process 50468]
[Detaching after vfork from child process 50469]
[Detaching after vfork from child process 50470]
[Detaching after vfork from child process 50471]
[Detaching after vfork from child process 50472]
[Detaching after vfork from child process 50473]
[Detaching after vfork from child process 50474]
[Detaching after vfork from child process 50475]
[Detaching after vfork from child process 50476]
[Detaching after vfork from child process 50477]
[Detaching after vfork from child process 50478]
[Detaching after vfork from child process 50479]
[Detaching after vfork from child process 50480]
[Detaching after vfork from child process 50481]
[Detaching after vfork from child process 50482]
[Detaching after vfork from child process 50483]
[Detaching after vfork from child process 50484]
[Detaching after vfork from child process 50485]
[Detaching after vfork from child process 50486]
[Detaching after vfork from child process 50487]
[Detaching after vfork from child process 50488]
[Detaching after vfork from child process 50489]
[Detaching after vfork from child process 50490]
[Detaching after vfork from child process 50491]
[Detaching after vfork from child process 50492]
[Detaching after vfork from child process 50493]
[Detaching after vfork from child process 50494]
[Detaching after vfork from child process 50495]
[Detaching after vfork from child process 50496]
[Detaching after vfork from child process 50497]
[Detaching after vfork from child process 50498]
[Detaching after vfork from child process 50499]
[Detaching after vfork from child process 50500]
[Detaching after vfork from child process 50501]
[Detaching after vfork from child process 50502]
[Detaching after vfork from child process 50503]
[Detaching after vfork from child process 50504]
[Detaching after vfork from child process 50505]
[Detaching after vfork from child process 50506]
[Detaching after vfork from child process 50507]
[Detaching after vfork from child process 50508]
[Detaching after vfork from child process 50509]
[Detaching after vfork from child process 50556]
[Detaching after vfork from child process 50557]
[Detaching after vfork from child process 50558]
[Detaching after vfork from child process 50561]
[Detaching after vfork from child process 50562]
[Detaching after vfork from child process 50563]
[Detaching after vfork from child process 50564]
[Detaching after vfork from child process 50565]
[Detaching after vfork from child process 50566]
[Detaching after vfork from child process 50567]
[Detaching after vfork from child process 50568]
[Detaching after vfork from child process 50569]
[Detaching after vfork from child process 50570]
[Detaching after vfork from child process 50571]
[Detaching after vfork from child process 50572]
[Detaching after vfork from child process 50573]
[Detaching after vfork from child process 50574]
[Detaching after vfork from child process 50575]
[Detaching after vfork from child process 50576]
[Detaching after vfork from child process 50577]
[Detaching after vfork from child process 50578]
[Detaching after vfork from child process 50579]
[Detaching after vfork from child process 50580]
[Detaching after vfork from child process 50581]
[Detaching after vfork from child process 50582]
[Detaching after vfork from child process 50583]
[Detaching after vfork from child process 50584]
[Detaching after vfork from child process 50585]
[Detaching after vfork from child process 50586]
[Detaching after vfork from child process 50587]
[Detaching after vfork from child process 50588]
[Detaching after vfork from child process 50589]
[Detaching after vfork from child process 50590]
[Detaching after vfork from child process 50591]
[Detaching after vfork from child process 50592]
[Detaching after vfork from child process 50593]
[Detaching after vfork from child process 50594]
[Detaching after vfork from child process 50595]
[Detaching after vfork from child process 50596]
[Detaching after vfork from child process 50597]
[Detaching after vfork from child process 50598]
[Detaching after vfork from child process 50599]
[Detaching after vfork from child process 50600]
[Detaching after vfork from child process 50601]
[Detaching after vfork from child process 50602]
[Detaching after vfork from child process 50603]
[Detaching after vfork from child process 50604]
[Detaching after vfork from child process 50605]
[Detaching after vfork from child process 50606]
[Detaching after vfork from child process 50607]
[Detaching after vfork from child process 50608]
[Detaching after vfork from child process 50609]
[Detaching after vfork from child process 50610]
[Detaching after vfork from child process 50611]
[Detaching after vfork from child process 50612]
[Detaching after vfork from child process 50613]
[Detaching after vfork from child process 50614]
[Detaching after vfork from child process 50615]
[Detaching after vfork from child process 50616]
[Detaching after vfork from child process 50617]
[Detaching after vfork from child process 50618]
[Detaching after vfork from child process 50619]
[Detaching after vfork from child process 50620]
[Detaching after vfork from child process 50621]
[Detaching after vfork from child process 50622]
[Detaching after vfork from child process 50623]
[Detaching after vfork from child process 50624]
[Detaching after vfork from child process 50625]
[Detaching after vfork from child process 50626]
[Detaching after vfork from child process 50627]
[Detaching after vfork from child process 50628]
[Detaching after vfork from child process 50629]
[Detaching after vfork from child process 50630]
[Detaching after vfork from child process 50631]
[Detaching after vfork from child process 50632]
[Detaching after vfork from child process 50633]
[Detaching after vfork from child process 50634]
[Detaching after vfork from child process 50635]
[Detaching after vfork from child process 50636]
warning: Corrupted shared library list: 0x55557b13a910 != 0x55557b3b46c0
[Detaching after vfork from child process 50685]
[Detaching after vfork from child process 50686]
[Detaching after vfork from child process 50688]
[Detaching after vfork from child process 50689]
[Detaching after vfork from child process 50690]
[Detaching after vfork from child process 50691]
[Detaching after vfork from child process 50692]
[Detaching after vfork from child process 50693]
[Detaching after vfork from child process 50694]
[Detaching after vfork from child process 50695]
[Detaching after vfork from child process 50696]
[Detaching after vfork from child process 50697]
[Detaching after vfork from child process 50698]
[Detaching after vfork from child process 50699]
[Detaching after vfork from child process 50700]
[Detaching after vfork from child process 50701]
[Detaching after vfork from child process 50702]
[Detaching after vfork from child process 50703]
[Detaching after vfork from child process 50704]
[Detaching after vfork from child process 50705]
[Detaching after vfork from child process 50706]
[Detaching after vfork from child process 50707]
[Detaching after vfork from child process 50708]
[Detaching after vfork from child process 50709]
[Detaching after vfork from child process 50710]
[Detaching after vfork from child process 50711]
[Detaching after vfork from child process 50712]
[Detaching after vfork from child process 50713]
[Detaching after vfork from child process 50714]
[Detaching after vfork from child process 50715]
[Detaching after vfork from child process 50716]
[Detaching after vfork from child process 50717]
[Detaching after vfork from child process 50718]
[Detaching after vfork from child process 50719]
[Detaching after vfork from child process 50720]
[Detaching after vfork from child process 50721]
[Detaching after vfork from child process 50722]
[Detaching after vfork from child process 50723]
[Detaching after vfork from child process 50724]
[Detaching after vfork from child process 50725]
[Detaching after vfork from child process 50726]
[Detaching after vfork from child process 50727]
[Detaching after vfork from child process 50728]
[Detaching after vfork from child process 50729]
[Detaching after vfork from child process 50730]
[Detaching after vfork from child process 50731]
[Detaching after vfork from child process 50732]
[Detaching after vfork from child process 50733]
[Detaching after vfork from child process 50734]
[Detaching after vfork from child process 50735]
[Detaching after vfork from child process 50736]
[Detaching after vfork from child process 50737]
[Detaching after vfork from child process 50738]
[Detaching after vfork from child process 50739]
[Detaching after vfork from child process 50740]
[Detaching after vfork from child process 50741]
[Detaching after vfork from child process 50742]
[Detaching after vfork from child process 50743]
[Detaching after vfork from child process 50744]
[Detaching after vfork from child process 50745]
[Detaching after vfork from child process 50746]
[Detaching after vfork from child process 50747]
[Detaching after vfork from child process 50748]
[Detaching after vfork from child process 50749]
[Detaching after vfork from child process 50750]
[Detaching after vfork from child process 50751]
[Detaching after vfork from child process 50752]
[Detaching after vfork from child process 50753]
[Detaching after vfork from child process 50754]
[Detaching after vfork from child process 50755]
[Detaching after vfork from child process 50756]
[Detaching after vfork from child process 50757]
[Detaching after vfork from child process 50758]
[Detaching after vfork from child process 50759]
[Detaching after vfork from child process 50760]
[Detaching after vfork from child process 50761]
[Detaching after vfork from child process 50762]
[Detaching after vfork from child process 50763]
[Detaching after vfork from child process 50764]
[Detaching after vfork from child process 50765]
[Detaching after vfork from child process 50767]
[Detaching after vfork from child process 50768]
[Detaching after vfork from child process 50859]
[Detaching after vfork from child process 51105]
[Detaching after vfork from child process 51185]
[Detaching after vfork from child process 51212]
[Detaching after vfork from child process 51213]
[Detaching after vfork from child process 51215]
[Detaching after vfork from child process 51220]
[Detaching after vfork from child process 51221]
[Detaching after vfork from child process 51223]
[Detaching after vfork from child process 51224]
[Detaching after vfork from child process 51226]
[Detaching after vfork from child process 51230]
[Detaching after vfork from child process 51235]
[Detaching after vfork from child process 51236]
[Detaching after vfork from child process 51237]
[Detaching after vfork from child process 51264]
[Detaching after vfork from child process 51265]
[Detaching after vfork from child process 51281]
[Detaching after vfork from child process 51282]
[Detaching after vfork from child process 51287]
[Detaching after vfork from child process 51288]
[Detaching after vfork from child process 51289]
[Detaching after vfork from child process 51292]
[Detaching after vfork from child process 51293]
[Detaching after vfork from child process 51295]
[Detaching after vfork from child process 51300]
[Detaching after vfork from child process 51301]
[Detaching after vfork from child process 51304]
[Detaching after vfork from child process 51305]
[Detaching after vfork from child process 51307]
[Detaching after vfork from child process 51308]
[Detaching after vfork from child process 51315]
[Detaching after vfork from child process 51316]
[Detaching after vfork from child process 51318]
[Detaching after vfork from child process 51319]
[Detaching after vfork from child process 51320]
[Detaching after vfork from child process 51321]
[Detaching after vfork from child process 51323]
[Detaching after vfork from child process 51324]
[Detaching after vfork from child process 51325]
[Detaching after vfork from child process 51326]
[Detaching after vfork from child process 51331]
[Detaching after vfork from child process 51332]
[Detaching after vfork from child process 51334]
[Detaching after vfork from child process 51335]
[Detaching after vfork from child process 51336]
[Detaching after vfork from child process 51337]
[Detaching after vfork from child process 51338]
[Detaching after vfork from child process 51340]
[Detaching after vfork from child process 51341]
[Detaching after vfork from child process 51348]
[Detaching after vfork from child process 51349]
[Detaching after vfork from child process 51351]
[Detaching after vfork from child process 51352]
[Detaching after vfork from child process 51354]
[Detaching after vfork from child process 51355]
[Detaching after vfork from child process 51356]
[Detaching after vfork from child process 51367]
[Detaching after vfork from child process 51368]
[Detaching after vfork from child process 51373]
[Detaching after vfork from child process 51374]
[Detaching after vfork from child process 51376]
[Detaching after vfork from child process 51378]
[Detaching after vfork from child process 51379]
[Detaching after vfork from child process 51385]
[Detaching after vfork from child process 51386]
[Detaching after vfork from child process 51388]
[Detaching after vfork from child process 51389]
[Detaching after vfork from child process 51390]
[Detaching after vfork from child process 51391]
[Detaching after vfork from child process 51392]
[Detaching after vfork from child process 51397]
[Detaching after vfork from child process 51398]
[Detaching after vfork from child process 51399]
[Detaching after vfork from child process 51400]
[Detaching after vfork from child process 51401]
[Detaching after vfork from child process 51402]
[Detaching after vfork from child process 51408]
[Detaching after vfork from child process 51409]
[Detaching after vfork from child process 51410]
[Detaching after vfork from child process 51412]
[Detaching after vfork from child process 51413]
[Detaching after vfork from child process 51414]
[Detaching after vfork from child process 51415]
[Detaching after vfork from child process 51416]
[Detaching after vfork from child process 51417]
[Detaching after vfork from child process 51418]
[Detaching after vfork from child process 51419]
[Detaching after vfork from child process 51420]
[Detaching after vfork from child process 51421]
[Detaching after vfork from child process 51422]
[Detaching after vfork from child process 51423]
[Detaching after vfork from child process 51424]
[Detaching after vfork from child process 51425]
[Detaching after vfork from child process 51426]
[Detaching after vfork from child process 51427]
[Detaching after vfork from child process 51428]
[Detaching after vfork from child process 51429]
[Detaching after vfork from child process 51430]
[Detaching after vfork from child process 51431]
[Detaching after vfork from child process 51432]
[Detaching after vfork from child process 51433]
[Detaching after vfork from child process 51434]
[Detaching after vfork from child process 51435]
[Detaching after vfork from child process 51436]
[Detaching after vfork from child process 51437]
[Detaching after vfork from child process 51438]
[Detaching after vfork from child process 51439]
[Detaching after vfork from child process 51440]
[Detaching after vfork from child process 51441]
[Detaching after vfork from child process 51442]
[Detaching after vfork from child process 51443]
[Detaching after vfork from child process 51444]
[Detaching after vfork from child process 51445]
[Detaching after vfork from child process 51446]
[Detaching after vfork from child process 51447]
[Detaching after vfork from child process 51448]
[Detaching after vfork from child process 51449]
[Detaching after vfork from child process 51450]
[Detaching after vfork from child process 51451]
[Detaching after vfork from child process 51452]
[Detaching after vfork from child process 51453]
[Detaching after vfork from child process 51454]
[Detaching after vfork from child process 51455]
[Detaching after vfork from child process 51456]
[Detaching after vfork from child process 51457]
[Detaching after vfork from child process 51458]
[Detaching after vfork from child process 51459]
[Detaching after vfork from child process 51460]
[Detaching after vfork from child process 51461]
[Detaching after vfork from child process 51462]
[Detaching after vfork from child process 51463]
[Detaching after vfork from child process 51464]
[Detaching after vfork from child process 51465]
[Detaching after vfork from child process 51466]
[Detaching after vfork from child process 51467]
[Detaching after vfork from child process 51468]
[Detaching after vfork from child process 51469]
[Detaching after vfork from child process 51470]
[Detaching after vfork from child process 51471]
[Detaching after vfork from child process 51472]
[Detaching after vfork from child process 51473]
[Detaching after vfork from child process 51474]
[Detaching after vfork from child process 51475]
[Detaching after vfork from child process 51476]
[Detaching after vfork from child process 51477]
[Detaching after vfork from child process 51478]
[Detaching after vfork from child process 51479]
[Detaching after vfork from child process 51480]
[Detaching after vfork from child process 51481]
[Detaching after vfork from child process 51482]
[Detaching after vfork from child process 51483]
[Detaching after vfork from child process 51484]
[Detaching after vfork from child process 51485]
[Detaching after vfork from child process 51486]
[Detaching after vfork from child process 51487]
[Detaching after vfork from child process 51488]
[Detaching after vfork from child process 51489]
[Detaching after vfork from child process 51545]
[Detaching after vfork from child process 51546]
[Detaching after vfork from child process 51550]
[Detaching after vfork from child process 51551]
[Detaching after vfork from child process 51552]
[Detaching after vfork from child process 51553]
[Detaching after vfork from child process 51554]
[Detaching after vfork from child process 51555]
[Detaching after vfork from child process 51556]
[Detaching after vfork from child process 51557]
[Detaching after vfork from child process 51558]
[Detaching after vfork from child process 51559]
[Detaching after vfork from child process 51560]
[Detaching after vfork from child process 51561]
[Detaching after vfork from child process 51562]
[Detaching after vfork from child process 51563]
[Detaching after vfork from child process 51564]
[Detaching after vfork from child process 51565]
[Detaching after vfork from child process 51566]
[Detaching after vfork from child process 51567]
[Detaching after vfork from child process 51568]
[Detaching after vfork from child process 51569]
[Detaching after vfork from child process 51570]
[Detaching after vfork from child process 51571]
[Detaching after vfork from child process 51572]
[Detaching after vfork from child process 51573]
[Detaching after vfork from child process 51574]
[Detaching after vfork from child process 51575]
[Detaching after vfork from child process 51576]
[Detaching after vfork from child process 51577]
[Detaching after vfork from child process 51578]
[Detaching after vfork from child process 51579]
[Detaching after vfork from child process 51580]
[Detaching after vfork from child process 51581]
[Detaching after vfork from child process 51582]
[Detaching after vfork from child process 51583]
[Detaching after vfork from child process 51584]
[Detaching after vfork from child process 51585]
[Detaching after vfork from child process 51586]
[Detaching after vfork from child process 51587]
[Detaching after vfork from child process 51588]
[Detaching after vfork from child process 51589]
[Detaching after vfork from child process 51590]
[Detaching after vfork from child process 51591]
[Detaching after vfork from child process 51592]
[Detaching after vfork from child process 51593]
[Detaching after vfork from child process 51594]
[Detaching after vfork from child process 51595]
[Detaching after vfork from child process 51596]
[Detaching after vfork from child process 51597]
[Detaching after vfork from child process 51598]
[Detaching after vfork from child process 51599]
[Detaching after vfork from child process 51600]
[Detaching after vfork from child process 51601]
[Detaching after vfork from child process 51602]
[Detaching after vfork from child process 51603]
[Detaching after vfork from child process 51604]
[Detaching after vfork from child process 51605]
[Detaching after vfork from child process 51606]
[Detaching after vfork from child process 51607]
[Detaching after vfork from child process 51608]
[Detaching after vfork from child process 51609]
[Detaching after vfork from child process 51610]
[Detaching after vfork from child process 51611]
[Detaching after vfork from child process 51612]
[Detaching after vfork from child process 51613]
[Detaching after vfork from child process 51614]
[Detaching after vfork from child process 51615]
[Detaching after vfork from child process 51616]
[Detaching after vfork from child process 51617]
[Detaching after vfork from child process 51618]
[Detaching after vfork from child process 51619]
[Detaching after vfork from child process 51620]
[Detaching after vfork from child process 51621]
[Detaching after vfork from child process 51622]
[Detaching after vfork from child process 51623]
[Detaching after vfork from child process 51624]
[Detaching after vfork from child process 51625]
[Detaching after vfork from child process 51626]
[Detaching after vfork from child process 51627]
[Detaching after vfork from child process 51702]
[Detaching after vfork from child process 51703]
[Detaching after vfork from child process 51705]
[Detaching after vfork from child process 51706]
[Detaching after vfork from child process 51708]
[Detaching after vfork from child process 51709]
[Detaching after vfork from child process 51715]
[Detaching after vfork from child process 51716]
[Detaching after vfork from child process 51717]
[Detaching after vfork from child process 51723]
[Detaching after vfork from child process 51724]
[Detaching after vfork from child process 51726]
[Detaching after vfork from child process 51727]
[Detaching after vfork from child process 51730]
[Detaching after vfork from child process 51731]
[Detaching after vfork from child process 51736]
[Detaching after vfork from child process 51737]
[Detaching after vfork from child process 51743]
[Detaching after vfork from child process 51744]
[Detaching after vfork from child process 51748]
[Detaching after vfork from child process 51749]
[Detaching after vfork from child process 51750]
[Detaching after vfork from child process 51752]
[Detaching after vfork from child process 51760]
[Detaching after vfork from child process 51761]
[Detaching after vfork from child process 51763]
[Detaching after vfork from child process 51764]
[Detaching after vfork from child process 51765]
[Detaching after vfork from child process 51766]
[Detaching after vfork from child process 51768]
[Detaching after vfork from child process 51769]
[Detaching after vfork from child process 51771]
[Detaching after vfork from child process 51772]
[Detaching after vfork from child process 51774]
[Detaching after vfork from child process 51775]
[Detaching after vfork from child process 51781]
[Detaching after vfork from child process 51782]
[Detaching after vfork from child process 51784]
[Detaching after vfork from child process 51785]
[Detaching after vfork from child process 51787]
[Detaching after vfork from child process 51788]
[Detaching after vfork from child process 51930]
[Detaching after vfork from child process 51931]
[Detaching after vfork from child process 51937]
[Detaching after vfork from child process 51944]
[Detaching after vfork from child process 51947]
[Detaching after vfork from child process 51948]
[Detaching after vfork from child process 51950]
[Detaching after vfork from child process 51982]
[Detaching after vfork from child process 52081]
[Detaching after vfork from child process 52087]
[Detaching after vfork from child process 52122]
[Detaching after vfork from child process 52455]
[Detaching after vfork from child process 52456]
[Detaching after vfork from child process 52462]
[Detaching after vfork from child process 52463]
[Detaching after vfork from child process 52465]
[Detaching after vfork from child process 52466]
[Detaching after vfork from child process 52468]
[Detaching after vfork from child process 52469]
[Detaching after vfork from child process 52472]
[Detaching after vfork from child process 52473]
[Detaching after vfork from child process 52475]
[Detaching after vfork from child process 52592]
[Detaching after vfork from child process 52593]
[Detaching after vfork from child process 52594]
[Detaching after vfork from child process 52599]
[Detaching after vfork from child process 52638]
[Detaching after vfork from child process 52739]
[Detaching after vfork from child process 52744]
[Detaching after vfork from child process 52764]
[Detaching after vfork from child process 52765]
[Detaching after vfork from child process 52792]
[Detaching after vfork from child process 52793]
[Detaching after vfork from child process 52795]
[Detaching after vfork from child process 52796]
[Detaching after vfork from child process 52797]
[Detaching after vfork from child process 52798]
[Detaching after vfork from child process 52799]
[Detaching after vfork from child process 52800]
[Detaching after vfork from child process 52801]
[Detaching after vfork from child process 52802]
[Detaching after vfork from child process 52803]
[Detaching after vfork from child process 52804]
[Detaching after vfork from child process 52805]
[Detaching after vfork from child process 52806]
[Detaching after vfork from child process 52807]
[Detaching after vfork from child process 52808]
[Detaching after vfork from child process 52809]
[Detaching after vfork from child process 52810]
[Detaching after vfork from child process 52811]
[Detaching after vfork from child process 52812]
[Detaching after vfork from child process 52813]
[Detaching after vfork from child process 52814]
[Detaching after vfork from child process 52815]
[Detaching after vfork from child process 52816]
[Detaching after vfork from child process 52817]
[Detaching after vfork from child process 52818]
[Detaching after vfork from child process 52819]
[Detaching after vfork from child process 52820]
[Detaching after vfork from child process 52821]
[Detaching after vfork from child process 52822]
[Detaching after vfork from child process 52823]
[Detaching after vfork from child process 52824]
[Detaching after vfork from child process 52825]
[Detaching after vfork from child process 52826]
[Detaching after vfork from child process 52827]
[Detaching after vfork from child process 52828]
[Detaching after vfork from child process 52829]
[Detaching after vfork from child process 52830]
[Detaching after vfork from child process 52831]
[Detaching after vfork from child process 52832]
[Detaching after vfork from child process 52833]
[Detaching after vfork from child process 52834]
[Detaching after vfork from child process 52835]
[Detaching after vfork from child process 52836]
[Detaching after vfork from child process 52837]
[Detaching after vfork from child process 52838]
[Detaching after vfork from child process 52839]
[Detaching after vfork from child process 52840]
[Detaching after vfork from child process 52841]
[Detaching after vfork from child process 52842]
[Detaching after vfork from child process 52843]
[Detaching after vfork from child process 52844]
[Detaching after vfork from child process 52845]
[Detaching after vfork from child process 52846]
[Detaching after vfork from child process 52847]
[Detaching after vfork from child process 52848]
[Detaching after vfork from child process 52849]
[Detaching after vfork from child process 52850]
[Detaching after vfork from child process 52851]
[Detaching after vfork from child process 52852]
[Detaching after vfork from child process 52853]
[Detaching after vfork from child process 52854]
[Detaching after vfork from child process 52855]
[Detaching after vfork from child process 52856]
[Detaching after vfork from child process 52857]
[Detaching after vfork from child process 52858]
[Detaching after vfork from child process 52859]
[Detaching after vfork from child process 52860]
[Detaching after vfork from child process 52861]
[Detaching after vfork from child process 52862]
[Detaching after vfork from child process 52863]
[Detaching after vfork from child process 52864]
[Detaching after vfork from child process 52865]
[Detaching after vfork from child process 52866]
[Detaching after vfork from child process 52867]
[Detaching after vfork from child process 52868]
[Detaching after vfork from child process 52869]
[Detaching after vfork from child process 52870]
[Detaching after vfork from child process 52871]
[Detaching after vfork from child process 52872]
[Detaching after vfork from child process 52887]
[Detaching after vfork from child process 52888]
[Detaching after vfork from child process 52892]
[Detaching after vfork from child process 52897]
[Detaching after vfork from child process 52898]
[Detaching after vfork from child process 52899]
[Detaching after vfork from child process 52908]
[Detaching after vfork from child process 52915]
[Detaching after vfork from child process 52916]
[Detaching after vfork from child process 52917]
[Detaching after vfork from child process 52922]
[Detaching after vfork from child process 52923]
[Detaching after vfork from child process 52925]
[Detaching after vfork from child process 52926]
[Detaching after vfork from child process 52927]
[Detaching after vfork from child process 52928]
[Detaching after vfork from child process 52929]
[Detaching after vfork from child process 52930]
[Detaching after vfork from child process 52931]
[Detaching after vfork from child process 52932]
[Detaching after vfork from child process 52933]
[Detaching after vfork from child process 52934]
[Detaching after vfork from child process 52935]
[Detaching after vfork from child process 52936]
[Detaching after vfork from child process 52937]
[Detaching after vfork from child process 52938]
[Detaching after vfork from child process 52939]
[Detaching after vfork from child process 52940]
[Detaching after vfork from child process 52941]
[Detaching after vfork from child process 52942]
[Detaching after vfork from child process 52943]
[Detaching after vfork from child process 52944]
[Detaching after vfork from child process 52945]
[Detaching after vfork from child process 52946]
[Detaching after vfork from child process 52947]
[Detaching after vfork from child process 52948]
[Detaching after vfork from child process 52949]
[Detaching after vfork from child process 52950]
[Detaching after vfork from child process 52951]
[Detaching after vfork from child process 52952]
[Detaching after vfork from child process 52953]
[Detaching after vfork from child process 52954]
[Detaching after vfork from child process 52955]
[Detaching after vfork from child process 52956]
[Detaching after vfork from child process 52957]
[Detaching after vfork from child process 52958]
[Detaching after vfork from child process 52959]
[Detaching after vfork from child process 52960]
[Detaching after vfork from child process 52961]
[Detaching after vfork from child process 52962]
[Detaching after vfork from child process 52963]
[Detaching after vfork from child process 52964]
[Detaching after vfork from child process 52965]
[Detaching after vfork from child process 52966]
[Detaching after vfork from child process 52967]
[Detaching after vfork from child process 52968]
[Detaching after vfork from child process 52969]
[Detaching after vfork from child process 52970]
[Detaching after vfork from child process 52971]
[Detaching after vfork from child process 52972]
[Detaching after vfork from child process 52973]
[Detaching after vfork from child process 52974]
[Detaching after vfork from child process 52975]
[Detaching after vfork from child process 52976]
[Detaching after vfork from child process 52977]
[Detaching after vfork from child process 52978]
[Detaching after vfork from child process 52979]
[Detaching after vfork from child process 52980]
[Detaching after vfork from child process 52981]
[Detaching after vfork from child process 52982]
[Detaching after vfork from child process 52983]
[Detaching after vfork from child process 52984]
[Detaching after vfork from child process 52985]
[Detaching after vfork from child process 52986]
[Detaching after vfork from child process 52987]
[Detaching after vfork from child process 52988]
[Detaching after vfork from child process 52989]
[Detaching after vfork from child process 52990]
[Detaching after vfork from child process 52991]
[Detaching after vfork from child process 52992]
[Detaching after vfork from child process 52993]
[Detaching after vfork from child process 52994]
[Detaching after vfork from child process 52995]
[Detaching after vfork from child process 52996]
[Detaching after vfork from child process 52997]
[Detaching after vfork from child process 52998]
[Detaching after vfork from child process 52999]
[Detaching after vfork from child process 53000]
[Detaching after vfork from child process 53001]
[Detaching after vfork from child process 53002]
[Detaching after vfork from child process 53132]
[Detaching after vfork from child process 53133]
[Detaching after vfork from child process 53134]
[Detaching after vfork from child process 53139]
[Detaching after vfork from child process 53140]
[Detaching after vfork from child process 53145]
[Detaching after vfork from child process 53147]
[Detaching after vfork from child process 53152]
[Detaching after vfork from child process 53165]
[Detaching after vfork from child process 53166]
[Detaching after vfork from child process 53167]
[Detaching after vfork from child process 53168]
[Detaching after vfork from child process 53169]
[Detaching after vfork from child process 53170]
[Detaching after vfork from child process 53175]
[Detaching after vfork from child process 53176]
[Detaching after vfork from child process 53183]
[Detaching after vfork from child process 53194]
[Detaching after vfork from child process 53195]
[Detaching after vfork from child process 53209]
[Detaching after vfork from child process 53212]
[Detaching after vfork from child process 53213]
[Detaching after vfork from child process 53214]
[Detaching after vfork from child process 53215]
[Detaching after vfork from child process 53216]
[Detaching after vfork from child process 53217]
[Detaching after vfork from child process 53218]
[Detaching after vfork from child process 53219]
[Detaching after vfork from child process 53220]
[Detaching after vfork from child process 53221]
[Detaching after vfork from child process 53222]
[Detaching after vfork from child process 53223]
[Detaching after vfork from child process 53224]
[Detaching after vfork from child process 53225]
[Detaching after vfork from child process 53226]
[Detaching after vfork from child process 53227]
[Detaching after vfork from child process 53228]
[Detaching after vfork from child process 53229]
[Detaching after vfork from child process 53230]
[Detaching after vfork from child process 53231]
[Detaching after vfork from child process 53232]
[Detaching after vfork from child process 53233]
[Detaching after vfork from child process 53234]
[Detaching after vfork from child process 53235]
[Detaching after vfork from child process 53236]
[Detaching after vfork from child process 53237]
[Detaching after vfork from child process 53238]
[Detaching after vfork from child process 53239]
[Detaching after vfork from child process 53240]
[Detaching after vfork from child process 53241]
[Detaching after vfork from child process 53242]
[Detaching after vfork from child process 53243]
[Detaching after vfork from child process 53244]
[Detaching after vfork from child process 53245]
[Detaching after vfork from child process 53246]
[Detaching after vfork from child process 53247]
[Detaching after vfork from child process 53248]
[Detaching after vfork from child process 53249]
[Detaching after vfork from child process 53250]
[Detaching after vfork from child process 53251]
[Detaching after vfork from child process 53252]
[Detaching after vfork from child process 53253]
[Detaching after vfork from child process 53254]
[Detaching after vfork from child process 53255]
[Detaching after vfork from child process 53256]
[Detaching after vfork from child process 53257]
[Detaching after vfork from child process 53258]
[Detaching after vfork from child process 53259]
[Detaching after vfork from child process 53260]
[Detaching after vfork from child process 53261]
[Detaching after vfork from child process 53262]
[Detaching after vfork from child process 53263]
[Detaching after vfork from child process 53264]
[Detaching after vfork from child process 53265]
[Detaching after vfork from child process 53266]
[Detaching after vfork from child process 53267]
[Detaching after vfork from child process 53268]
[Detaching after vfork from child process 53269]
[Detaching after vfork from child process 53270]
[Detaching after vfork from child process 53271]
[Detaching after vfork from child process 53272]
[Detaching after vfork from child process 53273]
[Detaching after vfork from child process 53274]
[Detaching after vfork from child process 53275]
[Detaching after vfork from child process 53276]
[Detaching after vfork from child process 53277]
[Detaching after vfork from child process 53278]
[Detaching after vfork from child process 53279]
[Detaching after vfork from child process 53280]
[Detaching after vfork from child process 53281]
[Detaching after vfork from child process 53282]
[Detaching after vfork from child process 53283]
[Detaching after vfork from child process 53284]
[Detaching after vfork from child process 53285]
[Detaching after vfork from child process 53286]
[Detaching after vfork from child process 53287]
[Detaching after vfork from child process 53288]
[Detaching after vfork from child process 53289]
[Detaching after vfork from child process 53295]
[Detaching after vfork from child process 53296]
[Detaching after vfork from child process 53297]
[Detaching after vfork from child process 53298]
[Detaching after vfork from child process 53299]
[Detaching after vfork from child process 53300]
[Detaching after vfork from child process 53301]
[Detaching after vfork from child process 53302]
[Detaching after vfork from child process 53303]
[Detaching after vfork from child process 53304]
[Detaching after vfork from child process 53305]
[Detaching after vfork from child process 53306]
[Detaching after vfork from child process 53307]
[Detaching after vfork from child process 53308]
[Detaching after vfork from child process 53309]
[Detaching after vfork from child process 53310]
[Detaching after vfork from child process 53311]
[Detaching after vfork from child process 53312]
[Detaching after vfork from child process 53313]
[Detaching after vfork from child process 53314]
[Detaching after vfork from child process 53315]
[Detaching after vfork from child process 53316]
[Detaching after vfork from child process 53317]
[Detaching after vfork from child process 53318]
[Detaching after vfork from child process 53319]
[Detaching after vfork from child process 53320]
[Detaching after vfork from child process 53321]
[Detaching after vfork from child process 53322]
[Detaching after vfork from child process 53323]
[Detaching after vfork from child process 53324]
[Detaching after vfork from child process 53325]
[Detaching after vfork from child process 53326]
[Detaching after vfork from child process 53327]
[Detaching after vfork from child process 53328]
[Detaching after vfork from child process 53329]
[Detaching after vfork from child process 53330]
[Detaching after vfork from child process 53331]
[Detaching after vfork from child process 53332]
[Detaching after vfork from child process 53333]
[Detaching after vfork from child process 53334]
[Detaching after vfork from child process 53335]
[Detaching after vfork from child process 53336]
[Detaching after vfork from child process 53337]
[Detaching after vfork from child process 53338]
[Detaching after vfork from child process 53339]
[Detaching after vfork from child process 53340]
[Detaching after vfork from child process 53341]
[Detaching after vfork from child process 53342]
[Detaching after vfork from child process 53343]
[Detaching after vfork from child process 53344]
[Detaching after vfork from child process 53345]
[Detaching after vfork from child process 53346]
[Detaching after vfork from child process 53347]
[Detaching after vfork from child process 53348]
[Detaching after vfork from child process 53349]
[Detaching after vfork from child process 53350]
[Detaching after vfork from child process 53351]
[Detaching after vfork from child process 53352]
[Detaching after vfork from child process 53353]
[Detaching after vfork from child process 53354]
[Detaching after vfork from child process 53355]
[Detaching after vfork from child process 53356]
[Detaching after vfork from child process 53357]
[Detaching after vfork from child process 53359]
[Detaching after vfork from child process 53360]
[Detaching after vfork from child process 53361]
[Detaching after vfork from child process 53362]
[Detaching after vfork from child process 53363]
[Detaching after vfork from child process 53364]
[Detaching after vfork from child process 53365]
[Detaching after vfork from child process 53366]
[Detaching after vfork from child process 53367]
[Detaching after vfork from child process 53368]
[Detaching after vfork from child process 53369]
[Detaching after vfork from child process 53370]
[Detaching after vfork from child process 53371]
[Detaching after vfork from child process 53372]
[Detaching after vfork from child process 53373]
[Detaching after vfork from child process 53376]
[Detaching after vfork from child process 53377]
[Detaching after vfork from child process 53378]
[Detaching after vfork from child process 53379]
[Detaching after vfork from child process 53381]
[Detaching after vfork from child process 53382]
[Detaching after vfork from child process 53384]
[Detaching after vfork from child process 53385]
[Detaching after vfork from child process 53386]
[Detaching after vfork from child process 53387]
[Detaching after vfork from child process 53388]
[Detaching after vfork from child process 53389]
[Detaching after vfork from child process 53390]
[Detaching after vfork from child process 53391]
[Detaching after vfork from child process 53392]
[Detaching after vfork from child process 53393]
[Detaching after vfork from child process 53394]
[Detaching after vfork from child process 53395]
[Detaching after vfork from child process 53396]
[Detaching after vfork from child process 53397]
[Detaching after vfork from child process 53398]
[Detaching after vfork from child process 53399]
[Detaching after vfork from child process 53400]
[Detaching after vfork from child process 53401]
[Detaching after vfork from child process 53402]
[Detaching after vfork from child process 53403]
[Detaching after vfork from child process 53404]
[Detaching after vfork from child process 53405]
[Detaching after vfork from child process 53406]
[Detaching after vfork from child process 53407]
[Detaching after vfork from child process 53408]
[Detaching after vfork from child process 53409]
[Detaching after vfork from child process 53410]
[Detaching after vfork from child process 53411]
[Detaching after vfork from child process 53412]
[Detaching after vfork from child process 53413]
[Detaching after vfork from child process 53414]
[Detaching after vfork from child process 53415]
[Detaching after vfork from child process 53416]
[Detaching after vfork from child process 53417]
[Detaching after vfork from child process 53418]
[Detaching after vfork from child process 53419]
[Detaching after vfork from child process 53420]
[Detaching after vfork from child process 53421]
[Detaching after vfork from child process 53422]
[Detaching after vfork from child process 53423]
[Detaching after vfork from child process 53424]
[Detaching after vfork from child process 53425]
[Detaching after vfork from child process 53426]
[Detaching after vfork from child process 53427]
[Detaching after vfork from child process 53428]
[Detaching after vfork from child process 53429]
[Detaching after vfork from child process 53430]
[Detaching after vfork from child process 53431]
[Detaching after vfork from child process 53432]
[Detaching after vfork from child process 53433]
[Detaching after vfork from child process 53434]
[Detaching after vfork from child process 53435]
[Detaching after vfork from child process 53436]
[Detaching after vfork from child process 53437]
[Detaching after vfork from child process 53438]
[Detaching after vfork from child process 53439]
[Detaching after vfork from child process 53440]
[Detaching after vfork from child process 53441]
[Detaching after vfork from child process 53442]
[Detaching after vfork from child process 53443]
[Detaching after vfork from child process 53444]
[Detaching after vfork from child process 53445]
[Detaching after vfork from child process 53446]
[Detaching after vfork from child process 53447]
[Detaching after vfork from child process 53448]
[Detaching after vfork from child process 53449]
[Detaching after vfork from child process 53450]
[Detaching after vfork from child process 53451]
[Detaching after vfork from child process 53452]
[Detaching after vfork from child process 53453]
[Detaching after vfork from child process 53454]
[Detaching after vfork from child process 53455]
[Detaching after vfork from child process 53456]
[Detaching after vfork from child process 53457]
[Detaching after vfork from child process 53458]
[Detaching after vfork from child process 53459]
[Detaching after vfork from child process 53460]
[Detaching after vfork from child process 53461]
[Detaching after vfork from child process 53736]
[Detaching after vfork from child process 53737]
[Detaching after vfork from child process 53739]
[Detaching after vfork from child process 53740]
[Detaching after vfork from child process 53741]
[Detaching after vfork from child process 53742]
[Detaching after vfork from child process 53743]
[Detaching after vfork from child process 53744]
[Detaching after vfork from child process 53745]
[Detaching after vfork from child process 53746]
[Detaching after vfork from child process 53747]
[Detaching after vfork from child process 53748]
[Detaching after vfork from child process 53749]
[Detaching after vfork from child process 53750]
[Detaching after vfork from child process 53751]
[Detaching after vfork from child process 53752]
[Detaching after vfork from child process 53753]
[Detaching after vfork from child process 53754]
[Detaching after vfork from child process 53755]
[Detaching after vfork from child process 53756]
[Detaching after vfork from child process 53757]
[Detaching after vfork from child process 53758]
[Detaching after vfork from child process 53759]
[Detaching after vfork from child process 53760]
[Detaching after vfork from child process 53761]
[Detaching after vfork from child process 53762]
[Detaching after vfork from child process 53763]
[Detaching after vfork from child process 53764]
[Detaching after vfork from child process 53765]
[Detaching after vfork from child process 53766]
[Detaching after vfork from child process 53767]
[Detaching after vfork from child process 53768]
[Detaching after vfork from child process 53769]
[Detaching after vfork from child process 53770]
[Detaching after vfork from child process 53771]
[Detaching after vfork from child process 53772]
[Detaching after vfork from child process 53773]
[Detaching after vfork from child process 53774]
[Detaching after vfork from child process 53775]
[Detaching after vfork from child process 53776]
[Detaching after vfork from child process 53777]
[Detaching after vfork from child process 53778]
[Detaching after vfork from child process 53779]
[Detaching after vfork from child process 53780]
[Detaching after vfork from child process 53781]
[Detaching after vfork from child process 53782]
[Detaching after vfork from child process 53783]
[Detaching after vfork from child process 53784]
[Detaching after vfork from child process 53785]
[Detaching after vfork from child process 53786]
[Detaching after vfork from child process 53787]
[Detaching after vfork from child process 53788]
[Detaching after vfork from child process 53789]
[Detaching after vfork from child process 53790]
[Detaching after vfork from child process 53791]
[Detaching after vfork from child process 53792]
[Detaching after vfork from child process 53793]
[Detaching after vfork from child process 53794]
[Detaching after vfork from child process 53795]
[Detaching after vfork from child process 53796]
[Detaching after vfork from child process 53797]
[Detaching after vfork from child process 53798]
[Detaching after vfork from child process 53799]
[Detaching after vfork from child process 53800]
[Detaching after vfork from child process 53801]
[Detaching after vfork from child process 53802]
[Detaching after vfork from child process 53803]
[Detaching after vfork from child process 53804]
[Detaching after vfork from child process 53805]
[Detaching after vfork from child process 53806]
[Detaching after vfork from child process 53807]
[Detaching after vfork from child process 53808]
[Detaching after vfork from child process 53809]
[Detaching after vfork from child process 53810]
[Detaching after vfork from child process 53811]
[Detaching after vfork from child process 53812]
[Detaching after vfork from child process 53813]
[Detaching after vfork from child process 53814]
[Detaching after vfork from child process 53815]
[Detaching after vfork from child process 53816]
[Detaching after vfork from child process 53974]
[Detaching after vfork from child process 54472]
[Detaching after vfork from child process 54473]
[Detaching after vfork from child process 54474]
[Detaching after vfork from child process 54496]
[Detaching after vfork from child process 54497]
[Detaching after vfork from child process 54498]
[Detaching after vfork from child process 54499]
[Detaching after vfork from child process 54500]
[Detaching after vfork from child process 54501]
[Detaching after vfork from child process 54502]
[Detaching after vfork from child process 54503]
[Detaching after vfork from child process 54504]
[Detaching after vfork from child process 54505]
[Detaching after vfork from child process 54506]
[Detaching after vfork from child process 54507]
[Detaching after vfork from child process 54508]
[Detaching after vfork from child process 54509]
[Detaching after vfork from child process 54510]
[Detaching after vfork from child process 54511]
[Detaching after vfork from child process 54512]
[Detaching after vfork from child process 54513]
[Detaching after vfork from child process 54514]
[Detaching after vfork from child process 54515]
[Detaching after vfork from child process 54516]
[Detaching after vfork from child process 54517]
[Detaching after vfork from child process 54518]
[Detaching after vfork from child process 54519]
[Detaching after vfork from child process 54520]
[Detaching after vfork from child process 54521]
[Detaching after vfork from child process 54522]
[Detaching after vfork from child process 54523]
[Detaching after vfork from child process 54524]
[Detaching after vfork from child process 54525]
[Detaching after vfork from child process 54530]
[Detaching after vfork from child process 54531]
[Detaching after vfork from child process 54532]
[Detaching after vfork from child process 54641]
[Detaching after vfork from child process 54851]
[Detaching after vfork from child process 54852]
[Detaching after vfork from child process 54853]
[Detaching after vfork from child process 54854]
[Detaching after vfork from child process 54855]
[Detaching after vfork from child process 54856]
[Detaching after vfork from child process 54857]
[Detaching after vfork from child process 54859]
[Detaching after vfork from child process 54860]
[Detaching after vfork from child process 54865]
[Detaching after vfork from child process 54866]
[Detaching after vfork from child process 54867]
[Detaching after vfork from child process 54868]
[Detaching after vfork from child process 54869]
[Detaching after vfork from child process 54870]
[Detaching after vfork from child process 54871]
[Detaching after vfork from child process 54872]
[Detaching after vfork from child process 54873]
[Detaching after vfork from child process 54874]
[Detaching after vfork from child process 54875]
[Detaching after vfork from child process 54876]
[Detaching after vfork from child process 54877]
[Detaching after vfork from child process 54878]
[Detaching after vfork from child process 54879]
[Detaching after vfork from child process 54880]
[Detaching after vfork from child process 54881]
[Detaching after vfork from child process 54882]
[Detaching after vfork from child process 54883]
[Detaching after vfork from child process 54884]
[Detaching after vfork from child process 54885]
[Detaching after vfork from child process 54886]
[Detaching after vfork from child process 54887]
[Detaching after vfork from child process 54888]
[Detaching after vfork from child process 54889]
[Detaching after vfork from child process 54890]
[Detaching after vfork from child process 54891]
[Detaching after vfork from child process 54892]
[Detaching after vfork from child process 54893]
[Detaching after vfork from child process 54894]
[Detaching after vfork from child process 54895]
[Detaching after vfork from child process 54896]
[Detaching after vfork from child process 54897]
[Detaching after vfork from child process 54898]
[Detaching after vfork from child process 54899]
[Detaching after vfork from child process 54900]
[Detaching after vfork from child process 54901]
[Detaching after vfork from child process 54902]
[Detaching after vfork from child process 54903]
[Detaching after vfork from child process 54904]
[Detaching after vfork from child process 54905]
[Detaching after vfork from child process 54906]
[Detaching after vfork from child process 54907]
[Detaching after vfork from child process 54908]
[Detaching after vfork from child process 54909]
[Detaching after vfork from child process 54910]
[Detaching after vfork from child process 54911]
[Detaching after vfork from child process 54912]
[Detaching after vfork from child process 54913]
[Detaching after vfork from child process 54914]
[Detaching after vfork from child process 54915]
[Detaching after vfork from child process 54916]
[Detaching after vfork from child process 54917]
[Detaching after vfork from child process 54918]
[Detaching after vfork from child process 54919]
[Detaching after vfork from child process 54920]
[Detaching after vfork from child process 54921]
[Detaching after vfork from child process 54922]
[Detaching after vfork from child process 54923]
[Detaching after vfork from child process 54924]
[Detaching after vfork from child process 54925]
[Detaching after vfork from child process 54926]
[Detaching after vfork from child process 54927]
[Detaching after vfork from child process 54928]
[Detaching after vfork from child process 54929]
[Detaching after vfork from child process 54930]
[Detaching after vfork from child process 54931]
[Detaching after vfork from child process 54932]
[Detaching after vfork from child process 54933]
[Detaching after vfork from child process 54934]
[Detaching after vfork from child process 54935]
[Detaching after vfork from child process 54936]
[Detaching after vfork from child process 54937]
[Detaching after vfork from child process 54938]
[Detaching after vfork from child process 54939]
[Detaching after vfork from child process 54940]
[Detaching after vfork from child process 54941]
[Detaching after vfork from child process 54942]
[Detaching after vfork from child process 54943]
[Detaching after vfork from child process 54944]
[Detaching after vfork from child process 54945]
[Detaching after vfork from child process 54946]
[Detaching after vfork from child process 54947]
[Detaching after vfork from child process 54948]
[Detaching after vfork from child process 54949]
[Detaching after vfork from child process 54950]
[Detaching after vfork from child process 54951]
[Detaching after vfork from child process 54952]
[Detaching after vfork from child process 54953]
[Detaching after vfork from child process 54954]
[Detaching after vfork from child process 54955]
[Detaching after vfork from child process 54956]
[Detaching after vfork from child process 54957]
[Detaching after vfork from child process 54958]
[Detaching after vfork from child process 54959]
[Detaching after vfork from child process 54960]
[Detaching after vfork from child process 54961]
[Detaching after vfork from child process 54962]
[Detaching after vfork from child process 54963]
[Detaching after vfork from child process 54964]
[Detaching after vfork from child process 54965]
[Detaching after vfork from child process 54966]
[Detaching after vfork from child process 54967]
[Detaching after vfork from child process 54968]
[Detaching after vfork from child process 54969]
[Detaching after vfork from child process 54970]
[Detaching after vfork from child process 54971]
[Detaching after vfork from child process 54972]
[Detaching after vfork from child process 54973]
[Detaching after vfork from child process 54975]
[Detaching after vfork from child process 54976]
[Detaching after vfork from child process 54977]
[Detaching after vfork from child process 54978]
[Detaching after vfork from child process 54979]
[Detaching after vfork from child process 54980]
[Detaching after vfork from child process 54981]
[Detaching after vfork from child process 54982]
[Detaching after vfork from child process 54983]
[Detaching after vfork from child process 54984]
[Detaching after vfork from child process 54985]
[Detaching after vfork from child process 54986]
[Detaching after vfork from child process 54987]
[Detaching after vfork from child process 54988]
[Detaching after vfork from child process 54989]
[Detaching after vfork from child process 54990]
[Detaching after vfork from child process 54991]
[Detaching after vfork from child process 54992]
[Detaching after vfork from child process 54993]
[Detaching after vfork from child process 54994]
[Detaching after vfork from child process 54995]
[Detaching after vfork from child process 54996]
[Detaching after vfork from child process 54997]
[Detaching after vfork from child process 54998]
[Detaching after vfork from child process 54999]
[Detaching after vfork from child process 55000]
[Detaching after vfork from child process 55001]
[Detaching after vfork from child process 55002]
[Detaching after vfork from child process 55003]
[Detaching after vfork from child process 55004]
[Detaching after vfork from child process 55005]
[Detaching after vfork from child process 55006]
[Detaching after vfork from child process 55007]
[Detaching after vfork from child process 55008]
[Detaching after vfork from child process 55009]
[Detaching after vfork from child process 55193]
[Detaching after vfork from child process 55402]
[Detaching after vfork from child process 55403]
[Detaching after vfork from child process 55404]
[Detaching after vfork from child process 55405]
[Detaching after vfork from child process 55406]
[Detaching after vfork from child process 55408]
[Detaching after vfork from child process 55409]
[Detaching after vfork from child process 55410]
[Detaching after vfork from child process 55411]
[Detaching after vfork from child process 55412]
[Detaching after vfork from child process 55413]
[Detaching after vfork from child process 55414]
[Detaching after vfork from child process 55415]
[Detaching after vfork from child process 55419]
[Detaching after vfork from child process 55420]
[Detaching after vfork from child process 55421]
[Detaching after vfork from child process 55422]
[Detaching after vfork from child process 55423]
[Detaching after vfork from child process 55424]
[Detaching after vfork from child process 55425]
[Detaching after vfork from child process 55426]
[Detaching after vfork from child process 55427]
[Detaching after vfork from child process 55428]
[Detaching after vfork from child process 55429]
[Detaching after vfork from child process 55430]
[Detaching after vfork from child process 55431]
[Detaching after vfork from child process 55432]
[Detaching after vfork from child process 55433]
[Detaching after vfork from child process 55434]
[Detaching after vfork from child process 55435]
[Detaching after vfork from child process 55436]
[Detaching after vfork from child process 55437]
[Detaching after vfork from child process 55438]
[Detaching after vfork from child process 55439]
[Detaching after vfork from child process 55440]
[Detaching after vfork from child process 55441]
[Detaching after vfork from child process 55442]
[Detaching after vfork from child process 55443]
[Detaching after vfork from child process 55444]
[Detaching after vfork from child process 55445]
[Detaching after vfork from child process 55446]
[Detaching after vfork from child process 55447]
[Detaching after vfork from child process 55448]
[Detaching after vfork from child process 55449]
[Detaching after vfork from child process 55450]
[Detaching after vfork from child process 55451]
[Detaching after vfork from child process 55452]
[Detaching after vfork from child process 55453]
[Detaching after vfork from child process 55454]
[Detaching after vfork from child process 55455]
[Detaching after vfork from child process 55456]
[Detaching after vfork from child process 55457]
[Detaching after vfork from child process 55458]
[Detaching after vfork from child process 55459]
[Detaching after vfork from child process 55460]
[Detaching after vfork from child process 55462]
[Detaching after vfork from child process 55463]
[Detaching after vfork from child process 55464]
[Detaching after vfork from child process 55465]
[Detaching after vfork from child process 55466]
[Detaching after vfork from child process 55467]
[Detaching after vfork from child process 55468]
[Detaching after vfork from child process 55469]
[Detaching after vfork from child process 55470]
[Detaching after vfork from child process 55471]
[Detaching after vfork from child process 55472]
[Detaching after vfork from child process 55473]
[Detaching after vfork from child process 55474]
[Detaching after vfork from child process 55475]
[Detaching after vfork from child process 55476]
[Detaching after vfork from child process 55477]
[Detaching after vfork from child process 55478]
[Detaching after vfork from child process 55479]
[Detaching after vfork from child process 55480]
[Detaching after vfork from child process 55481]
[Detaching after vfork from child process 55482]
[Detaching after vfork from child process 55483]
[Detaching after vfork from child process 55484]
[Detaching after vfork from child process 55485]
[Detaching after vfork from child process 55486]
[Detaching after vfork from child process 55487]
[Detaching after vfork from child process 55488]
[Detaching after vfork from child process 55489]
[Detaching after vfork from child process 55490]
[Detaching after vfork from child process 55491]
[Detaching after vfork from child process 55492]
[Detaching after vfork from child process 55493]
[Detaching after vfork from child process 55494]
[Detaching after vfork from child process 55495]
[Detaching after vfork from child process 55496]
[Detaching after vfork from child process 55734]
[Detaching after vfork from child process 56074]
[Detaching after vfork from child process 56315]
[Detaching after vfork from child process 56316]
[Detaching after vfork from child process 56317]
[Detaching after vfork from child process 56318]
[Detaching after vfork from child process 56319]
[Detaching after vfork from child process 56320]
[Detaching after vfork from child process 56321]
[Detaching after vfork from child process 56322]
[Detaching after vfork from child process 56323]
[Detaching after vfork from child process 56324]
[Detaching after vfork from child process 56325]
[Detaching after vfork from child process 56326]
[Detaching after vfork from child process 56327]
[Detaching after vfork from child process 56328]
[Detaching after vfork from child process 56329]
[Detaching after vfork from child process 56330]
[Detaching after vfork from child process 56331]
[Detaching after vfork from child process 56332]
[Detaching after vfork from child process 56333]
[Detaching after vfork from child process 56334]
[Detaching after vfork from child process 56335]
[Detaching after vfork from child process 56336]
[Detaching after vfork from child process 56337]
[Detaching after vfork from child process 56338]
[Detaching after vfork from child process 56339]
[Detaching after vfork from child process 56340]
[Detaching after vfork from child process 56341]
[Detaching after vfork from child process 56342]
[Detaching after vfork from child process 56343]
[Detaching after vfork from child process 56344]
[Detaching after vfork from child process 56453]
[Detaching after vfork from child process 56752]
[Detaching after vfork from child process 56753]
[Detaching after vfork from child process 56754]
[Detaching after vfork from child process 56755]
[Detaching after vfork from child process 56756]
[Detaching after vfork from child process 56757]
[Detaching after vfork from child process 56758]
[Detaching after vfork from child process 56759]
[Detaching after vfork from child process 56760]
[Detaching after vfork from child process 56761]
[Detaching after vfork from child process 56762]
[Detaching after vfork from child process 56763]
[Detaching after vfork from child process 56764]
[Detaching after vfork from child process 56765]
[Detaching after vfork from child process 56766]
[Detaching after vfork from child process 56767]
[Detaching after vfork from child process 56768]
[Detaching after vfork from child process 56769]
[Detaching after vfork from child process 56770]
[Detaching after vfork from child process 56771]
[Detaching after vfork from child process 56772]
[Detaching after vfork from child process 56773]
[Detaching after vfork from child process 56774]
[Detaching after vfork from child process 56775]
[Detaching after vfork from child process 56776]
[Detaching after vfork from child process 56777]
[Detaching after vfork from child process 56778]
[Detaching after vfork from child process 56779]
[Detaching after vfork from child process 56780]
[Detaching after vfork from child process 56783]
[Detaching after vfork from child process 56784]
[Detaching after vfork from child process 56785]
[Detaching after vfork from child process 56786]
[Detaching after vfork from child process 56787]
[Detaching after vfork from child process 56788]
[Detaching after vfork from child process 56789]
[Detaching after vfork from child process 56790]
[Detaching after vfork from child process 56791]
[Detaching after vfork from child process 56792]
[Detaching after vfork from child process 56793]
[Detaching after vfork from child process 56794]
[Detaching after vfork from child process 56795]
[Detaching after vfork from child process 56796]
[Detaching after vfork from child process 56797]
[Detaching after vfork from child process 56798]
[Detaching after vfork from child process 56799]
[Detaching after vfork from child process 56800]
[Detaching after vfork from child process 56801]
[Detaching after vfork from child process 56802]
[Detaching after vfork from child process 56803]
[Detaching after vfork from child process 56804]
[Detaching after vfork from child process 56805]
[Detaching after vfork from child process 56806]
[Detaching after vfork from child process 56820]
[Detaching after vfork from child process 56822]
[Detaching after vfork from child process 56823]
[Detaching after vfork from child process 56824]
[Detaching after vfork from child process 56825]
[Detaching after vfork from child process 56826]
[Detaching after vfork from child process 56827]
[Detaching after vfork from child process 56828]
[Detaching after vfork from child process 56829]
[Detaching after vfork from child process 56830]
[Detaching after vfork from child process 56831]
[Detaching after vfork from child process 56832]
[Detaching after vfork from child process 56833]
[Detaching after vfork from child process 56834]
[Detaching after vfork from child process 56835]
[Detaching after vfork from child process 56836]
[Detaching after vfork from child process 56837]
[Detaching after vfork from child process 56838]
[Detaching after vfork from child process 56839]
[Detaching after vfork from child process 56840]
[Detaching after vfork from child process 56841]
[Detaching after vfork from child process 56842]
[Detaching after vfork from child process 56843]
[Detaching after vfork from child process 56844]
[Detaching after vfork from child process 56845]
[Detaching after vfork from child process 56846]
[Detaching after vfork from child process 56847]
[Detaching after vfork from child process 56848]
[Detaching after vfork from child process 56849]
[Detaching after vfork from child process 56850]
[Detaching after vfork from child process 56851]
[Detaching after vfork from child process 56852]
[Detaching after vfork from child process 56853]
[Detaching after vfork from child process 56868]
[Detaching after vfork from child process 56869]
[Detaching after vfork from child process 56870]
[Detaching after vfork from child process 56871]
[Detaching after vfork from child process 56872]
[Detaching after vfork from child process 56873]
[Detaching after vfork from child process 56874]
[Detaching after vfork from child process 56875]
[Detaching after vfork from child process 56876]
[Detaching after vfork from child process 56877]
[Detaching after vfork from child process 56878]
[Detaching after vfork from child process 56879]
[Detaching after vfork from child process 56880]
[Detaching after vfork from child process 56881]
[Detaching after vfork from child process 56882]
[Detaching after vfork from child process 56883]
[Detaching after vfork from child process 56884]
[Detaching after vfork from child process 56885]
[Detaching after vfork from child process 56886]
[Detaching after vfork from child process 56887]
[Detaching after vfork from child process 56888]
[Detaching after vfork from child process 56889]
[Detaching after vfork from child process 56890]
[Detaching after vfork from child process 56891]
[Detaching after vfork from child process 56892]
[Detaching after vfork from child process 56893]
[Detaching after vfork from child process 56894]
[Detaching after vfork from child process 56895]
[Detaching after vfork from child process 56896]
[Detaching after vfork from child process 56897]
[Detaching after vfork from child process 56898]
[Detaching after vfork from child process 56899]
[Detaching after vfork from child process 56900]
[Detaching after vfork from child process 56901]
[Detaching after vfork from child process 56902]
[Detaching after vfork from child process 56903]
[Detaching after vfork from child process 56904]
[Detaching after vfork from child process 56905]
[Detaching after vfork from child process 56906]
[Detaching after vfork from child process 56907]
[Detaching after vfork from child process 56908]
[Detaching after vfork from child process 56909]
[Detaching after vfork from child process 56910]
[Detaching after vfork from child process 56911]
[Detaching after vfork from child process 56912]
[Detaching after vfork from child process 56913]
[Detaching after vfork from child process 56914]
[Detaching after vfork from child process 56915]
[Detaching after vfork from child process 56916]
[Detaching after vfork from child process 56917]
[Detaching after vfork from child process 56918]
[Detaching after vfork from child process 56919]
[Detaching after vfork from child process 56920]
[Detaching after vfork from child process 56921]
[Detaching after vfork from child process 56922]
[Detaching after vfork from child process 56923]
[Detaching after vfork from child process 56924]
[Detaching after vfork from child process 56925]
[Detaching after vfork from child process 56926]
[Detaching after vfork from child process 56927]
[Detaching after vfork from child process 56928]
[Detaching after vfork from child process 56929]
[Detaching after vfork from child process 56930]
[Detaching after vfork from child process 56931]
[Detaching after vfork from child process 56932]
[Detaching after vfork from child process 56933]
[Detaching after vfork from child process 56934]
[Detaching after vfork from child process 56935]
[Detaching after vfork from child process 56936]
[Detaching after vfork from child process 56941]
[Detaching after vfork from child process 56942]
[Detaching after vfork from child process 56943]
[Detaching after vfork from child process 56944]
[Detaching after vfork from child process 56945]
[Detaching after vfork from child process 56946]
[Detaching after vfork from child process 56947]
[Detaching after vfork from child process 56948]
[Detaching after vfork from child process 56949]
[Detaching after vfork from child process 56950]
[Detaching after vfork from child process 56951]
[Detaching after vfork from child process 56952]
[Detaching after vfork from child process 56953]
[Detaching after vfork from child process 56954]
[Detaching after vfork from child process 56955]
[Detaching after vfork from child process 56956]
[Detaching after vfork from child process 56957]
[Detaching after vfork from child process 56958]
[Detaching after vfork from child process 56959]
[Detaching after vfork from child process 56960]
[Detaching after vfork from child process 56961]
[Detaching after vfork from child process 56962]
[Detaching after vfork from child process 56963]
[Detaching after vfork from child process 56964]
[Detaching after vfork from child process 56965]
[Detaching after vfork from child process 56966]
[Detaching after vfork from child process 56967]
[Detaching after vfork from child process 56968]
[Detaching after vfork from child process 56969]
[Detaching after vfork from child process 56970]
[Detaching after vfork from child process 56971]
[Detaching after vfork from child process 56972]
[Detaching after vfork from child process 56973]
[Detaching after vfork from child process 56974]
[Detaching after vfork from child process 56975]
[Detaching after vfork from child process 56976]
[Detaching after vfork from child process 56977]
[Detaching after vfork from child process 56978]
[Detaching after vfork from child process 56979]
[Detaching after vfork from child process 56980]
[Detaching after vfork from child process 56981]
[Detaching after vfork from child process 56982]
[Detaching after vfork from child process 56983]
[Detaching after vfork from child process 56984]
[Detaching after vfork from child process 56985]
[Detaching after vfork from child process 56986]
[Detaching after vfork from child process 56987]
[Detaching after vfork from child process 56988]
[Detaching after vfork from child process 56998]
[Detaching after vfork from child process 56999]
[Detaching after vfork from child process 57000]
[Detaching after vfork from child process 57024]
[Detaching after vfork from child process 57025]
[Detaching after vfork from child process 57027]
[Detaching after vfork from child process 57028]
[Detaching after vfork from child process 57029]
[Detaching after vfork from child process 57030]
[Detaching after vfork from child process 57031]
[Detaching after vfork from child process 57032]
[Detaching after vfork from child process 57033]
[Detaching after vfork from child process 57034]
[Detaching after vfork from child process 57035]
[Detaching after vfork from child process 57037]
[Detaching after vfork from child process 57038]
[Detaching after vfork from child process 57039]
[Detaching after vfork from child process 57040]
[Detaching after vfork from child process 57041]
[Detaching after vfork from child process 57042]
[Detaching after vfork from child process 57043]
[Detaching after vfork from child process 57044]
[Detaching after vfork from child process 57045]
[Detaching after vfork from child process 57046]
[Detaching after vfork from child process 57047]
[Detaching after vfork from child process 57048]
[Detaching after vfork from child process 57049]
[Detaching after vfork from child process 57050]
[Detaching after vfork from child process 57051]
[Detaching after vfork from child process 57052]
[Detaching after vfork from child process 57053]
[Detaching after vfork from child process 57054]
[Detaching after vfork from child process 57055]
[Detaching after vfork from child process 57056]
[Detaching after vfork from child process 57057]
[Detaching after vfork from child process 57058]
[Detaching after vfork from child process 57059]
[Detaching after vfork from child process 57060]
[Detaching after vfork from child process 57061]
[Detaching after vfork from child process 57062]
[Detaching after vfork from child process 57063]
[Detaching after vfork from child process 57064]
[Detaching after vfork from child process 57065]
[Detaching after vfork from child process 57066]
[Detaching after vfork from child process 57067]
[Detaching after vfork from child process 57068]
[Detaching after vfork from child process 57069]
[Detaching after vfork from child process 57070]
[Detaching after vfork from child process 57071]
[Detaching after vfork from child process 57072]
[Detaching after vfork from child process 57073]
[Detaching after vfork from child process 57074]
[Detaching after vfork from child process 57075]
[Detaching after vfork from child process 57076]
[Detaching after vfork from child process 57077]
[Detaching after vfork from child process 57078]
[Detaching after vfork from child process 57079]
[Detaching after vfork from child process 57080]
[Detaching after vfork from child process 57081]
[Detaching after vfork from child process 57082]
[Detaching after vfork from child process 57083]
[Detaching after vfork from child process 57084]
[Detaching after vfork from child process 57085]
[Detaching after vfork from child process 57086]
[Detaching after vfork from child process 57087]
[Detaching after vfork from child process 57088]
[Detaching after vfork from child process 57089]
[Detaching after vfork from child process 57090]
[Detaching after vfork from child process 57091]
[Detaching after vfork from child process 57092]
[Detaching after vfork from child process 57093]
[Detaching after vfork from child process 57094]
[Detaching after vfork from child process 57095]
[Detaching after vfork from child process 57096]
[Detaching after vfork from child process 57097]
[Detaching after vfork from child process 57098]
[Detaching after vfork from child process 57099]
[Detaching after vfork from child process 57100]
[Detaching after vfork from child process 57101]
[Detaching after vfork from child process 57102]
[Detaching after vfork from child process 57103]
[Detaching after vfork from child process 57104]
[Detaching after vfork from child process 57105]
[Detaching after vfork from child process 57106]
[Detaching after vfork from child process 57107]
[Detaching after vfork from child process 57108]
[Detaching after vfork from child process 57109]
[Detaching after vfork from child process 57110]
[Detaching after vfork from child process 57112]
[Detaching after vfork from child process 57113]
[Detaching after vfork from child process 57114]
[Detaching after vfork from child process 57115]
[Detaching after vfork from child process 57116]
[Detaching after vfork from child process 57117]
[Detaching after vfork from child process 57118]
[Detaching after vfork from child process 57119]
[Detaching after vfork from child process 57120]
[Detaching after vfork from child process 57121]
[Detaching after vfork from child process 57122]
[Detaching after vfork from child process 57123]
[Detaching after vfork from child process 57124]
[Detaching after vfork from child process 57125]
[Detaching after vfork from child process 57126]
[Detaching after vfork from child process 57127]
[Detaching after vfork from child process 57128]
[Detaching after vfork from child process 57129]
[Detaching after vfork from child process 57130]
[Detaching after vfork from child process 57131]
[Detaching after vfork from child process 57132]
[Detaching after vfork from child process 57133]
[Detaching after vfork from child process 57134]
[Detaching after vfork from child process 57135]
[Detaching after vfork from child process 57136]
[Detaching after vfork from child process 57137]
[Detaching after vfork from child process 57138]
[Detaching after vfork from child process 57139]
[Detaching after vfork from child process 57140]
[Detaching after vfork from child process 57141]
[Detaching after vfork from child process 57143]
[Detaching after vfork from child process 57144]
[Detaching after vfork from child process 57145]
[Detaching after vfork from child process 57146]
[Detaching after vfork from child process 57147]
[Detaching after vfork from child process 57148]
[Detaching after vfork from child process 57149]
[Detaching after vfork from child process 57150]
[Detaching after vfork from child process 57151]
[Detaching after vfork from child process 57152]
[Detaching after vfork from child process 57153]
[Detaching after vfork from child process 57159]
[Detaching after vfork from child process 57160]
[Detaching after vfork from child process 57161]
[Detaching after vfork from child process 57162]
[Detaching after vfork from child process 57163]
[Detaching after vfork from child process 57164]
[Detaching after vfork from child process 57165]
[Detaching after vfork from child process 57166]
[Detaching after vfork from child process 57167]
[Detaching after vfork from child process 57168]
[Detaching after vfork from child process 57169]
[Detaching after vfork from child process 57170]
[Detaching after vfork from child process 57171]
[Detaching after vfork from child process 57172]
[Detaching after vfork from child process 57173]
[Detaching after vfork from child process 57174]
[Detaching after vfork from child process 57175]
[Detaching after vfork from child process 57176]
[Detaching after vfork from child process 57177]
[Detaching after vfork from child process 57178]
[Detaching after vfork from child process 57179]
[Detaching after vfork from child process 57180]
[Detaching after vfork from child process 57181]
[Detaching after vfork from child process 57182]
[Detaching after vfork from child process 57183]
[Detaching after vfork from child process 57184]
[Detaching after vfork from child process 57185]
[Detaching after vfork from child process 57186]
[Detaching after vfork from child process 57187]
[Detaching after vfork from child process 57188]
[Detaching after vfork from child process 57189]
[Detaching after vfork from child process 57190]
[Detaching after vfork from child process 57191]
[Detaching after vfork from child process 57192]
[Detaching after vfork from child process 57193]
[Detaching after vfork from child process 57194]
[Detaching after vfork from child process 57195]
[Detaching after vfork from child process 57196]
[Detaching after vfork from child process 57197]
[Detaching after vfork from child process 57198]
[Detaching after vfork from child process 57199]
[Detaching after vfork from child process 57200]
[Detaching after vfork from child process 57201]
[Detaching after vfork from child process 57202]
[Detaching after vfork from child process 57203]
[Detaching after vfork from child process 57204]
[Detaching after vfork from child process 57205]
[Detaching after vfork from child process 57206]
[Detaching after vfork from child process 57207]
[Detaching after vfork from child process 57208]
[Detaching after vfork from child process 57209]
[Detaching after vfork from child process 57210]
[Detaching after vfork from child process 57211]
[Detaching after vfork from child process 57213]
[Detaching after vfork from child process 57214]
[Detaching after vfork from child process 57215]
[Detaching after vfork from child process 57216]
[Detaching after vfork from child process 57217]
[Detaching after vfork from child process 57218]
[Detaching after vfork from child process 57219]
[Detaching after vfork from child process 57220]
[Detaching after vfork from child process 57221]
[Detaching after vfork from child process 57222]
[Detaching after vfork from child process 57223]
[Detaching after vfork from child process 57224]
[Detaching after vfork from child process 57225]
[Detaching after vfork from child process 57226]
[Detaching after vfork from child process 57227]
[Detaching after vfork from child process 57228]
[Detaching after vfork from child process 57229]
[Detaching after vfork from child process 57230]
[Detaching after vfork from child process 57231]
[Detaching after vfork from child process 57232]
[Detaching after vfork from child process 57233]
[Detaching after vfork from child process 57234]
[Detaching after vfork from child process 57235]
[Detaching after vfork from child process 57237]
[Detaching after vfork from child process 57238]
[Detaching after vfork from child process 57239]
[Detaching after vfork from child process 57240]
[Detaching after vfork from child process 57241]
[Detaching after vfork from child process 57242]
[Detaching after vfork from child process 57243]
[Detaching after vfork from child process 57244]
[Detaching after vfork from child process 57245]
[Detaching after vfork from child process 57246]
[Detaching after vfork from child process 57248]
[Detaching after vfork from child process 57249]
[Detaching after vfork from child process 57250]
[Detaching after vfork from child process 57252]
[Detaching after vfork from child process 57253]
[Detaching after vfork from child process 57254]
[Detaching after vfork from child process 57255]
[Detaching after vfork from child process 57256]
[Detaching after vfork from child process 57257]
[Detaching after vfork from child process 57258]
[Detaching after vfork from child process 57259]
[Detaching after vfork from child process 57260]
[Detaching after vfork from child process 57261]
[Detaching after vfork from child process 57266]
[Detaching after vfork from child process 57267]
[Detaching after vfork from child process 57268]
[Detaching after vfork from child process 57269]
[Detaching after vfork from child process 57270]
[Detaching after vfork from child process 57271]
[Detaching after vfork from child process 57272]
[Detaching after vfork from child process 57273]
[Detaching after vfork from child process 57274]
[Detaching after vfork from child process 57275]
[Detaching after vfork from child process 57276]
[Detaching after vfork from child process 57278]
[Detaching after vfork from child process 57279]
[Detaching after vfork from child process 57280]
[Detaching after vfork from child process 57281]
[Detaching after vfork from child process 57282]
[Detaching after vfork from child process 57283]
[Detaching after vfork from child process 57284]
[Detaching after vfork from child process 57285]
[Detaching after vfork from child process 57286]
[Detaching after vfork from child process 57287]
[Detaching after vfork from child process 57288]
[Detaching after vfork from child process 57289]
[Detaching after vfork from child process 57290]
[Detaching after vfork from child process 57291]
[Detaching after vfork from child process 57292]
[Detaching after vfork from child process 57293]
[Detaching after vfork from child process 57294]
[Detaching after vfork from child process 57295]
[Detaching after vfork from child process 57296]
[Detaching after vfork from child process 57297]
[Detaching after vfork from child process 57298]
[Detaching after vfork from child process 57299]
[Detaching after vfork from child process 57300]
[Detaching after vfork from child process 57302]
[Detaching after vfork from child process 57303]
[Detaching after vfork from child process 57304]
[Detaching after vfork from child process 57305]
[Detaching after vfork from child process 57306]
[Detaching after vfork from child process 57307]
[Detaching after vfork from child process 57309]
[Detaching after vfork from child process 57310]
[Detaching after vfork from child process 57317]
[Detaching after vfork from child process 57321]
[Detaching after vfork from child process 57322]
[Detaching after vfork from child process 57344]
[Detaching after vfork from child process 57345]
[Detaching after vfork from child process 57346]
[Detaching after vfork from child process 57347]
[Detaching after vfork from child process 57348]
[Detaching after vfork from child process 57349]
[Detaching after vfork from child process 57350]
[Detaching after vfork from child process 57351]
[Detaching after vfork from child process 57352]
[Detaching after vfork from child process 57353]
[Detaching after vfork from child process 57354]
[Detaching after vfork from child process 57355]
[Detaching after vfork from child process 57356]
[Detaching after vfork from child process 57357]
[Detaching after vfork from child process 57358]
[Detaching after vfork from child process 57359]
[Detaching after vfork from child process 57360]
[Detaching after vfork from child process 57361]
[Detaching after vfork from child process 57362]
[Detaching after vfork from child process 57363]
[Detaching after vfork from child process 57364]
[Detaching after vfork from child process 57365]
[Detaching after vfork from child process 57366]
[Detaching after vfork from child process 57367]
[Detaching after vfork from child process 57368]
[Detaching after vfork from child process 57369]
[Detaching after vfork from child process 57370]
[Detaching after vfork from child process 57371]
[Detaching after vfork from child process 57372]
[Detaching after vfork from child process 57373]
[Detaching after vfork from child process 57374]
[Detaching after vfork from child process 57375]
[Detaching after vfork from child process 57376]
[Detaching after vfork from child process 57377]
[Detaching after vfork from child process 57378]
[Detaching after vfork from child process 57379]
[Detaching after vfork from child process 57380]
[Detaching after vfork from child process 57381]
[Detaching after vfork from child process 57382]
[Detaching after vfork from child process 57383]
[Detaching after vfork from child process 57384]
[Detaching after vfork from child process 57385]
[Detaching after vfork from child process 57386]
[Detaching after vfork from child process 57387]
[Detaching after vfork from child process 57388]
[Detaching after vfork from child process 57389]
[Detaching after vfork from child process 57390]
[Detaching after vfork from child process 57391]
[Detaching after vfork from child process 57392]
[Detaching after vfork from child process 57393]
[Detaching after vfork from child process 57394]
[Detaching after vfork from child process 57395]
[Detaching after vfork from child process 57396]
[Detaching after vfork from child process 57397]
[Detaching after vfork from child process 57398]
[Detaching after vfork from child process 57399]
[Detaching after vfork from child process 57400]
[Detaching after vfork from child process 57401]
[Detaching after vfork from child process 57402]
[Detaching after vfork from child process 57403]
[Detaching after vfork from child process 57404]
[Detaching after vfork from child process 57405]
[Detaching after vfork from child process 57406]
[Detaching after vfork from child process 57407]
[Detaching after vfork from child process 57408]
[Detaching after vfork from child process 57409]
[Detaching after vfork from child process 57410]
[Detaching after vfork from child process 57411]
[Detaching after vfork from child process 57412]
[Detaching after vfork from child process 57413]
[Detaching after vfork from child process 57414]
[Detaching after vfork from child process 57415]
[Detaching after vfork from child process 57416]
[Detaching after vfork from child process 57417]
[Detaching after vfork from child process 57418]
[Detaching after vfork from child process 57419]
[Detaching after vfork from child process 57420]
[Detaching after vfork from child process 57421]
[Detaching after vfork from child process 57422]
[Detaching after vfork from child process 57423]
[Detaching after vfork from child process 57424]
[Detaching after vfork from child process 57425]
[Detaching after vfork from child process 57427]
[Detaching after vfork from child process 57428]
[Detaching after vfork from child process 57429]
[Detaching after vfork from child process 57430]
[Detaching after vfork from child process 57431]
[Detaching after vfork from child process 57432]
[Detaching after vfork from child process 57433]
[Detaching after vfork from child process 57434]
[Detaching after vfork from child process 57435]
[Detaching after vfork from child process 57436]
[Detaching after vfork from child process 57437]
[Detaching after vfork from child process 57438]
[Detaching after vfork from child process 57439]
[Detaching after vfork from child process 57440]
[Detaching after vfork from child process 57441]
[Detaching after vfork from child process 57442]
[Detaching after vfork from child process 57443]
[Detaching after vfork from child process 57444]
[Detaching after vfork from child process 57445]
[Detaching after vfork from child process 57446]
[Detaching after vfork from child process 57447]
[Detaching after vfork from child process 57448]
[Detaching after vfork from child process 57449]
[Detaching after vfork from child process 57450]
[Detaching after vfork from child process 57451]
[Detaching after vfork from child process 57452]
[Detaching after vfork from child process 57453]
[Detaching after vfork from child process 57454]
[Detaching after vfork from child process 57455]
[Detaching after vfork from child process 57456]
[Detaching after vfork from child process 57457]
[Detaching after vfork from child process 57458]
[Detaching after vfork from child process 57459]
[Detaching after vfork from child process 57460]
[Detaching after vfork from child process 57461]
[Detaching after vfork from child process 57462]
[Detaching after vfork from child process 57463]
[Detaching after vfork from child process 57464]
[Detaching after vfork from child process 57465]
[Detaching after vfork from child process 57466]
[Detaching after vfork from child process 57467]
[Detaching after vfork from child process 57468]
[Detaching after vfork from child process 57469]
[Detaching after vfork from child process 57470]
[Detaching after vfork from child process 57471]
[Detaching after vfork from child process 57472]
[Detaching after vfork from child process 57473]
[Detaching after vfork from child process 57474]
[Detaching after vfork from child process 57475]
[Detaching after vfork from child process 57476]
[Detaching after vfork from child process 57477]
[Detaching after vfork from child process 57478]
[Detaching after vfork from child process 57479]
[Detaching after vfork from child process 57480]
[Detaching after vfork from child process 57481]
[Detaching after vfork from child process 57482]
[Detaching after vfork from child process 57483]
[Detaching after vfork from child process 57484]
[Detaching after vfork from child process 57485]
[Detaching after vfork from child process 57486]
[Detaching after vfork from child process 57487]
[Detaching after vfork from child process 57488]
[Detaching after vfork from child process 57493]
[Detaching after vfork from child process 57494]
[Detaching after vfork from child process 57495]
[Detaching after vfork from child process 57496]
[Detaching after vfork from child process 57497]
[Detaching after vfork from child process 57498]
[Detaching after vfork from child process 57499]
[Detaching after vfork from child process 57500]
[Detaching after vfork from child process 57501]
[Detaching after vfork from child process 57502]
[Detaching after vfork from child process 57503]
[Detaching after vfork from child process 57504]
[Detaching after vfork from child process 57505]
[Detaching after vfork from child process 57506]
[Detaching after vfork from child process 57507]
[Detaching after vfork from child process 57508]
[Detaching after vfork from child process 57509]
[Detaching after vfork from child process 57510]
[Detaching after vfork from child process 57511]
[Detaching after vfork from child process 57512]
[Detaching after vfork from child process 57513]
[Detaching after vfork from child process 57514]
[Detaching after vfork from child process 57515]
[Detaching after vfork from child process 57516]
[Detaching after vfork from child process 57517]
[Detaching after vfork from child process 57518]
[Detaching after vfork from child process 57519]
[Detaching after vfork from child process 57520]
[Detaching after vfork from child process 57521]
[Detaching after vfork from child process 57522]
[Detaching after vfork from child process 57523]
[Detaching after vfork from child process 57524]
[Detaching after vfork from child process 57525]
[Detaching after vfork from child process 57526]
[Detaching after vfork from child process 57527]
[Detaching after vfork from child process 57528]
[Detaching after vfork from child process 57529]
[Detaching after vfork from child process 57530]
[Detaching after vfork from child process 57531]
[Detaching after vfork from child process 57532]
[Detaching after vfork from child process 57533]
[Detaching after vfork from child process 57534]
[Detaching after vfork from child process 57535]
[Detaching after vfork from child process 57536]
[Detaching after vfork from child process 57537]
[Detaching after vfork from child process 57538]
[Detaching after vfork from child process 57539]
[Detaching after vfork from child process 57540]
[Detaching after vfork from child process 57541]
[Detaching after vfork from child process 57542]
[Detaching after vfork from child process 57543]
[Detaching after vfork from child process 57544]
[Detaching after vfork from child process 57545]
[Detaching after vfork from child process 57546]
[Detaching after vfork from child process 57547]
[Detaching after vfork from child process 57548]
[Detaching after vfork from child process 57549]
[Detaching after vfork from child process 57550]
[Detaching after vfork from child process 57551]
[Detaching after vfork from child process 57552]
[Detaching after vfork from child process 57553]
[Detaching after vfork from child process 57554]
[Detaching after vfork from child process 57555]
[Detaching after vfork from child process 57556]
[Detaching after vfork from child process 57557]
[Detaching after vfork from child process 57558]
[Detaching after vfork from child process 57559]
[Detaching after vfork from child process 57560]
[Detaching after vfork from child process 57561]
[Detaching after vfork from child process 57562]
[Detaching after vfork from child process 57563]
[Detaching after vfork from child process 57564]
[Detaching after vfork from child process 57565]
[Detaching after vfork from child process 57566]
[Detaching after vfork from child process 57567]
[Detaching after vfork from child process 57568]
[Detaching after vfork from child process 57569]
[Detaching after vfork from child process 57570]
[Detaching after vfork from child process 57571]
[Detaching after vfork from child process 57572]
[Detaching after vfork from child process 57573]
[Detaching after vfork from child process 57574]
[Detaching after vfork from child process 57575]
[Detaching after vfork from child process 57576]
[Detaching after vfork from child process 57577]
[Detaching after vfork from child process 57578]
[Detaching after vfork from child process 57579]
[Detaching after vfork from child process 57580]
[Detaching after vfork from child process 57581]
[Detaching after vfork from child process 57582]
[Detaching after vfork from child process 57583]
[Detaching after vfork from child process 57584]
[Detaching after vfork from child process 57585]
[Detaching after vfork from child process 57586]
[Detaching after vfork from child process 57587]
[Detaching after vfork from child process 57588]
[Detaching after vfork from child process 57589]
[Detaching after vfork from child process 57590]
[Detaching after vfork from child process 57591]
[Detaching after vfork from child process 57592]
[Detaching after vfork from child process 57593]
[Detaching after vfork from child process 57594]
[Detaching after vfork from child process 57595]
[Detaching after vfork from child process 57596]
[Detaching after vfork from child process 57597]
[Detaching after vfork from child process 57598]
[Detaching after vfork from child process 57599]
[Detaching after vfork from child process 57600]
[Detaching after vfork from child process 57601]
[Detaching after vfork from child process 57602]
[Detaching after vfork from child process 57603]
[Detaching after vfork from child process 57604]
[Detaching after vfork from child process 57605]
[Detaching after vfork from child process 57606]
[Detaching after vfork from child process 57607]
[Detaching after vfork from child process 57608]
[Detaching after vfork from child process 57609]
[Detaching after vfork from child process 57610]
[Detaching after vfork from child process 57611]
[Detaching after vfork from child process 57612]
[Detaching after vfork from child process 57613]
[Detaching after vfork from child process 57614]
[Detaching after vfork from child process 57615]
[Detaching after vfork from child process 57616]
[Detaching after vfork from child process 57617]
[Detaching after vfork from child process 57618]
[Detaching after vfork from child process 57619]
[Detaching after vfork from child process 57620]
[Detaching after vfork from child process 57621]
[Detaching after vfork from child process 57622]
[Detaching after vfork from child process 57623]
[Detaching after vfork from child process 57624]
[Detaching after vfork from child process 57625]
[Detaching after vfork from child process 57626]
[Detaching after vfork from child process 57627]
[Detaching after vfork from child process 57628]
[Detaching after vfork from child process 57629]
[Detaching after vfork from child process 57630]
[Detaching after vfork from child process 57631]
[Detaching after vfork from child process 57632]
[Detaching after vfork from child process 57633]
[Detaching after vfork from child process 57634]
[Detaching after vfork from child process 57635]
[Detaching after vfork from child process 57636]
[Detaching after vfork from child process 57637]
[Detaching after vfork from child process 57638]
[Detaching after vfork from child process 57639]
[Detaching after vfork from child process 57640]
[Detaching after vfork from child process 57641]
[Detaching after vfork from child process 57647]
[Detaching after vfork from child process 57648]
[Detaching after vfork from child process 57650]
[Detaching after vfork from child process 57651]
[Detaching after vfork from child process 57652]
[Detaching after vfork from child process 57653]
[Detaching after vfork from child process 57654]
[Detaching after vfork from child process 57655]
[Detaching after vfork from child process 57656]
[Detaching after vfork from child process 57657]
[Detaching after vfork from child process 57658]
[Detaching after vfork from child process 57659]
[Detaching after vfork from child process 57660]
[Detaching after vfork from child process 57661]
[Detaching after vfork from child process 57662]
[Detaching after vfork from child process 57663]
[Detaching after vfork from child process 57664]
[Detaching after vfork from child process 57665]
[Detaching after vfork from child process 57666]
[Detaching after vfork from child process 57667]
[Detaching after vfork from child process 57668]
[Detaching after vfork from child process 57669]
[Detaching after vfork from child process 57670]
[Detaching after vfork from child process 57671]
[Detaching after vfork from child process 57672]
[Detaching after vfork from child process 57673]
[Detaching after vfork from child process 57674]
[Detaching after vfork from child process 57675]
[Detaching after vfork from child process 57676]
[Detaching after vfork from child process 57677]
[Detaching after vfork from child process 57678]
[Detaching after vfork from child process 57679]
[Detaching after vfork from child process 57680]
[Detaching after vfork from child process 57681]
[Detaching after vfork from child process 57682]
[Detaching after vfork from child process 57683]
[Detaching after vfork from child process 57684]
[Detaching after vfork from child process 57685]
[Detaching after vfork from child process 57686]
[Detaching after vfork from child process 57687]
[Detaching after vfork from child process 57688]
[Detaching after vfork from child process 57689]
[Detaching after vfork from child process 57690]
[Detaching after vfork from child process 57691]
[Detaching after vfork from child process 57692]
[Detaching after vfork from child process 57693]
[Detaching after vfork from child process 57694]
[Detaching after vfork from child process 57695]
[Detaching after vfork from child process 57696]
[Detaching after vfork from child process 57697]
[Detaching after vfork from child process 57698]
[Detaching after vfork from child process 57699]
[Detaching after vfork from child process 57700]
[Detaching after vfork from child process 57701]
[Detaching after vfork from child process 57702]
[Detaching after vfork from child process 57703]
[Detaching after vfork from child process 57704]
[Detaching after vfork from child process 57705]
[Detaching after vfork from child process 57706]
[Detaching after vfork from child process 57707]
[Detaching after vfork from child process 57708]
[Detaching after vfork from child process 57709]
[Detaching after vfork from child process 57710]
[Detaching after vfork from child process 57711]
[Detaching after vfork from child process 57712]
[Detaching after vfork from child process 57713]
[Detaching after vfork from child process 57714]
[Detaching after vfork from child process 57715]
[Detaching after vfork from child process 57716]
[Detaching after vfork from child process 57717]
[Detaching after vfork from child process 57718]
[Detaching after vfork from child process 57719]
[Detaching after vfork from child process 57720]
[Detaching after vfork from child process 57721]
[Detaching after vfork from child process 57722]
[Detaching after vfork from child process 57723]
[Detaching after vfork from child process 57724]
[Detaching after vfork from child process 57725]
[Detaching after vfork from child process 57726]
[Detaching after vfork from child process 57727]
[Detaching after vfork from child process 57728]
[Detaching after vfork from child process 57729]
[Detaching after vfork from child process 57730]
[Detaching after vfork from child process 57731]
[Detaching after vfork from child process 57732]
[Detaching after vfork from child process 57733]
[Detaching after vfork from child process 57734]
[Detaching after vfork from child process 57735]
[Detaching after vfork from child process 57736]
[Detaching after vfork from child process 57737]
[Detaching after vfork from child process 57738]
[Detaching after vfork from child process 57739]
[Detaching after vfork from child process 57740]
[Detaching after vfork from child process 57741]
[Detaching after vfork from child process 57742]
[Detaching after vfork from child process 57743]
[Detaching after vfork from child process 57744]
[Detaching after vfork from child process 57745]
[Detaching after vfork from child process 57746]
[Detaching after vfork from child process 57747]
[Detaching after vfork from child process 57748]
[Detaching after vfork from child process 57749]
[Detaching after vfork from child process 57750]
[Detaching after vfork from child process 57751]
[Detaching after vfork from child process 57752]
[Detaching after vfork from child process 57753]
[Detaching after vfork from child process 57754]
[Detaching after vfork from child process 57755]
[Detaching after vfork from child process 57756]
[Detaching after vfork from child process 57757]
[Detaching after vfork from child process 57758]
[Detaching after vfork from child process 57759]
[Detaching after vfork from child process 57760]
[Detaching after vfork from child process 57766]
[Detaching after vfork from child process 57767]
[Detaching after vfork from child process 57768]
[Detaching after vfork from child process 57769]
[Detaching after vfork from child process 57770]
[Detaching after vfork from child process 57771]
[Detaching after vfork from child process 57772]
[Detaching after vfork from child process 57773]
[Detaching after vfork from child process 57774]
[Detaching after vfork from child process 57775]
[Detaching after vfork from child process 57776]
[Detaching after vfork from child process 57777]
[Detaching after vfork from child process 57778]
[Detaching after vfork from child process 57779]
[Detaching after vfork from child process 57780]
[Detaching after vfork from child process 57781]
[Detaching after vfork from child process 57782]
[Detaching after vfork from child process 57783]
[Detaching after vfork from child process 57784]
[Detaching after vfork from child process 57785]
[Detaching after vfork from child process 57786]
[Detaching after vfork from child process 57787]
[Detaching after vfork from child process 57788]
[Detaching after vfork from child process 57789]
[Detaching after vfork from child process 57790]
[Detaching after vfork from child process 57791]
[Detaching after vfork from child process 57792]
[Detaching after vfork from child process 57793]
[Detaching after vfork from child process 57794]
[Detaching after vfork from child process 57795]
[Detaching after vfork from child process 57796]
[Detaching after vfork from child process 57797]
[Detaching after vfork from child process 57798]
[Detaching after vfork from child process 57799]
[Detaching after vfork from child process 57800]
[Detaching after vfork from child process 57837]
[Detaching after vfork from child process 57838]
[Detaching after vfork from child process 57839]
[Detaching after vfork from child process 57840]
[Detaching after vfork from child process 57841]
[Detaching after vfork from child process 57842]
[Detaching after vfork from child process 57843]
[Detaching after vfork from child process 57844]
[Detaching after vfork from child process 57845]
[Detaching after vfork from child process 57846]
[Detaching after vfork from child process 57847]
[Detaching after vfork from child process 57848]
[Detaching after vfork from child process 57849]
[Detaching after vfork from child process 57850]
[Detaching after vfork from child process 57851]
[Detaching after vfork from child process 57852]
[Detaching after vfork from child process 57853]
[Detaching after vfork from child process 57854]
[Detaching after vfork from child process 57855]
[Detaching after vfork from child process 57856]
[Detaching after vfork from child process 57857]
[Detaching after vfork from child process 57858]
[Detaching after vfork from child process 57859]
[Detaching after vfork from child process 57860]
[Detaching after vfork from child process 57861]
[Detaching after vfork from child process 57862]
[Detaching after vfork from child process 57863]
[Detaching after vfork from child process 57864]
[Detaching after vfork from child process 57865]
[Detaching after vfork from child process 57866]
[Detaching after vfork from child process 57867]
[Detaching after vfork from child process 57868]
[Detaching after vfork from child process 57869]
[Detaching after vfork from child process 57870]
[Detaching after vfork from child process 57871]
[Detaching after vfork from child process 57872]
[Detaching after vfork from child process 57873]
[Detaching after vfork from child process 57874]
[Detaching after vfork from child process 57875]
[Detaching after vfork from child process 57876]
[Detaching after vfork from child process 57877]
[Detaching after vfork from child process 57878]
[Detaching after vfork from child process 57879]
[Detaching after vfork from child process 57880]
[Detaching after vfork from child process 57881]
[Detaching after vfork from child process 57882]
[Detaching after vfork from child process 57883]
[Detaching after vfork from child process 57884]
[Detaching after vfork from child process 57885]
[Detaching after vfork from child process 57886]
[Detaching after vfork from child process 57887]
[Detaching after vfork from child process 57888]
[Detaching after vfork from child process 57889]
[Detaching after vfork from child process 57890]
[Detaching after vfork from child process 57891]
[Detaching after vfork from child process 57892]
[Detaching after vfork from child process 57893]
[Detaching after vfork from child process 57894]
[Detaching after vfork from child process 57895]
[Detaching after vfork from child process 57896]
[Detaching after vfork from child process 57897]
[Detaching after vfork from child process 57898]
[Detaching after vfork from child process 57899]
[Detaching after vfork from child process 57900]
[Detaching after vfork from child process 57901]
[Detaching after vfork from child process 57902]
[Detaching after vfork from child process 57903]
[Detaching after vfork from child process 57904]
[Detaching after vfork from child process 57905]
[Detaching after vfork from child process 57906]
[Detaching after vfork from child process 57907]
[Detaching after vfork from child process 57908]
[Detaching after vfork from child process 57909]
[Detaching after vfork from child process 57910]
[Detaching after vfork from child process 57911]
[Detaching after vfork from child process 57912]
[Detaching after vfork from child process 57913]
[Detaching after vfork from child process 57914]
[Detaching after vfork from child process 57915]
[Detaching after vfork from child process 57916]
[Detaching after vfork from child process 57917]
[Detaching after vfork from child process 57918]
[Detaching after vfork from child process 57919]
[Detaching after vfork from child process 57920]
[Detaching after vfork from child process 57921]
[Detaching after vfork from child process 57922]
[Detaching after vfork from child process 57923]
[Detaching after vfork from child process 57924]
[Detaching after vfork from child process 57925]
[Detaching after vfork from child process 57926]
[Detaching after vfork from child process 57927]
[Detaching after vfork from child process 57928]
[Detaching after vfork from child process 57929]
[Detaching after vfork from child process 57930]
[Detaching after vfork from child process 57931]
[Detaching after vfork from child process 57932]
[Detaching after vfork from child process 57933]
[Detaching after vfork from child process 57934]
[Detaching after vfork from child process 57935]
[Detaching after vfork from child process 57936]
[Detaching after vfork from child process 57937]
[Detaching after vfork from child process 57938]
[Detaching after vfork from child process 57939]
[Detaching after vfork from child process 57940]
[Detaching after vfork from child process 57941]
[Detaching after vfork from child process 57942]
[Detaching after vfork from child process 57943]
[Detaching after vfork from child process 57944]
[Detaching after vfork from child process 57945]
[Detaching after vfork from child process 57946]
[Detaching after vfork from child process 57947]
[Detaching after vfork from child process 57948]
[Detaching after vfork from child process 57949]
[Detaching after vfork from child process 57950]
[Detaching after vfork from child process 57951]
[Detaching after vfork from child process 57952]
[Detaching after vfork from child process 57953]
[Detaching after vfork from child process 57954]
[Detaching after vfork from child process 57955]
[Detaching after vfork from child process 57956]
[Detaching after vfork from child process 57957]
[Detaching after vfork from child process 57958]
[Detaching after vfork from child process 57959]
[Detaching after vfork from child process 57960]
[Detaching after vfork from child process 57961]
[Detaching after vfork from child process 57962]
[Detaching after vfork from child process 57963]
[Detaching after vfork from child process 57964]
[Detaching after vfork from child process 57965]
[Detaching after vfork from child process 57966]
[Detaching after vfork from child process 57967]
[Detaching after vfork from child process 57968]
[Detaching after vfork from child process 57969]
[Detaching after vfork from child process 57970]
[Detaching after vfork from child process 57971]
[Detaching after vfork from child process 57972]
[Detaching after vfork from child process 57973]
[Detaching after vfork from child process 57974]
[Detaching after vfork from child process 57975]
[Detaching after vfork from child process 57976]
[Detaching after vfork from child process 57977]
[Detaching after vfork from child process 57978]
[Detaching after vfork from child process 57979]
[Detaching after vfork from child process 57980]
[Detaching after vfork from child process 58042]
[Detaching after vfork from child process 58045]
[Detaching after vfork from child process 58046]
[Detaching after vfork from child process 58047]
[Detaching after vfork from child process 58048]
[Detaching after vfork from child process 58049]
[Detaching after vfork from child process 58050]
[Detaching after vfork from child process 58051]
[Detaching after vfork from child process 58052]
[Detaching after vfork from child process 58053]
[Detaching after vfork from child process 58054]
[Detaching after vfork from child process 58055]
[Detaching after vfork from child process 58056]
[Detaching after vfork from child process 58057]
[Detaching after vfork from child process 58058]
[Detaching after vfork from child process 58059]
[Detaching after vfork from child process 58060]
[Detaching after vfork from child process 58061]
[Detaching after vfork from child process 58062]
[Detaching after vfork from child process 58063]
[Detaching after vfork from child process 58064]
[Detaching after vfork from child process 58066]
[Detaching after vfork from child process 58067]
[Detaching after vfork from child process 58068]
[Detaching after vfork from child process 58069]
[Detaching after vfork from child process 58070]
[Detaching after vfork from child process 58071]
[Detaching after vfork from child process 58072]
[Detaching after vfork from child process 58073]
[Detaching after vfork from child process 58074]
[Detaching after vfork from child process 58075]
[Detaching after vfork from child process 58076]
[Detaching after vfork from child process 58078]
[Detaching after vfork from child process 58079]
[Detaching after vfork from child process 58080]
[Detaching after vfork from child process 58081]
[Detaching after vfork from child process 58082]
[Detaching after vfork from child process 58083]
[Detaching after vfork from child process 58085]
[Detaching after vfork from child process 58086]
[Detaching after vfork from child process 58087]
[Detaching after vfork from child process 58088]
[Detaching after vfork from child process 58089]
[Detaching after vfork from child process 58090]
[Detaching after vfork from child process 58091]
[Detaching after vfork from child process 58092]
[Detaching after vfork from child process 58093]
[Detaching after vfork from child process 58094]
[Detaching after vfork from child process 58095]
[Detaching after vfork from child process 58096]
[Detaching after vfork from child process 58097]
[Detaching after vfork from child process 58098]
[Detaching after vfork from child process 58099]
[Detaching after vfork from child process 58100]
[Detaching after vfork from child process 58101]
[Detaching after vfork from child process 58102]
[Detaching after vfork from child process 58103]
[Detaching after vfork from child process 58104]
[Detaching after vfork from child process 58105]
[Detaching after vfork from child process 58106]
[Detaching after vfork from child process 58107]
[Detaching after vfork from child process 58108]
[Detaching after vfork from child process 58109]
[Detaching after vfork from child process 58110]
[Detaching after vfork from child process 58111]
[Detaching after vfork from child process 58112]
[Detaching after vfork from child process 58113]
[Detaching after vfork from child process 58114]
[Detaching after vfork from child process 58115]
[Detaching after vfork from child process 58116]
[Detaching after vfork from child process 58117]
[Detaching after vfork from child process 58118]
[Detaching after vfork from child process 58119]
[Detaching after vfork from child process 58120]
[Detaching after vfork from child process 58121]
[Detaching after vfork from child process 58122]
[Detaching after vfork from child process 58123]
[Detaching after vfork from child process 58124]
[Detaching after vfork from child process 58125]
[Detaching after vfork from child process 58126]
[Detaching after vfork from child process 58127]
[Detaching after vfork from child process 58128]
[Detaching after vfork from child process 58129]
[Detaching after vfork from child process 58130]
[Detaching after vfork from child process 58131]
[Detaching after vfork from child process 58132]
[Detaching after vfork from child process 58133]
[Detaching after vfork from child process 58134]
[Detaching after vfork from child process 58366]
[Detaching after vfork from child process 58367]
[Detaching after vfork from child process 58368]
[Detaching after vfork from child process 58369]
[Detaching after vfork from child process 58371]
[Detaching after vfork from child process 58372]
[Detaching after vfork from child process 58373]
[Detaching after vfork from child process 58374]
[Detaching after vfork from child process 58375]
[Detaching after vfork from child process 58376]
[Detaching after vfork from child process 58377]
[Detaching after vfork from child process 58378]
[Detaching after vfork from child process 58379]
[Detaching after vfork from child process 58380]
[Detaching after vfork from child process 58381]
[Detaching after vfork from child process 58382]
[Detaching after vfork from child process 58383]
[Detaching after vfork from child process 58384]
[Detaching after vfork from child process 58385]
[Detaching after vfork from child process 58386]
[Detaching after vfork from child process 58387]
[Detaching after vfork from child process 58388]
[Detaching after vfork from child process 58389]
[Detaching after vfork from child process 58390]
[Detaching after vfork from child process 58391]
[Detaching after vfork from child process 58392]
[Detaching after vfork from child process 58393]
[Detaching after vfork from child process 58394]
[Detaching after vfork from child process 58395]
[Detaching after vfork from child process 58396]
[Detaching after vfork from child process 58397]
[Detaching after vfork from child process 58398]
[Detaching after vfork from child process 58399]
[Detaching after vfork from child process 58400]
[Detaching after vfork from child process 58401]
[Detaching after vfork from child process 58402]
[Detaching after vfork from child process 58403]
[Detaching after vfork from child process 58404]
[Detaching after vfork from child process 58405]
[Detaching after vfork from child process 58406]
[Detaching after vfork from child process 58407]
[Detaching after vfork from child process 58408]
[Detaching after vfork from child process 58409]
[Detaching after vfork from child process 58410]
[Detaching after vfork from child process 58411]
[Detaching after vfork from child process 58412]
[Detaching after vfork from child process 58413]
[Detaching after vfork from child process 58414]
[Detaching after vfork from child process 58426]
[Detaching after vfork from child process 58427]
[Detaching after vfork from child process 58429]
[Detaching after vfork from child process 58430]
[Detaching after vfork from child process 58431]
[Detaching after vfork from child process 58432]
[Detaching after vfork from child process 58433]
[Detaching after vfork from child process 58434]
[Detaching after vfork from child process 58435]
[Detaching after vfork from child process 58436]
[Detaching after vfork from child process 58437]
[Detaching after vfork from child process 58438]
[Detaching after vfork from child process 58439]
[Detaching after vfork from child process 58440]
[Detaching after vfork from child process 58441]
[Detaching after vfork from child process 58442]
[Detaching after vfork from child process 58443]
[Detaching after vfork from child process 58444]
[Detaching after vfork from child process 58445]
[Detaching after vfork from child process 58446]
[Detaching after vfork from child process 58447]
[Detaching after vfork from child process 58448]
[Detaching after vfork from child process 58449]
[Detaching after vfork from child process 58450]
[Detaching after vfork from child process 58451]
[Detaching after vfork from child process 58452]
[Detaching after vfork from child process 58453]
[Detaching after vfork from child process 58454]
[Detaching after vfork from child process 58455]
[Detaching after vfork from child process 58456]
[Detaching after vfork from child process 58457]
[Detaching after vfork from child process 58458]
[Detaching after vfork from child process 58459]
[Detaching after vfork from child process 58460]
[Detaching after vfork from child process 58461]
[Detaching after vfork from child process 58462]
[Detaching after vfork from child process 58463]
[Detaching after vfork from child process 58464]
[Detaching after vfork from child process 58465]
[Detaching after vfork from child process 58466]
[Detaching after vfork from child process 58467]
[Detaching after vfork from child process 58468]
[Detaching after vfork from child process 58469]
[Detaching after vfork from child process 58470]
[Detaching after vfork from child process 58471]
[Detaching after vfork from child process 58472]
[Detaching after vfork from child process 58473]
[Detaching after vfork from child process 58474]
[Detaching after vfork from child process 58475]
[Detaching after vfork from child process 58476]
[Detaching after vfork from child process 58477]
[Detaching after vfork from child process 58478]
[Detaching after vfork from child process 58479]
[Detaching after vfork from child process 58480]
[Detaching after vfork from child process 58481]
[Detaching after vfork from child process 58482]
[Detaching after vfork from child process 58483]
[Detaching after vfork from child process 58484]
[Detaching after vfork from child process 58485]
[Detaching after vfork from child process 58486]
[Detaching after vfork from child process 58487]
[Detaching after vfork from child process 58488]
[Detaching after vfork from child process 58489]
[Detaching after vfork from child process 58490]
[Detaching after vfork from child process 58491]
[Detaching after vfork from child process 58492]
[Detaching after vfork from child process 58493]
[Detaching after vfork from child process 58494]
[Detaching after vfork from child process 58495]
[Detaching after vfork from child process 58496]
[Detaching after vfork from child process 58497]
[Detaching after vfork from child process 58498]
[Detaching after vfork from child process 58499]
[Detaching after vfork from child process 58500]
[Detaching after vfork from child process 58501]
[Detaching after vfork from child process 58502]
[Detaching after vfork from child process 58503]
[Detaching after vfork from child process 58504]
[Detaching after vfork from child process 58505]
[Detaching after vfork from child process 58506]
[Detaching after vfork from child process 58507]
[Detaching after vfork from child process 58508]
[Detaching after vfork from child process 58509]
[Detaching after vfork from child process 58510]
[Detaching after vfork from child process 58511]
[Detaching after vfork from child process 58512]
[Detaching after vfork from child process 58513]
[Detaching after vfork from child process 58514]
[Detaching after vfork from child process 58515]
[Detaching after vfork from child process 58516]
[Detaching after vfork from child process 58517]
[Detaching after vfork from child process 58518]
[Detaching after vfork from child process 58519]
[Detaching after vfork from child process 58520]
[Detaching after vfork from child process 58521]
[Detaching after vfork from child process 58522]
[Detaching after vfork from child process 58523]
[Detaching after vfork from child process 58524]
[Detaching after vfork from child process 58525]
[Detaching after vfork from child process 58526]
[Detaching after vfork from child process 58527]
[Detaching after vfork from child process 58528]
[Detaching after vfork from child process 58529]
[Detaching after vfork from child process 58530]
[Detaching after vfork from child process 58531]
[Detaching after vfork from child process 58532]
[Detaching after vfork from child process 58533]
[Detaching after vfork from child process 58534]
[Detaching after vfork from child process 58535]
[Detaching after vfork from child process 58536]
[Detaching after vfork from child process 58537]
[Detaching after vfork from child process 58538]
[Detaching after vfork from child process 58539]
[Detaching after vfork from child process 58540]
[Detaching after vfork from child process 58541]
[Detaching after vfork from child process 58542]
[Detaching after vfork from child process 58543]
[Detaching after vfork from child process 58544]
[Detaching after vfork from child process 58545]
[Detaching after vfork from child process 58546]
[Detaching after vfork from child process 58547]
[Detaching after vfork from child process 58548]
[Detaching after vfork from child process 58549]
[Detaching after vfork from child process 58550]
[Detaching after vfork from child process 58551]
[Detaching after vfork from child process 58552]
[Detaching after vfork from child process 58553]
[Detaching after vfork from child process 58554]
[Detaching after vfork from child process 58555]
[Detaching after vfork from child process 58556]
[Detaching after vfork from child process 58557]
[Detaching after vfork from child process 58558]
[Detaching after vfork from child process 58559]
[Detaching after vfork from child process 58560]
[Detaching after vfork from child process 58561]
[Detaching after vfork from child process 58562]
[Detaching after vfork from child process 58563]
[Detaching after vfork from child process 58564]
[Detaching after vfork from child process 58566]
[Detaching after vfork from child process 58567]
[Detaching after vfork from child process 58568]
[Detaching after vfork from child process 58569]
[Detaching after vfork from child process 58570]
[Detaching after vfork from child process 58571]
[Detaching after vfork from child process 58572]
[Detaching after vfork from child process 58573]
[Detaching after vfork from child process 58574]
[Detaching after vfork from child process 58575]
[Detaching after vfork from child process 58576]
[Detaching after vfork from child process 58577]
[Detaching after vfork from child process 58578]
[Detaching after vfork from child process 58579]
[Detaching after vfork from child process 58580]
[Detaching after vfork from child process 58581]
[Detaching after vfork from child process 58582]
[Detaching after vfork from child process 58583]
[Detaching after vfork from child process 58584]
[Detaching after vfork from child process 58585]
[Detaching after vfork from child process 58586]
[Detaching after vfork from child process 58587]
[Detaching after vfork from child process 58588]
[Detaching after vfork from child process 58589]
[Detaching after vfork from child process 58590]
[Detaching after vfork from child process 58591]
[Detaching after vfork from child process 58592]
[Detaching after vfork from child process 58593]
[Detaching after vfork from child process 58594]
[Detaching after vfork from child process 58595]
[Detaching after vfork from child process 58596]
[Detaching after vfork from child process 58597]
[Detaching after vfork from child process 58598]
[Detaching after vfork from child process 58605]
[Detaching after vfork from child process 58606]
[Detaching after vfork from child process 58607]
[Detaching after vfork from child process 58608]
[Detaching after vfork from child process 58609]
[Detaching after vfork from child process 58610]
[Detaching after vfork from child process 58611]
[Detaching after vfork from child process 58612]
[Detaching after vfork from child process 58613]
[Detaching after vfork from child process 58614]
[Detaching after vfork from child process 58615]
[Detaching after vfork from child process 58616]
[Detaching after vfork from child process 58617]
[Detaching after vfork from child process 58618]
[Detaching after vfork from child process 58619]
[Detaching after vfork from child process 58620]
[Detaching after vfork from child process 58621]
[Detaching after vfork from child process 58622]
[Detaching after vfork from child process 58623]
[Detaching after vfork from child process 58624]
[Detaching after vfork from child process 58625]
[Detaching after vfork from child process 58626]
[Detaching after vfork from child process 58627]
[Detaching after vfork from child process 58628]
[Detaching after vfork from child process 58629]
[Detaching after vfork from child process 58630]
[Detaching after vfork from child process 58631]
[Detaching after vfork from child process 58632]
[Detaching after vfork from child process 58633]
[Detaching after vfork from child process 58634]
[Detaching after vfork from child process 58635]
[Detaching after vfork from child process 58636]
[Detaching after vfork from child process 58637]
[Detaching after vfork from child process 58638]
[Detaching after vfork from child process 58639]
[Detaching after vfork from child process 58640]
[Detaching after vfork from child process 58641]
[Detaching after vfork from child process 58642]
[Detaching after vfork from child process 58643]
[Detaching after vfork from child process 58644]
[Detaching after vfork from child process 58645]
[Detaching after vfork from child process 58646]
[Detaching after vfork from child process 58647]
[Detaching after vfork from child process 58648]
[Detaching after vfork from child process 58649]
[Detaching after vfork from child process 58650]
[Detaching after vfork from child process 58651]
[Detaching after vfork from child process 58652]
[Detaching after vfork from child process 58653]
[Detaching after vfork from child process 58654]
[Detaching after vfork from child process 58655]
[Detaching after vfork from child process 58656]
[Detaching after vfork from child process 58657]
[Detaching after vfork from child process 58658]
[Detaching after vfork from child process 58659]
[Detaching after vfork from child process 58660]
[Detaching after vfork from child process 58661]
[Detaching after vfork from child process 58662]
[Detaching after vfork from child process 58663]
[Detaching after vfork from child process 58664]
[Detaching after vfork from child process 58665]
[Detaching after vfork from child process 58666]
[Detaching after vfork from child process 58667]
[Detaching after vfork from child process 58668]
[Detaching after vfork from child process 58669]
[Detaching after vfork from child process 58670]
[Detaching after vfork from child process 58671]
[Detaching after vfork from child process 58672]
[Detaching after vfork from child process 58673]
[Detaching after vfork from child process 58674]
[Detaching after vfork from child process 58675]
[Detaching after vfork from child process 58676]
[Detaching after vfork from child process 58677]
[Detaching after vfork from child process 58678]
[Detaching after vfork from child process 58679]
[Detaching after vfork from child process 58680]
[Detaching after vfork from child process 58681]
[Detaching after vfork from child process 58682]
[Detaching after vfork from child process 58683]
[Detaching after vfork from child process 58684]
[Detaching after vfork from child process 58685]
[Detaching after vfork from child process 58686]
[Detaching after vfork from child process 58687]
[Detaching after vfork from child process 58688]
[Detaching after vfork from child process 58689]
[Detaching after vfork from child process 58690]
[Detaching after vfork from child process 58691]
[Detaching after vfork from child process 58692]
[Detaching after vfork from child process 58693]
[Detaching after vfork from child process 58694]
[Detaching after vfork from child process 58695]
[Detaching after vfork from child process 58696]
[Detaching after vfork from child process 58697]
[Detaching after vfork from child process 58698]
[Detaching after vfork from child process 58699]
[Detaching after vfork from child process 58700]
[Detaching after vfork from child process 58701]
[Detaching after vfork from child process 58702]
[Detaching after vfork from child process 58703]
[Detaching after vfork from child process 58704]
[Detaching after vfork from child process 58706]
[Detaching after vfork from child process 58707]
[Detaching after vfork from child process 58708]
[Detaching after vfork from child process 58709]
[Detaching after vfork from child process 58710]
[Detaching after vfork from child process 58711]
[Detaching after vfork from child process 58712]
[Detaching after vfork from child process 58713]
[Detaching after vfork from child process 58714]
[Detaching after vfork from child process 58715]
[Detaching after vfork from child process 58716]
[Detaching after vfork from child process 58717]
[Detaching after vfork from child process 58718]
[Detaching after vfork from child process 58719]
[Detaching after vfork from child process 58720]
[Detaching after vfork from child process 58721]
[Detaching after vfork from child process 58723]
[Detaching after vfork from child process 58724]
[Detaching after vfork from child process 58725]
[Detaching after vfork from child process 58726]
[Detaching after vfork from child process 58727]
[Detaching after vfork from child process 58728]
[Detaching after vfork from child process 58729]
[Detaching after vfork from child process 58730]
[Detaching after vfork from child process 58731]
[Detaching after vfork from child process 58732]
[Detaching after vfork from child process 58734]
[Detaching after vfork from child process 58735]
[Detaching after vfork from child process 58736]
[Detaching after vfork from child process 58738]
[Detaching after vfork from child process 58739]
[Detaching after vfork from child process 58740]
[Detaching after vfork from child process 58741]
[Detaching after vfork from child process 58742]
[Detaching after vfork from child process 58743]
[Detaching after vfork from child process 58744]
[Detaching after vfork from child process 58745]
[Detaching after vfork from child process 58746]
[Detaching after vfork from child process 58747]
[Detaching after vfork from child process 58748]
[Detaching after vfork from child process 58749]
[Detaching after vfork from child process 58750]
[Detaching after vfork from child process 58751]
[Detaching after vfork from child process 58752]
[Detaching after vfork from child process 58753]
[Detaching after vfork from child process 58754]
[Detaching after vfork from child process 58755]
[Detaching after vfork from child process 58756]
[Detaching after vfork from child process 58757]
[Detaching after vfork from child process 58758]
[Detaching after vfork from child process 58759]
[Detaching after vfork from child process 58761]
[Detaching after vfork from child process 58794]
[Detaching after vfork from child process 58795]
[Detaching after vfork from child process 58796]
[Detaching after vfork from child process 58797]
[Detaching after vfork from child process 58798]
[Detaching after vfork from child process 58799]
[Detaching after vfork from child process 58800]
[Detaching after vfork from child process 58801]
[Detaching after vfork from child process 58802]
[Detaching after vfork from child process 58803]
[Detaching after vfork from child process 58804]
[Detaching after vfork from child process 58805]
[Detaching after vfork from child process 58806]
[Detaching after vfork from child process 58807]
[Detaching after vfork from child process 58808]
[Detaching after vfork from child process 58809]
[Detaching after vfork from child process 58810]
[Detaching after vfork from child process 58811]
[Detaching after vfork from child process 58812]
[Detaching after vfork from child process 58813]
[Detaching after vfork from child process 58814]
[Detaching after vfork from child process 58815]
[Detaching after vfork from child process 58816]
[Detaching after vfork from child process 58817]
[Detaching after vfork from child process 58818]
[Detaching after vfork from child process 58819]
[Detaching after vfork from child process 58820]
[Detaching after vfork from child process 58821]
[Detaching after vfork from child process 58822]
[Detaching after vfork from child process 58823]
[Detaching after vfork from child process 58824]
[Detaching after vfork from child process 58825]
[Detaching after vfork from child process 58826]
[Detaching after vfork from child process 58827]
[Detaching after vfork from child process 58828]
[Detaching after vfork from child process 58829]
[Detaching after vfork from child process 58830]
[Detaching after vfork from child process 58831]
[Detaching after vfork from child process 58832]
[Detaching after vfork from child process 58833]
[Detaching after vfork from child process 58834]
[Detaching after vfork from child process 58835]
[Detaching after vfork from child process 58836]
[Detaching after vfork from child process 58837]
[Detaching after vfork from child process 58838]
[Detaching after vfork from child process 58839]
[Detaching after vfork from child process 58840]
[Detaching after vfork from child process 58841]
[Detaching after vfork from child process 58842]
[Detaching after vfork from child process 58843]
[Detaching after vfork from child process 58844]
[Detaching after vfork from child process 58845]
[Detaching after vfork from child process 58846]
[Detaching after vfork from child process 58847]
[Detaching after vfork from child process 58848]
[Detaching after vfork from child process 58849]
[Detaching after vfork from child process 58850]
[Detaching after vfork from child process 58851]
[Detaching after vfork from child process 58852]
[Detaching after vfork from child process 58853]
[Detaching after vfork from child process 58854]
[Detaching after vfork from child process 58855]
[Detaching after vfork from child process 58856]
[Detaching after vfork from child process 58857]
[Detaching after vfork from child process 58858]
[Detaching after vfork from child process 58859]
[Detaching after vfork from child process 58860]
[Detaching after vfork from child process 58861]
[Detaching after vfork from child process 58862]
[Detaching after vfork from child process 58863]
[Detaching after vfork from child process 58864]
[Detaching after vfork from child process 58865]
[Detaching after vfork from child process 58866]
[Detaching after vfork from child process 58867]
[Detaching after vfork from child process 58868]
[Detaching after vfork from child process 58869]
[Detaching after vfork from child process 58870]
[Detaching after vfork from child process 58871]
[Detaching after vfork from child process 58872]
[Detaching after vfork from child process 58873]
[Detaching after vfork from child process 58874]
[Detaching after vfork from child process 58875]
[Detaching after vfork from child process 58876]
[Detaching after vfork from child process 58877]
[Detaching after vfork from child process 58878]
[Detaching after vfork from child process 58879]
[Detaching after vfork from child process 58880]
[Detaching after vfork from child process 58881]
[Detaching after vfork from child process 58882]
[Detaching after vfork from child process 58883]
[Detaching after vfork from child process 58884]
[Detaching after vfork from child process 58885]
[Detaching after vfork from child process 58886]
[Detaching after vfork from child process 58887]
[Detaching after vfork from child process 58888]
[Detaching after vfork from child process 58889]
[Detaching after vfork from child process 58890]
[Detaching after vfork from child process 58891]
[Detaching after vfork from child process 58892]
[Detaching after vfork from child process 58893]
[Detaching after vfork from child process 58894]
[Detaching after vfork from child process 58895]
[Detaching after vfork from child process 58896]
[Detaching after vfork from child process 58897]
[Detaching after vfork from child process 58898]
[Detaching after vfork from child process 58899]
[Detaching after vfork from child process 58900]
[Detaching after vfork from child process 58901]
[Detaching after vfork from child process 58902]
[Detaching after vfork from child process 58903]
[Detaching after vfork from child process 58904]
[Detaching after vfork from child process 58905]
[Detaching after vfork from child process 58906]
[Detaching after vfork from child process 58907]
[Detaching after vfork from child process 58908]
[Detaching after vfork from child process 58909]
[Detaching after vfork from child process 58910]
[Detaching after vfork from child process 58911]
[Detaching after vfork from child process 58912]
[Detaching after vfork from child process 58913]
[Detaching after vfork from child process 58914]
[Detaching after vfork from child process 58915]
[Detaching after vfork from child process 58916]
[Detaching after vfork from child process 58917]
[Detaching after vfork from child process 58918]
[Detaching after vfork from child process 58919]
[Detaching after vfork from child process 58920]
[Detaching after vfork from child process 58921]
[Detaching after vfork from child process 58922]
[Detaching after vfork from child process 58923]
[Detaching after vfork from child process 58924]
[Detaching after vfork from child process 58925]
[Detaching after vfork from child process 58926]
[Detaching after vfork from child process 58927]
[Detaching after vfork from child process 58928]
[Detaching after vfork from child process 58929]
[Detaching after vfork from child process 58930]
[Detaching after vfork from child process 58931]
[Detaching after vfork from child process 58932]
[Detaching after vfork from child process 58933]
[Detaching after vfork from child process 58934]
[Detaching after vfork from child process 58935]
[Detaching after vfork from child process 58936]
[Detaching after vfork from child process 58937]
[Detaching after vfork from child process 58938]
[Detaching after vfork from child process 58939]
[Detaching after vfork from child process 58940]
[Detaching after vfork from child process 58941]
[Detaching after vfork from child process 58942]
[Detaching after vfork from child process 58943]
[Detaching after vfork from child process 58944]
[Detaching after vfork from child process 58945]
[Detaching after vfork from child process 58946]
[Detaching after vfork from child process 58947]
[Detaching after vfork from child process 58948]
[Detaching after vfork from child process 58949]
[Detaching after vfork from child process 58950]
[Detaching after vfork from child process 58951]
[Detaching after vfork from child process 58952]
[Detaching after vfork from child process 58953]
[Detaching after vfork from child process 58954]
[Detaching after vfork from child process 58955]
[Detaching after vfork from child process 58956]
[Detaching after vfork from child process 58957]
[Detaching after vfork from child process 58958]
[Detaching after vfork from child process 58959]
[Detaching after vfork from child process 58960]
[Detaching after vfork from child process 58961]
[Detaching after vfork from child process 58962]
[Detaching after vfork from child process 58963]
[Detaching after vfork from child process 58964]
[Detaching after vfork from child process 58965]
[Detaching after vfork from child process 58966]
[Detaching after vfork from child process 58967]
[Detaching after vfork from child process 58968]
[Detaching after vfork from child process 58969]
[Detaching after vfork from child process 58970]
[Detaching after vfork from child process 58971]
[Detaching after vfork from child process 58972]
[Detaching after vfork from child process 58973]
[Detaching after vfork from child process 58974]
[Detaching after vfork from child process 58975]
[Detaching after vfork from child process 58976]
[Detaching after vfork from child process 58977]
[Detaching after vfork from child process 58978]
[Detaching after vfork from child process 58979]
[Detaching after vfork from child process 58980]
[Detaching after vfork from child process 58981]
[Detaching after vfork from child process 58982]
[Detaching after vfork from child process 58983]
[Detaching after vfork from child process 58984]
[Detaching after vfork from child process 58985]
[Detaching after vfork from child process 58986]
[Detaching after vfork from child process 58987]
[Detaching after vfork from child process 58988]
[Detaching after vfork from child process 58989]
[Detaching after vfork from child process 58990]
[Detaching after vfork from child process 58991]
[Detaching after vfork from child process 58992]
[Detaching after vfork from child process 58993]
[Detaching after vfork from child process 58994]
[Detaching after vfork from child process 58995]
[Detaching after vfork from child process 58997]
[Detaching after vfork from child process 59002]
[Detaching after vfork from child process 59006]
[Detaching after vfork from child process 59007]
[Detaching after vfork from child process 59008]
[Detaching after vfork from child process 59009]
[Detaching after vfork from child process 59010]
[Detaching after vfork from child process 59011]
[Detaching after vfork from child process 59012]
[Detaching after vfork from child process 59013]
[Detaching after vfork from child process 59014]
[Detaching after vfork from child process 59015]
[Detaching after vfork from child process 59016]
[Detaching after vfork from child process 59017]
[Detaching after vfork from child process 59018]
[Detaching after vfork from child process 59019]
[Detaching after vfork from child process 59020]
[Detaching after vfork from child process 59021]
[Detaching after vfork from child process 59022]
[Detaching after vfork from child process 59023]
[Detaching after vfork from child process 59024]
[Detaching after vfork from child process 59025]
[Detaching after vfork from child process 59026]
[Detaching after vfork from child process 59027]
[Detaching after vfork from child process 59028]
[Detaching after vfork from child process 59029]
[Detaching after vfork from child process 59030]
[Detaching after vfork from child process 59031]
[Detaching after vfork from child process 59032]
[Detaching after vfork from child process 59033]
[Detaching after vfork from child process 59034]
[Detaching after vfork from child process 59035]
[Detaching after vfork from child process 59036]
[Detaching after vfork from child process 59037]
[Detaching after vfork from child process 59038]
[Detaching after vfork from child process 59039]
[Detaching after vfork from child process 59040]
[Detaching after vfork from child process 59041]
[Detaching after vfork from child process 59042]
[Detaching after vfork from child process 59043]
[Detaching after vfork from child process 59044]
[Detaching after vfork from child process 59045]
[Detaching after vfork from child process 59046]
[Detaching after vfork from child process 59047]
[Detaching after vfork from child process 59048]
[Detaching after vfork from child process 59049]
[Detaching after vfork from child process 59050]
[Detaching after vfork from child process 59051]
[Detaching after vfork from child process 59052]
[Detaching after vfork from child process 59053]
[Detaching after vfork from child process 59054]
[Detaching after vfork from child process 59055]
[Detaching after vfork from child process 59056]
[Detaching after vfork from child process 59057]
[Detaching after vfork from child process 59058]
[Detaching after vfork from child process 59059]
[Detaching after vfork from child process 59060]
[Detaching after vfork from child process 59061]
[Detaching after vfork from child process 59062]
[Detaching after vfork from child process 59063]
[Detaching after vfork from child process 59064]
[Detaching after vfork from child process 59065]
[Detaching after vfork from child process 59066]
[Detaching after vfork from child process 59067]
[Detaching after vfork from child process 59068]
[Detaching after vfork from child process 59069]
[Detaching after vfork from child process 59070]
[Detaching after vfork from child process 59071]
[Detaching after vfork from child process 59072]
[Detaching after vfork from child process 59073]
[Detaching after vfork from child process 59074]
[Detaching after vfork from child process 59075]
[Detaching after vfork from child process 59076]
[Detaching after vfork from child process 59077]
[Detaching after vfork from child process 59078]
[Detaching after vfork from child process 59079]
[Detaching after vfork from child process 59080]
[Detaching after vfork from child process 59081]
[Detaching after vfork from child process 59082]
[Detaching after vfork from child process 59083]
[Detaching after vfork from child process 59084]
[Detaching after vfork from child process 59085]
[Detaching after vfork from child process 59086]
[Detaching after vfork from child process 59087]
[Detaching after vfork from child process 59088]
[Detaching after vfork from child process 59089]
[Detaching after vfork from child process 59090]
[Detaching after vfork from child process 59091]
[Detaching after vfork from child process 59092]
[Detaching after vfork from child process 59093]
[Detaching after vfork from child process 59094]
[Detaching after vfork from child process 59095]
[Detaching after vfork from child process 59096]
[Detaching after vfork from child process 59097]
[Detaching after vfork from child process 59098]
[Detaching after vfork from child process 59099]
[Detaching after vfork from child process 59100]
[Detaching after vfork from child process 59101]
[Detaching after vfork from child process 59102]
[Detaching after vfork from child process 59103]
[Detaching after vfork from child process 59104]
[Detaching after vfork from child process 59105]
[Detaching after vfork from child process 59106]
[Detaching after vfork from child process 59107]
[Detaching after vfork from child process 59108]
[Detaching after vfork from child process 59109]
[Detaching after vfork from child process 59110]
[Detaching after vfork from child process 59111]
[Detaching after vfork from child process 59112]
[Detaching after vfork from child process 59113]
[Detaching after vfork from child process 59114]
[Detaching after vfork from child process 59115]
[Detaching after vfork from child process 59116]
[Detaching after vfork from child process 59117]
[Detaching after vfork from child process 59118]
[Detaching after vfork from child process 59119]
[Detaching after vfork from child process 59120]
[Detaching after vfork from child process 59121]
[Detaching after vfork from child process 59122]
[Detaching after vfork from child process 59123]
[Detaching after vfork from child process 59124]
[Detaching after vfork from child process 59125]
[Detaching after vfork from child process 59126]
[Detaching after vfork from child process 59127]
[Detaching after vfork from child process 59128]
[Detaching after vfork from child process 59129]
[Detaching after vfork from child process 59130]
[Detaching after vfork from child process 59131]
[Detaching after vfork from child process 59132]
[Detaching after vfork from child process 59133]
[Detaching after vfork from child process 59134]
[Detaching after vfork from child process 59135]
[Detaching after vfork from child process 59136]
[Detaching after vfork from child process 59137]
[Detaching after vfork from child process 59138]
[Detaching after vfork from child process 59139]
[Detaching after vfork from child process 59140]
[Detaching after vfork from child process 59141]
[Detaching after vfork from child process 59142]
[Detaching after vfork from child process 59143]
[Detaching after vfork from child process 59144]
[Detaching after vfork from child process 59145]
[Detaching after vfork from child process 59146]
[Detaching after vfork from child process 59147]
[Detaching after vfork from child process 59148]
[Detaching after vfork from child process 59149]
[Detaching after vfork from child process 59150]
[Detaching after vfork from child process 59151]
[Detaching after vfork from child process 59152]
[Detaching after vfork from child process 59153]
[Detaching after vfork from child process 59154]
[Detaching after vfork from child process 59155]
[Detaching after vfork from child process 59156]
[Detaching after vfork from child process 59157]
[Detaching after vfork from child process 59158]
[Detaching after vfork from child process 59159]
[Detaching after vfork from child process 59160]
[Detaching after vfork from child process 59161]
[Detaching after vfork from child process 59162]
[Detaching after vfork from child process 59163]
[Detaching after vfork from child process 59164]
[Detaching after vfork from child process 59165]
[Detaching after vfork from child process 59166]
[Detaching after vfork from child process 59167]
[Detaching after vfork from child process 59168]
[Detaching after vfork from child process 59169]
[Detaching after vfork from child process 59170]
[Detaching after vfork from child process 59171]
[Detaching after vfork from child process 59172]
[Detaching after vfork from child process 59173]
[Detaching after vfork from child process 59174]
[Detaching after vfork from child process 59175]
[Detaching after vfork from child process 59180]
[Detaching after vfork from child process 59181]
[Detaching after vfork from child process 59182]
[Detaching after vfork from child process 59189]
[Detaching after vfork from child process 59190]
[Detaching after vfork from child process 59191]
[Detaching after vfork from child process 59192]
[Detaching after vfork from child process 59193]
[Detaching after vfork from child process 59194]
[Detaching after vfork from child process 59195]
[Detaching after vfork from child process 59196]
[Detaching after vfork from child process 59197]
[Detaching after vfork from child process 59198]
[Detaching after vfork from child process 59199]
[Detaching after vfork from child process 59200]
[Detaching after vfork from child process 59201]
[Detaching after vfork from child process 59202]
[Detaching after vfork from child process 59203]
[Detaching after vfork from child process 59204]
[Detaching after vfork from child process 59205]
[Detaching after vfork from child process 59206]
[Detaching after vfork from child process 59207]
[Detaching after vfork from child process 59208]
[Detaching after vfork from child process 59209]
[Detaching after vfork from child process 59210]
[Detaching after vfork from child process 59211]
[Detaching after vfork from child process 59212]
[Detaching after vfork from child process 59213]
[Detaching after vfork from child process 59214]
[Detaching after vfork from child process 59215]
[Detaching after vfork from child process 59216]
[Detaching after vfork from child process 59217]
[Detaching after vfork from child process 59218]
[Detaching after vfork from child process 59219]
[Detaching after vfork from child process 59220]
[Detaching after vfork from child process 59221]
[Detaching after vfork from child process 59222]
[Detaching after vfork from child process 59223]
[Detaching after vfork from child process 59224]
[Detaching after vfork from child process 59225]
[Detaching after vfork from child process 59226]
[Detaching after vfork from child process 59227]
[Detaching after vfork from child process 59228]
[Detaching after vfork from child process 59229]
[Detaching after vfork from child process 59230]
[Detaching after vfork from child process 59231]
[Detaching after vfork from child process 59232]
[Detaching after vfork from child process 59233]
[Detaching after vfork from child process 59234]
[Detaching after vfork from child process 59235]
[Detaching after vfork from child process 59236]
[Detaching after vfork from child process 59237]
[Detaching after vfork from child process 59238]
[Detaching after vfork from child process 59239]
[Detaching after vfork from child process 59240]
[Detaching after vfork from child process 59241]
[Detaching after vfork from child process 59242]
[Detaching after vfork from child process 59243]
[Detaching after vfork from child process 59244]
[Detaching after vfork from child process 59245]
[Detaching after vfork from child process 59246]
[Detaching after vfork from child process 59247]
[Detaching after vfork from child process 59248]
[Detaching after vfork from child process 59249]
[Detaching after vfork from child process 59250]
[Detaching after vfork from child process 59251]
[Detaching after vfork from child process 59252]
[Detaching after vfork from child process 59253]
[Detaching after vfork from child process 59254]
[Detaching after vfork from child process 59255]
[Detaching after vfork from child process 59256]
[Detaching after vfork from child process 59257]
[Detaching after vfork from child process 59258]
[Detaching after vfork from child process 59259]
[Detaching after vfork from child process 59260]
[Detaching after vfork from child process 59261]
[Detaching after vfork from child process 59262]
[Detaching after vfork from child process 59263]
[Detaching after vfork from child process 59264]
[Detaching after vfork from child process 59265]
[Detaching after vfork from child process 59266]
[Detaching after vfork from child process 59267]
[Detaching after vfork from child process 59268]
[Detaching after vfork from child process 59269]
[Detaching after vfork from child process 59270]
[Detaching after vfork from child process 59271]
[Detaching after vfork from child process 59272]
[Detaching after vfork from child process 59273]
[Detaching after vfork from child process 59274]
[Detaching after vfork from child process 59275]
[Detaching after vfork from child process 59276]
[Detaching after vfork from child process 59277]
[Detaching after vfork from child process 59278]
[Detaching after vfork from child process 59279]
[Detaching after vfork from child process 59280]
[Detaching after vfork from child process 59281]
[Detaching after vfork from child process 59282]
[Detaching after vfork from child process 59283]
[Detaching after vfork from child process 59284]
[Detaching after vfork from child process 59285]
[Detaching after vfork from child process 59286]
[Detaching after vfork from child process 59287]
[Detaching after vfork from child process 59288]
[Detaching after vfork from child process 59289]
[Detaching after vfork from child process 59290]
[Detaching after vfork from child process 59291]
[Detaching after vfork from child process 59292]
[Detaching after vfork from child process 59293]
[Detaching after vfork from child process 59294]
[Detaching after vfork from child process 59295]
[Detaching after vfork from child process 59296]
[Detaching after vfork from child process 59297]
[Detaching after vfork from child process 59298]
[Detaching after vfork from child process 59299]
[Detaching after vfork from child process 59300]
[Detaching after vfork from child process 59301]
[Detaching after vfork from child process 59302]
[Detaching after vfork from child process 59303]
[Detaching after vfork from child process 59304]
[Detaching after vfork from child process 59305]
[Detaching after vfork from child process 59306]
[Detaching after vfork from child process 59307]
[Detaching after vfork from child process 59377]
[Detaching after vfork from child process 59483]
[Detaching after vfork from child process 59484]
[Detaching after vfork from child process 59485]
[Detaching after vfork from child process 59486]
[Detaching after vfork from child process 59487]
[Detaching after vfork from child process 59488]
[Detaching after vfork from child process 59489]
[Detaching after vfork from child process 59490]
[Detaching after vfork from child process 59491]
[Detaching after vfork from child process 59492]
[Detaching after vfork from child process 59493]
[Detaching after vfork from child process 59494]
[Detaching after vfork from child process 59495]
[Detaching after vfork from child process 59496]
[Detaching after vfork from child process 59497]
[Detaching after vfork from child process 59498]
[Detaching after vfork from child process 59499]
[Detaching after vfork from child process 59500]
[Detaching after vfork from child process 59501]
[Detaching after vfork from child process 59502]
[Detaching after vfork from child process 59503]
[Detaching after vfork from child process 59504]
[Detaching after vfork from child process 59505]
[Detaching after vfork from child process 59506]
[Detaching after vfork from child process 59507]
[Detaching after vfork from child process 59508]
[Detaching after vfork from child process 59509]
[Detaching after vfork from child process 59510]
[Detaching after vfork from child process 59511]
[Detaching after vfork from child process 59512]
[Detaching after vfork from child process 59513]
[Detaching after vfork from child process 59514]
[Detaching after vfork from child process 59515]
[Detaching after vfork from child process 59516]
[Detaching after vfork from child process 59517]
[Detaching after vfork from child process 59518]
[Detaching after vfork from child process 59519]
[Detaching after vfork from child process 59520]
[Detaching after vfork from child process 59521]
[Detaching after vfork from child process 59522]
[Detaching after vfork from child process 59523]
[Detaching after vfork from child process 59524]
[Detaching after vfork from child process 59525]
[Detaching after vfork from child process 59526]
[Detaching after vfork from child process 59527]
[Detaching after vfork from child process 59528]
[Detaching after vfork from child process 59529]
[Detaching after vfork from child process 59530]
[Detaching after vfork from child process 59531]
[Detaching after vfork from child process 59532]
[Detaching after vfork from child process 59533]
[Detaching after vfork from child process 59534]
[Detaching after vfork from child process 59535]
[Detaching after vfork from child process 59536]
[Detaching after vfork from child process 59537]
[Detaching after vfork from child process 59538]
[Detaching after vfork from child process 59539]
[Detaching after vfork from child process 59540]
[Detaching after vfork from child process 59541]
[Detaching after vfork from child process 59542]
[Detaching after vfork from child process 59543]
[Detaching after vfork from child process 59544]
[Detaching after vfork from child process 59545]
[Detaching after vfork from child process 59546]
[Detaching after vfork from child process 59547]
[Detaching after vfork from child process 59548]
[Detaching after vfork from child process 59549]
[Detaching after vfork from child process 59550]
[Detaching after vfork from child process 59551]
[Detaching after vfork from child process 59552]
[Detaching after vfork from child process 59553]
[Detaching after vfork from child process 59554]
[Detaching after vfork from child process 59555]
[Detaching after vfork from child process 59556]
[Detaching after vfork from child process 59557]
[Detaching after vfork from child process 59558]
[Detaching after vfork from child process 59559]
[Detaching after vfork from child process 59560]
[Detaching after vfork from child process 59561]
[Detaching after vfork from child process 59562]
[Detaching after vfork from child process 59563]
[Detaching after vfork from child process 59564]
[Detaching after vfork from child process 59565]
[Detaching after vfork from child process 59566]
[Detaching after vfork from child process 59567]
[Detaching after vfork from child process 59568]
[Detaching after vfork from child process 59569]
[Detaching after vfork from child process 59570]
[Detaching after vfork from child process 59571]
[Detaching after vfork from child process 59572]
[Detaching after vfork from child process 59573]
[Detaching after vfork from child process 59574]
[Detaching after vfork from child process 59575]
[Detaching after vfork from child process 59576]
[Detaching after vfork from child process 59577]
[Detaching after vfork from child process 59578]
[Detaching after vfork from child process 59579]
[Detaching after vfork from child process 59580]
[Detaching after vfork from child process 59581]
[Detaching after vfork from child process 59582]
[Detaching after vfork from child process 59583]
[Detaching after vfork from child process 59584]
[Detaching after vfork from child process 59585]
[Detaching after vfork from child process 59586]
[Detaching after vfork from child process 59587]
[Detaching after vfork from child process 59588]
[Detaching after vfork from child process 59589]
[Detaching after vfork from child process 59590]
[Detaching after vfork from child process 59591]
[Detaching after vfork from child process 59592]
[Detaching after vfork from child process 59593]
[Detaching after vfork from child process 59594]
[Detaching after vfork from child process 59595]
[Detaching after vfork from child process 59596]
[Detaching after vfork from child process 59597]
[Detaching after vfork from child process 59598]
[Detaching after vfork from child process 59599]
[Detaching after vfork from child process 59600]
[Detaching after vfork from child process 59601]
[Detaching after vfork from child process 59607]
[Detaching after vfork from child process 59608]
[Detaching after vfork from child process 59609]
[Detaching after vfork from child process 59610]
[Detaching after vfork from child process 59611]
[Detaching after vfork from child process 59616]
[Detaching after vfork from child process 59617]
[Detaching after vfork from child process 59619]
[Detaching after vfork from child process 59620]
[Detaching after vfork from child process 59621]
[Detaching after vfork from child process 59622]
[Detaching after vfork from child process 59623]
[Detaching after vfork from child process 59624]
[Detaching after vfork from child process 59625]
[Detaching after vfork from child process 59626]
[Detaching after vfork from child process 59627]
[Detaching after vfork from child process 59628]
[Detaching after vfork from child process 59629]
[Detaching after vfork from child process 59630]
[Detaching after vfork from child process 59631]
[Detaching after vfork from child process 59632]
[Detaching after vfork from child process 59633]
[Detaching after vfork from child process 59634]
[Detaching after vfork from child process 59635]
[Detaching after vfork from child process 59636]
[Detaching after vfork from child process 59637]
[Detaching after vfork from child process 59638]
[Detaching after vfork from child process 59639]
[Detaching after vfork from child process 59640]
[Detaching after vfork from child process 59641]
[Detaching after vfork from child process 59642]
[Detaching after vfork from child process 59643]
[Detaching after vfork from child process 59644]
[Detaching after vfork from child process 59645]
[Detaching after vfork from child process 59646]
[Detaching after vfork from child process 59647]
[Detaching after vfork from child process 59648]
[Detaching after vfork from child process 59649]
[Detaching after vfork from child process 59650]
[Detaching after vfork from child process 59651]
[Detaching after vfork from child process 59652]
[Detaching after vfork from child process 59653]
[Detaching after vfork from child process 59654]
[Detaching after vfork from child process 59655]
[Detaching after vfork from child process 59656]
[Detaching after vfork from child process 59657]
[Detaching after vfork from child process 59658]
[Detaching after vfork from child process 59659]
[Detaching after vfork from child process 59660]
[Detaching after vfork from child process 59661]
[Detaching after vfork from child process 59662]
[Detaching after vfork from child process 59663]
[Detaching after vfork from child process 59664]
[Detaching after vfork from child process 59665]
[Detaching after vfork from child process 59666]
[Detaching after vfork from child process 59667]
[Detaching after vfork from child process 59668]
[Detaching after vfork from child process 59669]
[Detaching after vfork from child process 59670]
[Detaching after vfork from child process 59671]
[Detaching after vfork from child process 59672]
[Detaching after vfork from child process 59673]
[Detaching after vfork from child process 59674]
[Detaching after vfork from child process 59675]
[Detaching after vfork from child process 59676]
[Detaching after vfork from child process 59677]
[Detaching after vfork from child process 59678]
[Detaching after vfork from child process 59679]
[Detaching after vfork from child process 59680]
[Detaching after vfork from child process 59681]
[Detaching after vfork from child process 59682]
[Detaching after vfork from child process 59683]
[Detaching after vfork from child process 59684]
[Detaching after vfork from child process 59685]
[Detaching after vfork from child process 59686]
[Detaching after vfork from child process 59687]
[Detaching after vfork from child process 59688]
[Detaching after vfork from child process 59689]
[Detaching after vfork from child process 59690]
[Detaching after vfork from child process 59691]
[Detaching after vfork from child process 59692]
[Detaching after vfork from child process 59693]
[Detaching after vfork from child process 59694]
[Detaching after vfork from child process 59695]
[Detaching after vfork from child process 59696]
[Detaching after vfork from child process 59697]
[Detaching after vfork from child process 59698]
[Detaching after vfork from child process 59699]
[Detaching after vfork from child process 59700]
[Detaching after vfork from child process 59701]
[Detaching after vfork from child process 59702]
[Detaching after vfork from child process 59703]
[Detaching after vfork from child process 59704]
[Detaching after vfork from child process 59705]
[Detaching after vfork from child process 59706]
[Detaching after vfork from child process 59707]
[Detaching after vfork from child process 59708]
[Detaching after vfork from child process 59709]
[Detaching after vfork from child process 59710]
[Detaching after vfork from child process 59711]
[Detaching after vfork from child process 59712]
[Detaching after vfork from child process 59713]
[Detaching after vfork from child process 59714]
[Detaching after vfork from child process 59715]
[Detaching after vfork from child process 59716]
[Detaching after vfork from child process 59717]
[Detaching after vfork from child process 59718]
[Detaching after vfork from child process 59719]
[Detaching after vfork from child process 59720]
[Detaching after vfork from child process 59721]
[Detaching after vfork from child process 59722]
[Detaching after vfork from child process 59727]
[Detaching after vfork from child process 59728]
[Detaching after vfork from child process 59729]
[Detaching after vfork from child process 59730]
[Detaching after vfork from child process 59731]
[Detaching after vfork from child process 59733]
[Detaching after vfork from child process 59734]
[Detaching after vfork from child process 59735]
[Detaching after vfork from child process 59736]
[Detaching after vfork from child process 59737]
[Detaching after vfork from child process 59738]
[Detaching after vfork from child process 59739]
[Detaching after vfork from child process 59740]
[Detaching after vfork from child process 59741]
[Detaching after vfork from child process 59742]
[Detaching after vfork from child process 59743]
[Detaching after vfork from child process 59744]
[Detaching after vfork from child process 59745]
[Detaching after vfork from child process 59746]
[Detaching after vfork from child process 59747]
[Detaching after vfork from child process 59748]
[Detaching after vfork from child process 59749]
[Detaching after vfork from child process 59750]
[Detaching after vfork from child process 59751]
[Detaching after vfork from child process 59752]
[Detaching after vfork from child process 59753]
[Detaching after vfork from child process 59754]
[Detaching after vfork from child process 59755]
[Detaching after vfork from child process 59756]
[Detaching after vfork from child process 59757]
[Detaching after vfork from child process 59758]
[Detaching after vfork from child process 59759]
[Detaching after vfork from child process 59760]
[Detaching after vfork from child process 59761]
[Detaching after vfork from child process 59762]
[Detaching after vfork from child process 59763]
[Detaching after vfork from child process 59764]
[Detaching after vfork from child process 59765]
[Detaching after vfork from child process 59802]
[Detaching after vfork from child process 59803]
[Detaching after vfork from child process 59804]
[Detaching after vfork from child process 59805]
[Detaching after vfork from child process 59806]
[Detaching after vfork from child process 59807]
[Detaching after vfork from child process 59808]
[Detaching after vfork from child process 59809]
[Detaching after vfork from child process 59810]
[Detaching after vfork from child process 59811]
[Detaching after vfork from child process 59812]
[Detaching after vfork from child process 59813]
[Detaching after vfork from child process 59814]
[Detaching after vfork from child process 59815]
[Detaching after vfork from child process 59816]
[Detaching after vfork from child process 59817]
[Detaching after vfork from child process 59818]
[Detaching after vfork from child process 59819]
[Detaching after vfork from child process 59820]
[Detaching after vfork from child process 59821]
[Detaching after vfork from child process 59822]
[Detaching after vfork from child process 59823]
[Detaching after vfork from child process 59824]
[Detaching after vfork from child process 59825]
[Detaching after vfork from child process 59826]
[Detaching after vfork from child process 59827]
[Detaching after vfork from child process 59828]
[Detaching after vfork from child process 59829]
[Detaching after vfork from child process 59830]
[Detaching after vfork from child process 59831]
[Detaching after vfork from child process 59832]
[Detaching after vfork from child process 59833]
[Detaching after vfork from child process 59834]
[Detaching after vfork from child process 59835]
[Detaching after vfork from child process 59836]
[Detaching after vfork from child process 59837]
[Detaching after vfork from child process 59838]
[Detaching after vfork from child process 59839]
[Detaching after vfork from child process 59840]
[Detaching after vfork from child process 59841]
[Detaching after vfork from child process 59842]
[Detaching after vfork from child process 59843]
[Detaching after vfork from child process 59844]
[Detaching after vfork from child process 59845]
[Detaching after vfork from child process 59846]
[Detaching after vfork from child process 59847]
[Detaching after vfork from child process 59848]
[Detaching after vfork from child process 59849]
[Detaching after vfork from child process 59850]
[Detaching after vfork from child process 59851]
[Detaching after vfork from child process 59852]
[Detaching after vfork from child process 59853]
[Detaching after vfork from child process 59854]
[Detaching after vfork from child process 59855]
[Detaching after vfork from child process 59856]
[Detaching after vfork from child process 59857]
[Detaching after vfork from child process 59858]
[Detaching after vfork from child process 59859]
[Detaching after vfork from child process 59860]
[Detaching after vfork from child process 59861]
[Detaching after vfork from child process 59862]
[Detaching after vfork from child process 59863]
[Detaching after vfork from child process 59864]
[Detaching after vfork from child process 59865]
[Detaching after vfork from child process 59866]
[Detaching after vfork from child process 59867]
[Detaching after vfork from child process 59868]
[Detaching after vfork from child process 59869]
[Detaching after vfork from child process 59870]
[Detaching after vfork from child process 59871]
[Detaching after vfork from child process 59872]
[Detaching after vfork from child process 59873]
[Detaching after vfork from child process 59874]
[Detaching after vfork from child process 59875]
[Detaching after vfork from child process 59876]
[Detaching after vfork from child process 59877]
[Detaching after vfork from child process 59878]
[Detaching after vfork from child process 59879]
[Detaching after vfork from child process 59880]
[Detaching after vfork from child process 59881]
[Detaching after vfork from child process 59882]
[Detaching after vfork from child process 59883]
[Detaching after vfork from child process 59884]
[Detaching after vfork from child process 59885]
[Detaching after vfork from child process 59886]
[Detaching after vfork from child process 59887]
[Detaching after vfork from child process 59889]
[Detaching after vfork from child process 59890]
[Detaching after vfork from child process 59891]
[Detaching after vfork from child process 59892]
[Detaching after vfork from child process 59893]
[Detaching after vfork from child process 59894]
[Detaching after vfork from child process 59895]
[Detaching after vfork from child process 59896]
[Detaching after vfork from child process 59900]
[Detaching after vfork from child process 59901]
[Detaching after vfork from child process 59902]
[Detaching after vfork from child process 59903]
[Detaching after vfork from child process 59904]
[Detaching after vfork from child process 59905]
[Detaching after vfork from child process 59906]
[Detaching after vfork from child process 59907]
[Detaching after vfork from child process 59908]
[Detaching after vfork from child process 59909]
[Detaching after vfork from child process 59910]
[Detaching after vfork from child process 59911]
[Detaching after vfork from child process 59912]
[Detaching after vfork from child process 59913]
[Detaching after vfork from child process 59914]
[Detaching after vfork from child process 59915]
[Detaching after vfork from child process 59916]
[Detaching after vfork from child process 59917]
[Detaching after vfork from child process 59918]
[Detaching after vfork from child process 59919]
[Detaching after vfork from child process 59920]
[Detaching after vfork from child process 59921]
[Detaching after vfork from child process 59922]
[Detaching after vfork from child process 59923]
[Detaching after vfork from child process 59924]
[Detaching after vfork from child process 59925]
[Detaching after vfork from child process 59926]
[Detaching after vfork from child process 59927]
[Detaching after vfork from child process 59928]
[Detaching after vfork from child process 59929]
[Detaching after vfork from child process 59930]
[Detaching after vfork from child process 59931]
[Detaching after vfork from child process 59932]
[Detaching after vfork from child process 59933]
[Detaching after vfork from child process 59934]
[Detaching after vfork from child process 59935]
[Detaching after vfork from child process 59936]
[Detaching after vfork from child process 59937]
[Detaching after vfork from child process 59938]
[Detaching after vfork from child process 59939]
[Detaching after vfork from child process 59940]
[Detaching after vfork from child process 59941]
[Detaching after vfork from child process 59942]
[Detaching after vfork from child process 59943]
[Detaching after vfork from child process 59944]
[Detaching after vfork from child process 59945]
[Detaching after vfork from child process 59946]
[Detaching after vfork from child process 59947]
[Detaching after vfork from child process 59949]
[Detaching after vfork from child process 59950]
[Detaching after vfork from child process 59951]
[Detaching after vfork from child process 59952]
[Detaching after vfork from child process 59953]
[Detaching after vfork from child process 59954]
[Detaching after vfork from child process 59955]
[Detaching after vfork from child process 59956]
[Detaching after vfork from child process 59957]
[Detaching after vfork from child process 59958]
[Detaching after vfork from child process 59959]
[Detaching after vfork from child process 59960]
[Detaching after vfork from child process 59961]
[Detaching after vfork from child process 59962]
[Detaching after vfork from child process 59963]
[Detaching after vfork from child process 59964]
[Detaching after vfork from child process 59965]
[Detaching after vfork from child process 59967]
[Detaching after vfork from child process 59968]
[Detaching after vfork from child process 59969]
[Detaching after vfork from child process 59970]
[Detaching after vfork from child process 59971]
[Detaching after vfork from child process 59972]
[Detaching after vfork from child process 59973]
[Detaching after vfork from child process 59974]
[Detaching after vfork from child process 59975]
[Detaching after vfork from child process 59976]
[Detaching after vfork from child process 59977]
[Detaching after vfork from child process 59978]
[Detaching after vfork from child process 59979]
[Detaching after vfork from child process 59980]
[Detaching after vfork from child process 59981]
[Detaching after vfork from child process 59982]
[Detaching after vfork from child process 59983]
[Detaching after vfork from child process 59984]
[Detaching after vfork from child process 59985]
[Detaching after vfork from child process 59986]
[Detaching after vfork from child process 59987]
[Detaching after vfork from child process 59988]
[Detaching after vfork from child process 59989]
[Detaching after vfork from child process 59990]
[Detaching after vfork from child process 59991]
[Detaching after vfork from child process 59992]
[Detaching after vfork from child process 59993]
[Detaching after vfork from child process 59994]
[Detaching after vfork from child process 59995]
[Detaching after vfork from child process 59996]
[Detaching after vfork from child process 59997]
[Detaching after vfork from child process 59998]
[Detaching after vfork from child process 59999]
[Detaching after vfork from child process 60000]
[Detaching after vfork from child process 60001]
[Detaching after vfork from child process 60002]
[Detaching after vfork from child process 60003]
[Detaching after vfork from child process 60004]
[Detaching after vfork from child process 60005]
[Detaching after vfork from child process 60006]
[Detaching after vfork from child process 60007]
[Detaching after vfork from child process 60008]
[Detaching after vfork from child process 60009]
[Detaching after vfork from child process 60010]
[Detaching after vfork from child process 60011]
[Detaching after vfork from child process 60012]
[Detaching after vfork from child process 60013]
[Detaching after vfork from child process 60014]
[Detaching after vfork from child process 60015]
[Detaching after vfork from child process 60016]
[Detaching after vfork from child process 60017]
[Detaching after vfork from child process 60018]
[Detaching after vfork from child process 60019]
[Detaching after vfork from child process 60020]
[Detaching after vfork from child process 60021]
[Detaching after vfork from child process 60022]
[Detaching after vfork from child process 60023]
[Detaching after vfork from child process 60024]
[Detaching after vfork from child process 60025]
[Detaching after vfork from child process 60026]
[Detaching after vfork from child process 60027]
[Detaching after vfork from child process 60028]
[Detaching after vfork from child process 60029]
[Detaching after vfork from child process 60030]
[Detaching after vfork from child process 60032]
[Detaching after vfork from child process 60033]
[Detaching after vfork from child process 60034]
[Detaching after vfork from child process 60035]
[Detaching after vfork from child process 60036]
[Detaching after vfork from child process 60045]
[Detaching after vfork from child process 60046]
[Detaching after vfork from child process 60047]
[Detaching after vfork from child process 60048]
[Detaching after vfork from child process 60049]
[Detaching after vfork from child process 60050]
[Detaching after vfork from child process 60051]
[Detaching after vfork from child process 60052]
[Detaching after vfork from child process 60053]
[Detaching after vfork from child process 60054]
[Detaching after vfork from child process 60055]
[Detaching after vfork from child process 60056]
[Detaching after vfork from child process 60057]
[Detaching after vfork from child process 60058]
[Detaching after vfork from child process 60059]
[Detaching after vfork from child process 60060]
[Detaching after vfork from child process 60061]
[Detaching after vfork from child process 60062]
[Detaching after vfork from child process 60063]
[Detaching after vfork from child process 60064]
[Detaching after vfork from child process 60065]
[Detaching after vfork from child process 60066]
[Detaching after vfork from child process 60067]
[Detaching after vfork from child process 60068]
[Detaching after vfork from child process 60069]
[Detaching after vfork from child process 60070]
[Detaching after vfork from child process 60071]
[Detaching after vfork from child process 60072]
[Detaching after vfork from child process 60073]
[Detaching after vfork from child process 60074]
[Detaching after vfork from child process 60075]
[Detaching after vfork from child process 60076]
[Detaching after vfork from child process 60077]
[Detaching after vfork from child process 60078]
[Detaching after vfork from child process 60079]
[Detaching after vfork from child process 60080]
[Detaching after vfork from child process 60081]
[Detaching after vfork from child process 60082]
[Detaching after vfork from child process 60083]
[Detaching after vfork from child process 60084]
[Detaching after vfork from child process 60085]
[Detaching after vfork from child process 60086]
[Detaching after vfork from child process 60087]
[Detaching after vfork from child process 60095]
[Detaching after vfork from child process 60096]
[Detaching after vfork from child process 60097]
[Detaching after vfork from child process 60098]
[Detaching after vfork from child process 60099]
[Detaching after vfork from child process 60100]
[Detaching after vfork from child process 60101]
[Detaching after vfork from child process 60105]
[Detaching after vfork from child process 60106]
[Detaching after vfork from child process 60107]
[Detaching after vfork from child process 60108]
[Detaching after vfork from child process 60109]
[Detaching after vfork from child process 60110]
[Detaching after vfork from child process 60111]
[Detaching after vfork from child process 60112]
[Detaching after vfork from child process 60113]
[Detaching after vfork from child process 60114]
[Detaching after vfork from child process 60115]
[Detaching after vfork from child process 60116]
[Detaching after vfork from child process 60117]
[Detaching after vfork from child process 60118]
[Detaching after vfork from child process 60119]
[Detaching after vfork from child process 60120]
[Detaching after vfork from child process 60121]
[Detaching after vfork from child process 60122]
[Detaching after vfork from child process 60123]
[Detaching after vfork from child process 60124]
[Detaching after vfork from child process 60125]
[Detaching after vfork from child process 60126]
[Detaching after vfork from child process 60127]
[Detaching after vfork from child process 60128]
[Detaching after vfork from child process 60129]
[Detaching after vfork from child process 60130]
[Detaching after vfork from child process 60131]
[Detaching after vfork from child process 60132]
[Detaching after vfork from child process 60133]
[Detaching after vfork from child process 60134]
[Detaching after vfork from child process 60135]
[Detaching after vfork from child process 60136]
[Detaching after vfork from child process 60137]
[Detaching after vfork from child process 60138]
[Detaching after vfork from child process 60139]
[Detaching after vfork from child process 60140]
[Detaching after vfork from child process 60141]
[Detaching after vfork from child process 60142]
[Detaching after vfork from child process 60143]
[Detaching after vfork from child process 60144]
[Detaching after vfork from child process 60145]
[Detaching after vfork from child process 60146]
[Detaching after vfork from child process 60147]
[Detaching after vfork from child process 60148]
[Detaching after vfork from child process 60149]
[Detaching after vfork from child process 60150]
[Detaching after vfork from child process 60151]
[Detaching after vfork from child process 60152]
[Detaching after vfork from child process 60153]
[Detaching after vfork from child process 60154]
[Detaching after vfork from child process 60155]
[Detaching after vfork from child process 60156]
[Detaching after vfork from child process 60157]
[Detaching after vfork from child process 60158]
[Detaching after vfork from child process 60159]
[Detaching after vfork from child process 60160]
[Detaching after vfork from child process 60161]
[Detaching after vfork from child process 60162]
[Detaching after vfork from child process 60163]
[Detaching after vfork from child process 60164]
[Detaching after vfork from child process 60165]
[Detaching after vfork from child process 60166]
[Detaching after vfork from child process 60167]
[Detaching after vfork from child process 60168]
[Detaching after vfork from child process 60169]
[Detaching after vfork from child process 60170]
[Detaching after vfork from child process 60171]
[Detaching after vfork from child process 60172]
[Detaching after vfork from child process 60173]
[Detaching after vfork from child process 60174]
[Detaching after vfork from child process 60175]
[Detaching after vfork from child process 60176]
[Detaching after vfork from child process 60177]
[Detaching after vfork from child process 60178]
[Detaching after vfork from child process 60179]
[Detaching after vfork from child process 60180]
[Detaching after vfork from child process 60181]
[Detaching after vfork from child process 60182]
[Detaching after vfork from child process 60183]
[Detaching after vfork from child process 60184]
[Detaching after vfork from child process 60185]
[Detaching after vfork from child process 60186]
[Detaching after vfork from child process 60187]
[Detaching after vfork from child process 60188]
[Detaching after vfork from child process 60189]
[Detaching after vfork from child process 60190]
[Detaching after vfork from child process 60191]
[Detaching after vfork from child process 60192]
[Detaching after vfork from child process 60193]
[Detaching after vfork from child process 60194]
[Detaching after vfork from child process 60195]
[Detaching after vfork from child process 60196]
[Detaching after vfork from child process 60197]
[Detaching after vfork from child process 60198]
[Detaching after vfork from child process 60199]
[Detaching after vfork from child process 60200]
[Detaching after vfork from child process 60201]
[Detaching after vfork from child process 60202]
[Detaching after vfork from child process 60203]
[Detaching after vfork from child process 60204]
[Detaching after vfork from child process 60205]
[Detaching after vfork from child process 60206]
[Detaching after vfork from child process 60207]
[Detaching after vfork from child process 60208]
[Detaching after vfork from child process 60210]
[Detaching after vfork from child process 60211]
[Detaching after vfork from child process 60212]
[Detaching after vfork from child process 60213]
[Detaching after vfork from child process 60214]
[Detaching after vfork from child process 60215]
[Detaching after vfork from child process 60216]
[Detaching after vfork from child process 60217]
[Detaching after vfork from child process 60218]
[Detaching after vfork from child process 60219]
[Detaching after vfork from child process 60220]
[Detaching after vfork from child process 60221]
[Detaching after vfork from child process 60222]
[Detaching after vfork from child process 60223]
[Detaching after vfork from child process 60224]
[Detaching after vfork from child process 60225]
[Detaching after vfork from child process 60226]
[Detaching after vfork from child process 60227]
[Detaching after vfork from child process 60228]
[Detaching after vfork from child process 60229]
[Detaching after vfork from child process 60230]
[Detaching after vfork from child process 60231]
[Detaching after vfork from child process 60232]
[Detaching after vfork from child process 60233]
[Detaching after vfork from child process 60234]
[Detaching after vfork from child process 60235]
[Detaching after vfork from child process 60236]
[Detaching after vfork from child process 60237]
[Detaching after vfork from child process 60238]
[Detaching after vfork from child process 60239]
[Detaching after vfork from child process 60240]
[Detaching after vfork from child process 60242]
[Detaching after vfork from child process 60243]
[Detaching after vfork from child process 60244]
[Detaching after vfork from child process 60245]
[Detaching after vfork from child process 60246]
[Detaching after vfork from child process 60247]
[Detaching after vfork from child process 60248]
[Detaching after vfork from child process 60249]
[Detaching after vfork from child process 60250]
[Detaching after vfork from child process 60251]
[Detaching after vfork from child process 60252]
[Detaching after vfork from child process 60253]
[Detaching after vfork from child process 60254]
[Detaching after vfork from child process 60255]
[Detaching after vfork from child process 60256]
[Detaching after vfork from child process 60257]
[Detaching after vfork from child process 60258]
[Detaching after vfork from child process 60259]
[Detaching after vfork from child process 60260]
[Detaching after vfork from child process 60261]
[Detaching after vfork from child process 60262]
[Detaching after vfork from child process 60263]
[Detaching after vfork from child process 60264]
[Detaching after vfork from child process 60265]
[Detaching after vfork from child process 60266]
[Detaching after vfork from child process 60267]
[Detaching after vfork from child process 60268]
[Detaching after vfork from child process 60269]
[Detaching after vfork from child process 60270]
[Detaching after vfork from child process 60271]
[Detaching after vfork from child process 60272]
[Detaching after vfork from child process 60273]
[Detaching after vfork from child process 60290]
[Detaching after vfork from child process 60291]
[Detaching after vfork from child process 60292]
[Detaching after vfork from child process 60293]
[Detaching after vfork from child process 60294]
[Detaching after vfork from child process 60295]
[Detaching after vfork from child process 60296]
[Detaching after vfork from child process 60297]
[Detaching after vfork from child process 60298]
[Detaching after vfork from child process 60299]
[Detaching after vfork from child process 60300]
[Detaching after vfork from child process 60301]
[Detaching after vfork from child process 60302]
[Detaching after vfork from child process 60303]
[Detaching after vfork from child process 60304]
[Detaching after vfork from child process 60305]
[Detaching after vfork from child process 60306]
[Detaching after vfork from child process 60307]
[Detaching after vfork from child process 60308]
[Detaching after vfork from child process 60309]
[Detaching after vfork from child process 60310]
[Detaching after vfork from child process 60311]
[Detaching after vfork from child process 60312]
[Detaching after vfork from child process 60313]
[Detaching after vfork from child process 60314]
[Detaching after vfork from child process 60315]
[Detaching after vfork from child process 60316]
[Detaching after vfork from child process 60317]
[Detaching after vfork from child process 60318]
[Detaching after vfork from child process 60319]
[Detaching after vfork from child process 60320]
[Detaching after vfork from child process 60321]
[Detaching after vfork from child process 60322]
[Detaching after vfork from child process 60323]
[Detaching after vfork from child process 60324]
[Detaching after vfork from child process 60325]
[Detaching after vfork from child process 60326]
[Detaching after vfork from child process 60327]
[Detaching after vfork from child process 60328]
[Detaching after vfork from child process 60329]
[Detaching after vfork from child process 60330]
[Detaching after vfork from child process 60331]
[Detaching after vfork from child process 60332]
[Detaching after vfork from child process 60333]
[Detaching after vfork from child process 60334]
[Detaching after vfork from child process 60335]
[Detaching after vfork from child process 60336]
[Detaching after vfork from child process 60337]
[Detaching after vfork from child process 60338]
[Detaching after vfork from child process 60339]
[Detaching after vfork from child process 60340]
[Detaching after vfork from child process 60341]
[Detaching after vfork from child process 60342]
[Detaching after vfork from child process 60343]
[Detaching after vfork from child process 60344]
[Detaching after vfork from child process 60345]
[Detaching after vfork from child process 60346]
[Detaching after vfork from child process 60347]
[Detaching after vfork from child process 60348]
[Detaching after vfork from child process 60349]
[Detaching after vfork from child process 60350]
[Detaching after vfork from child process 60351]
[Detaching after vfork from child process 60352]
[Detaching after vfork from child process 60353]
[Detaching after vfork from child process 60354]
[Detaching after vfork from child process 60355]
[Detaching after vfork from child process 60356]
[Detaching after vfork from child process 60357]
[Detaching after vfork from child process 60358]
[Detaching after vfork from child process 60359]
[Detaching after vfork from child process 60360]
[Detaching after vfork from child process 60361]
[Detaching after vfork from child process 60362]
[Detaching after vfork from child process 60363]
[Detaching after vfork from child process 60364]
[Detaching after vfork from child process 60365]
[Detaching after vfork from child process 60366]
[Detaching after vfork from child process 60367]
[Detaching after vfork from child process 60368]
[Detaching after vfork from child process 60369]
[Detaching after vfork from child process 60370]
[Detaching after vfork from child process 60371]
[Detaching after vfork from child process 60372]
[Detaching after vfork from child process 60373]
[Detaching after vfork from child process 60374]
[Detaching after vfork from child process 60375]
[Detaching after vfork from child process 60376]
[Detaching after vfork from child process 60377]
[Detaching after vfork from child process 60378]
[Detaching after vfork from child process 60379]
[Detaching after vfork from child process 60380]
[Detaching after vfork from child process 60381]
[Detaching after vfork from child process 60382]
[Detaching after vfork from child process 60383]
[Detaching after vfork from child process 60384]
[Detaching after vfork from child process 60385]
[Detaching after vfork from child process 60386]
[Detaching after vfork from child process 60387]
[Detaching after vfork from child process 60388]
[Detaching after vfork from child process 60389]
[Detaching after vfork from child process 60390]
[Detaching after vfork from child process 60391]
[Detaching after vfork from child process 60392]
[Detaching after vfork from child process 60393]
[Detaching after vfork from child process 60394]
[Detaching after vfork from child process 60395]
[Detaching after vfork from child process 60396]
[Detaching after vfork from child process 60397]
[Detaching after vfork from child process 60398]
[Detaching after vfork from child process 60399]
[Detaching after vfork from child process 60400]
[Detaching after vfork from child process 60401]
[Detaching after vfork from child process 60402]
[Detaching after vfork from child process 60403]
[Detaching after vfork from child process 60404]
[Detaching after vfork from child process 60405]
[Detaching after vfork from child process 60406]
[Detaching after vfork from child process 60407]
[Detaching after vfork from child process 60408]
[Detaching after vfork from child process 60409]
[Detaching after vfork from child process 60410]
[Detaching after vfork from child process 60411]
[Detaching after vfork from child process 60412]
[Detaching after vfork from child process 60413]
[Detaching after vfork from child process 60414]
[Detaching after vfork from child process 60415]
[Detaching after vfork from child process 60416]
[Detaching after vfork from child process 60417]
[Detaching after vfork from child process 60418]
[Detaching after vfork from child process 60419]
[Detaching after vfork from child process 60420]
[Detaching after vfork from child process 60421]
[Detaching after vfork from child process 60422]
[Detaching after vfork from child process 60423]
[Detaching after vfork from child process 60424]
[Detaching after vfork from child process 60425]
[Detaching after vfork from child process 60426]
[Detaching after vfork from child process 60427]
[Detaching after vfork from child process 60428]
[Detaching after vfork from child process 60429]
[Detaching after vfork from child process 60430]
[Detaching after vfork from child process 60431]
[Detaching after vfork from child process 60432]
[Detaching after vfork from child process 60433]
[Detaching after vfork from child process 60434]
[Detaching after vfork from child process 60435]
[Detaching after vfork from child process 60436]
[Detaching after vfork from child process 60437]
[Detaching after vfork from child process 60438]
[Detaching after vfork from child process 60439]
[Detaching after vfork from child process 60440]
[Detaching after vfork from child process 60441]
[Detaching after vfork from child process 60442]
[Detaching after vfork from child process 60444]
[Detaching after vfork from child process 60445]
[Detaching after vfork from child process 60446]
[Detaching after vfork from child process 60447]
[Detaching after vfork from child process 60448]
[Detaching after vfork from child process 60449]
[Detaching after vfork from child process 60450]
[Detaching after vfork from child process 60451]
[Detaching after vfork from child process 60452]
[Detaching after vfork from child process 60453]
[Detaching after vfork from child process 60454]
[Detaching after vfork from child process 60455]
[Detaching after vfork from child process 60456]
[Detaching after vfork from child process 60457]
[Detaching after vfork from child process 60458]
[Detaching after vfork from child process 60459]
[Detaching after vfork from child process 60460]
[Detaching after vfork from child process 60461]
[Detaching after vfork from child process 60462]
[Detaching after vfork from child process 60463]
[Detaching after vfork from child process 60464]
[Detaching after vfork from child process 60465]
[Detaching after vfork from child process 60466]
[Detaching after vfork from child process 60467]
[Detaching after vfork from child process 60468]
[Detaching after vfork from child process 60469]
[Detaching after vfork from child process 60470]
[Detaching after vfork from child process 60471]
[Detaching after vfork from child process 60472]
[Detaching after vfork from child process 60473]
[Detaching after vfork from child process 60474]
[Detaching after vfork from child process 60475]
[Detaching after vfork from child process 60476]
[Detaching after vfork from child process 60477]
[Detaching after vfork from child process 60478]
[Detaching after vfork from child process 60479]
[Detaching after vfork from child process 60480]
[Detaching after vfork from child process 60481]
[Detaching after vfork from child process 60482]
[Detaching after vfork from child process 60483]
[Detaching after vfork from child process 60484]
[Detaching after vfork from child process 60485]
[Detaching after vfork from child process 60486]
[Detaching after vfork from child process 60487]
[Detaching after vfork from child process 60488]
[Detaching after vfork from child process 60489]
[Detaching after vfork from child process 60490]
[Detaching after vfork from child process 60491]
[Detaching after vfork from child process 60492]
[Detaching after vfork from child process 60493]
[Detaching after vfork from child process 60494]
[Detaching after vfork from child process 60495]
[Detaching after vfork from child process 60496]
[Detaching after vfork from child process 60497]
[Detaching after vfork from child process 60498]
[Detaching after vfork from child process 60499]
[Detaching after vfork from child process 60500]
[Detaching after vfork from child process 60501]
[Detaching after vfork from child process 60502]
[Detaching after vfork from child process 60503]
[Detaching after vfork from child process 60504]
[Detaching after vfork from child process 60505]
[Detaching after vfork from child process 60506]
[Detaching after vfork from child process 60507]
[Detaching after vfork from child process 60508]
[Detaching after vfork from child process 60509]
[Detaching after vfork from child process 60510]
[Detaching after vfork from child process 60868]
[Detaching after vfork from child process 60933]
[Detaching after vfork from child process 60934]
[Detaching after vfork from child process 60936]
[Detaching after vfork from child process 60937]
[Detaching after vfork from child process 60938]
[Detaching after vfork from child process 60939]
[Detaching after vfork from child process 60940]
[Detaching after vfork from child process 60941]
[Detaching after vfork from child process 60942]
[Detaching after vfork from child process 60943]
[Detaching after vfork from child process 60944]
[Detaching after vfork from child process 60945]
[Detaching after vfork from child process 60946]
[Detaching after vfork from child process 60947]
[Detaching after vfork from child process 60948]
[Detaching after vfork from child process 60949]
[Detaching after vfork from child process 60950]
[Detaching after vfork from child process 60951]
[Detaching after vfork from child process 60952]
[Detaching after vfork from child process 60953]
[Detaching after vfork from child process 60954]
[Detaching after vfork from child process 60955]
[Detaching after vfork from child process 60956]
[Detaching after vfork from child process 60957]
[Detaching after vfork from child process 60958]
[Detaching after vfork from child process 60959]
[Detaching after vfork from child process 60960]
[Detaching after vfork from child process 60961]
[Detaching after vfork from child process 60962]
[Detaching after vfork from child process 60963]
[Detaching after vfork from child process 60964]
[Detaching after vfork from child process 60965]
[Detaching after vfork from child process 60966]
[Detaching after vfork from child process 60967]
[Detaching after vfork from child process 60968]
[Detaching after vfork from child process 60969]
[Detaching after vfork from child process 60970]
[Detaching after vfork from child process 60971]
[Detaching after vfork from child process 60972]
[Detaching after vfork from child process 60973]
[Detaching after vfork from child process 60974]
[Detaching after vfork from child process 60975]
[Detaching after vfork from child process 60976]
[Detaching after vfork from child process 60977]
[Detaching after vfork from child process 61219]
[Detaching after vfork from child process 61271]
[Detaching after vfork from child process 61272]
[Detaching after vfork from child process 61274]
[Detaching after vfork from child process 61325]
[Detaching after vfork from child process 61369]
[Detaching after vfork from child process 61441]
[Detaching after vfork from child process 61442]
[Detaching after vfork from child process 61443]
[Detaching after vfork from child process 61444]
[Detaching after vfork from child process 61445]
[Detaching after vfork from child process 61446]
[Detaching after vfork from child process 61447]
[Detaching after vfork from child process 61448]
[Detaching after vfork from child process 61449]
[Detaching after vfork from child process 61454]
[Detaching after vfork from child process 61455]
[Detaching after vfork from child process 61456]
[New Thread 0x7fffdb529300 (LWP 61466)]
[New Thread 0x7fffdb511300 (LWP 61467)]
[New Thread 0x7fffdb4f9300 (LWP 61468)]
[New Thread 0x7fffd857a300 (LWP 61469)]
[New Thread 0x7fffd8562300 (LWP 61470)]
[New Thread 0x7fffd854a300 (LWP 61471)]
[Thread 0x7fffd8562300 (LWP 61470) exited]
[Thread 0x7fffdb511300 (LWP 61467) exited]
[Thread 0x7fffdb529300 (LWP 61466) exited]
[Thread 0x7fffd854a300 (LWP 61471) exited]
[Thread 0x7fffd857a300 (LWP 61469) exited]
[Thread 0x7fffdb4f9300 (LWP 61468) exited]
[Detaching after vfork from child process 61839]
[Detaching after vfork from child process 61840]
[Detaching after vfork from child process 61841]
[Detaching after vfork from child process 61847]
[Detaching after vfork from child process 61848]
[Detaching after vfork from child process 61968]
[Detaching after vfork from child process 61969]
[Detaching after vfork from child process 61974]
[Detaching after vfork from child process 62018]
[Detaching after vfork from child process 62672]
[Detaching after vfork from child process 63223]
[Detaching after vfork from child process 63224]
[New Thread 0x7fffdb4f9300 (LWP 63363)]
[New Thread 0x7fffd857a300 (LWP 63364)]
[Thread 0x7fffdb4f9300 (LWP 63363) exited]
[Thread 0x7fffd857a300 (LWP 63364) exited]
[New Thread 0x7fffd857a300 (LWP 63522)]
[Thread 0x7fffd857a300 (LWP 63522) exited]
[New Thread 0x7fffd857a300 (LWP 63703)]
[Thread 0x7fffd857a300 (LWP 63703) exited]
[New Thread 0x7fffd857a300 (LWP 63810)]
[Thread 0x7fffd857a300 (LWP 63810) exited]
[Detaching after vfork from child process 64640]
[Detaching after vfork from child process 64908]
[Detaching after vfork from child process 64909]
[New Thread 0x7fffd857a300 (LWP 524)]
[New Thread 0x7fffdb4f9300 (LWP 525)]
[Thread 0x7fffd857a300 (LWP 524) exited]
[New Thread 0x7fffc16006c0 (LWP 541)]
[Thread 0x7fffc16006c0 (LWP 541) exited]
[Thread 0x7fffdb4f9300 (LWP 525) exited]
[New Thread 0x7fffdb4f9300 (LWP 963)]
[Thread 0x7fffdb4f9300 (LWP 963) exited]
[New Thread 0x7fffdb4f9300 (LWP 1156)]
[Thread 0x7fffdb4f9300 (LWP 1156) exited]
[Detaching after vfork from child process 3305]
[New Thread 0x7fffdb4f9300 (LWP 6303)]
[New Thread 0x7fffd857a300 (LWP 6304)]
[New Thread 0x7fffd854a300 (LWP 6305)]
[Thread 0x7fffd857a300 (LWP 6304) exited]
[Thread 0x7fffdb4f9300 (LWP 6303) exited]
[New Thread 0x7fffc16006c0 (LWP 6336)]
[Thread 0x7fffc16006c0 (LWP 6336) exited]
[Thread 0x7fffd854a300 (LWP 6305) exited]
[New Thread 0x7fffd854a300 (LWP 7694)]
[New Thread 0x7fffdb4f9300 (LWP 7695)]
[Thread 0x7fffdb4f9300 (LWP 7695) exited]
[Thread 0x7fffd854a300 (LWP 7694) exited]
[Detaching after vfork from child process 8779]
[Detaching after vfork from child process 11449]
[Detaching after vfork from child process 12248]
[Detaching after vfork from child process 12249]
[Detaching after vfork from child process 28280]
[Detaching after vfork from child process 28281]
[Detaching after vfork from child process 28398]

Thread 1 "emacs-gtk" received signal SIGSEGV, Segmentation fault.
0x0000555555664799 in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5555801c919d), f=0x5555801c8f20) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:35776
35776	      || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
Missing separate debuginfos, use: zypper install gdk-pixbuf-loader-rsvg-debuginfo-2.58.0-1.2.x86_64 gsettings-backend-dconf-debuginfo-0.40.0-3.8.x86_64 gvfs-debuginfo-1.54.0-2.1.x86_64 libFLAC12-x86-64-v3-debuginfo-1.4.3-1.5.x86_64 libcanberra-gtk3-0-debuginfo-0.30-18.1.x86_64 libcanberra-gtk3-module-debuginfo-0.30-18.1.x86_64 libltdl7-debuginfo-2.4.7-3.9.x86_64 libogg0-debuginfo-1.3.5-2.1.x86_64 libopus0-debuginfo-1.5.1-1.1.x86_64 libpulse0-debuginfo-17.0-4.2.x86_64 libspeex1-debuginfo-1.2.1-2.2.x86_64 libvorbis0-x86-64-v3-debuginfo-1.3.7-5.1.x86_64 libvorbisfile3-x86-64-v3-debuginfo-1.3.7-5.1.x86_64
$1 = (struct glyph_matrix *) 0x5555bb6845d0
$2 = (struct glyph_row *) 0x55560146be20
$3 = 678
$4 = false
$5 = false
$6 = {
  header = {
    size = 4611686018612109336
  },
  frame = XIL(0x5555801c8f25),
  next = XIL(0x5555801c93b5),
  prev = XIL(0),
  parent = XIL(0),
  normal_lines = XIL(0x55557191969f),
  normal_cols = XIL(0x555571919697),
  new_total = make_fixnum(56),
  new_normal = XIL(0x55556eaedc67),
  new_pixel = make_fixnum(1444),
  contents = XIL(0x55559530fff5),
  old_buffer = XIL(0x55559530fff5),
  start = XIL(0x5555800269cd),
  pointm = XIL(0x55558008943d),
  old_pointm = XIL(0x5555800908f5),
  temslot = make_fixnum(1),
  vertical_scroll_bar = XIL(0),
  vertical_scroll_bar_type = XIL(0x30),
  horizontal_scroll_bar = XIL(0),
  horizontal_scroll_bar_type = XIL(0x30),
  display_table = XIL(0),
  dedicated = XIL(0),
  combination_limit = XIL(0),
  window_parameters = XIL(0x55555aec4ab3),
  mode_line_help_echo = XIL(0),
  current_matrix = 0x5555bb6845d0,
  desired_matrix = 0x5555e78296f0,
  prev_buffers = XIL(0x55555aec4933),
  next_buffers = XIL(0),
  use_time = 1261,
  sequence_number = 115,
  change_stamp = 178,
  pixel_left = 0,
  pixel_top = 0,
  left_col = 0,
  top_line = 0,
  pixel_width = 1892,
  pixel_height = 2042,
  old_pixel_width = 1892,
  old_pixel_height = 2042,
  old_body_pixel_width = 1876,
  old_body_pixel_height = 2017,
  total_cols = 157,
  total_lines = 78,
  hscroll = 0,
  min_hscroll = 0,
  hscroll_whole = 0,
  last_modified = 529,
  last_overlay_modified = 2,
  last_point = 81,
  ephemeral_last_point = 81,
  last_mark = -1,
  base_line_number = 1,
  base_line_pos = 1,
  column_number_displayed = -1,
  nrows_scale_factor = 1,
  ncols_scale_factor = 1,
  cursor = {
    x = 588,
    y = 26,
    hpos = 47,
    vpos = 1
  },
  phys_cursor = {
    x = 588,
    y = 26,
    hpos = 47,
    vpos = 1
  },
  output_cursor = {
    x = 588,
    y = 26,
    hpos = 47,
    vpos = 1
  },
  last_cursor_vpos = 1,
  phys_cursor_type = BAR_CURSOR,
  phys_cursor_width = 2,
  phys_cursor_ascent = 20,
  phys_cursor_height = 26,
  left_fringe_width = -1,
  right_fringe_width = -1,
  left_margin_cols = 0,
  right_margin_cols = 0,
  scroll_bar_width = -1,
  scroll_bar_height = -1,
  mode_line_height = 25,
  header_line_height = -1,
  tab_line_height = -1,
  window_end_pos = 0,
  window_end_vpos = 14,
  mini = false,
  horizontal = false,
  update_mode_line = false,
  last_had_star = true,
  start_at_line_beg = true,
  force_start = false,
  optional_new_start = false,
  phys_cursor_on_p = true,
  cursor_off_p = false,
  last_cursor_off_p = false,
  must_be_updated_p = false,
  pseudo_window_p = false,
  fringes_outside_margins = false,
  fringes_persistent = false,
  scroll_bars_persistent = false,
  window_end_valid = false,
  redisplay = false,
  suspend_auto_hscroll = false,
  preserve_vscroll_p = false,
  vscroll = 0,
  window_end_bytepos = 0
}
$7 = {
  pool = 0x0,
  rows = 0x55560146be20,
  rows_allocated = 996,
  nrows = 678,
  matrix_x = 0,
  matrix_y = 0,
  matrix_w = 1896,
  matrix_h = 678,
  window_pixel_left = 0,
  window_pixel_top = 0,
  window_height = 2017,
  window_width = 1892,
  window_vscroll = 0,
  left_margin_glyphs = 0,
  right_margin_glyphs = 0,
  no_scrolling_p = false,
  tab_line_p = false,
  header_line_p = false,
  buffer = 0x55559530fff0,
  begv = 1,
  zv = 865
}
logging debugredirect:  off: Debug output will go to both the screen and the log file.
logging enabled:  on: Logging is enabled.
logging file:  The current logfile is "emacs.note_fringe.gdb.4th.log".
logging overwrite:  off: Logging appends to the log file.
logging redirect:  off: Output will go to both the screen and the log file.
Not confirmed.
#0  0x0000555555664799 in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5555801c919d), f=0x5555801c8f20) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:35776
#1  note_mouse_highlight (f=0x5555801c8f20, x=<optimized out>, y=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:36037
#2  0x00005555556ed710 in x_note_mouse_movement (frame=0x5555801c8f20, event=0x7fffffffa840, device=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:14667
#3  0x00005555556f870a in handle_one_xevent (dpyinfo=0x555562de6f60, event=<optimized out>, finish=<optimized out>, hold_quit=0x7fffffffafc0) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:23162
#4  0x00005555556f0401 in event_handler_gdk (gxev=0x7fffffffad30, ev=<optimized out>, data=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:17890
#5  0x00007ffff7d0682f in gdk_event_apply_filters (xevent=xevent@entry=0x7fffffffad30, event=event@entry=0x5556059687f0, window=window@entry=0x0) at ../gdk/x11/gdkeventsource.c:79
#6  0x00007ffff7d0e03f in gdk_event_source_translate_event (xevent=0x7fffffffad30, event_source=0x55555baf4fe0) at ../gdk/x11/gdkeventsource.c:198
#7  _gdk_x11_display_queue_events (display=0x55556e20ce40) at ../gdk/x11/gdkeventsource.c:341
#8  0x00007ffff7cb69b9 in gdk_display_get_event (display=0x55556e20ce40) at ../gdk/gdkdisplay.c:442
#9  0x00007ffff7d0e412 in gdk_event_source_dispatch.lto_priv () at ../gdk/x11/gdkeventsource.c:354
#10 0x00007ffff6e4e710 in  () at /lib64/libglib-2.0.so.0
#11 0x00007ffff6e50358 in  () at /lib64/libglib-2.0.so.0
#12 0x00007ffff6e50a0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#13 0x00007ffff75f6b95 in gtk_main_iteration () at ../gtk/gtkmain.c:1433
#14 0x0000555555700022 in XTread_socket (terminal=<optimized out>, hold_quit=0x7fffffffafc0) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:25657
#15 0x0000555555742662 in gobble_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:7898
#16 0x0000555555742965 in handle_async_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8137
#17 process_pending_signals () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8151
#18 unblock_input_to (level=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8166
#19 unblock_input_to (level=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8160
#20 unblock_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8185
#21 0x00005555556700a0 in set_frame_menubar (f=<optimized out>, deep_p=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/xmenu.c:1259
#22 0x0000555555668e2a in update_menu_bar.part.0.lto_priv.0 (f=0x5555774ae620, save_match_data=false, hooks_run=true) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:14086
#23 0x000055555563a6fa in update_menu_bar (hooks_run=true, save_match_data=false, f=0x5555774ae620) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:14020
#24 prepare_menu_bars () at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:13975
#25 redisplay_internal () at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:16982
#26 0x000055555563b26a in redisplay_preserve_echo_area (from_where=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:17740
#27 0x0000555555604065 in detect_input_pending_run_timers (do_display=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:11555
#28 sit_for (timeout=make_fixnum(30), reading=<optimized out>, display_option=1) at ../../emacs-30.0.50.5986.55a200d7071/src/dispnew.c:6269
#29 0x000055555573eac2 in read_char (commandflag=1, map=XIL(0x55556721a1a3), prev_event=XIL(0), used_mouse_menu=0x7fffffffccab, end_time=0x0) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:2922
#30 0x000055555574fc3f in read_key_sequence (keybuf=0x7fffffffce40, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false, disable_text_conversion_p=false) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:10722
#31 0x0000555555736fe7 in command_loop_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1428
#32 0x00005555557d3fb7 in internal_condition_case (bfun=0x555555736e10 <command_loop_1>, handlers=<optimized out>, hfun=0x555555735ef0 <cmd_error>) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1537
#33 0x000055555573632e in command_loop_2 (handlers=handlers@entry=XIL(0x90)) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1167
#34 0x00005555557d3ec1 in internal_catch (tag=<optimized out>, func=0x555555736300 <command_loop_2>, arg=XIL(0x90)) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1217
#35 0x0000555555734e99 in command_loop () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1145
#36 0x00005555557359d6 in recursive_edit_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:753
#37 0x0000555555735dec in Frecursive_edit () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:836
#38 0x00005555555f8adc in main (argc=2, argv=0x7fffffffd2f8) at ../../emacs-30.0.50.5968.24957ea566b/src/emacs.c:2626

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)
[Inferior 1 (process 43967) killed]
quit

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 18:24:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 14:24:16 2024
Received: from localhost ([127.0.0.1]:38852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwR04-0008Ct-3M
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 14:24:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rwR00-0008BN-Kp
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 14:24:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rwQzi-0006G1-Rk; Mon, 15 Apr 2024 14:23:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=Ggf5mWE/GpZAAPQGUAvIAQrhEnI2lHfgAI36BPZM5Sg=; b=EMV2R9iJSTw8kA8hCvO6
 equhgCDaIATYaQSo5mIKD3jfnmK1A/87cx95cLCFDS7LlrBXDeqq3JjpwyUwueiOEPDLYSfJub4C8
 itjSUigeowlOYy7HfST7B36tRVNGtyYILJ679UvLlTH+L9lUgoADpYbVcVXpza4MHuMSQ4DSzYmWi
 VOAxm8gsqgOd2+VB3kfKBsZAeCTH0E9W9CP6qzTji9y8kFF0mouG5ZAk4vuYheKCfLf73yblwyouK
 DaRUfzGzZBKybdYBfRB/gR86olJsel8dZ49IoQL2Q7TkL2rQi3cnlaLdMCn4Jx0oXPLMTptkUNqxs
 vQCM128fCA6seg==;
Date: Mon, 15 Apr 2024 21:23:51 +0300
Message-Id: <86ttk2jxhk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?iso-8859-1?Q?Bj=F6rn?= Bidar <bjorn.bidar@HIDDEN>
In-Reply-To: <87ttk2sgl9.fsf@> (message from =?iso-8859-1?Q?Bj=F6rn?= Bidar
 on Mon, 15 Apr 2024 20:04:02 +0300)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN>
 <8734rm25zb.fsf@HIDDEN> <86edb6lqw0.fsf@HIDDEN>
 <87y19ezq14.fsf@HIDDEN> <87ttk2sgl9.fsf@>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: luangruo@HIDDEN, vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Bjrn Bidar <bjorn.bidar@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  Po Lu <luangruo@HIDDEN>,
>   juri@HIDDEN,  70385 <at> debbugs.gnu.org,  vekazanov@HIDDEN
> Date: Mon, 15 Apr 2024 20:04:02 +0300
> 
> Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <bug-gnu-emacs@HIDDEN> writes:
> 
> > Eli Zaretskii <eliz@HIDDEN> writes:
> >
> >> I think this should be
> >>
> >>   if ((window_outdated (w)
> >>        || !w->window_end_valid
> >>        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
> >> 						   vpos)))
> >
> > Yes, sorry.
> >
> >> I'm not sure it will help, because it seems the segfault happens in
> >> the MATRIX_ROW_DISPLAYS_TEXT_P macro.  So I think we are somehow
> >> dealing with w->current_matrix whose 'nrows' is too small.  The
> >> mouse-highlight code detects that case in x_y_to_hpos_vpos.
> >
> > Right.  What about this?
> >
> > diff --git a/src/xdisp.c b/src/xdisp.c
> > index d984c12d1aa..dcecc2b09d4 100644
> > --- a/src/xdisp.c
> > +++ b/src/xdisp.c
> > @@ -35772,6 +35772,7 @@ note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
> >    /* Don't access the TEXT_AREA of a row that does not display text, or
> >       when the window is outdated.  (bug#70385) */
> >    if (window_outdated (w)
> > +      || (vpos >= w->current_matrix->nrows)
> >        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
> >  						  vpos)))
> >      return;
> >
> > It's the same test x_y_to_hpos_vpos applies to decide whether to punt
> > and return NULL.
> 
> Tried the change but it wasn't enough:

OK, but can you please collect the data I asked for?  It's important
for figuring out the solution.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 17:04:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 13:04:28 2024
Received: from localhost ([127.0.0.1]:38365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwPkp-0005gF-Ee
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 13:04:28 -0400
Received: from thaodan.de ([2a03:4000:4f:f15::1]:37366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rwPkj-0005eJ-7a
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 13:04:25 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id 7EF51D00051;
 Mon, 15 Apr 2024 20:04:03 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713200643; bh=WA2wFOLuRuvQtrnR4kPg4wfIXO6Ltv1oYfUKLC3jkYU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=Ixpm0r6MFuODZbmgboLXEU7bOmYW2haBpkLf4OUadjGfNVYuGVWH0+s82U4RKJMKb
 PaTCypjV9mzVwpMlsaj5g7oqpUJXKhy7oe0nfgjARDj0dfmi92J8PR6L2CPMUNB4CY
 YF+ynuwa03obo7YeSVZuwFG5RO4e8K21wMcL45wSaPHiLPisJow8u5EdCUZi3LNeeb
 VKgFgcIbKqcwaCVdE9ljPjce2u/KAq7waB0FOV1us5Y+0qpQiIOHKPRehjqFXnRM71
 EM7xojH+GZXzeSvhfH2QhHGlWAJAo/CE1mJIkCfBI/CeMxBTH31zBYGj+DciIJuSSW
 xhHFQRb1jiYos0lcoGXlGObQczVYs1LylwsDUzctCSsrpENwQa1WWjCQMhnGAZ3vpv
 vzRvd7Vbw/1uRJcIQk3rF2M6NNsSNHy9DD5j0LwrjjaDjy94I7BRYtUoOpSG4H+usy
 6oJHprRPqXHF+4Z92mNkCsU8MUVvrt0hGBNyVDq1RKMD59EYFauCXbewgOq/Sg9iq8
 8JDReyGjzTuk9eLUeys8AwV7FCOrCRl4GEAlwsoMrMffmonqV3QkyU8vj6BNXTR8ij
 lvoC6PPUF25Uv45LoNktaipFJv0x98MDvEB3WNRWj7rAI/7sI6zr1nZzjsFLHZhnTj
 6b+2c81JcxcTjnSjI8l+PBUY=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87y19ezq14.fsf@HIDDEN> (Po Lu via's message of "Mon, 15 Apr
 2024 21:58:15 +0800")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN>
 <8734rm25zb.fsf@HIDDEN> <86edb6lqw0.fsf@HIDDEN>
 <87y19ezq14.fsf@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Mon, 15 Apr 2024 20:04:02 +0300
Message-ID: <87ttk2sgl9.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Po Lu via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN> writes: > Eli Zaretskii
 <eliz@HIDDEN>
 writes: > >> I think this should be >> >> if ((window_outdated (w) >> ||
 !w->window_end_valid >> || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW
 (w->current_matrix, >> vpos)) [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: 70385
Cc: Po Lu <luangruo@HIDDEN>, vekazanov@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--=-=-=
Content-Type: text/plain

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> I think this should be
>>
>>   if ((window_outdated (w)
>>        || !w->window_end_valid
>>        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
>> 						   vpos)))
>
> Yes, sorry.
>
>> I'm not sure it will help, because it seems the segfault happens in
>> the MATRIX_ROW_DISPLAYS_TEXT_P macro.  So I think we are somehow
>> dealing with w->current_matrix whose 'nrows' is too small.  The
>> mouse-highlight code detects that case in x_y_to_hpos_vpos.
>
> Right.  What about this?
>
> diff --git a/src/xdisp.c b/src/xdisp.c
> index d984c12d1aa..dcecc2b09d4 100644
> --- a/src/xdisp.c
> +++ b/src/xdisp.c
> @@ -35772,6 +35772,7 @@ note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
>    /* Don't access the TEXT_AREA of a row that does not display text, or
>       when the window is outdated.  (bug#70385) */
>    if (window_outdated (w)
> +      || (vpos >= w->current_matrix->nrows)
>        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
>  						  vpos)))
>      return;
>
> It's the same test x_y_to_hpos_vpos applies to decide whether to punt
> and return NULL.

Tried the change but it wasn't enough:

--=-=-=
Content-Type: text/x-log
Content-Disposition: inline; filename=emacs.gdb.note_fringe.3rd.log

#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=11, no_tid=no_tid@entry=0) at pthread_kill.c:44
#1  0x00007f0ca9294a73 in __pthread_kill_internal (signo=11, threadid=<optimized out>) at pthread_kill.c:78
#2  0x00007f0ca9241176 in __GI_raise (sig=sig@entry=11) at ../sysdeps/posix/raise.c:26
#3  0x00005591d8759f70 in terminate_due_to_signal (sig=11, backtrace_limit=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/emacs.c:479
#4  0x00005591d875a603 in handle_fatal_signal (sig=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1800
#5  0x00005591d8a235e8 in deliver_thread_signal.constprop.0 (sig=sig@entry=11, handler=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1792
#6  0x00005591d88beb29 in deliver_fatal_thread_signal (sig=11) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1812
#7  handle_sigsegv (sig=11, siginfo=<optimized out>, arg=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1950
#8  0x00007f0ca9241240 in <signal handler called> () at /lib64/libc.so.6
#9  0x00005591d87d0799 in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5591dfb7bc85), f=0x5591dfb7b988) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:35776
#10 note_mouse_highlight (f=0x5591dfb7b988, x=<optimized out>, y=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:36037
#11 0x00005591d8859710 in x_note_mouse_movement (frame=0x5591dfb7b988, event=0x7ffc900620e0, device=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:14667
#12 0x00005591d886470a in handle_one_xevent (dpyinfo=0x5591e83799f0, event=<optimized out>, finish=<optimized out>, hold_quit=0x7ffc90062860) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:23162
#13 0x00005591d885c401 in event_handler_gdk (gxev=0x7ffc900625d0, ev=<optimized out>, data=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:17890
#14 0x00007f0cb418b82f in gdk_event_apply_filters (xevent=xevent@entry=0x7ffc900625d0, event=event@entry=0x5591de546770, window=window@entry=0x0) at ../gdk/x11/gdkeventsource.c:79
#15 0x00007f0cb419303f in gdk_event_source_translate_event (xevent=0x7ffc900625d0, event_source=0x5591e114da10) at ../gdk/x11/gdkeventsource.c:198
#16 _gdk_x11_display_queue_events (display=0x5591ebef2f00) at ../gdk/x11/gdkeventsource.c:341
#17 0x00007f0cb413b9b9 in gdk_display_get_event (display=0x5591ebef2f00) at ../gdk/gdkdisplay.c:442
#18 0x00007f0cb4193412 in gdk_event_source_dispatch.lto_priv () at ../gdk/x11/gdkeventsource.c:354
#19 0x00007f0cb3ae9710 in  () at /lib64/libglib-2.0.so.0
#20 0x00007f0cb3aeb358 in  () at /lib64/libglib-2.0.so.0
#21 0x00007f0cb3aeba0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#22 0x00007f0cb43f6b95 in gtk_main_iteration () at ../gtk/gtkmain.c:1433
#23 0x00005591d886c022 in XTread_socket (terminal=<optimized out>, hold_quit=0x7ffc90062860) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:25657
#24 0x00005591d88ae662 in gobble_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:7898
#25 0x00005591d88ae965 in handle_async_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8137
#26 process_pending_signals () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8151
#27 unblock_input_to (level=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8166
#28 unblock_input_to (level=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8160
#29 unblock_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8185
#30 0x00005591d891f163 in garbage_collect () at ../../emacs-30.0.50.5968.24957ea566b/src/alloc.c:6685
#31 0x00005591d891f685 in maybe_garbage_collect () at ../../emacs-30.0.50.5968.24957ea566b/src/alloc.c:6507
#32 0x00005591d8999842 in maybe_gc () at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/lisp.h:5891
#33 exec_byte_code (fun=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/bytecode.c:789
#34 0x00005591d894614a in funcall_lambda (fun=fun@entry=XIL(0x5591dcada08d), nargs=nargs@entry=0, arg_vector=arg_vector@entry=0x7ffc90062b20) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:3190
#35 0x00005591d89462d9 in apply_lambda (fun=<optimized out>, args=<optimized out>, count=count@entry=...) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:3144
#36 0x00005591d89439fb in eval_sub (form=form@entry=XIL(0x7f0ca217a4a3)) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:2615
#37 0x00005591d8945baf in Feval (form=XIL(0x7f0ca217a4a3), lexical=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:2389
#38 0x00005591d894340d in funcall_subr (subr=0x5591d8fa1760 <Seval>, numargs=numargs@entry=2, args=args@entry=0x7ffc90062e68) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:3092
#39 0x00005591d8940ad0 in funcall_general (fun=<optimized out>, numargs=numargs@entry=2, args=args@entry=0x7ffc90062e68) at ../../emacs-30.0.50.5986.55a200d7071/src/lisp.h:2242
#40 0x00005591d8940cc6 in Ffuncall (nargs=nargs@entry=3, args=args@entry=0x7ffc90062e60) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#41 0x00005591d89401a1 in internal_condition_case_n (bfun=0x5591d8940bd0 <Ffuncall>, nargs=3, args=0x7ffc90062e60, handlers=<optimized out>, hfun=0x5591d8787420 <dsafe_eval_handler>) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1617
#42 0x00005591d87d4c54 in dsafe__call.part.0.lto_priv.0 (inhibit_quit=true, f=0x5591d8940bd0 <Ffuncall>, nargs=3, args=0x7ffc90062e60) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:3067
#43 0x00005591d87c3c04 in dsafe__call (args=0x7ffc90062e60, nargs=3, f=<optimized out>, inhibit_quit=true) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:3056
#44 dsafe_eval (sexpr=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:3103
#45 display_mode_element (it=it@entry=0x7ffc90063020, depth=2, depth@entry=1, field_width=0, precision=precision@entry=0, elt=XIL(0x7f0ca217a4c3), props=props@entry=XIL(0), risky=false) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:27876
#46 0x00005591d87c3cdc in display_mode_element (it=0x7ffc90063020, depth=1, field_width=0, precision=0, elt=<optimized out>, props=XIL(0), risky=false) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:27962
#47 0x00005591d87b92ca in display_mode_line (w=w@entry=0x5591dfb7bc80, face_id=MODE_LINE_ACTIVE_FACE_ID, format=XIL(0x7f0ca217a4e3)) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:27387
#48 0x00005591d87b9b12 in display_mode_lines (w=0x5591dfb7bc80) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:27300
#49 0x00005591d87abdd9 in redisplay_window (window=<optimized out>, just_this_one_p=just_this_one_p@entry=false) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:20921
#50 0x00005591d87af5fb in redisplay_window_0 (window=window@entry=XIL(0x5591dfb7bc85)) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:18012
#51 0x00005591d894004c in internal_condition_case_1 (bfun=0x5591d87af5d0 <redisplay_window_0>, arg=XIL(0x5591dfb7bc85), handlers=<optimized out>, hfun=0x5591d87a2890 <redisplay_window_error>) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1561
#52 0x00005591d87a2a09 in redisplay_windows (window=XIL(0x5591dfb7bc85)) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:17981
#53 0x00005591d87a5d8e in redisplay_internal () at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:17381
#54 0x00005591d87a726a in redisplay_preserve_echo_area (from_where=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:17740
#55 0x00005591d89ae509 in wait_reading_process_output (time_limit=<optimized out>, nsecs=<optimized out>, read_kbd=<optimized out>, do_display=<optimized out>, wait_for_cell=<optimized out>, wait_proc=<optimized out>, just_wait_proc=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/process.c:5434
#56 0x00005591d876ffb6 in sit_for (timeout=<optimized out>, reading=true, display_option=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/dispnew.c:6318
#57 0x00005591d88aaac2 in read_char (commandflag=1, map=XIL(0x5591f0dda9f3), prev_event=XIL(0), used_mouse_menu=0x7ffc90068cfb, end_time=0x0) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:2922
#58 0x00005591d88bbc3f in read_key_sequence (keybuf=0x7ffc90068e90, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false, disable_text_conversion_p=false) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:10722
#59 0x00005591d88a2fe7 in command_loop_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1428
#60 0x00005591d893ffb7 in internal_condition_case (bfun=0x5591d88a2e10 <command_loop_1>, handlers=<optimized out>, hfun=0x5591d88a1ef0 <cmd_error>) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1537
#61 0x00005591d88a232e in command_loop_2 (handlers=handlers@entry=XIL(0x90)) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1167
#62 0x00005591d893fec1 in internal_catch (tag=<optimized out>, func=0x5591d88a2300 <command_loop_2>, arg=XIL(0x90)) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1217
#63 0x00005591d88a0e99 in command_loop () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1145
#64 0x00005591d88a19d6 in recursive_edit_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:753
#65 0x00005591d88a1dec in Frecursive_edit () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:836
#66 0x00005591d8764adc in main (argc=2, argv=0x7ffc90069348) at ../../emacs-30.0.50.5968.24957ea566b/src/emacs.c:2626
You can't do that without a process to debug.
quit

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2024 17:04:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 13:04:35 2024
Received: from localhost ([127.0.0.1]:38370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwPkw-0005gS-Db
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 13:04:35 -0400
Received: from lists.gnu.org ([2001:470:142::17]:37064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rwPkt-0005g3-8E
 for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 13:04:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bjorn.bidar@HIDDEN>)
 id 1rwPkb-0001v1-7P
 for bug-gnu-emacs@HIDDEN; Mon, 15 Apr 2024 13:04:13 -0400
Received: from thaodan.de ([2a03:4000:4f:f15::1])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bjorn.bidar@HIDDEN>)
 id 1rwPkV-0007qh-Sj; Mon, 15 Apr 2024 13:04:12 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id 7EF51D00051;
 Mon, 15 Apr 2024 20:04:03 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713200643; bh=WA2wFOLuRuvQtrnR4kPg4wfIXO6Ltv1oYfUKLC3jkYU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=Ixpm0r6MFuODZbmgboLXEU7bOmYW2haBpkLf4OUadjGfNVYuGVWH0+s82U4RKJMKb
 PaTCypjV9mzVwpMlsaj5g7oqpUJXKhy7oe0nfgjARDj0dfmi92J8PR6L2CPMUNB4CY
 YF+ynuwa03obo7YeSVZuwFG5RO4e8K21wMcL45wSaPHiLPisJow8u5EdCUZi3LNeeb
 VKgFgcIbKqcwaCVdE9ljPjce2u/KAq7waB0FOV1us5Y+0qpQiIOHKPRehjqFXnRM71
 EM7xojH+GZXzeSvhfH2QhHGlWAJAo/CE1mJIkCfBI/CeMxBTH31zBYGj+DciIJuSSW
 xhHFQRb1jiYos0lcoGXlGObQczVYs1LylwsDUzctCSsrpENwQa1WWjCQMhnGAZ3vpv
 vzRvd7Vbw/1uRJcIQk3rF2M6NNsSNHy9DD5j0LwrjjaDjy94I7BRYtUoOpSG4H+usy
 6oJHprRPqXHF+4Z92mNkCsU8MUVvrt0hGBNyVDq1RKMD59EYFauCXbewgOq/Sg9iq8
 8JDReyGjzTuk9eLUeys8AwV7FCOrCRl4GEAlwsoMrMffmonqV3QkyU8vj6BNXTR8ij
 lvoC6PPUF25Uv45LoNktaipFJv0x98MDvEB3WNRWj7rAI/7sI6zr1nZzjsFLHZhnTj
 6b+2c81JcxcTjnSjI8l+PBUY=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87y19ezq14.fsf@HIDDEN> (Po Lu via's message of "Mon, 15 Apr
 2024 21:58:15 +0800")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN>
 <8734rm25zb.fsf@HIDDEN> <86edb6lqw0.fsf@HIDDEN>
 <87y19ezq14.fsf@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Mon, 15 Apr 2024 20:04:02 +0300
Message-ID: <87ttk2sgl9.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=2a03:4000:4f:f15::1;
 envelope-from=bjorn.bidar@HIDDEN; helo=thaodan.de
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, INVALID_MSGID=0.568,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Po Lu via "Bug reports for GNU Emacs, the Swiss army knife
 of text editors" <bug-gnu-emacs@HIDDEN> writes: > Eli Zaretskii
 <eliz@HIDDEN>
 writes: > >> I think this should be >> >> if ((window_outdated (w) >> ||
 !w->window_end_valid >> || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW
 (w->current_matrix, >> vpos)) [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: submit
Cc: Po Lu <luangruo@HIDDEN>, vekazanov@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Po Lu via "Bug reports for GNU Emacs, the Swiss army knife
    of text editors" <bug-gnu-emacs@HIDDEN> writes: > Eli Zaretskii <eliz@HIDDEN>
    writes: > >> I think this should be >> >> if ((window_outdated (w) >> ||
   !w->window_end_valid >> || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
    >> vpos)) [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> I think this should be
>>
>>   if ((window_outdated (w)
>>        || !w->window_end_valid
>>        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
>> 						   vpos)))
>
> Yes, sorry.
>
>> I'm not sure it will help, because it seems the segfault happens in
>> the MATRIX_ROW_DISPLAYS_TEXT_P macro.  So I think we are somehow
>> dealing with w->current_matrix whose 'nrows' is too small.  The
>> mouse-highlight code detects that case in x_y_to_hpos_vpos.
>
> Right.  What about this?
>
> diff --git a/src/xdisp.c b/src/xdisp.c
> index d984c12d1aa..dcecc2b09d4 100644
> --- a/src/xdisp.c
> +++ b/src/xdisp.c
> @@ -35772,6 +35772,7 @@ note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
>    /* Don't access the TEXT_AREA of a row that does not display text, or
>       when the window is outdated.  (bug#70385) */
>    if (window_outdated (w)
> +      || (vpos >= w->current_matrix->nrows)
>        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
>  						  vpos)))
>      return;
>
> It's the same test x_y_to_hpos_vpos applies to decide whether to punt
> and return NULL.

Tried the change but it wasn't enough:

--=-=-=
Content-Type: text/x-log
Content-Disposition: inline; filename=emacs.gdb.note_fringe.3rd.log

#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=11, no_tid=no_tid@entry=0) at pthread_kill.c:44
#1  0x00007f0ca9294a73 in __pthread_kill_internal (signo=11, threadid=<optimized out>) at pthread_kill.c:78
#2  0x00007f0ca9241176 in __GI_raise (sig=sig@entry=11) at ../sysdeps/posix/raise.c:26
#3  0x00005591d8759f70 in terminate_due_to_signal (sig=11, backtrace_limit=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/emacs.c:479
#4  0x00005591d875a603 in handle_fatal_signal (sig=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1800
#5  0x00005591d8a235e8 in deliver_thread_signal.constprop.0 (sig=sig@entry=11, handler=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1792
#6  0x00005591d88beb29 in deliver_fatal_thread_signal (sig=11) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1812
#7  handle_sigsegv (sig=11, siginfo=<optimized out>, arg=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1950
#8  0x00007f0ca9241240 in <signal handler called> () at /lib64/libc.so.6
#9  0x00005591d87d0799 in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5591dfb7bc85), f=0x5591dfb7b988) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:35776
#10 note_mouse_highlight (f=0x5591dfb7b988, x=<optimized out>, y=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:36037
#11 0x00005591d8859710 in x_note_mouse_movement (frame=0x5591dfb7b988, event=0x7ffc900620e0, device=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:14667
#12 0x00005591d886470a in handle_one_xevent (dpyinfo=0x5591e83799f0, event=<optimized out>, finish=<optimized out>, hold_quit=0x7ffc90062860) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:23162
#13 0x00005591d885c401 in event_handler_gdk (gxev=0x7ffc900625d0, ev=<optimized out>, data=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:17890
#14 0x00007f0cb418b82f in gdk_event_apply_filters (xevent=xevent@entry=0x7ffc900625d0, event=event@entry=0x5591de546770, window=window@entry=0x0) at ../gdk/x11/gdkeventsource.c:79
#15 0x00007f0cb419303f in gdk_event_source_translate_event (xevent=0x7ffc900625d0, event_source=0x5591e114da10) at ../gdk/x11/gdkeventsource.c:198
#16 _gdk_x11_display_queue_events (display=0x5591ebef2f00) at ../gdk/x11/gdkeventsource.c:341
#17 0x00007f0cb413b9b9 in gdk_display_get_event (display=0x5591ebef2f00) at ../gdk/gdkdisplay.c:442
#18 0x00007f0cb4193412 in gdk_event_source_dispatch.lto_priv () at ../gdk/x11/gdkeventsource.c:354
#19 0x00007f0cb3ae9710 in  () at /lib64/libglib-2.0.so.0
#20 0x00007f0cb3aeb358 in  () at /lib64/libglib-2.0.so.0
#21 0x00007f0cb3aeba0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#22 0x00007f0cb43f6b95 in gtk_main_iteration () at ../gtk/gtkmain.c:1433
#23 0x00005591d886c022 in XTread_socket (terminal=<optimized out>, hold_quit=0x7ffc90062860) at ../../emacs-30.0.50.5986.55a200d7071/src/xterm.c:25657
#24 0x00005591d88ae662 in gobble_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:7898
#25 0x00005591d88ae965 in handle_async_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8137
#26 process_pending_signals () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8151
#27 unblock_input_to (level=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8166
#28 unblock_input_to (level=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8160
#29 unblock_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8185
#30 0x00005591d891f163 in garbage_collect () at ../../emacs-30.0.50.5968.24957ea566b/src/alloc.c:6685
#31 0x00005591d891f685 in maybe_garbage_collect () at ../../emacs-30.0.50.5968.24957ea566b/src/alloc.c:6507
#32 0x00005591d8999842 in maybe_gc () at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/lisp.h:5891
#33 exec_byte_code (fun=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/bytecode.c:789
#34 0x00005591d894614a in funcall_lambda (fun=fun@entry=XIL(0x5591dcada08d), nargs=nargs@entry=0, arg_vector=arg_vector@entry=0x7ffc90062b20) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:3190
#35 0x00005591d89462d9 in apply_lambda (fun=<optimized out>, args=<optimized out>, count=count@entry=...) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:3144
#36 0x00005591d89439fb in eval_sub (form=form@entry=XIL(0x7f0ca217a4a3)) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:2615
#37 0x00005591d8945baf in Feval (form=XIL(0x7f0ca217a4a3), lexical=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:2389
#38 0x00005591d894340d in funcall_subr (subr=0x5591d8fa1760 <Seval>, numargs=numargs@entry=2, args=args@entry=0x7ffc90062e68) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:3092
#39 0x00005591d8940ad0 in funcall_general (fun=<optimized out>, numargs=numargs@entry=2, args=args@entry=0x7ffc90062e68) at ../../emacs-30.0.50.5986.55a200d7071/src/lisp.h:2242
#40 0x00005591d8940cc6 in Ffuncall (nargs=nargs@entry=3, args=args@entry=0x7ffc90062e60) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#41 0x00005591d89401a1 in internal_condition_case_n (bfun=0x5591d8940bd0 <Ffuncall>, nargs=3, args=0x7ffc90062e60, handlers=<optimized out>, hfun=0x5591d8787420 <dsafe_eval_handler>) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1617
#42 0x00005591d87d4c54 in dsafe__call.part.0.lto_priv.0 (inhibit_quit=true, f=0x5591d8940bd0 <Ffuncall>, nargs=3, args=0x7ffc90062e60) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:3067
#43 0x00005591d87c3c04 in dsafe__call (args=0x7ffc90062e60, nargs=3, f=<optimized out>, inhibit_quit=true) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:3056
#44 dsafe_eval (sexpr=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:3103
#45 display_mode_element (it=it@entry=0x7ffc90063020, depth=2, depth@entry=1, field_width=0, precision=precision@entry=0, elt=XIL(0x7f0ca217a4c3), props=props@entry=XIL(0), risky=false) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:27876
#46 0x00005591d87c3cdc in display_mode_element (it=0x7ffc90063020, depth=1, field_width=0, precision=0, elt=<optimized out>, props=XIL(0), risky=false) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:27962
#47 0x00005591d87b92ca in display_mode_line (w=w@entry=0x5591dfb7bc80, face_id=MODE_LINE_ACTIVE_FACE_ID, format=XIL(0x7f0ca217a4e3)) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:27387
#48 0x00005591d87b9b12 in display_mode_lines (w=0x5591dfb7bc80) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:27300
#49 0x00005591d87abdd9 in redisplay_window (window=<optimized out>, just_this_one_p=just_this_one_p@entry=false) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:20921
#50 0x00005591d87af5fb in redisplay_window_0 (window=window@entry=XIL(0x5591dfb7bc85)) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:18012
#51 0x00005591d894004c in internal_condition_case_1 (bfun=0x5591d87af5d0 <redisplay_window_0>, arg=XIL(0x5591dfb7bc85), handlers=<optimized out>, hfun=0x5591d87a2890 <redisplay_window_error>) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1561
#52 0x00005591d87a2a09 in redisplay_windows (window=XIL(0x5591dfb7bc85)) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:17981
#53 0x00005591d87a5d8e in redisplay_internal () at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:17381
#54 0x00005591d87a726a in redisplay_preserve_echo_area (from_where=<optimized out>) at /usr/src/debug/emacs-30.0.50.5990.9b755244bf0/src/xdisp.c:17740
#55 0x00005591d89ae509 in wait_reading_process_output (time_limit=<optimized out>, nsecs=<optimized out>, read_kbd=<optimized out>, do_display=<optimized out>, wait_for_cell=<optimized out>, wait_proc=<optimized out>, just_wait_proc=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/process.c:5434
#56 0x00005591d876ffb6 in sit_for (timeout=<optimized out>, reading=true, display_option=<optimized out>) at ../../emacs-30.0.50.5986.55a200d7071/src/dispnew.c:6318
#57 0x00005591d88aaac2 in read_char (commandflag=1, map=XIL(0x5591f0dda9f3), prev_event=XIL(0), used_mouse_menu=0x7ffc90068cfb, end_time=0x0) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:2922
#58 0x00005591d88bbc3f in read_key_sequence (keybuf=0x7ffc90068e90, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false, disable_text_conversion_p=false) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:10722
#59 0x00005591d88a2fe7 in command_loop_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1428
#60 0x00005591d893ffb7 in internal_condition_case (bfun=0x5591d88a2e10 <command_loop_1>, handlers=<optimized out>, hfun=0x5591d88a1ef0 <cmd_error>) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1537
#61 0x00005591d88a232e in command_loop_2 (handlers=handlers@entry=XIL(0x90)) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1167
#62 0x00005591d893fec1 in internal_catch (tag=<optimized out>, func=0x5591d88a2300 <command_loop_2>, arg=XIL(0x90)) at ../../emacs-30.0.50.5986.55a200d7071/src/eval.c:1217
#63 0x00005591d88a0e99 in command_loop () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1145
#64 0x00005591d88a19d6 in recursive_edit_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:753
#65 0x00005591d88a1dec in Frecursive_edit () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:836
#66 0x00005591d8764adc in main (argc=2, argv=0x7ffc90069348) at ../../emacs-30.0.50.5968.24957ea566b/src/emacs.c:2626
You can't do that without a process to debug.
quit

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 16:40:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 12:40:42 2024
Received: from localhost ([127.0.0.1]:38262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwPNm-0002Rg-3r
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 12:40:42 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:36705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1rwPNg-0002QH-1A
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 12:40:36 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id D4BD7E0009;
 Mon, 15 Apr 2024 16:40:12 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <86a5lvnbiy.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 14 Apr
 2024 19:40:05 +0300")
Organization: LINKOV.NET
References: <86h6g49cdv.fsf@HIDDEN> <86a5lvnbiy.fsf@HIDDEN>
Date: Mon, 15 Apr 2024 19:39:19 +0300
Message-ID: <864jc2mvgo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 70385
Cc: Vladimir Kazanov <vekazanov@HIDDEN>, 70385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Can you reproduce at will?

It's not reproducible at will,
and now I got a new crash.

> If so, what does the below show in GDB,
> when Emacs segfaults and GDB kicks in?
>
>   (gdb) p w->current_matrix
>   (gdb) p w->current_matrix->rows
>   (gdb) p w->current_matrix->nrows
>   (gdb) p w->window_end_valid
>   (gdb) p window_outdated (w)

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x0000555555612343 in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x55555641d7cd), f=0x55555641d338) at xdisp.c:35774
35774	  if (window_outdated (w)
(gdb) p w->current_matrix
$6 = (struct glyph_matrix *) 0x55555a95b6f0
(gdb) p w->current_matrix->rows
$7 = (struct glyph_row *) 0x555556c14310
(gdb) p w->current_matrix->nrows
$8 = 7
(gdb) p w->window_end_valid
$9 = false
(gdb) p window_outdated (w)
$10 = false




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 14:39:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 10:39:27 2024
Received: from localhost ([127.0.0.1]:37631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwNUU-0008UC-PL
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 10:39:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rwNUS-0008U6-V8
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 10:39:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rwNUB-0007mU-H1; Mon, 15 Apr 2024 10:39:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=hm5qFGOOegWyBw8Ca7h19z9B6a/s1+pUlSF7Y28G3Kg=; b=fi70VK3xkxCo
 2oBHwKq+61zSi7EWAIO91AvrSn69db/mRlK1xzOP2VOwxfK74f66G2l6cfINg0gfWPRuhW1wpMheA
 6XZN2qSdRxaQkSUtL/H1muJ1AE22D/CLWrD6JWuB1Ib1kr52Kd2HLuQnmsyzZfjuJhVKB0qoiWMTG
 ZJzXeGIIOiPT8/J2gfnveMp7enBgh48FziD4qX60wZis52XwgPkNh3VfKM2YWegW0n53Lv75hAcdH
 mdDxXQGbwOtORHljMhoITUrm5mcFVCDYyU7EGwNk7aaBxvecJMXA4qNSOPAPzlfOht57/L1PYusr8
 f3KSx8pf9aejgb7xJZzf0g==;
Date: Mon, 15 Apr 2024 17:39:03 +0300
Message-Id: <864jc2lmgo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87y19ezq14.fsf@HIDDEN> (message from Po Lu on Mon, 15 Apr
 2024 21:58:15 +0800)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN>
 <8734rm25zb.fsf@HIDDEN> <86edb6lqw0.fsf@HIDDEN>
 <87y19ezq14.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: bjorn.bidar@HIDDEN, juri@HIDDEN, 70385 <at> debbugs.gnu.org,
 vekazanov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: bjorn.bidar@HIDDEN,  vekazanov@HIDDEN,  70385 <at> debbugs.gnu.org,
>   juri@HIDDEN
> Date: Mon, 15 Apr 2024 21:58:15 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I think this should be
> >
> >   if ((window_outdated (w)
> >        || !w->window_end_valid
> >        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
> > 						   vpos)))
> 
> Yes, sorry.
> 
> > I'm not sure it will help, because it seems the segfault happens in
> > the MATRIX_ROW_DISPLAYS_TEXT_P macro.  So I think we are somehow
> > dealing with w->current_matrix whose 'nrows' is too small.  The
> > mouse-highlight code detects that case in x_y_to_hpos_vpos.
> 
> Right.  What about this?
> 
> diff --git a/src/xdisp.c b/src/xdisp.c
> index d984c12d1aa..dcecc2b09d4 100644
> --- a/src/xdisp.c
> +++ b/src/xdisp.c
> @@ -35772,6 +35772,7 @@ note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
>    /* Don't access the TEXT_AREA of a row that does not display text, or
>       when the window is outdated.  (bug#70385) */
>    if (window_outdated (w)
> +      || (vpos >= w->current_matrix->nrows)
>        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
>  						  vpos)))
>      return;
> 
> It's the same test x_y_to_hpos_vpos applies to decide whether to punt
> and return NULL.

Yes, LGTM.  Let's see if it prevents the crashes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 13:58:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 09:58:50 2024
Received: from localhost ([127.0.0.1]:37463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwMrB-0003Bu-8d
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 09:58:50 -0400
Received: from sonic305-21.consmr.mail.ne1.yahoo.com ([66.163.185.147]:43346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1rwMr8-0003BJ-6K
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 09:58:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713189508; bh=pE/z15EJuMt6GkqkDB03SneDNE8o2UOh9enrJPuIThA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=Alg16g7mWOU6u9hqP3SNKPmRDXToQF1YhjM6T2Wq6mSrWhduDsBDlhB8M3tvJl4XKCWI+VRZ6eGZ3ViY0F2kY9YoxqouSFR0/NpDgvAByC0/sZiTdyCb++Zd/sfiKWQ8lkEMf47dkE6gLywiLmNsqeac0plfVsmc0xkLdqBRuIV05H1526NeHQKn9V/iSm1TxMZlKcma7d8KWdeuffmWB2eJT8atT2nNQOVnM5gdArCDLQyTDaZZa5XaMFZ+Jp9TaMSNFBmCkwEeBLSAaZTjl2Fbboe3Upu4CIAtBGIfPr81Y0PP6mqzRC6ipfYS06EHZ264JPr5sV2ZF+9wRYoZCQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713189508; bh=QEzZ8bK22UbYe0CkD5NgZFkNYZprw3jDpcbyPzdV0Kt=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=aUayFA+sAWxc1ui3fAHsgtVBNZrsp3AAZ+TJIyQEpMsj/NsZ2ssAyt2+T59XhDjPsWQCSPLgh9Tl0PN2RWNOyJl+A8KuO9NW7zt0u6gQWZtN9pVOWyCvSZ7C/GwI56M6Q/7lU0OjMr7QJhlaYsyro3zg5jorBEIxiSfpXqy7zzNVZB5G1H9oQQ6G2+/jLrWLU6F4+COLw94O5GN2aBzP21XT4eY9T99y+k1vIYX3XUmxvwZFv5kx6au1uEgKBBDyE9J0DGw/QhYocw+tKv01Xz6zpjbiwF4rPkDMYEDxgmdYVczET1WyVe6g3sHCLzva1sZr12sbY86iQvAWBHutFA==
X-YMail-OSG: 9CTVKUkVM1lFzS.zmutnlh5uBdX_NE0DhWWuUxWyesF.jkElo2ysDjzzfHW5mu1
 qtdLY0SuUIKHcCm6dp92f8JJ1R2YtL8k3MoAEmRLxmKqVu80ePoZJ53.nKazHvrY3Shf8H4Njmty
 sx_xBebosqAce1rKLQXzZpRVbB7uQmwWZFqpJKO5GXPUaqU6L9C_e0WuOHN1sIVWvuHXse8ZK5gB
 lm.84FU2DAl5p2waYSL4hmw4CHl8E5FZgY4FYakLzqiLxOQ_l.CvfvONfhwmNQk9.uQG_qUtIRPy
 5i31IKxcXYK1Q9zoiJoXiy4WWqEdljs37BsMHVVkw12OYLUzN_wFmNImZe46WVHsMcWAJ_q2XOfW
 0wy6JlZs_X.AlR7JywA9nHl.S5xbrh2vgiY2OEbbCk7DeDrYqrvXDqgMq09j5g8NX65VnbAyCIQ1
 r2YqOIL9RqsF.aKSrAhaaoWelcHNeI54lRLlT_g.C5WGseZEIySJZHW3cgzLcBAxMCmKPiWWpdFr
 bY3nY3E6KFQQZAp9CoO0AZy3jHc4wEWMiuUsSBpNd.Vr7oEB9loTU22VonywYv8nHXw2rtIR.n1r
 RspPWdr5zekafA_6C2li4Mwr5XuODZdLeZbqzYWyWNZnR_Q__Ni_vEGhXm_WQwKkwDxi4m97WI1Z
 aKvLKVvE0CveGRzH37FSi4abKiHTOc.9kNpbGwV9_vLvSSp_K9K7WWPWnH99205ExJit7kbRuXCY
 0l1ehSW6zj70LovyQChj8QQ0YM9_QJrzMIjhB9NEzKMOnVPNgM1mzok7zSij4dRwJPCjoEKMa9m9
 a5ZI8wzJqanHOl7MOFVA7kMB9t22OrH_tHv5ngvkOdFv.fgOTbfMI9Acfb0rOnglRUx1LKOv19yE
 qZkleXAxjrmHxZ5A6zKv0mKKyVWy4FctwArzOsIyyR.SWqARXOlmisAPmH2pxOIW_5nOb7vVCh3n
 SCOxoKd9Un4a91enrHvxBTmC3PbZhMMWt_l53tUemVC8b1Ve4sY_Z_uYfL1Pw1LMit4EbeWrkXoR
 67wi.Io7RHSheL6VlE5fI793KNiiicrrKwWgDeq8XohI0WRBLzBy_6z5r2_wIYG5hvGEWOKr5orJ
 Xq6WY4zQApWMweTZsIPDntdJVcQXm79r4N2WO_nr5zJP.EE7COHBges2AwTBS3RDXiE7WGH4x5y5
 wRQMYKgeRNhtiXtaploB4dqNiHJZon8XN.gXAoP0PbYcOo8jMvxx2tRj8Yz3yTdECBUSQzrLcjHe
 IqquxahMS1NpP5A8lyVs_Z99ahfdY20Yc9h12rQjZE2TqzuYq0UFmHKoTF6s7cWsfHu.vSmAj3B7
 SbSq5eDrecprYjZyLGZG5i9aCQ2aapA3NHHt21.yf7yAxfBlcjrjOemuKKp3aDtBFsNwygqY13nI
 T.Evo64joE6Ywg7nLiM8ONsiXArTLkL4dhiHBhyaPk2En3NhRkYMs9bnZ.iuZS2nAQpQh6xXtBjV
 GIWfLPBTYBSooFcKngsEMgO32qcKZRzLLN.g.WBlhCALsZwVaaQJediWk4Beoa_At.aljpz8gxIX
 Js8GK21F5T0cmzPm543SbEEdOs2jXMdIU0f6WSfR8upeM_1AJ5aVplJCwE.LD_UkqjK2TwRmk4Mx
 3uvQLgALm5fEXdBjPzmqCK3Lj0KlDpcNT.Fo_kuugM_W4TH0ZDshG7b9s8WRAS79xaoy4bH5L0VW
 m37QEj4ubSWRIlTx_O3lpRK5bnHoatbE9RoVCyaQdqo3ufldK1k37jR7TxNRtATx7Cod_PDrITIy
 .UJedjkhqtceFUgwNtUpaIF1Zh9OAhRaMn_OwVAhtzZ5tzCZABPmqY_kxIicIDnNFTlesCf_uw2R
 E.fP6hNvO2PCdY6aRs3jaqiPqwYKM0S9vqEOji3a733muhQT7Rlrf_zRzsqMlY_Jxi3g_9b_etBO
 qUfqk4w533UNAVIRVc7Bnw1v3GtF1CCor1Dd_eYWGmps4OJ7ZPeP7Lxj.alZ7bqnBFI6kzpTCf4s
 WDKYnHBBHIuLQyblsTNveFyW_XFcVXrkgDNMlq0Ll6m30MXAwx4SO5wMs99.kOOXFxLFFkXY5yc5
 wXQ1FB2sq3Cs.6ziLiSzHTkbx7d1g85eZUev3y3flEnOGehzRY.PDMH2juL5GvHHnVVMjwS.2ZjV
 4GGypIHQxJKqrZ5..BzgqCkmmO2dJVZlh6wRSamjBNhwWwAse4khZA.bahywe3udj0.K1dwlOWc5
 OIwArohwN.IKPurI_.xoUCbbgpg79x0WzRnCdjGQ.p5fC948eo3bLyYxdfgleOG2KrcrVtPahRA-
 -
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: 32e42379-b693-4f4e-b64d-dfc3af8a7356
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic305.consmr.mail.ne1.yahoo.com with HTTP; Mon, 15 Apr 2024 13:58:28 +0000
Received: by hermes--production-sg3-6f9f87bd85-kf2q6 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID fd4b7981057cfff4b04a18f47ae9aa85; 
 Mon, 15 Apr 2024 13:58:22 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <86edb6lqw0.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 15 Apr
 2024 16:03:27 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN>
 <8734rm25zb.fsf@HIDDEN> <86edb6lqw0.fsf@HIDDEN>
Date: Mon, 15 Apr 2024 21:58:15 +0800
Message-ID: <87y19ezq14.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.22205
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1119
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: bjorn.bidar@HIDDEN, juri@HIDDEN, 70385 <at> debbugs.gnu.org,
 vekazanov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I think this should be
>
>   if ((window_outdated (w)
>        || !w->window_end_valid
>        || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
> 						   vpos)))

Yes, sorry.

> I'm not sure it will help, because it seems the segfault happens in
> the MATRIX_ROW_DISPLAYS_TEXT_P macro.  So I think we are somehow
> dealing with w->current_matrix whose 'nrows' is too small.  The
> mouse-highlight code detects that case in x_y_to_hpos_vpos.

Right.  What about this?

diff --git a/src/xdisp.c b/src/xdisp.c
index d984c12d1aa..dcecc2b09d4 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -35772,6 +35772,7 @@ note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
   /* Don't access the TEXT_AREA of a row that does not display text, or
      when the window is outdated.  (bug#70385) */
   if (window_outdated (w)
+      || (vpos >= w->current_matrix->nrows)
       || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
 						  vpos)))
     return;

It's the same test x_y_to_hpos_vpos applies to decide whether to punt
and return NULL.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 13:04:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 09:04:07 2024
Received: from localhost ([127.0.0.1]:37346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwM0B-0005os-Cz
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 09:04:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rwM06-0005mp-EH
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 09:04:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rwLzo-00067m-Jw; Mon, 15 Apr 2024 09:03:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=D3XCcwC5QQkOgC3VBESsuf9+lRI/QFKy+cb7aknp7o0=; b=DlNqhqmGsdvT
 uZuErr93FXf8H+vL2z37kHjOF6KX6poRjI+vk+za+9oWs7tPn17+5xM7XcGNDf7mfKICaoOX9+C16
 8KIu65rJRQ68WhQF473hXymo2mUW3nNqaEfJ3VswNFGVOI9Gwp8d710fEpXQd/9MSLMLQOhxL4WZr
 nSEYX6niNT2V+Ry/lV40Rs9wr+bZquyOWYYGEtmvlQ9EddKioBavDMJpTCLaC6TtPr5JBYAHNtXRL
 uAdVtSAYHhXc2LtlIbgEej9Dt35MPDFDcs8Vo6NlMTSXbYTZ3Y5LEF7UKBJxqakr5mRtXYf5KlH+C
 jufpPLOZ5d3tQTab2gPalw==;
Date: Mon, 15 Apr 2024 16:03:27 +0300
Message-Id: <86edb6lqw0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <8734rm25zb.fsf@HIDDEN> (message from Po Lu on Mon, 15 Apr
 2024 19:57:44 +0800)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN> <8734rm25zb.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: bjorn.bidar@HIDDEN, juri@HIDDEN, 70385 <at> debbugs.gnu.org,
 vekazanov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: bjorn.bidar@HIDDEN,  vekazanov@HIDDEN,  70385 <at> debbugs.gnu.org,
>   juri@HIDDEN
> Date: Mon, 15 Apr 2024 19:57:44 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Any reason you didn't include w->window_end_valid in the condition,
> > like we do for mouse-highlight?
> 
> This wasn't necessary to fix the crash for me.
> 
> > I'd like in general to have the same conditions, to avoid having
> > people wonder what they miss when they read this code.
> 
> Your wish is my command... :-)
> 
> I suspect it might fix the Bjorn's crash also.  Bjorn, please try:
> 
> diff --git a/src/xdisp.c b/src/xdisp.c
> index d984c12d1aa..51f6b1efd69 100644
> --- a/src/xdisp.c
> +++ b/src/xdisp.c
> @@ -35771,9 +35771,10 @@ note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
>  
>    /* Don't access the TEXT_AREA of a row that does not display text, or
>       when the window is outdated.  (bug#70385) */
> -  if (window_outdated (w)
> -      || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
> -						  vpos)))
> +  if ((window_outdated (w)
> +       || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
> +						   vpos)))
> +      && w->window_end_valid)

I think this should be

  if ((window_outdated (w)
       || !w->window_end_valid
       || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
						   vpos)))

I'm not sure it will help, because it seems the segfault happens in
the MATRIX_ROW_DISPLAYS_TEXT_P macro.  So I think we are somehow
dealing with w->current_matrix whose 'nrows' is too small.  The
mouse-highlight code detects that case in x_y_to_hpos_vpos.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 12:57:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 08:57:18 2024
Received: from localhost ([127.0.0.1]:37341 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwLtc-0004i4-FP
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 08:57:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rwLss-0004Yy-6c
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 08:56:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rwLsa-0004Da-GM; Mon, 15 Apr 2024 08:56:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=SRQliBsurxNWok7w79G7B4Qzng9xFz6ZowsSjTgc1y0=; b=f73Dry/Ujge1URT09C5+
 r0MBhIN9R2yPpgNX86M1o2K2N0WC4zAZdWhp88SmvSiYbH/msb4Sk3eK2cGVyaPVvn20B43aHjcOa
 tIbUK8RKwqvt26zvYmbacR13Oyv8wNnvwnpFmuXLoA1lv74yA4QhKdEgECv9HqpdTdXgRAs3ahEck
 Sg1EOjDffWhKspTFPSTTifhxPxTjZzBEbIL1EgNdL4yySw62JcCyeEDk4WELXr/eYQNGQp7uT6a46
 IN5wGRTQvpk0N0vKCUFbNUNGGxP7VODweOWjqUSjUZopOr2HTY8m6K47cZ0H3HYsrx8UEj9yWatxH
 oqVjFMecpBxoKg==;
Date: Mon, 15 Apr 2024 15:55:20 +0300
Message-Id: <86h6g2lr9j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87bk6a27fj.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <87frvn15p6.fsf@HIDDEN>
 <87bk6a27fj.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: bjorn.bidar@HIDDEN, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 70385 <at> debbugs.gnu.org, juri@HIDDEN
> Date: Mon, 15 Apr 2024 19:26:24 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Björn Bidar <bjorn.bidar@HIDDEN> writes:
> 
> > Sorry I called of to early. I still get crashes :/
> 
> Would you please run the commands Eli requested up-thread?

And please run GDB from a directory other than src, to avoid reading
the .gdbinit file, since it seems to cause Emacs to exit when it
attempts to generate a Lisp backtrace (which is not needed in this
case).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 11:58:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 07:58:18 2024
Received: from localhost ([127.0.0.1]:37047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwKyX-0001EQ-Jz
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:58:18 -0400
Received: from sonic314-20.consmr.mail.ne1.yahoo.com ([66.163.189.146]:45854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1rwKyT-0001Cp-Vl
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:58:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713182276; bh=oeNwh0MXUHyDfCOm8HALba61vneemUcYNGaTQdPaFvw=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=i0f3ZHsO9qszGkuIFvnJQUKqrUuS7zMvloYdbvSRLy6rDOo3Ap9ORQutj0NjTaAmoIxQuODWXyn9hQAAoO9TUzS33A3v8VVHixhy4Zx1jHh0v1Y1/2twyPAduLGTAW9KyjkErKwTeg64v+2gQv7TJqClMWARGUj8raPfFBfF24L95sTl6wwJLmViPUUqwoyLRy0cqcsJoC/GMmY3hBmjoUQvOb2tYcQn0c+xzmRBqAiAbCj7OITNFanGsuy7gLoqmPuPOjpUwX3I241IK586qooIFG2FpWjGvjEurlsFWnetqQffkS4QnPpvi6vd3XDG9ZhpuhlEY6lsH4tnR/3BgQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713182276; bh=zdElNrdgpUGwQvCvruUAKyo9j43UV9zU9C4AzlPG29u=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=NXa2bthcoNb79cQLOrmK5JyYJ78RJBH9FfclACfgBxxE8uG5A8685NqtZF2Lz6C4dwlSAfLdcH1UL5mRspF//t3YijgHAmvSB37VxnlLP14QUxI7es19SZ6mvLh4Hyi+dDL5jvmBPJ/mNmj7p9xsxboUfoJvoTf0xmYOTWyzH2jzbDRoL4OcjYnr4GcDtPao5I4JXQrAu21lD70V/WpzcDay1jpcbhHu3mVdrSWzMIx9wDpHMujpYNq19BTfPPAwm1seAVSr62Stq/sUWXkn0vLM6voTY8Ip6moKCLpmGfFef40bTt1y5hnoEmASFuPP+nkG72frZzaCg8+/8ta45g==
X-YMail-OSG: hmbdfUYVM1lVui6uieFwGKE8UIjQrUaIZ4xSm8ehKrQArzbq0EQn3uPZO44s4HZ
 ffI_4gXjnmahLfE3LPQsiD9GmHaCpbbCa5NFx_LN50H6aaOEvm9kjuHefaf92MTyCSdh81kwMrkN
 hjCmw5LNDhkCtwflvTqRKLYIzip5MFuu8p_brjGIzax5X4c5am5uMnc0lYSwtULw5Es93NBb2gmT
 ekTHH9joGUIzZ8x0PAN.mI5_NLS9XDAlkqEGiWFoTHw2x9kriWq3_B9w6qXV4JUyyq5DslR3JfUa
 z7VA1SO2EhMY6pe7nRB715ZXGU_w3r40aVWm0pwhhHRRtqDlBr2htHo_N7zMP.wr0YiuXUhCYWh8
 _DDEWU1_HPAHMalYJBIAB01.PND6G8s8VBCgSaZCA3jfu0p197udbARh8_FYCOEj6r_6owFOa9tw
 ljDKlQBqt6VCjlNsM9.v7AvJNI61BZMeYgqdGuzzFM3oOhlM71gv2.Bp4QyhaW56.p3gSNhGbbjm
 MLx_KWM.8OoBEzXFD3WNaDxM_pd.j4vICUk9YDe7tYZNOWaP_2YU2HncTdfhoCCbJJOfd9aXIhk6
 9Rg1plVDGMGMEjAheT1O6IJVHNY_ltOjhRHy5txGY3XcDxMlf9RqVng43VfBH9tD1fn5PgVhIJ_Z
 ZoukLIbnyCVsz78y2zrRgMTNCTrDmd3Hs564oengMPqGw2bPqPefBUR.pWe21dGOMcq35jIEa_w8
 TTB9tg.5jPXShpTRfQum8Q9djoG6SRRDADm2u.5rsRwXYoPxTi_pom9fj35soOpq5dHdfcB5cvDW
 ZrGGO4xdI5D_540WAyTenEGMCYzQ7KQWP0mTsQ7F1Vy2u9CcK6_OkkjQLP0OkilWRglRktdEtzZs
 ScgkzfOEvz2B5MHq30wcWKL5oQAa0P_TkNyDdkYpPou3W5Z0MPJAkaBScKP8Ij2wvB5woDz1hDY2
 VWiHsqYz_Q3rVX1g2J.dXxb98uOBC_51h.tX5kJ8Wslv2z0sQVgEkb.eY4Ek0b25BMHd4YT6Y6Yk
 I27kK2x9Kc2.NXydFRUl_IK9iy.a9xwRihaHDJXfogeQewimv_ow18Fo_Mqtpv0ZRUMdAJ4KIWqS
 3AkyxKhwFGIi7tyUWxlFb7F8S7U5pxbxz4yDA3mkPJf78XcgK8t.w7R7mZLUcbnqdkTCWmgQoG6J
 O2dsM7k5iR4PfZOIfGOmoLC74A0o41NOB7tZi6ytz92GEx7WmEmAHGFvxSoOuKeIGcgcuzWANUUL
 45nlUVChccNc3xebYwUyxIWTMqu9lXhzc_yLEtHwoU3v.M7z9xBKVhUPSlV1kkOmREvv8l0hPSnK
 L7TcEWCWlUmNRBE9uT2FoPOlU_sbmARpk26x5YMtHtjcabWxuzNn8tqCqfwal_ucbFBZSKkXj150
 g16EqsaycSFGUN3fiSWLJbGN1KKDAnxlbFatMapSPWd6296V2ooBkTrv0Py8G_dr9xmKdKj88nVF
 QW8vGIIYoeVzbQ75zMzkSGClbI4m6iI8LT6Ti8Chr7Qcue8fuNRkpTGqtvDoHg4.CeVcWX0C25T3
 0kHoIU_kASOe63vcoEh6npe.qSdefqrYdq2ST5_Fo9DnZ7a.tp.lKcuI0pllX2VUrSPK5ZdFqVIt
 KpPNpLHch5iCPx9uK5MJuEbGc61rHckCJskglK072.UfYfYgzH0WO64ytdV4LB9fOVeKddBFdgCh
 bGk4NZ1EXcMUihRpVqpYzBt1u8GRRN8hhWUKxQCdeTAB8M5iAy_Ca2iOIagchA1eyenqWm4q.8ve
 rID3XkfVxtRVi3Pr8j_PWEN0m6PUiN.a8Bsaa4TgBW1eJZj6GpBqa0CXxSnV5eRqp9vGBYRnUn9f
 3fj7VSkJCI4XY.XwPBwZwlFK7ZbM1gahnFSIifcPTcm0Y5BqF8KD4MXZ2E8AwScYZc4fQBHdl9UO
 p1wJX_Q9vCb4Qt0HCGd7TAVMFWkSKnzhK7jL6n4b9JLy0u1yAWW2CsXCSg0m7H0Lr27FAS2uRO5m
 w1_KbddQp18_p20Ybbh_3LljZ84.oRyBcVodFFBMAd6KqKv5ChpXxCIfc8J5e1WISM65jOj5zHk5
 TwObkN5.gVzGoAgk5UyVPhEyCh.FR5FctQEQwSUZcT7PKVeDW7du5z31HINO7aFP9jqy3o7_V.4A
 jAcg8twqA_g20RemzBn.FCtjRUa5o3VAzkiWG8LIsPjbAjfsshapO7XOCyeA.G9XpVe706PuTen7
 uhkcC7C97Kgdda4uFG9N9.8Qt3Dgm4RmObAWU02xGbGbN.AnQg5BOrAlHTEJx8uxR6JDHQg--
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: e4761416-efec-44dd-a031-b51b8b633744
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ne1.yahoo.com with HTTP; Mon, 15 Apr 2024 11:57:56 +0000
Received: by hermes--production-sg3-6f9f87bd85-6gkq8 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 7c0e2a367cedf0ed9988ac44092f3dae; 
 Mon, 15 Apr 2024 11:57:50 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <86r0f6lv76.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 15 Apr
 2024 14:30:21 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <86r0f6lv76.fsf@HIDDEN>
Date: Mon, 15 Apr 2024 19:57:44 +0800
Message-ID: <8734rm25zb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.22205
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1105
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: bjorn.bidar@HIDDEN, juri@HIDDEN, 70385 <at> debbugs.gnu.org,
 vekazanov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Any reason you didn't include w->window_end_valid in the condition,
> like we do for mouse-highlight?

This wasn't necessary to fix the crash for me.

> I'd like in general to have the same conditions, to avoid having
> people wonder what they miss when they read this code.

Your wish is my command... :-)

I suspect it might fix the Bjorn's crash also.  Bjorn, please try:

diff --git a/src/xdisp.c b/src/xdisp.c
index d984c12d1aa..51f6b1efd69 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -35771,9 +35771,10 @@ note_fringe_highlight (struct frame *f, Lisp_Object window, int x, int y,
 
   /* Don't access the TEXT_AREA of a row that does not display text, or
      when the window is outdated.  (bug#70385) */
-  if (window_outdated (w)
-      || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
-						  vpos)))
+  if ((window_outdated (w)
+       || !MATRIX_ROW_DISPLAYS_TEXT_P (MATRIX_ROW (w->current_matrix,
+						   vpos)))
+      && w->window_end_valid)
     return;
 
   /* Get to the first glyph of a text row based on the vertical position




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 11:56:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 07:56:25 2024
Received: from localhost ([127.0.0.1]:37042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwKwi-0000wK-As
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:56:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rwKwc-0000u3-N6
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:56:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rwKwJ-0008Ji-P9; Mon, 15 Apr 2024 07:55:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=NUlTi+HxsSScjj5hvXGgLCuevABoUS2W744rkOYBD+E=; b=PzHfNF+kxzb8
 o0XLL2JTanuuU0//h+cVGe7lhsucV8thmW6fJ5W2HTWHqplyTu+NtiG3DZsu0jy/8kg+ZUr746ENX
 aWvfTTtJq0eJ31sOQCl/drJesIcIbQUPxv5nMoPlVnqaCkk5vI56UxcLOwAlUsze6We5pkZxHzLpp
 wyZNdvdBrEOdDYAOhoXuPm65QARsGBNXF4QEUhVSA5uwmXPk5oscY0z0ZQVJatGt5f17ziaLtaK/e
 D5GZU64RvU0r5ZxO6Z4BDobOaXy7xDAXLxQKJuT14jbo295rFs5tZJX0V7UWZSBbdlvfWwHOTDkhP
 erhcWg7zez6Asiz6sAudEw==;
Date: Mon, 15 Apr 2024 14:55:28 +0300
Message-Id: <86jzkylu1b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vladimir Kazanov <vekazanov@HIDDEN>
In-Reply-To: <CAAs=0-2k63ivcp5T5uoxrV117KSmc_Yz3Ds_LPDa53Awx=79+A@HIDDEN>
 (message from Vladimir Kazanov on Mon, 15 Apr 2024 09:22:15 +0100)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <86h6g3qgbw.fsf@HIDDEN>
 <CAAs=0-2k63ivcp5T5uoxrV117KSmc_Yz3Ds_LPDa53Awx=79+A@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: luangruo@HIDDEN, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 70385 <at> debbugs.gnu.org
> From: Vladimir Kazanov <vekazanov@HIDDEN>
> Date: Mon, 15 Apr 2024 09:22:15 +0100
> 
> Po,
> 
> Thanks for coming up with such a quick fix, it works for me.
> 
> One suggestion on the patch. Having just done a deep dive to xdisp.c,
> I realized that display code is complicated, it accesses many data
> structures in very involved ways.
> 
> Should we add more comments clarifying the nature of the bug? Or, even
> better, the invariants broken by the code?

I think the comment added by Po Lu does provide that information.
Feel free to ask for more clarifications if the comment is not
detailed enough.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 11:30:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 07:30:52 2024
Received: from localhost ([127.0.0.1]:37000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwKXx-0002pn-E4
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:30:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rwKXr-0002j8-MC
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:30:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rwKXa-0003X2-3a; Mon, 15 Apr 2024 07:30:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=apd1lbJiX6LyQKWUG9aWRwOOtpulL/LGNRaXXv32MIk=; b=CwlVtD7SZGcS4zEgkiCs
 5MUzYJUcBDba1onVMFiPDGnLEBeK/9krQ9z4RfNOzF06kHQR7lZ9sjfqCf6brWeBTdtpaItT97tUi
 Id1P4xkxO+/H7G1dX32PGRiuDUpj9WrKVsJvKcO9wXuwjxKyxy4/sUbBOnyYwBqBGsA4w8GGjQza/
 ZO6NoKVrJQFWoFJJO+ocRpwym2q3N5vnENX+ED4KRJauN/RuXJRHdf9d5qRklk886tuvoCbgjilAz
 xjEbwNGr095XHLegk3MASX0jSgpwmwbpgbwERCgmCWZ7c2G4qns86d4OJKsz1vDwP62XaG+q+AmWz
 zFi/U1RKVyF5Xg==;
Date: Mon, 15 Apr 2024 14:30:21 +0300
Message-Id: <86r0f6lv76.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87jzkz1kdn.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: bjorn.bidar@HIDDEN, juri@HIDDEN, 70385 <at> debbugs.gnu.org,
 vekazanov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org, juri@HIDDEN
> Date: Mon, 15 Apr 2024 09:32:04 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Björn Bidar <bjorn.bidar@HIDDEN> writes:
> 
> > Björn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of text
> > editors" <bug-gnu-emacs@HIDDEN> writes:
> >
> >>> Hi Juri,
> >>>
> >>> This must be related to the recent patch introducing the function.
> >>>
> >>> Can you reliably reproduce the crash?
> >>
> >> I have the same problem. I tried to replicate it with Emacs -Q but
> >> it seems hard to do since it just happens at some point when using Emacs
> >> and moving around between screens/virtual desktops.
> >
> > Actually I've found a way.
> > 1. Open a file using a mode that uses fringe indicators such as flycheck
> > 2. Point at the indicator
> > 3. Crash
> >
> > Sometime not even that is needed. E.g. I was moving from the monitor
> > that the frame is on which Gnus is inside where I'm writing this reply
> > to my browser on the other monitor.
> > Just a few seconds after I was on the the other monitor Emacs crashed.
> 
> I think I've fixed this on master.  Please test, thanks.

Thanks.

Any reason you didn't include w->window_end_valid in the condition,
like we do for mouse-highlight?  I'd like in general to have the same
conditions, to avoid having people wonder what they miss when they
read this code.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 11:27:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 07:27:05 2024
Received: from localhost ([127.0.0.1]:36986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwKUG-00024S-QB
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:27:05 -0400
Received: from sonic308-56.consmr.mail.ne1.yahoo.com ([66.163.187.31]:46346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1rwKU7-00022g-Rx
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:26:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713180393; bh=Y2txunacy9d4dBOkvxvF3FGdBiZzRs8o08Sk6WvJ+6k=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=Y1mG7g7fopOYFPuwjJU3GJL9wbGhra9pd/vO7bQRDC7F5JeHeZcGKvztlBZTsRIBI3FwtLCK/FWmWnBlH6iAnSh6E2xOVx0b+oKSqBtJ9L8Jdr+W/s8S/mqDsb3Eo8QAedtIk9YD807KExN9THBnIB7mgWtKWJGWAOb34fvenQ1tPmYMGqHlB1KnST9mSebahwi3A7Ruf9IChhgjvZI8qDBEs3at3Df3mUGXNiWM6IRjbPsm/q80yXmRGOpqza4Vxrf5bygwWI/8ovqDKhij6qMBJUOX05tH+ZdCigTgNUQ56Mz8vUDDIfdvIIsmRHZUDQwVDo3jGRkOJ1XTTvAWKA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713180393; bh=Ng3PYsEM27CDFGoSB/2BbPVXMsfQlbzPgf6ET8Y1x3/=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=EyRFlZoOKnxTK8xbU6opq19bxlYc5raC+2hhGMRW29EMKRWiTodNY+iNBgnx4WlsGw8jMpmzO18luoWdEio/lOG0zQxoMYQ/ybSRBWOyCOgv6mEMmqNNcyu8/OVkeZnFPhUGlpVKRBVvLwG08ZMdOgTX0utgBwsi8mAOexcCHhue2kdqwfyI0S9BZmewcuKAG15fdH54+/ajGaCcJpTxPxiQz2U6icUOSLNkIcdc3eIS4CU1SQaHCWP7wk1GAqFhali8A/ghWe2JNruFNNFcfAYoJExK72D0Zls/Y4zlFBZIaud/Wuf93/TRPgWXR/NTnaUtbZ1nJrBoqnn32VtwKw==
X-YMail-OSG: .RrS6VoVM1nfr94T4ZWAPEPdZv9j8gYQ5Ed.vrB5ivEIcZYsthEs02TWjcCJ5LO
 Y4RAEAglv9x3nfhGMIg0MRfu6Ig7uy56noEC_KmD7bcXdJ_WkwgwG0G.fmKiX22nc8Aqw2xe4Lh9
 Wjy4IxMb0FgCP6uxAu0EOiqPZSnrNSmWyX94y1hnmY4.UioHuddOhljGX8BbVPTsefY4tImj6Qy8
 cZbHRK5.3y9veuQsX.auzltj_PgcFDms4qomvRvaoYPGtXC_e_Bdx5D8huQmhGlbTQsAr7LJjS6J
 jrj7pPrYwcYsTe.AWOuxuikTmLuVHwf3eDB.T8LtFHlFoDccHg22wcNps7qYcZZqd33okCZ_WCPK
 QKBSZmlLNXEleQZU4dSAQjJg8_45BpKcWGpkeQq9EzmBhj2NZIjmzsPbR.MxSWMH1knrnjT40b8O
 B1XCBeFBM2_CgmJH8Xd2p34JjQSJtfokduu25xBNm_UX_2hJRPVaPjUP0imP9Gb9yrkar9K80VGF
 FI8XZ7kuRsE8EsNxYKEu9T_hzZO1B2PgUkVWQEohXQdSBJZntri4ATm5ce_CXwDAJkIktVftN5v4
 0Es1ZbbO.FJ0Fpz_9tiCpfsLzMQ688OzbN14A6FFZUfgAY1etS5724y0ZJDHealdpOPVdN4s_mbJ
 358Z8ywC9ehqax4Mq7A3mJZCTYesZYQmz.eQruHuaM8hFfvrVzGYZZCmUYEwjTz3raMRXSBPArMa
 EkVVlCIQM.cos84oBR5__oaGOljhGW7NUsYEpVxrL0CFh5TzmbMsT9d6i5bApOUGADwnvPwLiI4d
 3eLBCeY9up0jLykblIsr5tlgRcoXuCf2n73i_rD7hH_rB71WxTODXkLNuuP36v3ARQMKOWSCh4oy
 w.0smiXmvhNx_Ig1pYE7rL3etjm7jhDZa5apnsc9XBTf9GScl_bBlcf8g6YTpYkXfE1MPDlz1TRS
 4p7v6HTME552m7gj09NEOXc0cBsejjSXfgJ8ZPHJM4W5y9CCwsCW09krEYLonPFwxdq7zJGj4SMr
 LKPqSAVzWvTwnLoEw4WxE9UBVm6xawGK9bf4LmPWPgJP2yF8VZc2HwApOUDNNxCmwPYO0Ek4biF9
 ZtTSGmVd8pzCxZRkTSh7jInBJzMg97lLELsCpjh3apBuydIWDrbLvhtGyNYEEYd1J_wLLQeT0Alo
 ba2X2AD5OrM8G3zUc_cKcbs_loLeNBUE7AIHtw4j2M9q6gQRPzNz8Ndcl6xW4udqARNcK6u6S1GA
 s3oIMnLRATaR6n0_5kRcMXI0ND9s5P90irCCqWD6m9FSPBzLxzeb471G.XVFlVL9GFK9Z_rblFa6
 qlbYIBvntna_gIecBgWk35Mxi9ztdPRfh.tqvLd6R_sATjV7DxgwHoonhhsROpmKblSzr6Zf0gJo
 ZrpfQm6z6Z9DmA6eaBhZqc8uQxHe15WC8pROjm7D7AZ_8wSJ6dLtSXlrIisxZCrSoe4QaWUUp0zy
 hdKNvcJZJh6yIHB60YjCLcT7p42V1CgbXSm_xzqvdWa6OZ1MxE_CRSx1bLnDyPSNweht1HXZjaDP
 PydmwrbmV9Y_Z12o.xn0xpx0u_QDtBqGHSsz4u4XqaXDWoY1Xv7pzGc2dG5MlzyR1nbPYefzzA8e
 eTS7ZZDoTr7eljfR2aQ9_AAaViWN6AyzlMfDCKTVTcctDOz2inQbuyVfiLmfb8TzMtJ.IrAQ5Vah
 WQh7z7Z5A2HANbTeunRTge70Gmri4xg4qZZdI1A9cHQdEsc_.siOkQtZbJ.OIqUmHAD_a3AYkBzZ
 tiEHeD49RLOZjErtTxI.LnSMM8c8JsKXxDoYj5dzb1_1isfdJZhyFaAyVUlGan6zjtz4EaN2peEI
 CG7K2CXCnBrIInIyoaQL4hzRcphp2AMNbupV6xTEZ2XtocCj_Hjr8p._lSSvj.bf1KDBlA4TrLUZ
 y9DGw_mpYMznW83qwmVCMAeA9LKhQmyxUUmomYJ.Ikfl9zdNrn_9s5CdSLSDDh81xrSeBrU3bPPe
 l7YUtxabf8FMLvL8f589LFD4SssKielfYZc2gSDzoLq9klJdMlLik3TAp8LwdDsn2b1P4IFCTkh4
 o3UMImOW_3Xfn9._klqaw6MkQ9Tcfm24cfmOFqFQHapHjMab.9xCG1wVJdxcT8lfjFjvgPdoMHOL
 S.Z_nCKTNOiVSgja27T0N9nDU0R41wUaYg5yq1_l4dRJmCitAUPhhPiDEQpdXwPZcL4fSQ3YWjPo
 kohWZGnh0aJQ6qcpxN9EfsSV1lr2soiFsBfeYwJt4Z7tLSBoTob9K.Mbmxp.MnMEEh2I-
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: b39d26c4-4d1b-481a-bea5-defd10d67e6a
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Mon, 15 Apr 2024 11:26:33 +0000
Received: by hermes--production-sg3-6f9f87bd85-k26hw (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 3510f8aaab07a2a6e8a74d045ee8a6fd; 
 Mon, 15 Apr 2024 11:26:30 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <875xwiubq5.fsf@> (=?utf-8?Q?=22Bj=C3=B6rn?= Bidar"'s message
 of "Mon, 15 Apr 2024 14:06:10 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <87frvn15p6.fsf@HIDDEN>
Date: Mon, 15 Apr 2024 19:26:24 +0800
Message-ID: <87bk6a27fj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22205
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 164
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Bj=C3=B6rn Bidar <bjorn.bidar@HIDDEN> writes:

> Sorry I called of to early. I still get crashes :/

Would you please run the commands Eli requested up-thread?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 11:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 07:10:11 2024
Received: from localhost ([127.0.0.1]:36932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwKDy-0008QS-TD
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:10:11 -0400
Received: from mail-lf1-x134.google.com ([2a00:1450:4864:20::134]:51224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vekazanov@HIDDEN>) id 1rwKDu-0008Of-Gd
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:10:08 -0400
Received: by mail-lf1-x134.google.com with SMTP id
 2adb3069b0e04-516d487659bso3651971e87.2
 for <70385 <at> debbugs.gnu.org>; Mon, 15 Apr 2024 04:09:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1713179389; x=1713784189; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=yS1CPhbEc6lX8VcksTDHSwSfbZHreHC4dBQa43rCqbQ=;
 b=WsYj1vxoKFrpB1l7ofuBMVNI7qxU6WoIArCKB2oUcCmbOUXS81mWGn6FzK7nJnxz+e
 wfujs0GTKTiUokc6gWtVfPrEkuJ96HYpYDy9eejQgXdbR5jbgXhrG0Wbz2krSb9MyqlC
 2RfHZQksSrGCBXNVK2WPs+m/tlsW95Eq9wF0HvkZ4yvYpEchvcn/3G6T53Am+lsFpt1y
 tEUupPOcpEgHUZtrUAu8+V+q290CP4IhMyTwgs+o8dxpjSLEtk9mgosEU5ssn1n98uto
 sneniOTR2GnBKnAYvTEpj/9IARB/dmd6NASkjkhGCkLvrTXwrziMKjftrxY9VzeDAQXE
 OTLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1713179389; x=1713784189;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=yS1CPhbEc6lX8VcksTDHSwSfbZHreHC4dBQa43rCqbQ=;
 b=lXMDhhlSJSMNpHruW4YPysTNoW26Tm8ihqXHEO0DmU4gf5TTLprM6PmIY7vyu48n+0
 8n4EoqNVci87KWI1jG4uiuhTHyaLyNVEgkoUkkvJj0tiPQYZrYeSogWcXj4MdHlpOEiT
 qutFSh0wJJ0x4QPIIcYJRXYXcqSm3HfuS0Q9nc5fAK++usR+b174OzB2URhsXkUD42yx
 syaMWsdPd4cqyjXXXPE6+Ujpgt0IPDL1P4wLTOinXHwDtNlLUiH3mZYLY7l6PSwmwlPe
 /Cpfr5ggYbvT253KWkEIGsdUXvsID5JIzjnUXiDcPvxapDydcyIse+AEgJ5ojjmhfrRw
 i49A==
X-Gm-Message-State: AOJu0YzOphrHlKUSylpkcFdGunvFxkRpSvMWQ+NiOVW7IwHZD2KhYhpQ
 RlNjvBi0Tl+nkjpT+AYnwj8qjrm/odxIiKesQT+eT0fHKRZpwelD3tg62NGc9DvngUviuISmIGP
 dYW3FsgkTRSAVacRH9NQQT/LOxQ==
X-Google-Smtp-Source: AGHT+IEk2d0bDs+94OgGqKTIyJA8566FKPWd8sBGQlYBBBOnrXqAN2T/iIz0OpU+2cXVx3i7EZzzOb+OYqprQtpqhDc=
X-Received: by 2002:a2e:9c43:0:b0:2d4:6a76:2758 with SMTP id
 t3-20020a2e9c43000000b002d46a762758mr5758955ljj.19.1713179388379; Mon, 15 Apr
 2024 04:09:48 -0700 (PDT)
MIME-Version: 1.0
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <87frvn15p6.fsf@HIDDEN>
 <661d0a70.0c0a0220.5de8.ce32SMTPIN_ADDED_BROKEN@HIDDEN>
In-Reply-To: <661d0a70.0c0a0220.5de8.ce32SMTPIN_ADDED_BROKEN@HIDDEN>
From: Vladimir Kazanov <vekazanov@HIDDEN>
Date: Mon, 15 Apr 2024 12:09:36 +0100
Message-ID: <CAAs=0-3E6v_OFafieUM8U6B_Ay9M9Ut4T7L-Xbe+F_crQfd5Fg@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
To: =?UTF-8?B?QmrDtnJuIEJpZGFy?= <bjorn.bidar@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: luangruo@HIDDEN, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

It seems that there are more hidden invariants there.

Do you get the same backtrace when crashing?

On Mon, 15 Apr 2024 at 12:07, Bj=C3=B6rn Bidar via Bug reports for GNU
Emacs, the Swiss army knife of text editors <bug-gnu-emacs@HIDDEN>
wrote:
>
>
>
>
> Sorry I called of to early. I still get crashes :/
>


--=20
Regards,

Vladimir Kazanov




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 11:06:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 07:06:58 2024
Received: from localhost ([127.0.0.1]:36928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwKAl-0007zq-EE
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:06:58 -0400
Received: from thaodan.de ([185.216.177.71]:34622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rwKAP-0007x1-Oq
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 07:06:48 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id 9DD60D00049;
 Mon, 15 Apr 2024 14:06:11 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713179171; bh=fN5OhgHmg4i0YsW/CzogsWu3loR3BXAg/VSTvy4/r6o=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=mo44lRBAIGc/sZDOcWtkEOYQG7JfIPg2Oc7bR41DA51ub30AEkrkqyYcznKs04mD6
 Jvmg1Uzq9NYDHkaYVvXyCn7oz/WntXxYBcpnzXjlXgv4VPVXk0SIcH7/nXZzUioHPw
 +b6ndyL8ku+Vx1atn+sf4bOtX4JBqdl9aZg/UF7E9k/hQNAUs7HtmHMrUwP8yGnpw3
 qPzuE8n4dOW/PeOoG0pM0rgWbJr/vNv0rIFxMqw1v9rsDttmp63QnW5gf15lf9u5MH
 WPyQ8xCLlHl0xSBQ17slKDeE7VAO0Dwn+DKxx4D0HmHw1QDRZKlAEOL7hlrNKyr8Rt
 6RI2EvdWG+cBwoxzbAhLVTnzOmSXqlQwcwI1zetk2T04+F9HFpnTnNn9FlVcoKzYM9
 lN48RV0wTxnjL+Yl98lKE3lQC9DMuWAUpI5cXqVHHbpIBArCEdlGCDi1Yp+CAsSxEm
 u69C+M+qnQ5SYmeAP00/lvmzf0S2kOZn/wTcBxBhd54CCthRN4kEPcpIaEuXOw/uAv
 9L9C/SZUkRV4Ch791zz80pd6poDWSGC7YwxfOlWtwk97wY6NGxTHhqb/JhOfWkoekF
 Q555j3c8kfwZOQNV4SHSkVYzrAn4yZtSR1BcNryO83+QpKbm2qP/4diVo9QroBYklI
 6MdBap3bDnLj4hkiRpgvmJTc=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: 70385 <at> debbugs.gnu.org
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87frvn15p6.fsf@HIDDEN> (Po Lu via's message of "Mon, 15 Apr
 2024 14:49:09 +0800")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN> <87frvn15p6.fsf@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Mon, 15 Apr 2024 14:06:10 +0300
Message-ID: <875xwiubq5.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Sorry I called of to early. I still get crashes :/ Thread
 8 (Thread 0x7fffdea006c0 (LWP 38357) "threaded-ml"): The program stopped in
 another thread while making a function call from GDB. Evaluation of the
 expression containing the function (backtrace [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: 70385
Cc: luangruo@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--=-=-=
Content-Type: text/plain




Sorry I called of to early. I still get crashes :/


--=-=-=
Content-Type: text/x-log
Content-Disposition: inline; filename=emacs.note_fringe.2nd.gdb.log


Thread 8 (Thread 0x7fffdea006c0 (LWP 38357) "threaded-ml"):
The program stopped in another thread while making a function call from GDB.
Evaluation of the expression containing the function
(backtrace_p) will be abandoned.
When the function is done executing, GDB will silently stop.
Invalid thread ID: bt
#0  terminate_due_to_signal (sig=11, backtrace_limit=40) at ../../emacs-30.0.50.5968.24957ea566b/src/emacs.c:441
#1  0x00005555555ee603 in handle_fatal_signal (sig=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1800
#2  0x00005555558b7698 in deliver_thread_signal.constprop.0 (sig=sig@entry=11, handler=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1792
#3  0x0000555555752bd9 in deliver_fatal_thread_signal (sig=11) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1812
#4  handle_sigsegv (sig=11, siginfo=<optimized out>, arg=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1950
#5  0x00007fffec641240 in <signal handler called> () at /lib64/libc.so.6
#6  0x00005555556647a7 in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x55557951b6d5), f=0x555556465a00) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xdisp.c:35775
#7  note_mouse_highlight (f=0x555556465a00, x=<optimized out>, y=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xdisp.c:36036
#8  0x00005555556ed7c0 in x_note_mouse_movement (frame=0x555556465a00, event=0x7fffffff5180, device=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xterm.c:14667
#9  0x00005555556fb70d in handle_one_xevent (dpyinfo=0x555556188170, event=0x7fffffff5660, finish=0x555555ebbac4 <current_finish.lto_priv>, hold_quit=0x7fffffff58f0) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xterm.c:22352
#10 0x00005555556f04b1 in event_handler_gdk (gxev=0x7fffffff5660, ev=<optimized out>, data=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xterm.c:17890
#11 0x00007ffff7d0682f in gdk_event_apply_filters (xevent=xevent@entry=0x7fffffff5660, event=event@entry=0x55555b7cd930, window=window@entry=0x0) at ../gdk/x11/gdkeventsource.c:79
#12 0x00007ffff7d0e03f in gdk_event_source_translate_event (xevent=0x7fffffff5660, event_source=0x5555560133e0) at ../gdk/x11/gdkeventsource.c:198
#13 _gdk_x11_display_queue_events (display=0x555556070090) at ../gdk/x11/gdkeventsource.c:341
#14 0x00007ffff7cb69b9 in gdk_display_get_event (display=0x555556070090) at ../gdk/gdkdisplay.c:442
#15 0x00007ffff7d0e412 in gdk_event_source_dispatch.lto_priv () at ../gdk/x11/gdkeventsource.c:354
#16 0x00007ffff6e4e710 in  () at /lib64/libglib-2.0.so.0
#17 0x00007ffff6e50358 in  () at /lib64/libglib-2.0.so.0
#18 0x00007ffff6e50a0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#19 0x00007ffff75f6b95 in gtk_main_iteration () at ../gtk/gtkmain.c:1433
#20 0x00005555557000d2 in XTread_socket (terminal=<optimized out>, hold_quit=0x7fffffff58f0) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xterm.c:25657
#21 0x0000555555742712 in gobble_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:7898
#22 0x0000555555742a15 in handle_async_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8137
#23 process_pending_signals () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8151
#24 unblock_input_to (level=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8166
#25 unblock_input_to (level=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8160
#26 unblock_input () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8185
#27 0x00005555556701a0 in set_frame_menubar (f=<optimized out>, deep_p=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/xmenu.c:1259
#28 0x0000555555668f2a in update_menu_bar.part.0.lto_priv.0 (f=0x555556465a00, save_match_data=false, hooks_run=true) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xdisp.c:14086
#29 0x000055555563a6fa in update_menu_bar (hooks_run=true, save_match_data=false, f=0x555556465a00) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xdisp.c:14020
#30 prepare_menu_bars () at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xdisp.c:13975
#31 redisplay_internal () at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xdisp.c:16982
#32 0x000055555573de0f in redisplay () at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/xdisp.c:16562
#33 read_char (commandflag=1, map=XIL(0x555557099bc3), prev_event=XIL(0), used_mouse_menu=0x7fffffff756b, end_time=0x0) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:2677
#34 0x000055555574fcef in read_key_sequence (keybuf=0x7fffffff7700, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false, disable_text_conversion_p=false) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:10722
#35 0x0000555555737097 in command_loop_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1428
#36 0x00005555557d4067 in internal_condition_case (bfun=0x555555736ec0 <command_loop_1>, handlers=<optimized out>, hfun=0x555555735fa0 <cmd_error>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1537
#37 0x00005555557363de in command_loop_2 (handlers=handlers@entry=XIL(0x90)) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1167
#38 0x00005555557d3f71 in internal_catch (tag=<optimized out>, func=0x5555557363b0 <command_loop_2>, arg=XIL(0x90)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1217
#39 0x0000555555734eef in command_loop () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1137
#40 0x0000555555735a86 in recursive_edit_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:753
#41 0x00005555557742f4 in read_minibuf (inherit_input_method=<optimized out>, allow_props=<optimized out>, defalt=<optimized out>, histpos=<optimized out>, histvar=XIL(0x6176270), expflag=<optimized out>, prompt=<optimized out>, initial=<optimized out>, map=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/minibuf.c:905
#42 Fread_from_minibuffer (prompt=<optimized out>, initial_contents=<optimized out>, keymap=<optimized out>, read=<optimized out>, hist=<optimized out>, default_value=<optimized out>, inherit_input_method=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/minibuf.c:1370
#43 0x00005555557d81c3 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2555
#44 0x00005555557d8480 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#45 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#46 0x00005555557d9707 in Funwind_protect (args=XIL(0x555558f2a4f3)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1532
#47 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#48 0x00005555557d9430 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#49 Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1040
#50 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#51 0x00005555557d9707 in Funwind_protect (args=XIL(0x555558f2b333)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1532
#52 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#53 0x00005555557d9430 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#54 Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1040
#55 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#56 0x00005555557d85a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#57 Fcond (args=XIL(0x555558f2b4e3)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:412
#58 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#59 0x00005555557d8ff0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#60 FletX (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:972
#61 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#62 0x00005555557c7b30 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#63 Fsave_current_buffer (args=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/editfns.c:852
#64 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#65 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#66 funcall_lambda (fun=<optimized out>, fun@entry=XIL(0x555558f2b683), nargs=nargs@entry=7, arg_vector=arg_vector@entry=0x7fffffff8320) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#67 0x00005555557da389 in apply_lambda (fun=<optimized out>, args=<optimized out>, count=count@entry=...) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3144
#68 0x00005555557d7aab in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2615
#69 0x00005555557d9707 in Funwind_protect (args=XIL(0x555558f65163)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1532
#70 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#71 0x00005555557d9430 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#72 Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1040
#73 0x00005555557d80d6 in eval_sub (form=form@entry=XIL(0x555558f59c93)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#74 0x00005555557d9af9 in internal_lisp_condition_case (var=<optimized out>, bodyform=<optimized out>, handlers=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1491
#75 0x00005555557d9c19 in Fcondition_case (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1363
#76 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#77 0x00005555557d9707 in Funwind_protect (args=XIL(0x555558f59e63)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1532
#78 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#79 0x00005555557d9430 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#80 Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1040
#81 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#82 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#83 funcall_lambda (fun=<optimized out>, nargs=nargs@entry=9, arg_vector=arg_vector@entry=0x7fffffff8b48) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#84 0x00005555557d4a49 in funcall_general (fun=<optimized out>, numargs=numargs@entry=9, args=args@entry=0x7fffffff8b48) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2984
#85 0x00005555557d4d76 in Ffuncall (nargs=nargs@entry=10, args=0x7fffffff8b40) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#86 0x00005555557d51e0 in Fapply (nargs=2, args=0x7fffffff8c40) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2693
#87 0x00005555557d82ed in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2497
#88 0x00005555557d8510 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#89 Fif (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:388
#90 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#91 0x00005555557d8510 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#92 Fif (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:388
#93 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#94 0x00005555557d9430 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#95 Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1040
#96 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#97 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#98 funcall_lambda (fun=<optimized out>, nargs=nargs@entry=9, arg_vector=arg_vector@entry=0x7fffffff90c8) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#99 0x00005555557d4a49 in funcall_general (fun=<optimized out>, numargs=numargs@entry=9, args=args@entry=0x7fffffff90c8) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2984
#100 0x00005555557d4d76 in Ffuncall (nargs=nargs@entry=10, args=0x7fffffff90c0) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#101 0x00005555557d51e0 in Fapply (nargs=2, args=0x7fffffff91a0) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2693
#102 0x00005555557d82ed in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2497
#103 0x00005555557d8480 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#104 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#105 0x00005555557d84c7 in Fif (args=XIL(0x555558f60623)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:387
#106 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#107 0x00005555557d8510 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#108 Fif (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:388
#109 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#110 0x00005555557d9430 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#111 Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1040
#112 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#113 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#114 funcall_lambda (fun=<optimized out>, fun@entry=XIL(0x555558f607d3), nargs=nargs@entry=24, arg_vector=arg_vector@entry=0x7fffffff9680) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#115 0x00005555557da389 in apply_lambda (fun=<optimized out>, args=<optimized out>, count=count@entry=...) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3144
#116 0x00005555557d7aab in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2615
#117 0x00005555557d86fb in Fsetq (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:479
#118 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#119 0x00005555557d9707 in Funwind_protect (args=XIL(0x55555c288a43)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1532
#120 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#121 0x00005555557d8ff0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#122 FletX (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:972
#123 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#124 0x00005555557d9430 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#125 Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1040
#126 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#127 0x00005555557d8480 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#128 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#129 0x00005555557d8480 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#130 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#131 0x00005555557d8ff0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#132 FletX (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:972
#133 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#134 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#135 funcall_lambda (fun=<optimized out>, fun@entry=XIL(0x55555c278c33), nargs=nargs@entry=42, arg_vector=arg_vector@entry=0x7fffffff9fa0) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#136 0x00005555557da389 in apply_lambda (fun=<optimized out>, args=<optimized out>, count=count@entry=...) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3144
#137 0x00005555557d7aab in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2615
#138 0x00005555557d9707 in Funwind_protect (args=XIL(0x55555c3694c3)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1532
#139 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#140 0x00005555557d8ff0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#141 FletX (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:972
#142 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#143 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#144 funcall_lambda (fun=<optimized out>, nargs=nargs@entry=11, arg_vector=arg_vector@entry=0x7fffffffa508) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#145 0x00005555557d4a49 in funcall_general (fun=<optimized out>, numargs=numargs@entry=11, args=args@entry=0x7fffffffa508) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2984
#146 0x00005555557d4d76 in Ffuncall (nargs=12, args=0x7fffffffa500) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#147 0x00005555557d82ed in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2497
#148 0x00005555557d8ff0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#149 FletX (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:972
#150 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#151 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#152 funcall_lambda (fun=<optimized out>, nargs=nargs@entry=10, arg_vector=arg_vector@entry=0x7fffffffa848) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#153 0x00005555557d4a49 in funcall_general (fun=<optimized out>, numargs=numargs@entry=10, args=args@entry=0x7fffffffa848) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2984
#154 0x00005555557d4d76 in Ffuncall (nargs=nargs@entry=11, args=0x7fffffffa840) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#155 0x00005555557d51e0 in Fapply (nargs=2, args=0x7fffffffa920) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2693
#156 0x00005555557d82ed in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2497
#157 0x00005555557d8480 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#158 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#159 0x00005555557d9707 in Funwind_protect (args=XIL(0x55555c358d83)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1532
#160 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#161 0x00005555557d8ff0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#162 FletX (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:972
#163 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#164 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#165 funcall_lambda (fun=<optimized out>, fun@entry=XIL(0x55555c359093), nargs=nargs@entry=2, arg_vector=arg_vector@entry=0x7fffffffad20) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#166 0x00005555557da389 in apply_lambda (fun=<optimized out>, args=<optimized out>, count=count@entry=...) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3144
#167 0x00005555557d7aab in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2615
#168 0x00005555557d85a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#169 Fcond (args=XIL(0x55555c35a123)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:412
#170 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#171 0x00005555557d9707 in Funwind_protect (args=XIL(0x55555c35a133)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1532
#172 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#173 0x00005555557d8ff0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#174 FletX (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:972
#175 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#176 0x00005555557d8480 in Fprogn (body=<optimized out>, body@entry=XIL(0x55555c35cff3)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#177 0x00005555557d3f71 in internal_catch (tag=<optimized out>, func=func@entry=0x5555557d8460 <Fprogn>, arg=XIL(0x55555c35cff3)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1217
#178 0x00005555557d9691 in Fcatch (args=XIL(0x55555c35d003)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1538
#179 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#180 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#181 funcall_lambda (fun=<optimized out>, nargs=nargs@entry=8, arg_vector=arg_vector@entry=0x7fffffffb328) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#182 0x00005555557d4a49 in funcall_general (fun=<optimized out>, numargs=numargs@entry=8, args=args@entry=0x7fffffffb328) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2984
#183 0x00005555557d4d76 in Ffuncall (nargs=nargs@entry=9, args=0x7fffffffb320) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#184 0x00005555557d51e0 in Fapply (nargs=2, args=0x7fffe6c00040) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2693
#185 0x00005555557d745c in funcall_subr (subr=0x555555e35700 <Sapply>, numargs=<optimized out>, args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3113
#186 0x000055555582b3d8 in exec_byte_code (fun=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>) at ../../emacs-30.0.50.5968.24957ea566b/src/lisp.h:2242
#187 0x00005555557da1fa in funcall_lambda (fun=XIL(0x55555c2f4ebd), nargs=nargs@entry=8, arg_vector=arg_vector@entry=0x7fffffffb638) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3190
#188 0x00005555557d4a49 in funcall_general (fun=<optimized out>, numargs=numargs@entry=8, args=args@entry=0x7fffffffb638) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2984
#189 0x00005555557d4d76 in Ffuncall (nargs=9, args=0x7fffffffb630) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#190 0x0000555555773a42 in Fcompleting_read (prompt=XIL(0x55555d178894), collection=XIL(0x55555f27c7f3), predicate=XIL(0), require_match=XIL(0), initial_input=XIL(0), hist=XIL(0x6176270), def=XIL(0x55555d1788b4), inherit_input_method=XIL(0)) at ../../emacs-30.0.50.5968.24957ea566b/src/data.c:1605
#191 0x00005555557d81c3 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2555
#192 0x00005555557d9430 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#193 Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1040
#194 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#195 0x00005555557d8480 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#196 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#197 0x00005555557d9707 in Funwind_protect (args=XIL(0x555558db56a3)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:1532
#198 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#199 0x00005555557d8ff0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#200 FletX (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:972
#201 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#202 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#203 funcall_lambda (fun=<optimized out>, nargs=nargs@entry=7, arg_vector=arg_vector@entry=0x7fffffffbc68) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#204 0x00005555557d4a49 in funcall_general (fun=<optimized out>, numargs=numargs@entry=7, args=args@entry=0x7fffffffbc68) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2984
#205 0x00005555557d4d76 in Ffuncall (nargs=8, args=0x7fffffffbc60) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#206 0x00005555557d82ed in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2497
#207 0x00005555557d920e in Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1010
#208 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#209 0x00005555557d8480 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#210 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#211 0x00005555557d8510 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#212 Fif (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:388
#213 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#214 0x00005555557d8ff0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#215 FletX (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:972
#216 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#217 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#218 funcall_lambda (fun=<optimized out>, fun@entry=XIL(0x555558db7b33), nargs=nargs@entry=7, arg_vector=arg_vector@entry=0x7fffffffc1e0) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#219 0x00005555557da389 in apply_lambda (fun=<optimized out>, args=<optimized out>, count=count@entry=...) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3144
#220 0x00005555557d7aab in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2615
#221 0x00005555557d8411 in For (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:345
#222 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#223 0x00005555557d9430 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#224 Flet (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1040
#225 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#226 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#227 funcall_lambda (fun=<optimized out>, fun@entry=XIL(0x555558f62143), nargs=nargs@entry=1, arg_vector=arg_vector@entry=0x7fffffffc5c0) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#228 0x00005555557da389 in apply_lambda (fun=<optimized out>, args=<optimized out>, count=count@entry=...) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3144
#229 0x00005555557d7aab in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2615
#230 0x00005555557d8411 in For (args=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:345
#231 0x00005555557d80d6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2476
#232 0x00005555557d82a6 in eval_sub (form=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2492
#233 0x00005555557da1a0 in Fprogn (body=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:432
#234 funcall_lambda (fun=<optimized out>, fun@entry=XIL(0x5555769cb833), nargs=nargs@entry=1, arg_vector=arg_vector@entry=0x7fffffffc900) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3273
#235 0x00005555557da389 in apply_lambda (fun=<optimized out>, args=<optimized out>, count=count@entry=...) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3144
#236 0x00005555557d7aab in eval_sub (form=form@entry=XIL(0x5555769cb2b3)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2615
#237 0x00005555557d9c5f in Feval (form=form@entry=XIL(0x5555769cb2b3), lexical=<optimized out>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:2389
#238 0x00005555557dac18 in Fcall_interactively (function=XIL(0x15838d0), record_flag=XIL(0), keys=XIL(0x5555794a8aad)) at ../../emacs-30.0.50.5968.24957ea566b/src/callint.c:323
#239 0x00007fffe7cc3a65 in F636f6d6d616e642d65786563757465_command_execute_0 () at /usr/bin/../lib64/emacs/30.0.50/native-lisp/30.0.50-fe1371f1/preloaded/simple-fab5b0cf-4bc03d0b.eln
#240 0x00005555557d74f5 in funcall_subr (subr=0x7fffe87a1ea8, numargs=numargs@entry=1, args=args@entry=0x7fffffffce28) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3096
#241 0x00005555557d4b80 in funcall_general (fun=<optimized out>, numargs=numargs@entry=1, args=args@entry=0x7fffffffce28) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/lisp.h:2242
#242 0x00005555557d4d76 in Ffuncall (nargs=2, args=0x7fffffffce20) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:3022
#243 0x00005555557372cf in command_loop_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1549
#244 0x00005555557d4067 in internal_condition_case (bfun=0x555555736ec0 <command_loop_1>, handlers=<optimized out>, hfun=0x555555735fa0 <cmd_error>) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1537
#245 0x00005555557363de in command_loop_2 (handlers=handlers@entry=XIL(0x90)) at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1167
#246 0x00005555557d3f71 in internal_catch (tag=<optimized out>, func=0x5555557363b0 <command_loop_2>, arg=XIL(0x90)) at /usr/src/debug/emacs-30.0.50.5986.55a200d7071/src/eval.c:1217
#247 0x0000555555734f49 in command_loop () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1145
#248 0x0000555555735a86 in recursive_edit_1 () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:753
#249 0x0000555555735e9c in Frecursive_edit () at ../../emacs-30.0.50.5968.24957ea566b/src/keyboard.c:836
#250 0x00005555555f8adc in main (argc=1, argv=0x7fffffffd2f8) at ../../emacs-30.0.50.5968.24957ea566b/src/emacs.c:2626
[Switching to Thread 0x7fffdea006c0 (LWP 38357)]
The program stopped in another thread while making a function call from GDB.
Evaluation of the expression containing the function
(backtrace_top) will be abandoned.
When the function is done executing, GDB will silently stop.
Continuing.
[Switching to Thread 0x7fffe9665300 (LWP 38348)]
Invalid thread ID: bt

Thread 8 (Thread 0x7fffdea006c0 (LWP 38357) "threaded-ml"):
The program received a signal in another thread while
making a function call from GDB.
Evaluation of the expression containing the function
(backtrace_next) will be abandoned.
When the function is done executing, GDB will silently stop.

Thread 8 (Thread 0x7fffdea006c0 (LWP 38357) "threaded-ml"):
Couldn't get registers: No such process.
An error occurred while in a function called from GDB.
Evaluation of the expression containing the function
(backtrace_top) will be abandoned.
When the function is done executing, GDB will silently stop.
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 08:22:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 04:22:49 2024
Received: from localhost ([127.0.0.1]:36625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwHbz-0006GU-QI
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 04:22:49 -0400
Received: from mail-lj1-x22e.google.com ([2a00:1450:4864:20::22e]:47556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vekazanov@HIDDEN>) id 1rwHbx-0006F8-SK
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 04:22:46 -0400
Received: by mail-lj1-x22e.google.com with SMTP id
 38308e7fff4ca-2d8b2389e73so31925551fa.3
 for <70385 <at> debbugs.gnu.org>; Mon, 15 Apr 2024 01:22:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1713169347; x=1713774147; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=mh9tHx1Ghy0SwXhsSt0zcXmBrz+dHj20rDJlfJ1fW3Y=;
 b=TOEw434+Iljn95Fdm5hKVWSDSEw1fYO+C25MnwBmc5QIqOMHylI4JLtT1CaG2KkXgh
 FFZDbMYVQ3CLBEjQlCH01RtFI48Djp/b7P9ep2LQmYX/dLQI0EYGk8DZKNTk+Tb/ZiTl
 nvYqP2MpvmFz7PVJvrszCjAJHzgTM4cfwBOTO3PXG8G9io8ic61WqcmAbk6T4o3na2+x
 buYpZpRWui0kJD/JqKDfHu1QeBIcCQM8d6UPIwYp2x46qk5bUUvGwfGF9C8sne/0w2Vi
 /8AI4jxQJqpDAtXMV3KzNWJC17azDDXhlE3S1xouJE00BUjtLNytvfcq8fw1haB1GsmZ
 mCJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1713169347; x=1713774147;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=mh9tHx1Ghy0SwXhsSt0zcXmBrz+dHj20rDJlfJ1fW3Y=;
 b=ZrUDszDi0EQQajH+lJHJNu7KnrVGQP0EqWluzeQgKpRHJaJWdaDRaOsVSeuho9P5J+
 c9z7ykGlA2GU31FSBhdwYrLNbzumPY+UCKs22m6QZCXvRT/+pfx0zWUftNruOmZzyeKh
 uauZ4WvDrsLb9p553taljzV68+qHw4IJyHUtnMcqGABUODuMOFQ5mac0u2ERw8TSN54h
 r4qyV6H9qcomExC1B1+iP7ZyYRegz2zACBXqGaboCoh+2P9rcyf7YIgkhUDN6lLzi5X1
 xWMYf0EVU7zjG7vsV6UQVXUSquOw/ZVdw3VG0hyZmhcXVD3zRhHEdFBtB+X6onVqYuy2
 GpJQ==
X-Gm-Message-State: AOJu0Yz1vltzI2zQd742i1KjW218fwYGVKG1DHTVXrGdt98qYHMoOvZ1
 K4yKLoifj+eqWos6aRr64WJGdhrsGRnqG8OhvT1HpkpyIZ0xVkG7LqZXheIYqB03KKRxLYuGvkM
 X+YPNKqRV5qUlc2AEoW0qb5x7lw==
X-Google-Smtp-Source: AGHT+IFou3wT78HKtz6vhDklZR50mw4WQPvcBpgRwEGIKueqeoV2B6BC4OnMYnEoHmLuLUkChOPS8RCytMb7psURGAk=
X-Received: by 2002:a05:651c:208:b0:2da:8f63:edff with SMTP id
 y8-20020a05651c020800b002da8f63edffmr512212ljn.24.1713169347232; Mon, 15 Apr
 2024 01:22:27 -0700 (PDT)
MIME-Version: 1.0
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <86h6g3qgbw.fsf@HIDDEN>
In-Reply-To: <86h6g3qgbw.fsf@HIDDEN>
From: Vladimir Kazanov <vekazanov@HIDDEN>
Date: Mon, 15 Apr 2024 09:22:15 +0100
Message-ID: <CAAs=0-2k63ivcp5T5uoxrV117KSmc_Yz3Ds_LPDa53Awx=79+A@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
To: Juri Linkov <juri@HIDDEN>, Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: 70385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po,

Thanks for coming up with such a quick fix, it works for me.

One suggestion on the patch. Having just done a deep dive to xdisp.c,
I realized that display code is complicated, it accesses many data
structures in very involved ways.

Should we add more comments clarifying the nature of the bug? Or, even
better, the invariants broken by the code?

Thanks

On Mon, 15 Apr 2024 at 08:08, Juri Linkov <juri@HIDDEN> wrote:
>
> > Can you reliably reproduce the crash?
>
> Unfortunately, it's not reproducible.
> So let's use with the fix of Po Lu for a while.



-- 
Regards,

Vladimir Kazanov




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 07:08:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 03:08:43 2024
Received: from localhost ([127.0.0.1]:36523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwGSJ-0001XK-8N
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 03:08:43 -0400
Received: from relay4-d.mail.gandi.net ([2001:4b98:dc4:8::224]:49843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1rwGSG-0001Wu-Er
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 03:08:41 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id 7B713E0003;
 Mon, 15 Apr 2024 07:08:21 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Vladimir Kazanov <vekazanov@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 (Vladimir Kazanov's message of "Sun, 14 Apr 2024 17:40:28 +0100")
Organization: LINKOV.NET
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
Date: Mon, 15 Apr 2024 09:49:19 +0300
Message-ID: <86h6g3qgbw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 70385
Cc: 70385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Can you reliably reproduce the crash?

Unfortunately, it's not reproducible.
So let's use with the fix of Po Lu for a while.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385-done <at> debbugs.gnu.org:


Received: (at 70385-done) by debbugs.gnu.org; 15 Apr 2024 06:49:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 02:49:42 2024
Received: from localhost ([127.0.0.1]:36507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwG9s-0007H8-Kt
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 02:49:42 -0400
Received: from sonic308-10.consmr.mail.ne1.yahoo.com ([66.163.187.33]:35104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1rwG9q-0007FT-4V
 for 70385-done <at> debbugs.gnu.org; Mon, 15 Apr 2024 02:49:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713163760; bh=8kBGO5hg5GaYhQCy5t1s9oq9u9fRZae0ojj8nqqkZBg=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=I2ugdF4r+pT5+OKDHpb4ttu9hrmJ/qMZigjpGeq7NZHJvk9PyLEfuhVn8RIeMyMRuSuOIFAgy6pdWiGlPKOfCfmFfgFzAZuQ4LPEPRWoZeTpBFf9WgGjmWdmw02ZhTU7zIRC/hHES55cVQOMAntaWPq55l9qY/jpGQkLnp8y1gQ3rsig2SeVH50fRLTLnTAmmQYZpMNYDeou/UOAFa9H5ShJVLCe3fL9/Iud/gMk4h9sgNyRkOhBIcLJi+LM2mJl6XEqI8LQ1C/r35Caf7ykl8xJXNSuz7yT0s9vdWDEos2jU9I1vkg1Amv6grJUgwO8Am4D0YxIyMiTg32oeEfTIQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713163760; bh=Vc5STAHI7ivBhvfe1Z6Q8MIR54oT3vAohXcQ9wTCGec=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=IcoRfURg6LYQiu0JSFomg2IPcVLN0CW/wprCHlLySziwP1zrpwNP45lv6iLOM29WqxWqw9mnKX0tod9qvCHipWPEPfKKJMYybbxk/5/UvesoWyj0Xse0wN2AP1S6fcv8u1SSJwIkpAV65MwMwHLe0tQx5Q8fcZCoS6Dy5h4vS31hOsEUtpnOG7uhrUMKerWa8g69bGp7F8HrVD9gIaWtJuu3miEZkO9vf0rfuij0SC3rBxnPXvzXc0LlcsVXfciKqspTB4mXF/8rlM95LNLPd2sSE71BbSiXpN0X4wrDaftc3e/+NsE8FAV/FHrJrEsLRfJ6WNPcC1zzoN1keVKuEA==
X-YMail-OSG: Hgy7ww4VM1l5FB6dENpZluJarT1ZiykY17G_brmWmpivbU0Phh68cOhmRwDj5qR
 MLUm3pkDMDDqYTijfuNvlo4nr1A5A4J6d68W3vUk_skfmEPTMU3Hl7RqjNf4ya7j.mQu3qL2qwob
 MZKI683i84IGj8w5P3NNWt2dAoQrfBRQ6bDtKZwgTvEcqIFgqTUHTrZ2lsjpDKfNQzFuu7vLTcYJ
 yMmoQbDMruH7VzjUEnio6AAKAIyjyWAZuhfDdHqu1u4XjpKc23lUPDptHE7WsxGCsNPC6t3XvgLx
 4IkKCEXwuMHStitkT6v.Q3p3Gfh9e._1BZs4sz9Aa3WCR5kb2.Bycx4d6G41MC_LzRJgGwHsiRFa
 R1AFBAUcFfTUyu9HqcdV97lCyw2zBZgvxuyglPoixFd206P4nYuk85S9qaUAoDITu.c8Ou9MPrC8
 nSAWjOCAoOY4.b_kL2yk03N2OiK38Lb9F9Cf97sFON2GlHbyTbwMXmQ3dHqwRIB6Clm52hLpQHSu
 oVD594fFroBYDOJ8mFv.FzS3qZymA7w2ONZdAkNnsKMqNFeC3HafcrkVmet1mTVsbgUwRHgkN52B
 0Vhr98bw2FP3jmA9Ewor.klHc4sYUX6p1zb7uOEXXtTtMTScI.C.6IiBr.dalm9ST3a.9K7aAhvS
 _0rXf_ifhXZqvu4bunMjbpleZBx4LMUaC5tfLGBDbBttEUxCCDzXItWix0xihGjn2Ble_Xm7nlYY
 uG_1xdsGZLS1VH07tg.DtMomcg5bzY_uUYpgnmNgWC6s70X1oGcflDbGimFoN3cz3_bj3wPKpkB7
 riinmpvnSCdVYkt0JSrB9J34VHuDwChnTv5xijJxG53AtoTEA48iZ3LTsmFs9fiA5H83WNmlQly.
 Gg9enjcrCtOsmCQZTd3aA1js7MO8CpSZdJ700womYCnsn5HTv31fqv2x0CChglcK2XgUGtigZB9b
 tsDMHjO00JNAsJeP84v9EsMIWcruY1i5sm1hO.3JacsL3JlcMZnQo70RERbBgr8GyJfQ0xy7RZ05
 oxat_XTOhXx5fVsUIeXgjdt4.ft.vucY5yDW9AAl0_WJ90bm2N41Yzoy7_ZQxVvsDJlMvnl8IC4Q
 r2LvGSaFoCZ4rudprRyZfFGY2MXwkW3kZlsKZz09XkKuS9eN7wiOGC4V.TEJ02ZkiLKEUV5ROVsl
 oZVkYFEmIhGofqzq3no42uJSPVBuVXDkq9UTiEs0HOGMmElySEqgZjduHY8QfrO1CyMdwP9baFCs
 VlaDZdfQsLSKZuYkcoxFy5ixtLE6GlWfzu2DTXxZNiNMAy31pY5DBLacxHOjNazOwhsB9b1vBnid
 K6_UkjfBIn5VPNUJVcmqLx1VROjvQFjm5iG3lwphlG5spaGdXotivHo_mvGhCD3IDUlP3_Mzb3yL
 ToxTwhhYike8apakfVfUPmIPRw14HHGMO3GUrmbCwXyCPsLuMhDRa49bRX4gtYYGNXRnCJj7KPYB
 DBPKcpYe4AYNIhw8mf_lhUsAdInibVKTyvvrB7lidGz683yTaU0P7C3kjXaWWlaKKow2MlOztllU
 E.cG7FOdqrmCaIffVqvZ22Wkgw6BgYwdIMg_CQyn5jnSWyQBEr6OywP6xqf6SLKODarKlrP03IPO
 xdUuwGJu.LjLoNrNuoPr3o26h2oUKmrNygyzLsOzzHZG6Xky3AmQiSPchoj54k_Kkzxv1tREru.H
 1PK8ctY5jiP9k0r2YsFQLzVA1oEQCGXbp6f6nDQqh6uHxBsfq23HhAfRYiqSkD1yyRA1QLstH3U4
 k4fThj5r393ECjuXEwhDjyaSM29s2xnl7U2CPaHSHWFcXIqs3pTDqaus0UOknGvU.HDr.NgiL69e
 xk9Wf3bx_21ONIxEqzJ_YaDHbtaouzRgaKOVeiLCZ0oAw_RgXTl4r6wSCJvvAxinqKYm2.4QqWfu
 NLUbZjXVSTv5538DaZbYFNgC9IXkz46.X5b1z2dF0PHPLUuz3xGcUdw3ipRk7wjBidCgb6TX6yYY
 a.RiB5IdkLDAIMDfuSaUeXmd3GvrO5EDntdcnabu_DAJkKaDj_28aodxu1gwt6kK9_dEj1iAMwh7
 uTCB2YpejGcPb4h6jKpJkZbUPPaMPCqkYwobjyBLyKctBr.VcCUm6KWfAg2s7pzGoYp9AFoSbC_t
 DqCTeDMdjNxr6rTqEIwraLCIlegf1KkUoQ6KXem3xCf0WCttd4VpbO7NUjzfdFxQFfXWv5zQt0Ev
 DbcmCHRHUp94muouYit.ANc3soSqEJf9jIh._f6BfFG0Wq8Jl2DKqqKoZFpnGA39lWxkl
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: f364cd5c-71ea-4688-b0de-43b2b494aa35
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Mon, 15 Apr 2024 06:49:20 +0000
Received: by hermes--production-sg3-6f9f87bd85-k26hw (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID f09e333377565946349e39fa4192d778; 
 Mon, 15 Apr 2024 06:49:15 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87bk6b16ii.fsf@> (=?utf-8?Q?=22Bj=C3=B6rn?= Bidar"'s message
 of "Mon, 15 Apr 2024 09:31:33 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN>
Date: Mon, 15 Apr 2024 14:49:09 +0800
Message-ID: <87frvn15p6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22205
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1164
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385-done
Cc: vekazanov@HIDDEN, 70385-done <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Bj=C3=B6rn Bidar <bjorn.bidar@HIDDEN> writes:

> Po Lu <luangruo@HIDDEN> writes:
>
>> Bj=C3=B6rn Bidar <bjorn.bidar@HIDDEN> writes:
>>
>>> Bj=C3=B6rn Bidar via "Bug reports for GNU Emacs, the Swiss army knife o=
f text
>>> editors" <bug-gnu-emacs@HIDDEN> writes:
>>>
>>>>> Hi Juri,
>>>>>
>>>>> This must be related to the recent patch introducing the function.
>>>>>
>>>>> Can you reliably reproduce the crash?
>>>>
>>>> I have the same problem. I tried to replicate it with Emacs -Q but
>>>> it seems hard to do since it just happens at some point when using Ema=
cs
>>>> and moving around between screens/virtual desktops.
>>>
>>> Actually I've found a way.
>>> 1. Open a file using a mode that uses fringe indicators such as flycheck
>>> 2. Point at the indicator
>>> 3. Crash
>>>
>>> Sometime not even that is needed. E.g. I was moving from the monitor
>>> that the frame is on which Gnus is inside where I'm writing this reply
>>> to my browser on the other monitor.
>>> Just a few seconds after I was on the the other monitor Emacs crashed.
>>
>> I think I've fixed this on master.  Please test, thanks.
>
> Works now, thanks.

Thanks.  Closing.




Notification sent to Juri Linkov <juri@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Po Lu <luangruo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 06:31:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 02:31:54 2024
Received: from localhost ([127.0.0.1]:36491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwFsf-0004aL-UT
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 02:31:54 -0400
Received: from thaodan.de ([2a03:4000:4f:f15::1]:60414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rwFsd-0004Z4-Eo
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 02:31:51 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id 293E5D00017;
 Mon, 15 Apr 2024 09:31:34 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713162694; bh=dZqD36COK4YNiCKio2+d/leoo0hUf3iI1LxJ0og5Qy8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=cVjNqGVD1eBYUAlEcQgbNYGmq56hpzC7UVCVN3WM2hjerLAyaDXxBxHm+KqjBbJRc
 ukARnC73rcPYctgrBsDNH5ihtoJ5zmssrDIMVwV2r2+c4vzH7+MzgizZANw3E7xD+9
 6KK9sho0fc7Tcs16qlm51272hxyLeKxiod6UFZCwn58hRfGeNyesJtbbciIzMaduNY
 HNuSRZOQFqzmt9I9WBrqFC7/zD7wmHKgJBP/eSsifPh4gpwQ5vF5VGZTA+ugIKAJcz
 MqIJb9If0Sd2iX7nJvp5shSdRXc2yQaj2aNR68dF5ni+QTi8o4pPCe/XYw9PyeBp9o
 kr4pl5J6vH6higdiV+IUma0Qjx2UVI7kvOAxyPWgGeZgquCKEH1NnMXfnboKc7LxIV
 U7k8umPe2CXfK4gZC2RX+iIYI7Nd7gzZzs0PPWK6cUrwO8vWnd5mtEJQiF2XChWZ+4
 X0TS4YfNLjZ0/msqj7R+AvzLhMuBJBBmkZmgMXtuykO50aAjK8uFWZi04ScE8R5Zm2
 24IPzmSVXr30of7/Y5jireCLrye1P3zP4dwP4/Vwaxfw+MY7gQzOp1Jlx8t8bXpvgv
 4NaG7lU7PmOBAczEQs6DoXQWtX+hsOPEcn7e9pSR9q4MluGPkJiF78mMBMTrQ5Yrly
 U+atKnswc6GL4JwV3CRNoamw=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87jzkz1kdn.fsf@HIDDEN> (Po Lu's message of "Mon, 15 Apr 2024
 09:32:04 +0800")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Mon, 15 Apr 2024 09:31:33 +0300
Message-ID: <87bk6b16ii.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Po Lu <luangruo@HIDDEN> writes: > Björn Bidar <bjorn.bidar@HIDDEN>
    writes: > >> Björn Bidar via "Bug reports for GNU Emacs, the Swiss army
   knife of text >> editors" <bug-gnu-emacs@HIDDEN> writes: >> >>>> Hi Juri,
    >>>> >>>> Th [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: 70385
Cc: vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Po Lu <luangruo@HIDDEN> writes:

> Bj=C3=B6rn Bidar <bjorn.bidar@HIDDEN> writes:
>
>> Bj=C3=B6rn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of=
 text
>> editors" <bug-gnu-emacs@HIDDEN> writes:
>>
>>>> Hi Juri,
>>>>
>>>> This must be related to the recent patch introducing the function.
>>>>
>>>> Can you reliably reproduce the crash?
>>>
>>> I have the same problem. I tried to replicate it with Emacs -Q but
>>> it seems hard to do since it just happens at some point when using Emacs
>>> and moving around between screens/virtual desktops.
>>
>> Actually I've found a way.
>> 1. Open a file using a mode that uses fringe indicators such as flycheck
>> 2. Point at the indicator
>> 3. Crash
>>
>> Sometime not even that is needed. E.g. I was moving from the monitor
>> that the frame is on which Gnus is inside where I'm writing this reply
>> to my browser on the other monitor.
>> Just a few seconds after I was on the the other monitor Emacs crashed.
>
> I think I've fixed this on master.  Please test, thanks.

Works now, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 06:29:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 02:29:44 2024
Received: from localhost ([127.0.0.1]:36480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwFqZ-0004Dd-Lm
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 02:29:43 -0400
Received: from thaodan.de ([185.216.177.71]:38936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rwFqY-0004D7-3U
 for 70385 <at> debbugs.gnu.org; Mon, 15 Apr 2024 02:29:42 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id 6638ED00017;
 Mon, 15 Apr 2024 09:29:24 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713162564; bh=he3kkl3LLAuaMtJT7rUXjQeMkDcgU83rqrQh7oh1P00=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=DAx1sItdhdVzkpQbm17K+FrmnMMDAn/HGPdEOrzRvo3xQpv+z47izWOATEv1QRAys
 MPtDekLG69ZU3J3S8P80crqzePRYSgC/gcDmkhR738rgXEhSE1kEttotrBxXdV1zNC
 eOif7cQfugPJiJ2nJ2CqUbO/aj0h08g0lR/aru8kCs8H3b2O+Zae1jqXP+RD6fOqjD
 TnN8Sco1cxRC9dbUR8y8od0sILIszcGl1pkgjgvfUvZsG761ALaEfio3uSVUE7JALt
 pMzHBlY3U2Is+g/EyDJqrf/UnJHamVvTmXVQ2Gz6zif5/b6kmCqYRE5IS8sHgLWh2i
 n88Y8O1Ph9gaXUUksN1AzkISET+l3XvoMg3shWAwHnuuxMR0DU25k0K6TACGxz6b/p
 oHS2PNi5hAZABqJAHpeySv0mmJv6eWuv22KTi3LylIUaQlJk6ovtb5oY9dgBlBRa3O
 1Z91BEq2QSacCqSuQ13EA88/5gEy2qLaidakotrljjzKRHxrvXvAPHZmRtBkEqG8zF
 WuO7vBmlz+pR1fq00vGmuJvGYGMOjAXo1Wa7DMbLoyhDMZq0QcgQ9cTcS0hFkjwkWv
 TYvAI8MzfOarQaTmDGeNy1By97lfKTgdw5gFrx9agwmE2q5iaA//xSx/dyuzaoQkbF
 X9RwG/Q6KbQFCZa5+FRi3ik0=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87jzkz1kdn.fsf@HIDDEN> (Po Lu via's message of "Mon, 15 Apr
 2024 09:32:04 +0800")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Mon, 15 Apr 2024 09:29:22 +0300
Message-ID: <87o7ab16m5.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Po Lu via "Bug reports for GNU Emacs, the Swiss army knife
    of text editors" <bug-gnu-emacs@HIDDEN> writes: > Björn Bidar <bjorn.bidar@HIDDEN>
    writes: > >> Björn Bidar via "Bug reports for GNU Emacs, the Swiss army
   knife of text >> editors" <bug-gnu-emacs@HIDDEN> writes: >> >>>> Hi Juri,
    >>>> >>>> Th [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: 70385
Cc: Po Lu <luangruo@HIDDEN>, vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> Bj=C3=B6rn Bidar <bjorn.bidar@HIDDEN> writes:
>
>> Bj=C3=B6rn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of=
 text
>> editors" <bug-gnu-emacs@HIDDEN> writes:
>>
>>>> Hi Juri,
>>>>
>>>> This must be related to the recent patch introducing the function.
>>>>
>>>> Can you reliably reproduce the crash?
>>>
>>> I have the same problem. I tried to replicate it with Emacs -Q but
>>> it seems hard to do since it just happens at some point when using Emacs
>>> and moving around between screens/virtual desktops.
>>
>> Actually I've found a way.
>> 1. Open a file using a mode that uses fringe indicators such as flycheck
>> 2. Point at the indicator
>> 3. Crash
>>
>> Sometime not even that is needed. E.g. I was moving from the monitor
>> that the frame is on which Gnus is inside where I'm writing this reply
>> to my browser on the other monitor.
>> Just a few seconds after I was on the the other monitor Emacs crashed.
>
> I think I've fixed this on master.  Please test, thanks.

Workarounds now, thanks




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2024 06:29:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 02:29:57 2024
Received: from localhost ([127.0.0.1]:36485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwFql-0004FY-4Y
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 02:29:57 -0400
Received: from lists.gnu.org ([2001:470:142::17]:43064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rwFqi-0004Dp-BK
 for submit <at> debbugs.gnu.org; Mon, 15 Apr 2024 02:29:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bjorn.bidar@HIDDEN>)
 id 1rwFqO-0005tn-Qa
 for bug-gnu-emacs@HIDDEN; Mon, 15 Apr 2024 02:29:32 -0400
Received: from thaodan.de ([2a03:4000:4f:f15::1])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bjorn.bidar@HIDDEN>)
 id 1rwFqL-0000TI-MC
 for bug-gnu-emacs@HIDDEN; Mon, 15 Apr 2024 02:29:32 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id 6638ED00017;
 Mon, 15 Apr 2024 09:29:24 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713162564; bh=he3kkl3LLAuaMtJT7rUXjQeMkDcgU83rqrQh7oh1P00=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=DAx1sItdhdVzkpQbm17K+FrmnMMDAn/HGPdEOrzRvo3xQpv+z47izWOATEv1QRAys
 MPtDekLG69ZU3J3S8P80crqzePRYSgC/gcDmkhR738rgXEhSE1kEttotrBxXdV1zNC
 eOif7cQfugPJiJ2nJ2CqUbO/aj0h08g0lR/aru8kCs8H3b2O+Zae1jqXP+RD6fOqjD
 TnN8Sco1cxRC9dbUR8y8od0sILIszcGl1pkgjgvfUvZsG761ALaEfio3uSVUE7JALt
 pMzHBlY3U2Is+g/EyDJqrf/UnJHamVvTmXVQ2Gz6zif5/b6kmCqYRE5IS8sHgLWh2i
 n88Y8O1Ph9gaXUUksN1AzkISET+l3XvoMg3shWAwHnuuxMR0DU25k0K6TACGxz6b/p
 oHS2PNi5hAZABqJAHpeySv0mmJv6eWuv22KTi3LylIUaQlJk6ovtb5oY9dgBlBRa3O
 1Z91BEq2QSacCqSuQ13EA88/5gEy2qLaidakotrljjzKRHxrvXvAPHZmRtBkEqG8zF
 WuO7vBmlz+pR1fq00vGmuJvGYGMOjAXo1Wa7DMbLoyhDMZq0QcgQ9cTcS0hFkjwkWv
 TYvAI8MzfOarQaTmDGeNy1By97lfKTgdw5gFrx9agwmE2q5iaA//xSx/dyuzaoQkbF
 X9RwG/Q6KbQFCZa5+FRi3ik0=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87jzkz1kdn.fsf@HIDDEN> (Po Lu via's message of "Mon, 15 Apr
 2024 09:32:04 +0800")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 <87jzkz1kdn.fsf@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Mon, 15 Apr 2024 09:29:22 +0300
Message-ID: <87o7ab16m5.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a03:4000:4f:f15::1;
 envelope-from=bjorn.bidar@HIDDEN; helo=thaodan.de
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, INVALID_MSGID=0.568,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Po Lu via "Bug reports for GNU Emacs, the Swiss army knife
    of text editors" <bug-gnu-emacs@HIDDEN> writes: > Björn Bidar <bjorn.bidar@HIDDEN>
    writes: > >> Björn Bidar via "Bug reports for GNU Emacs, the Swiss army
   knife of text >> editors" <bug-gnu-emacs@HIDDEN> writes: >> >>>> Hi Juri,
    >>>> >>>> Th [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: submit
Cc: Po Lu <luangruo@HIDDEN>, vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Po Lu via "Bug reports for GNU Emacs, the Swiss army knife
    of text editors" <bug-gnu-emacs@HIDDEN> writes: > Björn Bidar <bjorn.bidar@HIDDEN>
    writes: > >> Björn Bidar via "Bug reports for GNU Emacs, the Swiss army
   knife of text >> editors" <bug-gnu-emacs@HIDDEN> writes: >> >>>> Hi Juri,
    >>>> >>>> Th [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> Bj=C3=B6rn Bidar <bjorn.bidar@HIDDEN> writes:
>
>> Bj=C3=B6rn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of=
 text
>> editors" <bug-gnu-emacs@HIDDEN> writes:
>>
>>>> Hi Juri,
>>>>
>>>> This must be related to the recent patch introducing the function.
>>>>
>>>> Can you reliably reproduce the crash?
>>>
>>> I have the same problem. I tried to replicate it with Emacs -Q but
>>> it seems hard to do since it just happens at some point when using Emacs
>>> and moving around between screens/virtual desktops.
>>
>> Actually I've found a way.
>> 1. Open a file using a mode that uses fringe indicators such as flycheck
>> 2. Point at the indicator
>> 3. Crash
>>
>> Sometime not even that is needed. E.g. I was moving from the monitor
>> that the frame is on which Gnus is inside where I'm writing this reply
>> to my browser on the other monitor.
>> Just a few seconds after I was on the the other monitor Emacs crashed.
>
> I think I've fixed this on master.  Please test, thanks.

Workarounds now, thanks




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 15 Apr 2024 01:32:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 21:32:37 2024
Received: from localhost ([127.0.0.1]:36403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rwBD2-00076c-Bm
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 21:32:36 -0400
Received: from sonic313-9.consmr.mail.ne1.yahoo.com ([66.163.185.32]:35181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1rwBCz-00074y-5Y
 for 70385 <at> debbugs.gnu.org; Sun, 14 Apr 2024 21:32:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713144735; bh=jzgE/f0QjEJlBrpRJ2CQ8OmFQOHYIfRui/UUYiVsvk4=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=Mxsf00l9tSXXg2Cafa35KlOIk3IpBMHm8UHhpT9wh+o5JVdyPvJuissIbU1VRpdhxGzIC/xKvfF/IufZ4nW43KZOwXn+vRfp97Pi8yG+4/qyKPJNkDCEImdvU4JEM44i/hs7bNK37V28ehkCZbMKA1fpWS9x9pIdVAl4ki31XEuI9zdAxhyur+R2QkZ7JPvrumTiIZS8dKpdpdKIjC0PkSrQzLRa4a/GcUa+4z/NCoHrjtgE/0BKVe0IZv7jZo8OhN50NvKzsYHVO60SM/G3pixF6q9bSe9gVcmFtCRq8dX5u7NbObesTPJ4Si/GtWRiaslJrjFQi6xVA5cTfYpuPg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1713144735; bh=xtp8goQJ0/my0eRXN3jTTllRci6k5yN9fj66FSrDVNM=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=JC6ZuG6sqodaGAuiCkls+TNS/mxuxZII8vIjW5fLVrdpiX2eufDqE4OMAwcGBGFeTOrZw8b/tOQ0fXJm3nhGZ+1EZ5+ThikvvFG/G9dkJK6JyDwvRWR2ecLvpxOIk0F/628jJ50LRUaCTpeQPISF3y17BPF7Gr6yisrh0/6FhchdW7MJ7/YDsjnHB7avb5wv7QiwHXArEVyIbx/g3V6kUY6xrhSBmRrq9WW0CTbpDDaxCyyH07vindQ13dNeMgse31/mCQozqinKF00E/91EKHhVI5kwpzGs5uJe92KtUsuEKFQgU/1ljapF6WH6kU1fTUbSlA10KCZBMBig0NmSgA==
X-YMail-OSG: y11JTyMVM1nylm9OkmBI2qsIND0dReH682DAX3clHPz7om4HVtZZ4x5OHSlx026
 y9KUWSxnZspeR_BWA0kE6yD.HZur6yAYppBOm6zpC.NYOJntA_aDoDY6Ch.88OnBAG6xm0oViRRY
 kPi7WNCH2itclX.zsoTSQjjOv0VDQ7996pD606dJu3DlQjAQEJ0JEBlmpP6lxfzI73YFVAquSrkh
 i7TzlKn4Gm8H1DGoIXSbHRMdpXbqzPz.0vii7IHKATIPPaTNq6Ixb2iECDaKhRtDYfkvHYIAVRHZ
 MJyGDygpqRXz_XhrNXEkpXohPbF0FxjhO2pX5qXZOD7mz3GR1lqKBNvpnlaFSY7u_XAkacWQkH48
 yILDfDujri8geNV5qno4_80gFUFyPnV2.Vpj4YolLrsae0Rg44jLA.a0Ls5j9JhCdtAGbIw1CE11
 KUMdOjaJr.ElkXguVp__JF7QCVOaU76ys3cBeb_C2XGBqIGgmIDb2bMJPkwWi32qymq0m84Y7F5Y
 5qej22B0P82J1GNQatIRFr1Vph2LNfx_tVF5PktKw6HbkZydB9LdzOWwvqMtzGKHT08txsr7SYXn
 78acmEBfkNdWI3XGoXPic25NZXY1gu1v2J6zdpsEdE8RgnX1zM.takAS6gvQGyM_.OMd9vdRMNWz
 G6Ph_v6WoHYXC4RKbjTTMkE_Z2KcMyKEHmpADPJ0Tm4E3wWdus6hvOL0r.igabmu16EH52TgR_km
 mIWsj83hrKdFSgWsdOfr9TMfJdQr_3HJmKz9Z.12uINBpP1YcQLa7nMIrA2tkulId15g8c9bQcae
 3jpcJoi0voKJRSXQiHAYrQsvL1CYWImGPLdn3MtpC4c2Q5iDe7TBIkDWTy4NmIDosxU6UL7733F3
 k2IPpv9jdd_nT8ATxsixZY_x1M3AAIqAXX1F9rfyI04k8aYubUyX7c3xOtp2NPV5RyXwI_EuV1O5
 GEfzYGuywiB6UpShvJdLyzJtnRFTeLpEIFGfHycwxxWjToxVAcHVz0hRsvn5nhjQmwCPjbf4XqEV
 yIQUvgFOCg5v4GhN9cmkB1JBDsMwDo8pNSaISwyuHA77JtXmbMIdGlh.hF905lHqpITQ2txVsgL7
 3sd0MWP26b2KJ3KlcvZz9ZG8aBP6d3RcYEB7N5E7uCaZHJ.XL_bUfQzToD2vduLp1_Shyo91YTlR
 bw3QNJkOlo2wipBjtHIeoRK7SgLuTfD9uxVzB25rkZLBpaCip7iDpuhw5qvrGAzGui3I7aglWVnS
 UqshrGWTTHGFJw.6nw_WLBiF4yfLTbKu1zQrJInBeH7n6.guednt2P7rX6gvWvEHdwr5jn3dpIhu
 TmuryJhq_4Vcf.VcDlMy8C3zJnxXAI6mGacWOPKBwE8BwlB2di8VFc__IyjZKT4fWnjGArJ5vNcU
 10Dy8PE00.UqbOrRaBDvBwP1vJYWqzgV1mqOuB2KDEHSNi9nW1bP0AtVr52t70F6PHfYXBK9ehR1
 0dbMNEnZw0AiZelrDxoX2crydT_fWYl_9.2a8UqcnAuibb7LBZW2AHhuK0oh0wHW3IOtXh5k9WhY
 JmBDdlDEVVfE00XwG0ZPuLLDWgbTo71.VEtusmXxHL4sH8YYI_pZmEFgiv42e8XVIJPqA7RTU0hd
 3JK9GOeOAYtC7LBNDiPrwuTWMj35.C2ieHDMrOtzeoauMj7rLoiqPdUVF52F01RywiCsnbPodP82
 CBWigYDyFuxFWSQ9I.HvR5hJUJJAFDuLF2HqtknzQNIGyrWwP69tjLIewrWtXUqT1Yt3BIs3Rk6A
 w09nW56vG1KFwzyGMGzZXiE.5NQP1umiGEJN6_U58u8OTRrPr8132LW4OZJBmgozIqlPQ5a1SiOB
 LmCdq8IYUga9M2uDBJlcRrq4pt.pu6Sjlc1z0Mq82wxdyTO7yI9NNFJR_x.mozFmzN7LcxQXvyck
 z4Fj1ZcFA.s7A807VWgqNFPpSKcuQtBNo6sECsMNeur07iUC97jrIzfHgFod0I0xyUe7Zp1pc5cE
 Q807IB2trBNCTqJykElKGbC99Fubo8i3_YwAaGmPB6Z0xFUP5v_9sBVOJplz4IGu6FxUBP2lTnBw
 efJ_UDnSbU3X85Le5shQEgmwDA14LABEz_KqklDm6LN0QUp77cWIK4lYpKZzrLu4JLtQHeuLVb00
 BwKuBzc9Q6c1nEmabVMwcNcAINbDqDftR6q30DWbNpJ3pPbtUXuXakKZBKOfNDhu6pSh1dr0szfl
 it5YobGIFB6CHEs4YthdVt7ZpOOczmTcroxFdKMlB_P8EFLtEudyOyRE2jBtW_dZ7eaE-
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: 67290e0a-775b-4057-9d91-ea987a3f1a53
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Mon, 15 Apr 2024 01:32:15 +0000
Received: by hermes--production-sg3-6f9f87bd85-t6lxr (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 834077cf37af0bb93ac71f2dd9949dfa; 
 Mon, 15 Apr 2024 01:32:11 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87edb73d9u.fsf@> (=?utf-8?Q?=22Bj=C3=B6rn?= Bidar"'s message
 of "Sun, 14 Apr 2024 23:22:37 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
Date: Mon, 15 Apr 2024 09:32:04 +0800
Message-ID: <87jzkz1kdn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22205
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 976
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: vekazanov@HIDDEN, 70385 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Bj=C3=B6rn Bidar <bjorn.bidar@HIDDEN> writes:

> Bj=C3=B6rn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of =
text
> editors" <bug-gnu-emacs@HIDDEN> writes:
>
>>> Hi Juri,
>>>
>>> This must be related to the recent patch introducing the function.
>>>
>>> Can you reliably reproduce the crash?
>>
>> I have the same problem. I tried to replicate it with Emacs -Q but
>> it seems hard to do since it just happens at some point when using Emacs
>> and moving around between screens/virtual desktops.
>
> Actually I've found a way.
> 1. Open a file using a mode that uses fringe indicators such as flycheck
> 2. Point at the indicator
> 3. Crash
>
> Sometime not even that is needed. E.g. I was moving from the monitor
> that the frame is on which Gnus is inside where I'm writing this reply
> to my browser on the other monitor.
> Just a few seconds after I was on the the other monitor Emacs crashed.

I think I've fixed this on master.  Please test, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Apr 2024 20:23:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 16:23:05 2024
Received: from localhost ([127.0.0.1]:36311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rw6NV-0008A9-85
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 16:23:05 -0400
Received: from lists.gnu.org ([2001:470:142::17]:49816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rw6NQ-00087q-Kd
 for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 16:23:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bjorn.bidar@HIDDEN>)
 id 1rw6N9-0000ri-QZ
 for bug-gnu-emacs@HIDDEN; Sun, 14 Apr 2024 16:22:44 -0400
Received: from thaodan.de ([2a03:4000:4f:f15::1])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bjorn.bidar@HIDDEN>)
 id 1rw6N8-0000AL-BM
 for bug-gnu-emacs@HIDDEN; Sun, 14 Apr 2024 16:22:43 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id BAD2FD00039;
 Sun, 14 Apr 2024 23:22:38 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713126158; bh=4SMc2kgVWY+wDvqJbK2OHrvInFEH6wqWJ6vceGlKiwM=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=tZDKDOMOnBqd5GXooZJeMgduwNk/xiDqE3P2zXbMfHPove4gz30WuKhuKWgX9v6t0
 nN6yKS4GP/bXhCcD3pr5Iu9nJHt17AZUgf0lG4Dk2TJM4S04CGAvb2j1G4MVz+VYXo
 lqLDuQekwjfL7IBp4Jb5VOSDlJCDH0jOsEXmtFCoBXjZ5kLvlRzt0aeRgl4QZlZs2T
 8S3pvYVhLYlAHhDJDwXBsHNQDJUGtS40voh4cG1+saLDqGF5W3g4ngN1BalCgv5q4B
 3/Cpj7Vf18mkBlbXSe4czCktnC4NMb05FvtaqWGsP/LS0EaEad0ksBsT9uB9h6kx4z
 PjU68RXA7XdtKkqgBkQu8O6wgwXba4Ejxp4i4qJXn8vpO9vpl+PWzn1nSYFdrIie/l
 7qRZbq0aBfuPlTKw4OP8tQEx9coXxhPnuQSWXD5MgjLRsLtpf6tNcnJo+YDUvXmC9k
 UozmbWGzoZOjAfTuV75d41GyBab9tDON062iVVYZ3ipWxHNfVMEd6bC8QGvxNBHP23
 a27LotIGpWRDJCE3gSvmapahLgxH9hOJk5ljQVJFnOvbUinFFfnQ2/bOeF8S9We2b1
 QjILgx6VCFX8pasAh8nhae3XY86/uBVsJwMfw6/Ddt6CDa+lad9FEAtOpqL7131+CK
 +EaKB8/vYMn8Nv/ewKFXEBro=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn?= Bidar via "Bug reports for GNU Emacs, the Swiss
 army knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87zftv7leb.fsf@> (=?utf-8?Q?=22Bj=C3=B6rn?= Bidar via \"Bug
 reports for GNU Emacs,
 the Swiss army knife of text editors\""'s message of "Sun, 14 Apr 2024
 23:13:32 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Sun, 14 Apr 2024 23:22:37 +0300
Message-ID: <87edb73d9u.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a03:4000:4f:f15::1;
 envelope-from=bjorn.bidar@HIDDEN; helo=thaodan.de
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, INVALID_MSGID=0.568,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Björn Bidar via "Bug reports for GNU Emacs, the Swiss army
    knife of text editors" <bug-gnu-emacs@HIDDEN> writes: >> Hi Juri, >> >>
   This must be related to the recent patch introducing the function. >> >> Can
    you reliably reproduce the crash? > > I have the same problem. I tried to
    replicate it with Emacs -Q but [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: submit
Cc: Vladimir Kazanov <vekazanov@HIDDEN>, 70385 <at> debbugs.gnu.org,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Björn Bidar via "Bug reports for GNU Emacs, the Swiss army
    knife of text editors" <bug-gnu-emacs@HIDDEN> writes: >> Hi Juri, >> >>
   This must be related to the recent patch introducing the function. >> >> Can
    you reliably reproduce the crash? > > I have the same problem. I tried to
    replicate it with Emacs -Q but [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Bj=C3=B6rn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of te=
xt
editors" <bug-gnu-emacs@HIDDEN> writes:

>> Hi Juri,
>>
>> This must be related to the recent patch introducing the function.
>>
>> Can you reliably reproduce the crash?
>
> I have the same problem. I tried to replicate it with Emacs -Q but
> it seems hard to do since it just happens at some point when using Emacs
> and moving around between screens/virtual desktops.

Actually I've found a way.
1. Open a file using a mode that uses fringe indicators such as flycheck
2. Point at the indicator
3. Crash

Sometime not even that is needed. E.g. I was moving from the monitor
that the frame is on which Gnus is inside where I'm writing this reply
to my browser on the other monitor.
Just a few seconds after I was on the the other monitor Emacs crashed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 14 Apr 2024 20:23:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 16:23:00 2024
Received: from localhost ([127.0.0.1]:36306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rw6NP-00088o-SS
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 16:23:00 -0400
Received: from thaodan.de ([185.216.177.71]:52108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rw6NL-00086s-V6
 for 70385 <at> debbugs.gnu.org; Sun, 14 Apr 2024 16:22:57 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id BAD2FD00039;
 Sun, 14 Apr 2024 23:22:38 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713126158; bh=4SMc2kgVWY+wDvqJbK2OHrvInFEH6wqWJ6vceGlKiwM=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=tZDKDOMOnBqd5GXooZJeMgduwNk/xiDqE3P2zXbMfHPove4gz30WuKhuKWgX9v6t0
 nN6yKS4GP/bXhCcD3pr5Iu9nJHt17AZUgf0lG4Dk2TJM4S04CGAvb2j1G4MVz+VYXo
 lqLDuQekwjfL7IBp4Jb5VOSDlJCDH0jOsEXmtFCoBXjZ5kLvlRzt0aeRgl4QZlZs2T
 8S3pvYVhLYlAHhDJDwXBsHNQDJUGtS40voh4cG1+saLDqGF5W3g4ngN1BalCgv5q4B
 3/Cpj7Vf18mkBlbXSe4czCktnC4NMb05FvtaqWGsP/LS0EaEad0ksBsT9uB9h6kx4z
 PjU68RXA7XdtKkqgBkQu8O6wgwXba4Ejxp4i4qJXn8vpO9vpl+PWzn1nSYFdrIie/l
 7qRZbq0aBfuPlTKw4OP8tQEx9coXxhPnuQSWXD5MgjLRsLtpf6tNcnJo+YDUvXmC9k
 UozmbWGzoZOjAfTuV75d41GyBab9tDON062iVVYZ3ipWxHNfVMEd6bC8QGvxNBHP23
 a27LotIGpWRDJCE3gSvmapahLgxH9hOJk5ljQVJFnOvbUinFFfnQ2/bOeF8S9We2b1
 QjILgx6VCFX8pasAh8nhae3XY86/uBVsJwMfw6/Ddt6CDa+lad9FEAtOpqL7131+CK
 +EaKB8/vYMn8Nv/ewKFXEBro=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn?= Bidar via "Bug reports for GNU Emacs, the Swiss
 army knife of text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <87zftv7leb.fsf@> (=?utf-8?Q?=22Bj=C3=B6rn?= Bidar via \"Bug
 reports for GNU Emacs,
 the Swiss army knife of text editors\""'s message of "Sun, 14 Apr 2024
 23:13:32 +0300")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Sun, 14 Apr 2024 23:22:37 +0300
Message-ID: <87edb73d9u.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Björn Bidar via "Bug reports for GNU Emacs, the Swiss army
    knife of text editors" <bug-gnu-emacs@HIDDEN> writes: >> Hi Juri, >> >>
   This must be related to the recent patch introducing the function. >> >> Can
    you reliably reproduce the crash? > > I have the same problem. I tried to
    replicate it with Emacs -Q but [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: 70385
Cc: Vladimir Kazanov <vekazanov@HIDDEN>, 70385 <at> debbugs.gnu.org,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Bj=C3=B6rn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of te=
xt
editors" <bug-gnu-emacs@HIDDEN> writes:

>> Hi Juri,
>>
>> This must be related to the recent patch introducing the function.
>>
>> Can you reliably reproduce the crash?
>
> I have the same problem. I tried to replicate it with Emacs -Q but
> it seems hard to do since it just happens at some point when using Emacs
> and moving around between screens/virtual desktops.

Actually I've found a way.
1. Open a file using a mode that uses fringe indicators such as flycheck
2. Point at the indicator
3. Crash

Sometime not even that is needed. E.g. I was moving from the monitor
that the frame is on which Gnus is inside where I'm writing this reply
to my browser on the other monitor.
Just a few seconds after I was on the the other monitor Emacs crashed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 14 Apr 2024 20:13:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 16:13:57 2024
Received: from localhost ([127.0.0.1]:36290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rw6Ee-0006on-8d
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 16:13:57 -0400
Received: from thaodan.de ([185.216.177.71]:44482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjorn.bidar@HIDDEN>) id 1rw6EZ-0006nS-PI
 for 70385 <at> debbugs.gnu.org; Sun, 14 Apr 2024 16:13:55 -0400
Received: from odin (dsl-trebng12-50dc75-154.dhcp.inet.fi [80.220.117.154])
 by thaodan.de (Postfix) with ESMTPSA id 82598D00039;
 Sun, 14 Apr 2024 23:13:33 +0300 (EEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=thaodan.de; s=mail;
 t=1713125613; bh=aPgL+hvJp+82AHVge0EF4ZwcI3VeP6VfS1toi6j8csI=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=Ek9v0qLBSQ+U0o8aOx6Yer39tzWrf9uBulWQTNmeqiBMSmW/rTPaL6yu6J+z2p8zj
 6+dlJRsdafbXLM5X+vOYq5PxtMQjBOeVWfGkitcDaJGpCtpvZ02JI9hsV303rZsLSX
 BzBtkM2uDX/AVMGCh5Mbvs3YD9jEuul57bGzczZamB8WFPs0dNiYaoexvFKAtbVGZ/
 rOoxhHhNpc+6XOTWNV5dshjj5T3AsOgY1H9HG0urBcNb0NcUcE0gv6OltWzZxLRz0W
 ENoVCgZ2bkJMGZyxQCwCGDdkRpHGaz9O7APvsxGEtGoMTPA7iIvmuMI9kLFl4kP/sW
 tQuVQSO70gKyb/dMjnRRHSfW6pTjc6atGVans7v/8cZrQdC+LFI/56nFldpWclhYEq
 cq/OwGlAybVSKUy95IVuj+7BHrRw/77UX1+TUdrWsc9wX0AlIoqoxGDuSnkBdzSoGk
 07kb0InIIHrcRWupYXDFQSej6V0RdsLkrynObkjFAwos0HXM4vMZeQmKGdFzXQ/F0i
 PlF8zGprXrXGD9SDVBvh50Koz124SnKzYQ8sX2xrzjNHYgPrA0hB8G5vyhj1vvqdrS
 7PlBVg5yzKe4qvCMH/We6SgAoiqOcghTFtZZKjwMnHljZgUgR6Kl2QjnTVmYUoVQy8
 V3GO4eqV0HDl7AMEHyafXVpc=
From: =?utf-8?Q?Bj=C3=B6rn?= Bidar <bjorn.bidar@HIDDEN>
To: Vladimir Kazanov <vekazanov@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
In-Reply-To: <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
 (Vladimir Kazanov's message of "Sun, 14 Apr 2024 17:40:28 +0100")
References: <86h6g49cdv.fsf@HIDDEN>
 <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
Autocrypt: addr=bjorn.bidar@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEZNfpPhYJKwYBBAHaRw8BAQdACBEmr+0xwIIHZfIDlZmm7sa+lHHSb0g9FZrN6qE6ru60JUJq
 w7ZybiBCaWRhciA8Ympvcm4uYmlkYXJAdGhhb2Rhbi5kZT6IlgQTFgoAPgIbAwULCQgHAgIiAgYV
 CgkICwIEFgIDAQIeBwIXgBYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1/YmAhkBAAoJEFwbdKFl
 HF9oB9cBAJoIIGQKXm4cpap+Flxc/EGnYl0123lcEyzuduqvlDT0AQC3OlFKm/OiqJ8IMTrzJRZ8
 phFssTkSrrFXnM2jm5PYDoiTBBMWCgA7FiEEUfF263VHMB6nKairXBt0oWUcX2gFAmTX6T4CGwMF
 CwkIBwICIgIGFQoJCAsCBBYCAwECHgcCF4AACgkQXBt0oWUcX2hbCQEAtru7kvM8hi8zo6z9ux2h
 K+B5xViKuo7Z8K3IXuK5ugwA+wUfKzomzdBPhfxDsqLcEziGRxoyx0Q3ld9aermBUccHtBxCasO2
 cm4gQmlkYXIgPG1lQHRoYW9kYW4uZGU+iJMEExYKADsCGwMFCwkIBwICIgIGFQoJCAsCBBYCAwEC
 HgcCF4AWIQRR8XbrdUcwHqcpqKtcG3ShZRxfaAUCZNf2FQAKCRBcG3ShZRxfaCzSAP4hZ7cSp0YN
 XYpcjHdsySh2MuBhhoPeLGXs+2kSiqBiOwD/TP8AgPEg/R+SI9GI9on7fBJJ0mp2IT8kZ2rhDOjg
 gA6IkwQTFgoAOxYhBFHxdut1RzAepymoq1wbdKFlHF9oBQJk1+ntAhsDBQsJCAcCAiICBhUKCQgL
 AgQWAgMBAh4HAheAAAoJEFwbdKFlHF9oBgwA/iQHwe0VL4Df4GGTYlNjMSHFlIkBmN4UfYGLYj3E
 TrOUAQC51M+M3cjsL8WHdpBz6VAo6df9d+rVwhQ9vQuFHqevArg4BGTX6T4SCisGAQQBl1UBBQEB
 B0Cbohc3JEfn005/cm0AOGjSsW1ZxAkgaoVNjbpqk4MgNAMBCAeIeAQYFgoAIBYhBFHxdut1RzAe
 pymoq1wbdKFlHF9oBQJk1+k+AhsMAAoJEFwbdKFlHF9ooHABAKGmrGBic/Vys3BBrOQiRB3Z7izO
 HwhqTRpAqFZtXS2nAQDZhp/5aYw1TZjTzkm1KVt9QiYnjd/MvxRE9iaY6x4mDbgzBGTX6T4WCSsG
 AQQB2kcPAQEHQAgRJq/tMcCCB2XyA5WZpu7GvpRx0m9IPRWazeqhOq7uiO8EGBYKACAWIQRR8Xbr
 dUcwHqcpqKtcG3ShZRxfaAUCZNf71AIbIgCBCRBcG3ShZRxfaHYgBBkWCgAdFiEEUfF263VHMB6n
 KairXBt0oWUcX2gFAmTX+9QACgkQXBt0oWUcX2jeSwD6AtWn0cuo8IF35YRo4o3cDRJnUfJnbvJy
 GxyCDThR+zYBAKG6/jdwmZkBQZKslnDAbMMd2WfiZZT5JW3IWC4EaKMO7HkBAKYPGZ3UbfkRvfFK
 S+pQ9CgtNfkSJQBtT1Ob7Y6nsacgAQCpyXN7yppmhW/oBgivITPy9Lkg+V4NK9WZYZCU9Q7LBA==
Date: Sun, 14 Apr 2024 23:13:32 +0300
Message-ID: <87zftv7leb.fsf@>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Vladimir Kazanov <vekazanov@HIDDEN> writes: > Hi Juri,
 > > This must be related to the recent patch introducing the function. > >
 Can you reliably reproduce the crash? I have the same problem. I tried to
 replicate it with Emacs -Q but it seems hard to do since it just happens
 at some point when using Emacs and moving around between screens/virtual
 desktops.
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
X-Debbugs-Envelope-To: 70385
Cc: 70385 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--=-=-=
Content-Type: text/plain

Vladimir Kazanov <vekazanov@HIDDEN> writes:

> Hi Juri,
>
> This must be related to the recent patch introducing the function.
>
> Can you reliably reproduce the crash?

I have the same problem. I tried to replicate it with Emacs -Q but
it seems hard to do since it just happens at some point when using Emacs
and moving around between screens/virtual desktops.

Here my backtrace.

--=-=-=
Content-Type: text/x-log
Content-Disposition: inline;
 filename=emacs.note_fringe_highlight.gdk.crash.log

Warning: /home/bidar/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0
TERM = xterm-256color
Breakpoint 1 at 0x558c06b58ebd: file /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/emacs.c, line 441.
Breakpoint 2 at 0x558c06c6aeb0: file /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c, line 26990.

Thread 7 (Thread 0x7f28844006c0 (LWP 46005)):
You can't do that without a process to debug.

Thread 7 (Thread 0x7f28844006c0 (LWP 46005)):
warning: Section `.reg-xstate/46005' in core file too small.
#0  0x00007f289430578f in __GI___poll (fds=0x7f284c007110, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f28858bfe71 in  () at /lib64/libpulse.so.0
#2  0x00007f28858a9854 in pa_mainloop_poll () at /lib64/libpulse.so.0
#3  0x00007f28858b40d6 in pa_mainloop_iterate () at /lib64/libpulse.so.0
#4  0x00007f28858b4180 in pa_mainloop_run () at /lib64/libpulse.so.0
#5  0x00007f28858c3e19 in  () at /lib64/libpulse.so.0
#6  0x00007f288586189f in  () at /usr/lib64/pulseaudio/libpulsecommon-17.0.so
#7  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#8  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 6 (Thread 0x7f28882006c0 (LWP 45993)):
warning: Section `.reg-xstate/45993' in core file too small.
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f289ebdce00 in g_cond_wait () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb4b0bb in  () at /lib64/libglib-2.0.so.0
#3  0x00007f289ebafae2 in  () at /lib64/libglib-2.0.so.0
#4  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#5  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#6  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 5 (Thread 0x7f28864006c0 (LWP 45999)):
warning: Section `.reg-xstate/45999' in core file too small.
#0  0x00007f289430578f in __GI___poll (fds=0x7f2860000b90, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f289eb822ff in  () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb82a0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f288831d99d in  () at /usr/lib64/gio/modules/libdconfsettings.so
#4  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#5  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#6  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 4 (Thread 0x7f28878006c0 (LWP 45994)):
warning: Section `.reg-xstate/45994' in core file too small.
#0  0x00007f289430578f in __GI___poll (fds=0x558c0d1575a0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f289eb822ff in  () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb82a0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f289eb82a51 in  () at /lib64/libglib-2.0.so.0
#4  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#5  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#6  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 3 (Thread 0x7f2886e006c0 (LWP 45995)):
warning: Section `.reg-xstate/45995' in core file too small.
#0  0x00007f289430578f in __GI___poll (fds=0x7f2868000b90, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f289eb822ff in  () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb82c2f in g_main_loop_run () at /lib64/libglib-2.0.so.0
#3  0x00007f289edf82d6 in  () at /lib64/libgio-2.0.so.0
#4  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#5  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#6  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 2 (Thread 0x7f2884e006c0 (LWP 46004)):
warning: Section `.reg-xstate/46004' in core file too small.
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f289ebdce00 in g_cond_wait () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb4b0bb in  () at /lib64/libglib-2.0.so.0
#3  0x00007f289eb4b547 in g_async_queue_pop () at /lib64/libglib-2.0.so.0
#4  0x00007f289685cce3 in  () at /lib64/libpangoft2-1.0.so.0
#5  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#6  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#7  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 1 (Thread 0x7f28913a9300 (LWP 45863)):
#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=11, no_tid=no_tid@entry=0) at pthread_kill.c:44
#1  0x00007f2894294a73 in __pthread_kill_internal (signo=11, threadid=<optimized out>) at pthread_kill.c:78
#2  0x00007f2894241176 in __GI_raise (sig=sig@entry=11) at ../sysdeps/posix/raise.c:26
#3  0x0000558c06b58f70 in terminate_due_to_signal (sig=11, backtrace_limit=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/emacs.c:479
#4  0x0000558c06b59603 in handle_fatal_signal (sig=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1800
#5  0x0000558c06e22618 in deliver_thread_signal.constprop.0 (sig=sig@entry=11, handler=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1792
#6  0x0000558c06cbdb89 in deliver_fatal_thread_signal (sig=11) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1812
#7  handle_sigsegv (sig=11, siginfo=<optimized out>, arg=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1950
#8  0x00007f2894241240 in <signal handler called> () at /lib64/libc.so.6
#9  0x0000558c06bcf76c in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=0x558c157380dd) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:35762
#10 note_mouse_highlight (f=0x558c2caee540, x=<optimized out>, y=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:36016
#11 0x0000558c06c58770 in x_note_mouse_movement (frame=0x558c2caee540, event=0x7ffe2655c540, device=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:14667
#12 0x0000558c06c6376a in handle_one_xevent (dpyinfo=0x558c15d679a0, event=<optimized out>, finish=<optimized out>, hold_quit=0x7ffe2655ccc0) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:23162
#13 0x0000558c06c5b461 in event_handler_gdk (gxev=0x7ffe2655ca30, ev=<optimized out>, data=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:17890
#14 0x00007f289f18b82f in gdk_event_apply_filters (xevent=xevent@entry=0x7ffe2655ca30, event=event@entry=0x558c7065a0d0, window=window@entry=0x0) at ../gdk/x11/gdkeventsource.c:79
#15 0x00007f289f19303f in gdk_event_source_translate_event (xevent=0x7ffe2655ca30, event_source=0x558c0bdbb260) at ../gdk/x11/gdkeventsource.c:198
#16 _gdk_x11_display_queue_events (display=0x558c0bf96450) at ../gdk/x11/gdkeventsource.c:341
#17 0x00007f289f13b9b9 in gdk_display_get_event (display=0x558c0bf96450) at ../gdk/gdkdisplay.c:442
#18 0x00007f289f193412 in gdk_event_source_dispatch.lto_priv () at ../gdk/x11/gdkeventsource.c:354
#19 0x00007f289eb80710 in  () at /lib64/libglib-2.0.so.0
#20 0x00007f289eb82358 in  () at /lib64/libglib-2.0.so.0
#21 0x00007f289eb82a0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#22 0x00007f289f3f6b95 in gtk_main_iteration () at ../gtk/gtkmain.c:1433
#23 0x0000558c06c6b082 in XTread_socket (terminal=<optimized out>, hold_quit=0x7ffe2655ccc0) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:25657
#24 0x0000558c06cad6c2 in gobble_input () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:7898
#25 0x0000558c06cad9c5 in handle_async_input () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8137
#26 process_pending_signals () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8151
#27 unblock_input_to (level=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8166
#28 unblock_input_to (level=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8160
#29 unblock_input () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8185
#30 0x0000558c06bdb150 in set_frame_menubar (f=<optimized out>, deep_p=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xmenu.c:1259
#31 0x0000558c06bd3eda in update_menu_bar.part.0.lto_priv.0 (f=0x558c398b1c80, save_match_data=false, hooks_run=true) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:14086
#32 0x0000558c06ba56fa in update_menu_bar (hooks_run=true, save_match_data=false, f=0x558c398b1c80) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:14020
#33 prepare_menu_bars () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:13975
#34 redisplay_internal () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:16982
#35 0x0000558c06ba626a in redisplay_preserve_echo_area (from_where=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:17740
#36 0x0000558c06b6f18a in swallow_events (do_display=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:4588
#37 swallow_events (do_display=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:4578
#38 sit_for (timeout=0x7a, reading=<optimized out>, display_option=1) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/dispnew.c:6267
#39 0x0000558c06ca9b22 in read_char (commandflag=1, map=0x558c184c56a3, prev_event=0x0, used_mouse_menu=0x7ffe2655e9ab, end_time=0x0) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:2922
#40 0x0000558c06cbac9f in read_key_sequence (keybuf=0x7ffe2655eb40, prompt=0x0, dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false, disable_text_conversion_p=false) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:10722
#41 0x0000558c06ca2047 in command_loop_1 () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1428
#42 0x0000558c06d3f007 in internal_condition_case (bfun=0x558c06ca1e70 <command_loop_1>, handlers=<optimized out>, hfun=0x558c06ca0f50 <cmd_error>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/eval.c:1537
#43 0x0000558c06ca138e in command_loop_2 (handlers=handlers@entry=0x90) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1167
#44 0x0000558c06d3ef11 in internal_catch (tag=<optimized out>, func=0x558c06ca1360 <command_loop_2>, arg=0x90) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/eval.c:1217
#45 0x0000558c06c9fef9 in command_loop () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1145
#46 0x0000558c06ca0a36 in recursive_edit_1 () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:753
#47 0x0000558c06ca0e4c in Frecursive_edit () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:836
#48 0x0000558c06b63adc in main (argc=2, argv=0x7ffe2655eff8) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/emacs.c:2626

Thread 7 (Thread 0x7f28844006c0 (LWP 46005)):
#0  0x00007f289430578f in __GI___poll (fds=0x7f284c007110, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f28858bfe71 in  () at /lib64/libpulse.so.0
#2  0x00007f28858a9854 in pa_mainloop_poll () at /lib64/libpulse.so.0
#3  0x00007f28858b40d6 in pa_mainloop_iterate () at /lib64/libpulse.so.0
#4  0x00007f28858b4180 in pa_mainloop_run () at /lib64/libpulse.so.0
#5  0x00007f28858c3e19 in  () at /lib64/libpulse.so.0
#6  0x00007f288586189f in  () at /usr/lib64/pulseaudio/libpulsecommon-17.0.so
#7  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#8  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 6 (Thread 0x7f28882006c0 (LWP 45993)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f289ebdce00 in g_cond_wait () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb4b0bb in  () at /lib64/libglib-2.0.so.0
#3  0x00007f289ebafae2 in  () at /lib64/libglib-2.0.so.0
#4  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#5  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#6  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 5 (Thread 0x7f28864006c0 (LWP 45999)):
#0  0x00007f289430578f in __GI___poll (fds=0x7f2860000b90, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f289eb822ff in  () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb82a0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f288831d99d in  () at /usr/lib64/gio/modules/libdconfsettings.so
#4  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#5  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#6  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 4 (Thread 0x7f28878006c0 (LWP 45994)):
#0  0x00007f289430578f in __GI___poll (fds=0x558c0d1575a0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f289eb822ff in  () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb82a0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f289eb82a51 in  () at /lib64/libglib-2.0.so.0
#4  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#5  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#6  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 3 (Thread 0x7f2886e006c0 (LWP 45995)):
#0  0x00007f289430578f in __GI___poll (fds=0x7f2868000b90, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f289eb822ff in  () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb82c2f in g_main_loop_run () at /lib64/libglib-2.0.so.0
#3  0x00007f289edf82d6 in  () at /lib64/libgio-2.0.so.0
#4  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#5  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#6  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 2 (Thread 0x7f2884e006c0 (LWP 46004)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f289ebdce00 in g_cond_wait () at /lib64/libglib-2.0.so.0
#2  0x00007f289eb4b0bb in  () at /lib64/libglib-2.0.so.0
#3  0x00007f289eb4b547 in g_async_queue_pop () at /lib64/libglib-2.0.so.0
#4  0x00007f289685cce3 in  () at /lib64/libpangoft2-1.0.so.0
#5  0x00007f289ebaf2ee in  () at /lib64/libglib-2.0.so.0
#6  0x00007f2894292bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#7  0x00007f289431400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 1 (Thread 0x7f28913a9300 (LWP 45863)):
#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=11, no_tid=no_tid@entry=0) at pthread_kill.c:44
#1  0x00007f2894294a73 in __pthread_kill_internal (signo=11, threadid=<optimized out>) at pthread_kill.c:78
#2  0x00007f2894241176 in __GI_raise (sig=sig@entry=11) at ../sysdeps/posix/raise.c:26
#3  0x0000558c06b58f70 in terminate_due_to_signal (sig=11, backtrace_limit=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/emacs.c:479
#4  0x0000558c06b59603 in handle_fatal_signal (sig=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1800
#5  0x0000558c06e22618 in deliver_thread_signal.constprop.0 (sig=sig@entry=11, handler=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1792
#6  0x0000558c06cbdb89 in deliver_fatal_thread_signal (sig=11) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1812
#7  handle_sigsegv (sig=11, siginfo=<optimized out>, arg=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1950
#8  0x00007f2894241240 in <signal handler called> () at /lib64/libc.so.6
#9  0x0000558c06bcf76c in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=0x558c157380dd) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:35762
#10 note_mouse_highlight (f=0x558c2caee540, x=<optimized out>, y=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:36016
#11 0x0000558c06c58770 in x_note_mouse_movement (frame=0x558c2caee540, event=0x7ffe2655c540, device=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:14667
#12 0x0000558c06c6376a in handle_one_xevent (dpyinfo=0x558c15d679a0, event=<optimized out>, finish=<optimized out>, hold_quit=0x7ffe2655ccc0) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:23162
#13 0x0000558c06c5b461 in event_handler_gdk (gxev=0x7ffe2655ca30, ev=<optimized out>, data=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:17890
#14 0x00007f289f18b82f in gdk_event_apply_filters (xevent=xevent@entry=0x7ffe2655ca30, event=event@entry=0x558c7065a0d0, window=window@entry=0x0) at ../gdk/x11/gdkeventsource.c:79
#15 0x00007f289f19303f in gdk_event_source_translate_event (xevent=0x7ffe2655ca30, event_source=0x558c0bdbb260) at ../gdk/x11/gdkeventsource.c:198
#16 _gdk_x11_display_queue_events (display=0x558c0bf96450) at ../gdk/x11/gdkeventsource.c:341
#17 0x00007f289f13b9b9 in gdk_display_get_event (display=0x558c0bf96450) at ../gdk/gdkdisplay.c:442
#18 0x00007f289f193412 in gdk_event_source_dispatch.lto_priv () at ../gdk/x11/gdkeventsource.c:354
#19 0x00007f289eb80710 in  () at /lib64/libglib-2.0.so.0
#20 0x00007f289eb82358 in  () at /lib64/libglib-2.0.so.0
#21 0x00007f289eb82a0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#22 0x00007f289f3f6b95 in gtk_main_iteration () at ../gtk/gtkmain.c:1433
#23 0x0000558c06c6b082 in XTread_socket (terminal=<optimized out>, hold_quit=0x7ffe2655ccc0) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:25657
#24 0x0000558c06cad6c2 in gobble_input () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:7898
#25 0x0000558c06cad9c5 in handle_async_input () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8137
#26 process_pending_signals () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8151
#27 unblock_input_to (level=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8166
#28 unblock_input_to (level=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8160
#29 unblock_input () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8185
#30 0x0000558c06bdb150 in set_frame_menubar (f=<optimized out>, deep_p=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xmenu.c:1259
#31 0x0000558c06bd3eda in update_menu_bar.part.0.lto_priv.0 (f=0x558c398b1c80, save_match_data=false, hooks_run=true) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:14086
#32 0x0000558c06ba56fa in update_menu_bar (hooks_run=true, save_match_data=false, f=0x558c398b1c80) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:14020
#33 prepare_menu_bars () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:13975
#34 redisplay_internal () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:16982
#35 0x0000558c06ba626a in redisplay_preserve_echo_area (from_where=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:17740
#36 0x0000558c06b6f18a in swallow_events (do_display=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:4588
#37 swallow_events (do_display=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:4578
#38 sit_for (timeout=0x7a, reading=<optimized out>, display_option=1) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/dispnew.c:6267
#39 0x0000558c06ca9b22 in read_char (commandflag=1, map=0x558c184c56a3, prev_event=0x0, used_mouse_menu=0x7ffe2655e9ab, end_time=0x0) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:2922
#40 0x0000558c06cbac9f in read_key_sequence (keybuf=0x7ffe2655eb40, prompt=0x0, dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false, disable_text_conversion_p=false) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:10722
#41 0x0000558c06ca2047 in command_loop_1 () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1428
#42 0x0000558c06d3f007 in internal_condition_case (bfun=0x558c06ca1e70 <command_loop_1>, handlers=<optimized out>, hfun=0x558c06ca0f50 <cmd_error>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/eval.c:1537
#43 0x0000558c06ca138e in command_loop_2 (handlers=handlers@entry=0x90) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1167
#44 0x0000558c06d3ef11 in internal_catch (tag=<optimized out>, func=0x558c06ca1360 <command_loop_2>, arg=0x90) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/eval.c:1217
#45 0x0000558c06c9fef9 in command_loop () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1145
#46 0x0000558c06ca0a36 in recursive_edit_1 () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:753
#47 0x0000558c06ca0e4c in Frecursive_edit () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:836
#48 0x0000558c06b63adc in main (argc=2, argv=0x7ffe2655eff8) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/emacs.c:2626
Warning: /home/bidar/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0
TERM = xterm-256color
Breakpoint 1 at 0x558c06b58ebd: file /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/emacs.c, line 441.
Breakpoint 2 at 0x558c06c6aeb0: file /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c, line 26990.
#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=11, no_tid=no_tid@entry=0) at pthread_kill.c:44
#1  0x00007f2894294a73 in __pthread_kill_internal (signo=11, threadid=<optimized out>) at pthread_kill.c:78
#2  0x00007f2894241176 in __GI_raise (sig=sig@entry=11) at ../sysdeps/posix/raise.c:26
#3  0x0000558c06b58f70 in terminate_due_to_signal (sig=11, backtrace_limit=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/emacs.c:479
#4  0x0000558c06b59603 in handle_fatal_signal (sig=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1800
#5  0x0000558c06e22618 in deliver_thread_signal.constprop.0 (sig=sig@entry=11, handler=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1792
#6  0x0000558c06cbdb89 in deliver_fatal_thread_signal (sig=11) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1812
#7  handle_sigsegv (sig=11, siginfo=<optimized out>, arg=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/sysdep.c:1950
#8  0x00007f2894241240 in <signal handler called> () at /lib64/libc.so.6
#9  0x0000558c06bcf76c in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x558c157380dd)) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:35762
#10 note_mouse_highlight (f=0x558c2caee540, x=<optimized out>, y=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:36016
#11 0x0000558c06c58770 in x_note_mouse_movement (frame=0x558c2caee540, event=0x7ffe2655c540, device=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:14667
#12 0x0000558c06c6376a in handle_one_xevent (dpyinfo=0x558c15d679a0, event=<optimized out>, finish=<optimized out>, hold_quit=0x7ffe2655ccc0) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:23162
#13 0x0000558c06c5b461 in event_handler_gdk (gxev=0x7ffe2655ca30, ev=<optimized out>, data=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:17890
#14 0x00007f289f18b82f in gdk_event_apply_filters (xevent=xevent@entry=0x7ffe2655ca30, event=event@entry=0x558c7065a0d0, window=window@entry=0x0) at ../gdk/x11/gdkeventsource.c:79
#15 0x00007f289f19303f in gdk_event_source_translate_event (xevent=0x7ffe2655ca30, event_source=0x558c0bdbb260) at ../gdk/x11/gdkeventsource.c:198
#16 _gdk_x11_display_queue_events (display=0x558c0bf96450) at ../gdk/x11/gdkeventsource.c:341
#17 0x00007f289f13b9b9 in gdk_display_get_event (display=0x558c0bf96450) at ../gdk/gdkdisplay.c:442
#18 0x00007f289f193412 in gdk_event_source_dispatch.lto_priv () at ../gdk/x11/gdkeventsource.c:354
#19 0x00007f289eb80710 in  () at /lib64/libglib-2.0.so.0
#20 0x00007f289eb82358 in  () at /lib64/libglib-2.0.so.0
#21 0x00007f289eb82a0c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#22 0x00007f289f3f6b95 in gtk_main_iteration () at ../gtk/gtkmain.c:1433
#23 0x0000558c06c6b082 in XTread_socket (terminal=<optimized out>, hold_quit=0x7ffe2655ccc0) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xterm.c:25657
#24 0x0000558c06cad6c2 in gobble_input () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:7898
#25 0x0000558c06cad9c5 in handle_async_input () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8137
#26 process_pending_signals () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8151
#27 unblock_input_to (level=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8166
#28 unblock_input_to (level=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8160
#29 unblock_input () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:8185
#30 0x0000558c06bdb150 in set_frame_menubar (f=<optimized out>, deep_p=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xmenu.c:1259
#31 0x0000558c06bd3eda in update_menu_bar.part.0.lto_priv.0 (f=0x558c398b1c80, save_match_data=false, hooks_run=true) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:14086
#32 0x0000558c06ba56fa in update_menu_bar (hooks_run=true, save_match_data=false, f=0x558c398b1c80) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:14020
#33 prepare_menu_bars () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:13975
#34 redisplay_internal () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:16982
#35 0x0000558c06ba626a in redisplay_preserve_echo_area (from_where=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/xdisp.c:17740
#36 0x0000558c06b6f18a in swallow_events (do_display=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:4588
#37 swallow_events (do_display=<optimized out>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:4578
#38 sit_for (timeout=make_fixnum(30), reading=<optimized out>, display_option=1) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/dispnew.c:6267
#39 0x0000558c06ca9b22 in read_char (commandflag=1, map=XIL(0x558c184c56a3), prev_event=XIL(0), used_mouse_menu=0x7ffe2655e9ab, end_time=0x0) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:2922
#40 0x0000558c06cbac9f in read_key_sequence (keybuf=0x7ffe2655eb40, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false, disable_text_conversion_p=false) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:10722
#41 0x0000558c06ca2047 in command_loop_1 () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1428
#42 0x0000558c06d3f007 in internal_condition_case (bfun=0x558c06ca1e70 <command_loop_1>, handlers=<optimized out>, hfun=0x558c06ca0f50 <cmd_error>) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/eval.c:1537
#43 0x0000558c06ca138e in command_loop_2 (handlers=handlers@entry=XIL(0x90)) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1167
#44 0x0000558c06d3ef11 in internal_catch (tag=<optimized out>, func=0x558c06ca1360 <command_loop_2>, arg=XIL(0x90)) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/eval.c:1217
#45 0x0000558c06c9fef9 in command_loop () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:1145
#46 0x0000558c06ca0a36 in recursive_edit_1 () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:753
#47 0x0000558c06ca0e4c in Frecursive_edit () at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/keyboard.c:836
#48 0x0000558c06b63adc in main (argc=2, argv=0x7ffe2655eff8) at /usr/src/debug/emacs-30.0.50.5968.24957ea566b/src/emacs.c:2626
You can't do that without a process to debug.

Thread 7 (Thread 0x7f28844006c0 (LWP 46005)):
You can't do that without a process to debug.

--=-=-=
Content-Type: text/plain




In GNU Emacs 30.0.50 (build 1, x86_64-suse-linux-gnu, GTK+ Version
3.24.41, cairo version 1.18.0)
Windowing system distributor 'The X.Org Foundation', version 11.0.12101012
System Description: openSUSE Tumbleweed

Configured using:
 'configure --disable-build-details --without-pop --with-mailutils
 --without-hesiod --with-gameuser=:games --with-kerberos
 --with-kerberos5 --with-file-notification=inotify --with-modules
 --enable-autodepend --enable-link-time-optimization --prefix=/usr
 --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share
 --localstatedir=/var --sharedstatedir=/var/lib
 --libexecdir=/usr/libexec --with-file-notification=yes
 --libdir=/usr/lib64 --with-native-compilation=aot
 --enable-locallisppath=/usr/share/emacs/30.0.50/site-lisp:/usr/share/emacs/site-lisp
 --with-x --with-xim --with-sound --with-xpm --with-jpeg --with-tiff
 --with-gif --with-png --with-rsvg --with-dbus --with-xft --without-gpm
 --with-tree-sitter --with-x-toolkit=gtk --without-pgtk
 --with-toolkit-scroll-bars --x-includes=/usr/include
 --x-libraries=/usr/lib64 --with-libotf --with-m17n-flt --with-cairo
 --with-xwidgets --build=x86_64-suse-linux --with-dumping=pdumper
 build_alias=x86_64-suse-linux 'CC=sccache cc' 'CFLAGS=-O2 -Wall
 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=3 -fstack-protector-strong
 -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection
 -Werror=return-type -flto=auto -march=znver3 -mmmx -mpopcnt -msse
 -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mavx -mavx2 -msse4a -mno-fma4
 -mno-xop -mfma -mno-avx512f -mbmi -mbmi2 -maes -mpclmul -mno-avx512vl
 -mno-avx512bw -mno-avx512dq -mno-avx512cd -mno-avx512er -mno-avx512pf
 -mno-avx512vbmi -mno-avx512ifma -mno-avx5124vnniw -mno-avx5124fmaps
 -mno-avx512vpopcntdq -mno-avx512vbmi2 -mno-gfni -mvpclmulqdq
 -mno-avx512vnni -mno-avx512bitalg -mno-avx512bf16
 -mno-avx512vp2intersect -mno-3dnow -madx -mabm -mno-cldemote
 -mclflushopt -mclwb -mclzero -mcx16 -mno-enqcmd -mf16c -mfsgsbase
 -mfxsr -mno-hle -msahf -mno-lwp -mlzcnt -mmovbe -mno-movdir64b
 -mno-movdiri -mmwaitx -mno-pconfig -mpku -mno-prefetchwt1 -mprfchw
 -mno-ptwrite -mrdpid -mrdrnd -mrdseed -mno-rtm -mno-serialize -mno-sgx
 -msha -mshstk -mno-tbm -mno-tsxldtrk -mvaes -mno-waitpkg -mwbnoinvd
 -mxsave -mxsavec -mxsaveopt -mxsaves -mno-amx-tile -mno-amx-int8
 -mno-amx-bf16 -mno-uintr -mno-hreset -mno-kl -mno-widekl -mno-avxvnni
 -mno-avx512fp16 -mno-avxifma -mno-avxvnniint8 -mno-avxneconvert
 -mno-cmpccxadd -mno-amx-fp16 -mno-prefetchi -mno-raoint
 -mno-amx-complex --param l1-cache-size=32 --param l1-cache-line-size=64
 --param l2-cache-size=512 -mtune=znver3 -g -D_GNU_SOURCE
 -DGDK_DISABLE_DEPRECATION_WARNINGS -DGLIB_DISABLE_DEPRECATION_WARNINGS
 -pipe -Wno-pointer-sign -Wno-unused-variable -Wno-unused-label
 -fno-optimize-sibling-calls -DPDMP_BASE='\''"emacs-gtk"'\'''
 LDFLAGS=-Wl,-O2 'CXX=sccache c++'
 PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP
NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2 XPM XWIDGETS
GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: fi_FI.UTF-8
  value of $LC_NUMERIC: POSIX
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 14 Apr 2024 16:41:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 12:41:38 2024
Received: from localhost ([127.0.0.1]:36082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rw2vC-0005Ru-8u
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 12:41:38 -0400
Received: from mail-lj1-x232.google.com ([2a00:1450:4864:20::232]:58710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vekazanov@HIDDEN>) id 1rw2v9-0005Qa-Lz
 for 70385 <at> debbugs.gnu.org; Sun, 14 Apr 2024 12:41:36 -0400
Received: by mail-lj1-x232.google.com with SMTP id
 38308e7fff4ca-2d476d7972aso30369111fa.1
 for <70385 <at> debbugs.gnu.org>; Sun, 14 Apr 2024 09:41:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1713112879; x=1713717679; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=lwSVhfiUC5hyxnU+WD/ccuzn8p7/YxibQNGrFmQgLoY=;
 b=THcCPqZSNZvDuZ1mXERQyYpXDT7Dyk7ij7QeQPRkkGPgPZh4NPd/JIeOR6btCiTVMH
 LKomChWqO+dLIjiQe0lW8nJSFH9Gn7rNB0wD63BBtFMVHPvflNzhHGF+XV5q4yCsnpZo
 d6/MyMXm6vFzbd8Z6XpYRr3FWCvxQI5HCF7Phd1x6JLCs1wQ7nW6t7YeloG3ETIlaUqy
 aCDoupwQB2elNF2xNjvNPmPGQbozSaAkayvdzUiqfgq2Y5DsHOimY8nwxQSDKxYJKjwd
 xdLxBiPtbaL2l8oX+WJ1NYCGVVz9AKM05i/kNSZ8POKpa0P6bVwgLk4L/1y9eXa8KRjB
 6HFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1713112879; x=1713717679;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=lwSVhfiUC5hyxnU+WD/ccuzn8p7/YxibQNGrFmQgLoY=;
 b=AD9g/iGVisqG5KkBbLDBCLHIMkz5HDxRaH7D2pZH3NpdphEwmfOHj2SIgiKoXIjdhk
 xicMV71BX0+to+hMA3FSot4xSgsSKrszUkaRO24FC/RkJJJokTIsoYF1vpaP9OB3f1hU
 lOyUxCTcQA8JDrr9r5JCWZhddZ891b6hnbki4Z+smeRZ2n/2gwBw38ykOQwUMpT+dhA4
 j5xI7HehmSre7fznEmD9MJkkFonszapF65YznWmEuFrb7vc5CK59Xtcc16M9Yf1Z5eM6
 1kVCQh1t+nbO2xZdEU+xhLx4+XopsXMfgRXRRwOC/oEZjdqQ/9qGV66RGQSRa/gUsU3t
 f1Ow==
X-Forwarded-Encrypted: i=1;
 AJvYcCVg8CsNLjH9ZxMUdElHROgHufebWdsyjZLj4w+/6V9IVkPietuF7KdlDqh9X8qDuSxQgwyRi2dkNw2FBwSGpeJZmPN5AKc=
X-Gm-Message-State: AOJu0YxckroHS0As54/IGk6gQ5dQqSB9ZcC+QHWkAt/9HOv5bVfHdgdB
 TgSyioG0G00YbW5B3fHvlG0bgSJepHEqXo1nFKvXBvH7VZn5YEn6IQat25w0KbjWvOaYqIuDswY
 ldPhVpzu3XsQ8ZOuyZeRYvg5mkg==
X-Google-Smtp-Source: AGHT+IE6UpBTc286has+KShJa5IRjiMVYBOyoz95yUPndvBFEmlOulDjn/HUsj8u3zDNBWeOAO7gkWQGiJBUZDZVLiI=
X-Received: by 2002:a05:651c:30f:b0:2d8:7293:631e with SMTP id
 a15-20020a05651c030f00b002d87293631emr5046824ljp.48.1713112878434; Sun, 14
 Apr 2024 09:41:18 -0700 (PDT)
MIME-Version: 1.0
References: <86h6g49cdv.fsf@HIDDEN> <86a5lvnbiy.fsf@HIDDEN>
In-Reply-To: <86a5lvnbiy.fsf@HIDDEN>
From: Vladimir Kazanov <vekazanov@HIDDEN>
Date: Sun, 14 Apr 2024 17:41:05 +0100
Message-ID: <CAAs=0-3=qVMr-agtEf_u33FUkRS+TRfC8ZVmHJZTqfgO-9kaXg@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: 70385 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli,

Yes, sure, I'll take a look.

On Sun, 14 Apr 2024 at 17:40, Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Juri Linkov <juri@HIDDEN>
> > Date: Sun, 14 Apr 2024 19:10:16 +0300
> >
> > Hopefully this backtrace could help to find where is the bug:
> >
> > Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> > 0x00005555556120fe in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5555564aa62d)) at xdisp.c:35762
> > 35762   struct glyph *glyph = MATRIX_ROW_GLYPH_START (w->current_matrix, vpos);
> >
> > (gdb) bt
> > #0  0x00005555556120fe in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5555564aa62d)) at xdisp.c:35762
>
> Can you reproduce at will?  If so, what does the below show in GDB,
> when Emacs segfaults and GDB kicks in?
>
>   (gdb) p w->current_matrix
>   (gdb) p w->current_matrix->rows
>   (gdb) p w->current_matrix->nrows
>   (gdb) p w->window_end_valid
>   (gdb) p window_outdated (w)
>
> Vladimir, can you please look into this?



-- 
Regards,

Vladimir Kazanov




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 14 Apr 2024 16:41:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 12:41:06 2024
Received: from localhost ([127.0.0.1]:36079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rw2ud-0005LV-Ta
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 12:41:06 -0400
Received: from mail-lj1-x232.google.com ([2a00:1450:4864:20::232]:57473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vekazanov@HIDDEN>) id 1rw2uZ-0005K3-Vl
 for 70385 <at> debbugs.gnu.org; Sun, 14 Apr 2024 12:41:02 -0400
Received: by mail-lj1-x232.google.com with SMTP id
 38308e7fff4ca-2d87450361fso30577111fa.2
 for <70385 <at> debbugs.gnu.org>; Sun, 14 Apr 2024 09:40:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1713112843; x=1713717643; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=HLjb3C6Q/UNKI1bxNNmqsdMK6gRxMJBetlB5iDJaqSE=;
 b=Wm+CYe91NYtC/Z7Sr7LIdO49sSat/N1/gKb7WANC+fSqwnge5PzLGJbmI6CcXfZ+HU
 KS5eykcREb4BcchiaNBbp6mhJw/E2Jpc5H97NZdvBw6C7mcSquDKrP6AWFoYjYKh3Q54
 6YQV0aG3denSykMvjNdVlu3r/GTMUAWVOQzcg7HW39s/gbqvQSBbMhYRetLI4tUFxi12
 gB4LVIdKAjPHKn5anCzhdskgahYSanGQ/5v+uMHw2jNE0sovMaqRFIDMZQlDJszd94Bl
 wRprdCEfqlUTKF0W4IHDTyiSGxusGCYc19AfTDOOfF/4eMGl0+g3GnOyPooGaGdWjVet
 f0fA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1713112843; x=1713717643;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=HLjb3C6Q/UNKI1bxNNmqsdMK6gRxMJBetlB5iDJaqSE=;
 b=r7hfahKFPmxV7wfCIMKrdFtU0AHhWKlQKhSe3dHuOAMx4EQ+YGSz8EsHqPh8ArniQx
 Wg/sWo8vRe/pPRhYMXuYHk2bn1Wz3Fo12BXRJnobiZ9e04tBIOH1OTjUZroVafDvQcza
 HShQHsswjngW6z6PE1S0W/7dtMAL9WCqo17baQoSaA5tJfUwf/zlNnn7cPTkliNlJLVa
 in20jCEO9e1WFY/gCF0tl2njaEeEJI1vC06NUEXZ78LM++ZpHvbsIWwhrMvIOfGDTiUG
 nYuuBnFlrhwRxmU0539k9jVyXXAKPGM67knhFTomoG0YE69yMWW0YJMak3xEa+Th/Ob9
 GhaA==
X-Gm-Message-State: AOJu0Ywmf4NTSeiYVXqvc/VLPAdZgvDoszhmnsG/RSOLP6f8hWJybZWt
 s1GoI75CEiE0PvP+Z2yWDs3yItCIrHGnRhr3cw0Z8qT5phiS/t+DHEvcVinbZQnfrg/OEe4e/3B
 Nx2d8XTYZ2gL0/1c1fGwjqt7PrCdb
X-Google-Smtp-Source: AGHT+IEoear40y6iDSdMAuB25BrQgJAZRTrB0c/MEvpzXqTGWPM5x9KwX/Nplq8myxd5+fRpRqdpaTWSZdux8tkpnAo=
X-Received: by 2002:a2e:83ce:0:b0:2d6:fd9c:6af6 with SMTP id
 s14-20020a2e83ce000000b002d6fd9c6af6mr4840109ljh.28.1713112842402; Sun, 14
 Apr 2024 09:40:42 -0700 (PDT)
MIME-Version: 1.0
References: <86h6g49cdv.fsf@HIDDEN>
In-Reply-To: <86h6g49cdv.fsf@HIDDEN>
From: Vladimir Kazanov <vekazanov@HIDDEN>
Date: Sun, 14 Apr 2024 17:40:28 +0100
Message-ID: <CAAs=0-2mx_-rXDkYVv0E_=Xz3GGzdNY3zpb4+ZmGYV7ZehuYOw@HIDDEN>
Subject: Re: bug#70385: Crash in note_fringe_highlight
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70385
Cc: 70385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Juri,

This must be related to the recent patch introducing the function.

Can you reliably reproduce the crash?

On Sun, 14 Apr 2024 at 17:18, Juri Linkov <juri@HIDDEN> wrote:
>
> Hopefully this backtrace could help to find where is the bug:
>
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x00005555556120fe in note_fringe_highlight (part=3D<optimized out>, y=3D=
<optimized out>, x=3D<optimized out>, window=3DXIL(0x5555564aa62d)) at xdis=
p.c:35762
> 35762     struct glyph *glyph =3D MATRIX_ROW_GLYPH_START (w->current_matr=
ix, vpos);
>
> (gdb) bt
> #0  0x00005555556120fe in note_fringe_highlight (part=3D<optimized out>, =
y=3D<optimized out>, x=3D<optimized out>, window=3DXIL(0x5555564aa62d)) at =
xdisp.c:35762
> #1  note_mouse_highlight (f=3D0x5555564aa198, x=3D<optimized out>, y=3D<o=
ptimized out>) at xdisp.c:36017
> #2  0x000055555568afd0 in XTframe_up_to_date (f=3D0x5555564aa198) at xter=
m.c:7633
> #3  0x0000555555743903 in garbage_collect () at alloc.c:6587
> #4  0x0000555555766c65 in maybe_gc () at lisp.h:5891
> #5  Ffuncall (nargs=3D3, args=3D0x7fffffff7cd0) at eval.c:3017
> #6  0x00007fffdfc5eae6 in F70726f6a6563742d7472792d7663_project_try_vc_0 =
() at project-5477de5a-135e3ef0.eln
> #7  0x0000555555766bb7 in Ffuncall (nargs=3D2, args=3D0x7fffffff7e30) at =
eval.c:3022
> #8  0x0000555555765adb in run_hook_with_args (nargs=3D2, args=3D0x7ffffff=
f7e30, funcall=3D0x555555766ac0 <Ffuncall>) at eval.c:2881
> #9  0x0000555555766bb7 in Ffuncall (nargs=3D3, args=3D0x7fffffff7e28) at =
eval.c:3022
> #10 0x00007fffdfc5d5fe in F70726f6a6563742d2d66696e642d696e2d646972656374=
6f7279_project__find_in_directory_0 () at project-5477de5a-135e3ef0.eln
> #11 0x0000555555766bb7 in Ffuncall (nargs=3D2, args=3D0x7fffffff7ea0) at =
eval.c:3022
> #12 0x00007fffdfc5d405 in F70726f6a6563742d63757272656e74_project_current=
_0 () at project-5477de5a-135e3ef0.eln
> #13 0x0000555555766bb7 in Ffuncall (nargs=3D1, args=3D0x7fffffff7f58) at =
eval.c:3022
> #14 0x00007fffdfc6761a in F70726f6a6563742d6d6f64652d6c696e652d666f726d61=
74_project_mode_line_format_0 () at project-5477de5a-135e3ef0.eln
> #15 0x000055555576a516 in eval_sub (form=3D<optimized out>) at lisp.h:224=
2
> #16 0x000055555576c9c4 in Feval (form=3DXIL(0x55555700d1b3), lexical=3D<o=
ptimized out>) at eval.c:2389
> #17 0x0000555555766bb7 in Ffuncall (nargs=3Dnargs@entry=3D3, args=3Dargs@=
entry=3D0x7fffffff8230) at eval.c:3022
> #18 0x00005555555cd15f in funcall_with_backtraces (nargs=3Dnargs@entry=3D=
3, args=3Dargs@entry=3D0x7fffffff8230) at xdisp.c:3081
> #19 0x0000555555765361 in internal_condition_case_n (bfun=3Dbfun@entry=3D=
0x5555555cd130 <funcall_with_backtraces>, nargs=3Dnargs@entry=3D3, args=3Da=
rgs@entry=3D0x7fffffff8230, handlers=3Dhandlers@entry=3DXIL(0x30), hfun=3Dh=
fun@entry=3D0x5555555e14d0 <dsafe_eval_handler>) at eval.c:1617
> #20 0x00005555555ce7d2 in dsafe__call (inhibit_quit=3Dinhibit_quit@entry=
=3Dtrue, f=3D0x5555555cd130 <funcall_with_backtraces>, nargs=3Dnargs@entry=
=3D3, args=3Dargs@entry=3D0x7fffffff8230) at lisp.h:1191
> #21 0x00005555555fd701 in dsafe__call (args=3D0x7fffffff8230, nargs=3D3, =
f=3D<optimized out>, inhibit_quit=3Dtrue) at xdisp.c:3056
> #22 dsafe_eval (sexpr=3D<optimized out>) at xdisp.c:3103
> #23 display_mode_element (it=3D0x7fffffff83d0, depth=3D4, field_width=3D0=
, precision=3D-39, elt=3D<optimized out>, props=3DXIL(0), risky=3Dfalse) at=
 xdisp.c:27876
> #24 0x00005555555fd862 in display_mode_element (it=3D0x7fffffff83d0, dept=
h=3D1, field_width=3D0, precision=3D0, elt=3D<optimized out>, props=3DXIL(0=
), risky=3Dfalse) at lisp.h:1538
> #25 0x00005555555ff020 in display_mode_line (w=3Dw@entry=3D0x5555564aa410=
, face_id=3DMODE_LINE_ACTIVE_FACE_ID, format=3DXIL(0x7fffeff37a4b)) at lisp=
.h:1191
> #26 0x00005555556010be in display_mode_lines (w=3Dw@entry=3D0x5555564aa41=
0) at lisp.h:751
> #27 0x0000555555616722 in redisplay_window (window=3D<optimized out>, jus=
t_this_one_p=3D<optimized out>) at xdisp.c:20921
> #28 0x000055555561a513 in redisplay_window_0 (window=3Dwindow@entry=3DXIL=
(0x5555564aa415)) at xdisp.c:18012
> #29 0x000055555576520c in internal_condition_case_1 (bfun=3Dbfun@entry=3D=
0x55555561a4e0 <redisplay_window_0>, arg=3Darg@entry=3DXIL(0x5555564aa415),=
 handlers=3D<optimized out>, hfun=3Dhfun@entry=3D0x5555555d0e60 <redisplay_=
window_error>) at eval.c:1561
> #30 0x00005555555ce379 in redisplay_windows (window=3DXIL(0x5555564aa415)=
) at xdisp.c:17981
> #31 0x00005555556021b1 in redisplay_internal () at xdisp.c:17381
> #32 0x000055555560387d in redisplay_preserve_echo_area (from_where=3Dfrom=
_where@entry=3D8) at xdisp.c:17744
> #33 0x00005555556eb27e in detect_input_pending_run_timers (do_display=3Dd=
o_display@entry=3Dtrue) at keyboard.c:11555
> #34 0x00005555557c7798 in wait_reading_process_output (time_limit=3Dtime_=
limit@entry=3D82, nsecs=3Dnsecs@entry=3D0, read_kbd=3Dread_kbd@entry=3D-1, =
do_display=3Ddo_display@entry=3Dtrue, wait_for_cell=3Dwait_for_cell@entry=
=3DXIL(0), wait_proc=3Dwait_proc@entry=3D0x0, just_wait_proc=3D<optimized o=
ut>) at process.c:5839
> #35 0x00005555555bd354 in sit_for (timeout=3Dtimeout@entry=3Dmake_fixnum(=
82), reading=3Dreading@entry=3Dtrue, display_option=3Ddisplay_option@entry=
=3D1) at lisp.h:1191
> #36 0x00005555556e5404 in read_char (commandflag=3D1, map=3DXIL(0x5555650=
74e43), prev_event=3DXIL(0), used_mouse_menu=3D0x7fffffffde9b, end_time=3D0=
x0) at lisp.h:1225
> #37 0x00005555556e7161 in read_key_sequence (keybuf=3D0x7fffffffdff0, pro=
mpt=3DXIL(0), dont_downcase_last=3D<optimized out>, can_return_switch_frame=
=3Dtrue, fix_current_buffer=3Dtrue, prevent_redisplay=3D<optimized out>, di=
sable_text_conversion_p=3Dfalse) at keyboard.c:10722
> #38 0x00005555556e8f8f in command_loop_1 () at lisp.h:1191
> #39 0x0000555555765177 in internal_condition_case (bfun=3Dbfun@entry=3D0x=
5555556e8dc0 <command_loop_1>, handlers=3Dhandlers@entry=3DXIL(0x90), hfun=
=3Dhfun@entry=3D0x5555556dd2d0 <cmd_error>) at eval.c:1537
> #40 0x00005555556d51ea in command_loop_2 (handlers=3Dhandlers@entry=3DXIL=
(0x90)) at keyboard.c:1167
> #41 0x00005555557650b9 in internal_catch (tag=3Dtag@entry=3DXIL(0x10740),=
 func=3Dfunc@entry=3D0x5555556d51c0 <command_loop_2>, arg=3Darg@entry=3DXIL=
(0x90)) at eval.c:1217
> #42 0x00005555556d5186 in command_loop () at lisp.h:1191
> #43 0x00005555556dce35 in recursive_edit_1 () at keyboard.c:753
> #44 0x00005555556dd1e4 in Frecursive_edit () at keyboard.c:836
> #45 0x00005555555b23f1 in main (argc=3D<optimized out>, argv=3D<optimized=
 out>) at emacs.c:2618
>
> Lisp Backtrace:
> "Automatic GC" (0x0)
> "cl-find-if" (0xffff7cd8)
> "project-try-vc" (0xffff7e38)
> "run-hook-with-args-until-success" (0xffff7e30)
> "project--find-in-directory" (0xffff7ea8)
> "project-current" (0xffff7f60)
> "project-mode-line-format" (0xffff8030)
> "eval" (0xffff8238)
> "redisplay_internal (C function)" (0x0)
>
>
>


--=20
Regards,

Vladimir Kazanov




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at 70385 <at> debbugs.gnu.org:


Received: (at 70385) by debbugs.gnu.org; 14 Apr 2024 16:40:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 12:40:40 2024
Received: from localhost ([127.0.0.1]:36075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rw2uE-0005He-41
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 12:40:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1rw2uC-0005GQ-5Z
 for 70385 <at> debbugs.gnu.org; Sun, 14 Apr 2024 12:40:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1rw2tt-0000cK-S1; Sun, 14 Apr 2024 12:40:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ESSNtsVQTomLr8aVEjHtRpBy+PGz2o6xJyW+iyvFums=; b=hIPOkEvRJWdC
 qN6PQCX4fl78vn0iH+9tg3CGDcIxR+CMPW1+eDS5LC+kxiPIqs0WNxHAY6yrtdFjouWD4ZOq/aZNu
 dcZ9TgO4P6OrdwqcyAktOyva9EAyxilNo6HTlLICBysTZVQznOGS5mEw6078D0iDMenrr+BxCY3Nu
 VPQTyFpRrMkgBMMcGRNvTh1zmHhCzMsRpdm6bTYpUNnMJGoOjw2Hje03GW//D9zi+F+3lldwz1xIi
 W1Uwlpm/5IO7gB0racNAev67RZzkZ72qct54FoPuU/KbLpey3tZKlINr51v16xPRqYN1RFxdaGnpk
 wpGMlUVtB0mqe8YUjjjDOQ==;
Date: Sun, 14 Apr 2024 19:40:05 +0300
Message-Id: <86a5lvnbiy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Vladimir Kazanov <vekazanov@HIDDEN>
In-Reply-To: <86h6g49cdv.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 14 Apr 2024 19:10:16 +0300)
Subject: Re: bug#70385: Crash in note_fringe_highlight
References: <86h6g49cdv.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70385
Cc: 70385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Date: Sun, 14 Apr 2024 19:10:16 +0300
> 
> Hopefully this backtrace could help to find where is the bug:
> 
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x00005555556120fe in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5555564aa62d)) at xdisp.c:35762
> 35762	  struct glyph *glyph = MATRIX_ROW_GLYPH_START (w->current_matrix, vpos);
> 
> (gdb) bt
> #0  0x00005555556120fe in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5555564aa62d)) at xdisp.c:35762

Can you reproduce at will?  If so, what does the below show in GDB,
when Emacs segfaults and GDB kicks in?

  (gdb) p w->current_matrix
  (gdb) p w->current_matrix->rows
  (gdb) p w->current_matrix->nrows
  (gdb) p w->window_end_valid
  (gdb) p window_outdated (w)

Vladimir, can you please look into this?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Apr 2024 16:18:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 12:18:02 2024
Received: from localhost ([127.0.0.1]:36016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rw2YJ-0007Yz-Qz
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 12:18:02 -0400
Received: from lists.gnu.org ([2001:470:142::17]:46168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1rw2Y0-0007UJ-1Q
 for submit <at> debbugs.gnu.org; Sun, 14 Apr 2024 12:17:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1rw2Xi-0002Yr-9h
 for bug-gnu-emacs@HIDDEN; Sun, 14 Apr 2024 12:17:22 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1rw2Xf-0005Bl-DZ
 for bug-gnu-emacs@HIDDEN; Sun, 14 Apr 2024 12:17:21 -0400
Received: by mail.gandi.net (Postfix) with ESMTPSA id B005EC0002
 for <bug-gnu-emacs@HIDDEN>; Sun, 14 Apr 2024 16:17:16 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Crash in note_fringe_highlight
Organization: LINKOV.NET
Date: Sun, 14 Apr 2024 19:10:16 +0300
Message-ID: <86h6g49cdv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-GND-Sasl: juri@HIDDEN
Received-SPF: pass client-ip=217.70.183.198; envelope-from=juri@HIDDEN;
 helo=relay6-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hopefully this backtrace could help to find where is the bug:

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00005555556120fe in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5555564aa62d)) at xdisp.c:35762
35762	  struct glyph *glyph = MATRIX_ROW_GLYPH_START (w->current_matrix, vpos);

(gdb) bt
#0  0x00005555556120fe in note_fringe_highlight (part=<optimized out>, y=<optimized out>, x=<optimized out>, window=XIL(0x5555564aa62d)) at xdisp.c:35762
#1  note_mouse_highlight (f=0x5555564aa198, x=<optimized out>, y=<optimized out>) at xdisp.c:36017
#2  0x000055555568afd0 in XTframe_up_to_date (f=0x5555564aa198) at xterm.c:7633
#3  0x0000555555743903 in garbage_collect () at alloc.c:6587
#4  0x0000555555766c65 in maybe_gc () at lisp.h:5891
#5  Ffuncall (nargs=3, args=0x7fffffff7cd0) at eval.c:3017
#6  0x00007fffdfc5eae6 in F70726f6a6563742d7472792d7663_project_try_vc_0 () at project-5477de5a-135e3ef0.eln
#7  0x0000555555766bb7 in Ffuncall (nargs=2, args=0x7fffffff7e30) at eval.c:3022
#8  0x0000555555765adb in run_hook_with_args (nargs=2, args=0x7fffffff7e30, funcall=0x555555766ac0 <Ffuncall>) at eval.c:2881
#9  0x0000555555766bb7 in Ffuncall (nargs=3, args=0x7fffffff7e28) at eval.c:3022
#10 0x00007fffdfc5d5fe in F70726f6a6563742d2d66696e642d696e2d6469726563746f7279_project__find_in_directory_0 () at project-5477de5a-135e3ef0.eln
#11 0x0000555555766bb7 in Ffuncall (nargs=2, args=0x7fffffff7ea0) at eval.c:3022
#12 0x00007fffdfc5d405 in F70726f6a6563742d63757272656e74_project_current_0 () at project-5477de5a-135e3ef0.eln
#13 0x0000555555766bb7 in Ffuncall (nargs=1, args=0x7fffffff7f58) at eval.c:3022
#14 0x00007fffdfc6761a in F70726f6a6563742d6d6f64652d6c696e652d666f726d6174_project_mode_line_format_0 () at project-5477de5a-135e3ef0.eln
#15 0x000055555576a516 in eval_sub (form=<optimized out>) at lisp.h:2242
#16 0x000055555576c9c4 in Feval (form=XIL(0x55555700d1b3), lexical=<optimized out>) at eval.c:2389
#17 0x0000555555766bb7 in Ffuncall (nargs=nargs@entry=3, args=args@entry=0x7fffffff8230) at eval.c:3022
#18 0x00005555555cd15f in funcall_with_backtraces (nargs=nargs@entry=3, args=args@entry=0x7fffffff8230) at xdisp.c:3081
#19 0x0000555555765361 in internal_condition_case_n (bfun=bfun@entry=0x5555555cd130 <funcall_with_backtraces>, nargs=nargs@entry=3, args=args@entry=0x7fffffff8230, handlers=handlers@entry=XIL(0x30), hfun=hfun@entry=0x5555555e14d0 <dsafe_eval_handler>) at eval.c:1617
#20 0x00005555555ce7d2 in dsafe__call (inhibit_quit=inhibit_quit@entry=true, f=0x5555555cd130 <funcall_with_backtraces>, nargs=nargs@entry=3, args=args@entry=0x7fffffff8230) at lisp.h:1191
#21 0x00005555555fd701 in dsafe__call (args=0x7fffffff8230, nargs=3, f=<optimized out>, inhibit_quit=true) at xdisp.c:3056
#22 dsafe_eval (sexpr=<optimized out>) at xdisp.c:3103
#23 display_mode_element (it=0x7fffffff83d0, depth=4, field_width=0, precision=-39, elt=<optimized out>, props=XIL(0), risky=false) at xdisp.c:27876
#24 0x00005555555fd862 in display_mode_element (it=0x7fffffff83d0, depth=1, field_width=0, precision=0, elt=<optimized out>, props=XIL(0), risky=false) at lisp.h:1538
#25 0x00005555555ff020 in display_mode_line (w=w@entry=0x5555564aa410, face_id=MODE_LINE_ACTIVE_FACE_ID, format=XIL(0x7fffeff37a4b)) at lisp.h:1191
#26 0x00005555556010be in display_mode_lines (w=w@entry=0x5555564aa410) at lisp.h:751
#27 0x0000555555616722 in redisplay_window (window=<optimized out>, just_this_one_p=<optimized out>) at xdisp.c:20921
#28 0x000055555561a513 in redisplay_window_0 (window=window@entry=XIL(0x5555564aa415)) at xdisp.c:18012
#29 0x000055555576520c in internal_condition_case_1 (bfun=bfun@entry=0x55555561a4e0 <redisplay_window_0>, arg=arg@entry=XIL(0x5555564aa415), handlers=<optimized out>, hfun=hfun@entry=0x5555555d0e60 <redisplay_window_error>) at eval.c:1561
#30 0x00005555555ce379 in redisplay_windows (window=XIL(0x5555564aa415)) at xdisp.c:17981
#31 0x00005555556021b1 in redisplay_internal () at xdisp.c:17381
#32 0x000055555560387d in redisplay_preserve_echo_area (from_where=from_where@entry=8) at xdisp.c:17744
#33 0x00005555556eb27e in detect_input_pending_run_timers (do_display=do_display@entry=true) at keyboard.c:11555
#34 0x00005555557c7798 in wait_reading_process_output (time_limit=time_limit@entry=82, nsecs=nsecs@entry=0, read_kbd=read_kbd@entry=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=XIL(0), wait_proc=wait_proc@entry=0x0, just_wait_proc=<optimized out>) at process.c:5839
#35 0x00005555555bd354 in sit_for (timeout=timeout@entry=make_fixnum(82), reading=reading@entry=true, display_option=display_option@entry=1) at lisp.h:1191
#36 0x00005555556e5404 in read_char (commandflag=1, map=XIL(0x555565074e43), prev_event=XIL(0), used_mouse_menu=0x7fffffffde9b, end_time=0x0) at lisp.h:1225
#37 0x00005555556e7161 in read_key_sequence (keybuf=0x7fffffffdff0, prompt=XIL(0), dont_downcase_last=<optimized out>, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=<optimized out>, disable_text_conversion_p=false) at keyboard.c:10722
#38 0x00005555556e8f8f in command_loop_1 () at lisp.h:1191
#39 0x0000555555765177 in internal_condition_case (bfun=bfun@entry=0x5555556e8dc0 <command_loop_1>, handlers=handlers@entry=XIL(0x90), hfun=hfun@entry=0x5555556dd2d0 <cmd_error>) at eval.c:1537
#40 0x00005555556d51ea in command_loop_2 (handlers=handlers@entry=XIL(0x90)) at keyboard.c:1167
#41 0x00005555557650b9 in internal_catch (tag=tag@entry=XIL(0x10740), func=func@entry=0x5555556d51c0 <command_loop_2>, arg=arg@entry=XIL(0x90)) at eval.c:1217
#42 0x00005555556d5186 in command_loop () at lisp.h:1191
#43 0x00005555556dce35 in recursive_edit_1 () at keyboard.c:753
#44 0x00005555556dd1e4 in Frecursive_edit () at keyboard.c:836
#45 0x00005555555b23f1 in main (argc=<optimized out>, argv=<optimized out>) at emacs.c:2618

Lisp Backtrace:
"Automatic GC" (0x0)
"cl-find-if" (0xffff7cd8)
"project-try-vc" (0xffff7e38)
"run-hook-with-args-until-success" (0xffff7e30)
"project--find-in-directory" (0xffff7ea8)
"project-current" (0xffff7f60)
"project-mode-line-format" (0xffff8030)
"eval" (0xffff8238)
"redisplay_internal (C function)" (0x0)




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#70385; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 18 Apr 2024 19:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.